<?php

namespace App\Console\Commands;

use App\Model\ProbateProperty;
use Carbon\Carbon;
use App\Model\Outcode;
use App\Model\PostCode;
use App\Model\OutcodeList;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class NoticeUpdate extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = "notice:update";

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = "For getting notice_id from propate properties api";

    /**
     * Create a new command instance.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
         $now = Carbon::now();
        $date = Carbon::now()->toDateString();
        Log::channel("cron")->info("Cron start: Notice Updates @" . $now->format("Y-m-d H:i:s a"));
        $chkLatestDate = ProbateProperty::orderBy("updated_at","DESC")->first();
        if ($chkLatestDate) {
            $latestDate = \Carbon\Carbon::parse($chkLatestDate->updated_at)->format("d/m/Y");
            $now = \Carbon\Carbon::now()->format("d/m/Y");
            if ($latestDate < $now) {
                $startdate = $latestDate;
            } else {
                $this->info("Notice updation failed!");
                return false;
            }
        } else {
            //$startdate = \Carbon\Carbon::now()->subYear(1)->format("d/m/Y");
            $startdate = \Carbon\Carbon::parse('11-01-2022')->format("d/m/Y");
            $now = \Carbon\Carbon::now()->format("d/m/Y");
        }
        $enddate = $now;
        $outcodes = OutcodeList::pluck("outcode");        
        // $outcodes = ['EN1','EN2'];
        foreach ($outcodes as $outcode) {
            sleep(3);
            $url ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$outcode."&location-distance-1=1&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=".$startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100";
            $ch = curl_init();
            // Return Page contents.
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            //grab URL and pass it to the variable.
            curl_setopt($ch, CURLOPT_URL, $url);
            $result = curl_exec($ch);
            $array = json_decode($result, true);
            if (isset($array["status"])) {
                $findOutcode = Outcode::where("outcode", $outcode)->first();
                if ($findOutcode) {
                    $findPostCode = PostCode::where("outcode_id",$findOutcode->id)->first();
                    if ($findPostCode) {
                        $postcode = $findPostCode->postcode;
                        $url ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$postcode."&location-distance-1=2&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=".$startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100";
                        $ch = curl_init();
                        // Return Page contents.
                        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                        //grab URL and pass it to the variable.
                        curl_setopt($ch, CURLOPT_URL, $url);
                        $result = curl_exec($ch);
                        $array = json_decode($result, true);
                        $total = ceil($array["f:total"] / 100);                      
                        for ($i = 1; $i <= $total; $i++) {
                            $url2 ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$postcode."&location-distance-1=2&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=".$startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100&results-page=".$i;
                            $ch2 = curl_init();
                            curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
                            curl_setopt($ch2, CURLOPT_URL, $url2);
                            $result2 = curl_exec($ch2);
                            $arr2 = json_decode($result2, true);   
                            $cutOutcode = explode(" ", $postcode);
                            $noticeArray = [];
                            if (!empty($arr2)) {
                                foreach ($arr2["entry"] as $k => $v) {                                   
                                    if (!ProbateProperty::where("notice_id", preg_replace("/[^0-9]/", "", $v["id"]))->exists()) {
                                        if (str_contains($v["content"],$cutOutcode[0])) {
                                            $noticeArray[] = ["notice_id" => preg_replace("/[^0-9]/", "", $v["id"]),"created_at" => \Carbon\Carbon::now(),"latitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:lat"] : null,"longitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:long"] : null, ];
                                        }
                                    }
                                }                                
                                ProbateProperty::insert($noticeArray);
                            }
                        }
                    }
                }
            } else {
                $total = ceil($array["f:total"] / 100);              
                for ($i = 1; $i <= $total; $i++) {
                    $url2 ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$outcode."&location-distance-1=1&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=" .
                        $startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100&results-page=".$i;
                    $ch2 = curl_init();
                    curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
                    curl_setopt($ch2, CURLOPT_URL, $url2);
                    $result2 = curl_exec($ch2);
                    $arr2 = json_decode($result2, true);
                    $noticeArray = [];
                    if (!empty($arr2)) {
                        foreach ($arr2["entry"] as $k => $v) {                           
                            if (!ProbateProperty::where("notice_id", preg_replace("/[^0-9]/", "", $v["id"]))->exists()
                            ) {
                                if (str_contains($v["content"], $outcode)) {
                                    $noticeArray[] = ["notice_id" => preg_replace("/[^0-9]/", "", $v["id"]),"created_at" => \Carbon\Carbon::now(),"latitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:lat"] : null,"longitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:long"] : null,];
                                }
                            }
                        }                        
                        ProbateProperty::insert($noticeArray);
                    }
                }
                // sleep(10);
            }
            $this->info("successfully notice updated");
        }
        return true;
    }
}