<?php

namespace App\Console\Commands;

use App\Model\ProbateProperty;
use App\Model\Executor;
use Carbon\Carbon;
use App\Model\Outcode;
use App\Model\PostCode;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class ProbatePropertyUpdate extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'probateproperty:update';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'For updating all propate properties details by notice_id';

    /**
     * Create a new command instance.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $now = Carbon::now();
      
        Log::channel('cron')->info('Cron start: Probate Property Updates @'.$now->format('Y-m-d H:i:s a'));
      
        $familyName = '';
        $firstName = '';
        $deathDate = '';
        $job = '';
        $claimDate = '';
        $claimNr = '';
        $address = '';
        $address1 = '';
        $address2 = '';
        $address3 = '';
        $address4 = '';
        $locality = '';
        $postcode = '';
        $nameExe = '';
        $familyNameExe = '';
        $firstNameExe = '';
        $mailExe = '';
        $phoneExe = '';
        $localityExe = '';
        $addressExe = '';
        $address2Exe = '';
        $countryExe = '';
        $country = '';
        $postcodeExe = '';
        $publicationDate = '';
        $executor = '';
        $postcodeExeUrl = '';
        $postcodeUrl = '';
        $outcode='';
        $outcodeArr ='';
        $noticeId='';
        $postcodeId='';
        $outcodeId='';
        $fullAddress='';
        $probate = ProbateProperty::where('status', 0)
            ->get('notice_id');

if(!empty($probate)){
        foreach ($probate as $Key => $Value) {

            $noticeId = $Value['notice_id'];
            // $noticeId=3619103;

            // From URL to get webpage contents. 
             $url = "https://www.thegazette.co.uk/notice/$noticeId/data.jsonld";

            // Initialize a CURL session. 
            $ch = curl_init();

            // Return Page contents. 
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

            //grab URL and pass it to the variable. 
            curl_setopt($ch, CURLOPT_URL, $url);

            $result = curl_exec($ch);
             $arr = json_decode($result, true);

            // $familyName = '';
            // $firstName = '';
            $deathDate = null;
             $fullAddress='';
            // $job = '';
            $claimDate = null;
            // $claimNr = '';
            // $address = '';
            // $address1 = '';
            // $address2 = '';
            // $address3 = '';
            // $address4 = '';
            // $locality = '';
            // $postcode = '';
            // $nameExe = '';
            // $familyNameExe = '';
            // $firstNameExe = '';
            // $mailExe = '';
            // $phoneExe = '';
            // $localityExe = '';
            // $addressExe = '';
            // $address2Exe = '';
            // $countryExe = '';
            // $country = '';
            // $postcodeExe = '';
            // $publicationDate = null;
            // $executor = '';
            // $postcodeExeUrl = '';
            // $postcodeUrl = '';
            $status=1;
            // $outcode='';
            // $outcodeArr ='';
            // $outcodeId='';
            // $postcodeId='';
            if(!empty($arr['@graph'])){

            foreach ($arr['@graph'] as $key) {
                if (!empty($key['hasPublicationDate'])) {


                    $publicationDate = isset($key['hasPublicationDate']) ? $key['hasPublicationDate'] : null;
                }

                if (str_contains($key['@id'], 'deceasedPerson')) {

                    $familyName = isset($key['familyName']) ? $key['familyName'] : null;
                    $firstName = isset($key['firstName']) ? $key['firstName'] : null;
                    $deathDate = isset($key['dateOfDeath']) ? $key['dateOfDeath'] : null;
                }
                if (str_contains($key['@id'], 'occupationOfDeceased')) {

                    $job = isset($key['jobTitle']) ? $key['jobTitle'] : null;
                }
                if (str_contains($key['@id'], 'notifiableThing')) {

                    $claimDate = isset($key['hasClaimDeadline']) ? $key['hasClaimDeadline'] : null;
                    $claimNr = isset($key['claimNumber']) ? $key['claimNumber'] : null;
                    $postcodeExeUrl=isset($key['postcode']) ? $key['postcode'] : null;
                }

                if (str_contains($key['@id'], 'deceased-address-1')) {

                    $address4 = isset($key['vcard:adr']) ? $key['vcard:adr'] : null;
                    $address3 = isset($key['adr']) ? $key['adr'] : null;
                    $locality = isset($key['locality']) ? $key['locality'] : null;
                    $postcode = isset($key['postal-code']) ? $key['postal-code'] : null;
                    $address1 = isset($key['street-address']) ? $key['street-address'] : null;
                    $address2 = isset($key['extended-address']) ? $key['extended-address'] : null;
                    $country = isset($key['region']) ? $key['region'] : null;
                    $postcodeUrl=isset($key['postcode']) ? $key['postcode'] : null;
                }
                if (str_contains($key['@id'], 'estateExecutor')) {

                    $nameExe = isset($key['name']) ? $key['name'] : null;
                    $familyNameExe = isset($key['familyName']) ? $key['familyName'] : null;
                    $firstNameExe = isset($key['firstName']) ? $key['firstName'] : null;
                    $mailExe = isset($key['email']) ? $key['email'] : null;
                    $phoneExe = isset($key['telephone']) ? $key['telephone'] : null;
                }
                if (str_contains($key['@id'], 'addressOfExecutor')) {

                    $localityExe = isset($key['locality']) ? $key['locality'] : null;
                    $postcodeExe = isset($key['postal-code']) ? $key['postal-code'] : null;
                    $addressExe = isset($key['street-address']) ? $key['street-address'] : null;
                    $address2Exe = isset($key['extended-address']) ? $key['extended-address'] : null;
                    $countryExe = isset($key['region']) ? $key['region'] : null;
                }
                if(empty($postcodeExe)){
            if(!empty($postcodeExeUrl)){
                if(is_array($postcodeExeUrl)){
                if (str_contains($key['@id'], $postcodeExeUrl[0])) {
                    $postcodeExe=isset($key['label']) ? $key['label'] : null;
            }
        }else{
            if (str_contains($key['@id'], $postcodeExeUrl)) {
                $postcodeExe=isset($key['label']) ? $key['label'] : null;
            }
        }     
            }
            }
            if(empty($postcode)){
            if(!empty($postcodeUrl)){
                if(is_array($postcodeUrl)){
                    if (str_contains($key['@id'], $postcodeUrl[0])) {
                        $postcode=isset($key['label']) ? $key['label'] : null;
                }

                }else{
                if (str_contains($key['@id'], $postcodeUrl)) {
                    $postcode=isset($key['label']) ? $key['label'] : null;
            }
        }
            }       
            }
            if(!empty($postcode)){
                if(!is_array($postcode)){
                    $outcodeArr = explode(' ', $postcode);
                    $outcode = $outcodeArr[0];
                }
                else{

                    $outcode = NULL;
                }
                if($outcode!=NULL){
         
            if(Outcode::where('outcode',$outcode)->exists()){

                $outcodeId=Outcode::where('outcode',$outcode)->first();
            }else{
                $outcodeId=Outcode::create([
                    'outcode'=>$outcode,
                    'price'=>0,
                ]);

            }
            if(PostCode::where('postcode',$postcode)->exists()){

                $postcodeId=PostCode::where('postcode',$postcode)->first();
            }else{
                $postcodeId=PostCode::create([
                    'postcode'=>$postcode,
                    'outcode_id'=>$outcodeId->id
                ]);
            }
            if (!empty($address1)) {
                $address = $address1;
            } elseif (!empty($address3)) {
                $fullAddress=$address3;
                $explode1=  explode(';', $address3);
                $address = $explode1[0];

                $status=2;
            } elseif (!empty($address4)) {
                $fullAddress=$address4;
                $explode2=  explode(';', $address4);
                $address = $explode2[0];
                $status=2;
            }
        }
    }
           
        }
        if($outcode!=NULL){
        if (!Executor::where('company_name', $nameExe)
        ->where('first_name', $firstNameExe)
        ->where('sur_name', $familyNameExe)->exists()) {
        $executor =  Executor::create([
            'company_name' => $nameExe,
            'first_name' => $firstNameExe,
            'sur_name' => $familyNameExe,
            'email' => $mailExe,
            'phone' => $phoneExe,
            'postcode' =>  $postcodeExe,
            'town' =>  $localityExe,
            'address_1' => $addressExe,
            'address_2' => $address2Exe,
            'country' => $countryExe,
        ]);
    } else {
        $executor = Executor::where('company_name', $nameExe)
            ->where('first_name', $firstNameExe)
            ->where('sur_name', $familyNameExe)->first('id');
    }
    ProbateProperty::where('notice_id', $noticeId)->update([

        'firstname' => ltrim($firstName),
        'surname' => ltrim($familyName),
        'reference_number' => $claimNr,
        'postcode_id' => $postcodeId->id,
        'town' => $locality,
        'address_1' =>  ltrim($address),
        'address_2' => $address2,
        'occupation' => $job,
        'claim_date' => $claimDate,
        'death_date' => $deathDate,
        'executor_id' => $executor->id,
        'country' => $country,
        'status' =>  $status,
        'outcode_id' =>  $outcodeId->id,
        'full_address' =>  $fullAddress,
        'publication_date' => date("Y-m-d", strtotime($publicationDate)),
    ]);
    }
}
}
}
        $this->info('successfully notice updated');

        return true;
    }
}