<?php

namespace App\Console\Commands;

use App\Model\HouseNumber;
use App\Model\PropertyHistory;
use App\Model\PropertyHouseNumber;
use App\Model\PropertyPriceHistory;
use App\Model\Withdrawn;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class WithdrawnUpdate extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'withdrawn:update';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'For update withdrawn in all properties';

    /**
     * Create a new command instance.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $now = Carbon::now();
        Log::channel('cron')->info('Cron start: Withdrawn Updates @'.$now->format('Y-m-d H:i:s a'));
        $result=Withdrawn::get(['pid']);
        if (!empty($result)) {
        foreach ($result as $k3 => $v3) {
            $hid = PropertyHistory::where('pid',$v3['pid'])
            ->leftjoin('property_house_number', 'property_house_number.property_history_id', 'property_history.id')
            ->select('property_house_number.house_number_id', 'property_history.price', 'property_history.id')->first();
          
            //  In price history table manually enters withdrwan by condtn
            $exist__ = PropertyPriceHistory::where('property_history_id', $hid->id)
                            
            ->orderby('created_at', 'desc')
            ->orderby('id', 'desc')
            
            ->first();
            if($exist__ ){
            if (($exist__->type) != 'Withdrawn') {
                

            PropertyPriceHistory::create([
                'property_history_id' => $hid->id,
                'event_date' => Carbon::now()->toDateString(),
                'type' => 'Withdrawn',
                'price' => $hid->price,
            ]);
            }
            }
        }
    }
        $result = Withdrawn::get(['pid']);
        if (!empty($result)) {
            foreach ($result as $k3 => $v3) {
                $hid = PropertyHistory::where('pid', $v3['pid'])
                    ->leftjoin('property_house_number', 'property_house_number.property_history_id', 'property_history.id')
                    ->select('property_house_number.house_number_id', 'property_history.price', 'property_history.id')->first();

                if ($hid->house_number_id) {
                    $numberID = $hid->house_number_id;

                    $propertiesHR = PropertyHouseNumber::where('house_number_id', $numberID)
                        ->get(['property_history_id'])->toArray();
                        $data3=[];
                    foreach ($propertiesHR as $keyy => $vall) {
                        $data3[] = PropertyPriceHistory::where('property_history_id', $vall['property_history_id'])
                            ->orderby('created_at', 'desc')
                            ->orderby('id', 'desc')
                            ->pluck('type')
                            ->first()
                        ;
                    }
                    $uniqueType = array_unique($data3);

                    if (count($uniqueType) == 1 && 'Withdrawn' == $data3[0]) {

                        if(HouseNumber::where('id', $numberID)->where('latest_status','<>',3)->exists()){
                        HouseNumber::where('id', $numberID)->update([
                            'latest_status' => 3,
                            'withdrawn_date' => Carbon::now()->toDateString(),
                            'price_change_diff' => null,
                            'price_drop_date' => null,
                            'sold_date' => null,
                            'last_sold_price' => null,
                            'sold_year' => null,
                            'new_to_market'=>0
                        ]);
                    }
                }
                }

                // Update status in property histoey
                if(PropertyHistory::where('pid', $v3['pid'])->where('property_current_status','<>',3)->exists()){
                PropertyHistory::where('pid', $v3['pid'])->update([
                    'property_current_status' => 3,
                    'for_sale' => 3,
                    'price_drop_date' => null,
                    'price_drop' => null,
                    'sold_date' => null,
                    'withdrawn_date' => Carbon::now()->toDateString(),
                ]);

                }
                Withdrawn::where('pid', $v3['pid'])->delete();
            }
        }

        $this->info('successfully withdrawn updated');

        return true;
    }
}
