<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        Commands\PropertyUpdates::class,
        Commands\WithdrawnUpdate::class,
        Commands\NoticeUpdate::class,
        Commands\ProbatePropertyUpdate::class,
    ];

    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('cron:property-updates')->twiceDaily(1, 13);
        $schedule->command('withdrawn:update')->everyMinute();
        $schedule->command('notice:update')->everyMinute();
        $schedule->command('probateproperty:update')->everyTwoMinutes();
    }

    /**
     * Register the commands for the application.
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
