<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Model\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Validator;

class AdminController extends Controller
{
    public function loginAs(Request $request)
    {
        $rules = [
            'user' => 'required',
        ];

        $validator = validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return $this->simpleReturn('msg_error', $validator->errors()->first());
        }
        $authUser = json_decode(Session::get(config('propai.authSessionKey')));

        $data = User::where('id', $request->user)->where('organisation_id', $authUser->organisation_id)->first();
        if ($data) {
            SESSION::put('admin_id', $authUser->id);

            SESSION::put(config('propai.authSessionKey'), json_encode($data->toArray()));
            SESSION::put('admin_as', 1);

            return $this->simpleReturn('success', $data['user_type']);
        }

        return $this->simpleReturn('msg_error', 'Cannot find user');
    }

    //back to admin
    public function loginAsAdmin(Request $request)
    {
        $admin_id = SESSION::get('admin_id');
        SESSION::flush();
        $data = User::where('id', $admin_id)->first();
        SESSION::put(config('propai.authSessionKey'), json_encode($data->toArray()));

        return $this->simpleReturn('success', $data['user_type']);
    }
}
