<?php

// <summary>
// File : PropertyController
// File Type : Controller
// Creator : Susmi Sidharthan
// Email: susmi@designdirect@gmail.com
// Company: Design Direct UK
// Description ; This is used as web controller for all estate agent Property controller.
// </summary>

namespace App\Http\Controllers\Admin;

use App\Helpers\Helper;
use App\Model\Agency;
use App\Model\CampaignLetterHistory;
use App\Model\HouseNumber;
use App\Model\Outcode;
// use Symfony\Component\HttpFoundation\StreamedResponse;
use App\Http\Controllers\Controller;
use App\Model\PostCode;
use App\Model\ProbatePropertyCampaign;
use App\Model\PropertyComment;
use App\Model\PropertyFlag;
use App\Model\PropertyHistory;
use App\Model\PropertyLetter;
use App\Model\PropertyPriceHistory;
use App\Model\UserNotification;
use App\Model\UserOutcode;
use App\Model\Executor;
use App\Model\ProbateProperty;
use App\Model\ProbateComment;
use App\Model\User;
use App\Model\ProbatePropertyFlag;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Storage;
use Redirect;
use Validator;

class ProbatePropertyController extends Controller
{
    public $trigger = [
        0 => 'General Letters',
        1 => 'New to Market',
        2 => 'For sale',
        3 => 'Sold',
        4 => 'Withdrawn',
        5 => 'Price drop',
        6 => 'Fallen Through',
        7 => '8 Week',
        8 => '16 Week',
        9 => '22 Week',
    ];

    //All property
    public function allProbateProperty()
    {
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $page_title = 'Probate Properties';
        $active = 2;
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
        $post_code = UserOutcode::join('outcode', 'outcode.id', 'user_outcode.outcode_id')->where('user_id', $user_id)->join('postcode', 'outcode.id', 'postcode.outcode_id')->where('user_outcode.status', 1)->where('outcode.archive', 0)->select('postcode.*')->orderBy('postcode.postcode', 'asc')->get();
        // $property = PropertyHistory::select('property_type', 'id')->get()->unique('property_type');

        // $agency = Agency::get();
        // $outcodes = ProbateProperty::where('outcode','<>',null)->select('outcode')->orderBy('outcode', 'asc')->get()->unique('outcode');
        $userOutcodes = $this->userOutcodes();
        $campaign = 1;
        $filter = true;
        $search_data = json_decode(Session::get('search_data' ));       
        // dd($search_data);
        $enable_export = User::find($user_id)->enable_export;
        return view('all-probate-property', compact('page_title', 'post_code', 'userOutcodes', 'user_type', 'active', 'campaign', 'filter','search_data','enable_export'));
    }

    public function allProbatePropertyArray(Request $request)
    {

     //$user_outcode = $this->userOutcode();
    if (SESSION::has(config('propai.authSessionKey')) && json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode) {
            $selOutcode = json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode;         
            $selectedOutcode = $selOutcode->outcode;
            //dd($selectedOutcode);
        }
        $selOutcodeId = $selectedOutcode && $selectedOutcode =='HA1' ? 4258 : 3682;      

       // $user_outcode = $this->userOutcode();
        $selOutcodeCollection = collect((object) [0 => $selOutcodeId]);
        $user_outcode = $selOutcodeCollection;

     $query = ProbateProperty::join('executor','executor.id','probate_property.executor_id')
        ->join("postcode", "postcode.id", "probate_property.postcode_id")
        ->join("outcode", "outcode.id", "postcode.outcode_id")
        $data = $query
 //property detail page
 public function probatePropertyDetails(Request $request)
 {
     $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;
     $prop_id = Helper::decryptData($request->property_id);

    $property_details = ProbateProperty::join('executor','executor.id','probate_property.executor_id')->where('probate_property.id',$prop_id)
    ->select('probate_property.*','executor.first_name as e_firstname','executor.sur_name as e_surname','executor.company_name as e_address','executor.address_1 as e_address1','executor.address_2 as e_address2'
    ,'executor.town as e_town','executor.postcode as e_postcode','executor.country as e_country')->first();
    // dd($property_details);
     $prop = true;
    //  $probate_property_id = Helper::decryptData($request->property_id);
    
    $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;

    $page_title = '';

    $comments = ProbateComment::where('user_id',$user_id)->get();

    $listing_activity ='';

    return view('probate-property-details', compact('property_details','comments'));
 }


 //add property comment
 public function addProbatePropertyComment(Request $request)
 {
     $rules = [
         'comment' => 'required',
         'property' => 'required',
     ];

     $validator = validator::make($request->all(), $rules);

     if ($validator->fails()) {
         return Redirect::back()->with('error', $validator->errors()->first());
     }
     
     $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;

     $add = new ProbateComment();
     $add->property_id = $request->property;
     $add->comment = $request->comment;
     $add->user_id = $user_id;
     if ($add->save()) {
         return Redirect::back()->with('success', 'Successfully comment deleted..!');
     }

     return Redirect::back()->with('error', 'Something went wrong...!');
 }

 public function deleteProbatePropertyComment(Request $request){
    $rules = [
        'comment' => 'required',
    ];

    $validator = validator::make($request->all(), $rules);

    if ($validator->fails()) {
        return $this->simpleReturn('error', $validator->errors()->first());
    }

    $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;

    $update = ProbateComment::where('id', $request->comment)->delete();
    if ($update) {
        return $this->simpleReturn('success', 'Successfully comment deleted..!');
    }

    return $this->simpleReturn('error', 'Something went wrong...!');
 }

 //property status change
 public function statusChange(Request $request)
 {
     // return $request->all();

     $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;

     foreach ($request->property as $probate_id) {
         $exist_data = ProbatePropertyFlag::where('user_id', $user_id)->where('probate_id', $probate_id)->first();

         if ('' != $exist_data) { //update
             // $update = ProbatePropertyFlag::where('id',$exist_data['id'])
             //     ->update(['flag' => $request->flag]);
             $update = ProbatePropertyFlag::find($exist_data['id']);
             $update->fill(['flag' => $request->flag])->save();

             if (!$update) {
                 return $this->simpleReturn('error', 'Something went wrong...!');
             }
         } else { //insert
             $add = new ProbatePropertyFlag();
             $add->probate_id = $probate_id;
             $add->user_id = $user_id;
             $add->flag = $request->flag;
             if (!$add->save()) {
                 return $this->simpleReturn('error', 'Something went wrong...!');
             }
         }
     }

     return $this->simpleReturn('success', 'Successfully updated the status...!');
 }


  //property add to campaign
  public function addToCampaignProbateProperty(Request $request)
  {
      $rules = [
          'property' => 'required',
      ];

      $validator = validator::make($request->all(), $rules);

      if ($validator->fails()) {
          return $this->simpleReturn('error', $validator->errors()->first());
      }

      $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;
      
      foreach ($request->property as $property_id) {
          $exist_data = ProbatePropertyCampaign::where('user_id', $user_id)->where('property_id', $property_id)->where('campaign_id', null)->first();

          if (!$exist_data) {
              $add = new ProbatePropertyCampaign();
              $add->property_id = $property_id;
              $add->user_id = $user_id;
              if (!$add->save()) {
                  return $this->simpleReturn('error', 'Something went wrong...!');
              }
          }
      }

      return $this->simpleReturn('success', 'Successfully added to campaign...!');
  }

  
}
