<?php
// <summary>
// File : PropertyController
// File Type : Controller
// Creator : Susmi Sidharthan
// Email: susmi@designdirect@gmail.com
// Company: Design Direct UK
// Description ; This is used as web controller for all estate agent Property controller.
// </summary>

namespace App\Http\Controllers;

use App\Mail\PostCodeSubmissionAdmin;
use App\Mail\PostCodeSubmissionEstateAgent;
use App\Model\Outcode;
use App\Model\User;
use App\Model\UserOutcode;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Session;
use Redirect;
use Validator;

class AgentController extends Controller
{
    public function editSubscription(Request $request)
    {
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;

        $sub_outcode = UserOutcode::where('user_id', $user_id)->select('outcode_id')->get();

        $outcode = outcode::select('id', 'outcode as text')
            ->where('archive', 0)
            ->whereNotIn('id', $sub_outcode)
            ->get();
        // $user_outcode = UserOutcode::where('user_id',$user_id)->pluck("outcode_id")->toArray();

        $user_outcode_details = UserOutcode::join('outcode', 'outcode.id', 'user_outcode.outcode_id')->where('user_id', $user_id)->where('outcode.archive', 0)->where('user_outcode.status', 1)->select('outcode.*')->get();
        $pending = UserOutcode::join('outcode', 'outcode.id', 'user_outcode.outcode_id')->where('user_id', $user_id)->where('outcode.archive', 0)->where('user_outcode.status', 0)->select('outcode.*')->get();

        // $outcode = (json_encode($outcode));
        $vat = 0;
        $total = 0;
        $user_outcode_total = 0;

        $user_outcode_total_data = UserOutcode::join('outcode', 'outcode.id', 'user_outcode.outcode_id')->where('user_id', $user_id)->where('outcode.archive', 0)->where('user_outcode.status', 1)->select(DB::raw("SUM(price) as total"))->groupby('user_outcode.user_id')->first();
        if ($user_outcode_total_data) {
            $vat = (20 / 100) * $user_outcode_total_data->total;
            $total = $user_outcode_total_data->total + $vat;
            $user_outcode_total = $user_outcode_total_data->total;

        }

        $page_title = "Add PostCode";
        return view('subscription', compact('page_title', 'outcode', 'user_outcode_details', 'user_outcode_total', 'vat', 'total', 'pending'));
    }

    public function outcodeDetails(Request $request)
    {
        $data = Outcode::where('id', $request->outcode_id)->first();
        return $data;
    }

    // update subscription
    public function updateSubscription(Request $request)
    {
        ini_set('max_execution_time', 180);
        $rules = array(
            'outcode' => 'required',
        );

        $validator = validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return Redirect::back()->with('error', $validator->errors()->first());
        } else {
            $newOutcodes = [];
            $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;
            $userOutcodes = UserOutcode::where('user_id', $user_id)->where('status', 1)->pluck('outcode_id')->toArray();

            // $delete = UserOutcode::where('user_id',$user_id)->delete();

            foreach ($request->outcode as $item) {
                if (!in_array($item, $userOutcodes)) {
                    $newOutcodes[] = $item;
                }
                $add = new UserOutcode();
                $add->user_id = $user_id;
                $add->outcode_id = $item;
                $add->save();

            }
            $user = json_decode(Session::get(config('propai.authSessionKey')));

            if (count($newOutcodes) > 0) {

                $recieverName = $user->first_name;
                $outcodes = outcode::whereIn('id', $newOutcodes)->get();

                // mail to estate agent
                $toEmail = $user->email;
                $inputs = ['recieverEmail' => $toEmail, 'recieverName' => $recieverName, 'outcodes' => $outcodes];
                // Mail::to($toEmail)->send(new PostCodeSubmissionEstateAgent($inputs));

                // mail to admin
                $admin = User::where('user_type', 1)->first();
                $toEmail = $admin->email;
                $inputs = ['recieverEmail' => $toEmail, 'outcodes' => $outcodes];
                // Mail::to($toEmail)->send(new PostCodeSubmissionAdmin($inputs));
            }

            return Redirect::route('editSubscription')->with('msg_success', "The postcode will be available after Admin verification.");
        }
    }

    public function paymentPage(Request $request)
    {
        $page_title             = "My Wallet";
        $user_id                = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $data                   = ['user_id' => $user_id];
        $PaymentController      = new PaymentController();
        $payment_fetch_data     = $PaymentController->fetchPaymentDetails($data);

        return view('payment', compact('page_title', 'payment_fetch_data'));
    }
}
