<?php

namespace App\Http\Controllers;

use App\Model\Agency;
use App\Model\ErrorLog;
use App\Model\HouseNumber;
use App\Model\Outcode;
use App\Model\PostCode;
use App\Model\PropertyHistory;
use App\Model\PropertyHouseNumber;
use App\Model\PropertyPriceHistory;
use App\Model\PropertySaleHistory;
use App\Model\Withdrawn;
use Carbon\Carbon;
use File;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Validator;

class ApiPropertyUpdateController extends Controller
{
    
    public function updateProperty(Request $request)
    {
        @ini_set('max_execution_time',0);
        @set_time_limit(-1);
        @ini_set('memory_limit', '-1');
        
            $validator = Validator::make($request->all(), [
                'upload_file' => 'required',
                'site' => 'required',
                'outcode' => 'required',
            ]);

            if ($validator->fails()) {
                $error_messages = implode(',', $validator->messages()->all());

                $response_array = ['success' => false, 'error' => ('invalid_input'), 'error_code' => 101, 'error_messages' => $error_messages];

                return $response = response()->json($response_array, 200);
            }
            $sitename = $request->site;

            if (!empty($request->file('upload_file'))) {
                $path = $request->file('upload_file')->getRealPath();

                try {
                    $getData = json_decode(file_get_contents($path));
                    $propertyArray = json_decode(json_encode($getData), true);
                } catch (\Exception $e) {
                    return response()->json([
                        'msg' => 'Invalid file',
                        'error' => $e->getMessage(),
                    ]);
                }
                if (empty($propertyArray)) {
                    return response()->json([
                        'msg' => 'Invalid file',
                    ]);
                }
            }

            $filename = $request->file('upload_file')->getClientOriginalName();

            $explode = explode('-', $filename);
            if ($request->outcode != $explode[0]) {
                return response()->json([
                    'msg' => 'Please enter valid outcode',
                ]);
            }
            $explode2 = explode('.', $explode[1]);
            if ($request->site != $explode2[0]) {
                return response()->json([
                    'msg' => 'Please enter valid site name',
                ]);
            }

            $uploadStartTime = time();
            //checking site name
            if ('zoopla' == $sitename) {
                $portal = 1;
            } else {
                $portal = 0;
            }
            $oldProperties = PropertyHistory::leftjoin('postcode', 'postcode.id', 'property_history.postcode_id')
                ->leftjoin('outcode', 'outcode.id', 'postcode.outcode_id')
                ->where('outcode.outcode', $request->outcode)
                ->where('property_history.portal', $portal)
                ->pluck('property_history.pid')->toArray();
            
            foreach ($propertyArray as $k => $v) {

                if (preg_match('/^[0-9]+$/', $v['pid'])) {
                    $pid[] = $v['pid'];
                }
            }
      
            if (!empty($pid)) {
                if (!empty($oldProperties)) {
                $result = array_diff($oldProperties, $pid);
            
            }
        }

            if (!empty($result)) {
                $withdrawnArray = [];
                foreach ($result as $withdrawn) {
                    $withdrawnArray[]=['pid'=>$withdrawn];
                 }
                
            //       $withdrawnDetailsCollection = collect($withdrawnArray)->chunk(100)->toArray();
            // foreach($withdrawnDetailsCollection as $chunk){
            //     Withdrawn::insert($chunk);
            // }
            
            }

            
           
     
            
        return response()->json(['success' => true,'old_count'=>count($oldProperties),'new_count'=>count($pid),'new'=>$pid,'old'=>$oldProperties]);
    }
}
