<?php

// <summary>
// File : CommonController
// File Type : Controller
// Creator : Susmi Sidharthan
// Email: susmi@designdirect@gmail.com
// Company: Design Direct UK
// Description ; This is used as web controller for all estate agent Property controller.
// </summary>

namespace App\Http\Controllers;

use App\Helpers\Helper;
use App\Model\Outcode;
use App\Model\PostCode;
// use Symfony\Component\HttpFoundation\StreamedResponse;

use App\Model\PropertyHistory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class CommonController extends Controller
{
    public function getAddNotProperty()
    {
        $page_title = 'Property on the market address unknown';
        $post_code = PostCode::orderBy('postcode', 'asc')->get()->pluck('postcode', 'id');
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
        $active = 3;
        $filter = true;
        $property = PropertyHistory::
            select('property_type', 'id')->get()->unique('property_type');
        $totalProp = true;

        if (2 == $user_type) {
            $userOutcodes = $this->userOutcodes();
        } else {
            $userOutcodes = Outcode::where('archive', 0)
                ->orderBy('outcode.outcode', 'asc')
                ->pluck('outcode.outcode')
            ;
        }

        return view('common.property.property-without-address', compact('page_title', 'post_code', 'userOutcodes', 'user_type', 'active', 'filter', 'property', 'totalProp'));
    }

    public function getAddNotPropertyArray(Request $request)
    {
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;

        $query = PropertyHistory::join('postcode', 'postcode.id', 'property_history.postcode_id')->join('outcode', 'outcode.id', 'postcode.outcode_id')
            ->leftjoin('agency', 'agency.id', 'property_history.agency_id')
            ->leftjoin('property_house_number', 'property_house_number.property_history_id', 'property_history.id')
            ->where('property_house_number.house_number_id', null)
            ->where('property_house_number.property_history_id', null)
            ->Where('postcode.postcode','<>','Unknown')
            ->Where('agency.name','<>','Unknown')    
            ->select('property_history.id', 'outcode.outcode', 'postcode.postcode', 'property_history.address', 'property_history.property_type', 'property_history.price', 'property_history.portal_url', 'property_history.latitude', 'property_history.longitude', 'property_history.portal', 'property_history.title', 'agency.name as agency_name', 'property_history.listed_date')
            ;
        ;
        // ->groupBy("property_history.id", 'outcode.outcode', 'postcode.postcode', 'property_history.address', 'property_history.property_type', 'property_history.price', 'property_history.portal_url', 'property_history.latitude', 'property_history.longitude','property_history.portal','property_history.title');

        if (2 == $user_type) {
            $user_outcode = $this->userOutcode();
            $outcodes = $this->userOutcodes();
            $query = $query->whereIn('outcode.id', $user_outcode);

            if ($request->has('outcode') && '' != $request->input('outcode')) {
                $query->where('outcode.outcode', $request->input('outcode'));
            }

            if ($request->has('post_code')) {
                if ((0 != $request->post_code && 'undefined' != $request->post_code)) {
                    $query->where('postcode.id', $request->input('post_code'));
                }
            }

            if ($request->has('platform')) {
                if (('-1' != $request->platform && 'undefined' != $request->platform)) {
                    $query->where('property_history.portal', $request->input('platform'));
                }
            }
            if ($request->has('date_from') && $request->has('date_to')) {
                if (('' != $request->date_from && '' != $request->date_to)) {
                    $date_from = date('Y-m-d', strtotime($request->date_from));
                    $date_to = date('Y-m-d', strtotime($request->date_to));
                    $query->whereBetween('property_history.listed_date', [$date_from, $date_to]);
                }
            }
            if ($request->has('type')) {
                if (('0' != $request->type && 'undefined' != $request->type)) {
                    $query->where('property_history.property_type', $request->input('type'));
                }
            }
        }
        if (1 == $user_type) {
            $outcodes = Outcode::where('archive', 0)
                ->orderBy('outcode', 'asc')
                ->pluck('outcode.outcode')
            ;
            if ($request->has('outcode') && '' != $request->input('outcode')) {
                $query->where('outcode.outcode', $request->input('outcode'));
            }
            if ($request->has('post_code')) {
                if ((0 != $request->post_code && 'undefined' != $request->post_code)) {
                    $query->where('postcode.id', $request->input('post_code'));
                }
            }
            if ($request->has('platform')) {
                if (('-1' != $request->platform && 'undefined' != $request->platform)) {
                    $query->where('property_history.portal', $request->input('platform'));
                }
            }
            if ($request->has('date_from') && $request->has('date_to')) {
                if (('' != $request->date_from && '' != $request->date_to)) {
                    $date_from = date('Y-m-d', strtotime($request->date_from));
                    $date_to = date('Y-m-d', strtotime($request->date_to));
                    $query->whereBetween('property_history.listed_date', [$date_from, $date_to]);
                }
            }

            if ($request->has('type')) {
                if (('0' != $request->type && 'undefined' != $request->type)) {
                    $query->where('property_history.property_type', $request->input('type'));
                }
            }
        }

        // Table's primary key
        $primaryKey = 'id';

        $columns = [
            0 => 'outcode',
            1 => 'id',
            2 => 'address',
            3 => 'price',
            4 => 'listed_date',
            5 => 'agency_name',
            6 => 'type',
        ];

        $data = $query->get();
        $totalData = count($data);
        $totalFiltered = $totalData;

        $limit = $request->length;
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');

        if (empty($request->input('search.value'))) {
            $list = $query->orderBy($order, $dir)->offset($start)->limit($limit)->get();
        } else {
            $search = $request->input('search.value');

            $totalFiltered = $query->where(function ($q) use ($search) {
                $q->Where('property_history.address', 'like', '%'.$search.'%')
                    ->orWhere('agency.name', 'like', '%'.$search.'%')
                    ->orWhere('property_history.property_type', 'like', '%'.$search.'%')
                    ->orWhere('outcode.outcode', 'like', '%'.$search.'%')
                    ->orWhere('postcode.postcode', 'like', '%'.$search.'%')
                    ->orWhere('property_history.price', 'like', '%'.$search.'%')
                ;
            })->orderBy($order, $dir)->get();

            $totalFiltered = count($totalFiltered);

            $list = $query->where(function ($q) use ($search) {
                $q->Where('property_history.address', 'like', '%'.$search.'%')
                    ->orWhere('agency.name', 'like', '%'.$search.'%')
                    ->orWhere('property_history.property_type', 'like', '%'.$search.'%')
                    ->orWhere('outcode.outcode', 'like', '%'.$search.'%')
                    ->orWhere('postcode.postcode', 'like', '%'.$search.'%')
                    ->orWhere('property_history.price', 'like', '%'.$search.'%')
                ;
            })->orderBy($order, $dir)
                ->offset($start)
                ->limit($limit)
                ->get()
            ;
        }

        $dataArr = [];
        if (!empty($list)) {
            $i = 1;
            foreach ($list as $item) {
                $encrpt_id = Helper::encryptData($item->id);
                if ('' != $item->latitude && '' != $item->longitude) {
                    $map_url = "https://www.google.com/maps?q={$item->latitude},{$item->longitude}";
                } else {
                    $map_url = "https://www.google.com/maps?q={$item->postcode}";
                }

                $nestedData['outcode'] = $item->outcode;
                if (0 == $item->price) {
                    $nestedData['price'] = 'POA';
                } else {
                    $nestedData['price'] = '&pound;'.number_format($item->price);
                }

                if ($item->listed_date) {
                    $listed_date = date('Y-m-d', strtotime($item->listed_date));
                    $today = date('Y-m-d');
                    $days = (strtotime($today) - strtotime($listed_date)) / (60 * 60 * 24);
                    $nestedData['listed_date'] = date('d M Y', strtotime($item->listed_date)).'<div style="width: 82px;">Days - '.$days.'</div>';
                } else {
                    $nestedData['listed_date'] = 'Hidden from public';
                }

                $nestedData['agency'] = $item->agency_name;

                $url = route('propertyHistoryDetails', ['property_id' => $encrpt_id]);

                $nestedData['outcode'] = $item->outcode;

                $nestedData['property_number'] = '<div class="input-group">
                    <input type="text" id="inp_'.$i.'" name="property_number" class="form-control" placeholder="Property Number">
                    <div class="input-group-append">
                        <button data-id="'.$i.'"  type="button"  title="Submit Property Number" class="btn btn-primary addPropNumber" prop_id="'.$item->id.'"><i class="flaticon-paper-plane icon-lg"></i></button>
                    </div>
                </div>';
                
                if (!empty($item->house_number)) {
                    $address2 = $item->address;
                } else {
                    $address2 = $item->address.',<br>  '.$item->postcode;
                }
                $nestedData['address'] = "<a href='{$url}'>{$address2}</a>";

                // $nestedData['type'] = $totalFiltered;
                $nestedData['type'] = $item->title.' <br> '.ucfirst($item->property_type);
                if (0 == $item->portal) {
                    $nestedData['url'] = "<a title='Click here to see the listing' target='rightmove' class='btn btn-rightmove btn-sm' href='{$item->portal_url}'><i class='icon-lg'>R</i></a><a target='street_view' title='Access Street View' class='btn btn-danger btn-sm ml-2' href='{$map_url}'><i class='flaticon2-map icon-lg'></i></a>";
                } else {
                    $nestedData['url'] = "<a title='Click here to see the listing' target='zoopla' class='btn btn-zoopla btn-sm' href='{$item->portal_url}'><i class='icon-lg'>Z</i></a><a target='street_view' title='Access Street View' class='btn btn-danger btn-sm ml-2' href='{$map_url}'><i class='flaticon2-map icon-lg'></i></a>";
                }

                ++$i;

                $dataArr[] = $nestedData;
            }
        }
       
         
        $json_data = [
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($totalData),
            'recordsFiltered' => intval($totalFiltered),
            'data' => $dataArr,
            'outcode' => $outcodes,
        ];

        return json_encode($json_data);
    }
}
