<?php
// <summary>
// File : HomeController
// File Type : Controller
// Creator : Sandeep Kumar
// Email: sandeepdesigndirect@gmail.com 
// Company: Design Direct UK
// Description ; 1.Home page
// </summary>    


namespace App\Http\Controllers\Frontend;

use Illuminate\Http\Request;
use Redirect,Validator;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use Response;
use Mail;
use App\Model\User;

class HomeController extends Controller
{       
   // load home page
 public function home()
 {
    return view('frontend.home');
}
        /**
     * Function Usage : Save user registration details
     *
     * @param Request $request
     * @return mixed
     */
        public function create(Request $request)
        {
            $data = $request->all();
            $messages = [
                'email.required' => 'email required',
                'email.email' => 'must be a valid email address',
                'firstname.required' => 'First name required',
                'phone.required' => 'Phone required',
                
            ];
            $rules = array(

                'email' => 'required|email|unique:users',
                'firstname' => 'required',
                'phone' => 'required'
            );
            $validator = Validator::make($data, $rules, $messages);

            if ($validator->fails()) {
                return Response::json(['errors' => $validator->errors()]);
            } else {

                $addUser = new User();
                $addUser->first_name = ucfirst($request->firstname);
                $addUser->last_name = ucfirst($request->lastname);
                $addUser->email = $request->email;
                $addUser->is_active = 1;
                $addUser->user_type = 2;  
                $addUser->demo_user = 1; 
                $addUser->save();

                if ($addUser->id) {              
                    if ($addUser->is_active==1 ) {
                     SESSION::put(config('propai.authSessionKey'), json_encode($addUser->toArray()));         
                     return Response::json(['success' => '1']);
                 }
             } else {
                return redirect()->back()->with('message', 'Registration failed!');
            }
        }
    }

    function aboutus()
    {
        return view('pages.aboutus');
    }
    function howitworks()
    {
        return view('pages.howitworks');
    }
    function pricing()
    {
        return view('pages.pricing');
    }

    function contact()
    {
        return view('pages.contact');
    }
    public function contactPost(Request $request)
    {
       $rules = array(
        'name' => 'required',
        'phone' => 'required',
        'email' => 'required|email',
        'comment' => 'required'
    );
       $validator = Validator::make($request->all(), $rules);
       
       if ($validator->passes()) {
        $from_email = $request->get('email');
        $to_email = env('MAIL_TO');

        Mail::send('email', 
            array(
                'name' => $request->get('name'),
                'email' => $request->get('email'),
                'phone' => $request->get('phone'),
                'comment' => $request->get('comment')
            ),
            function($message) use($from_email,$to_email) {
              $message->from($from_email)
              ->to($to_email)
              ->subject('Enquiry');
          });

        return back()->with('success', 'Thanks for contacting us, We will get back to you soon!');
    }
}




}                                                               