<?php
// <summary>
// File : LoginController
// File Type : Controller
// Creator : Susmi Sidharthan
// Email: susmi@designdirect@gmail.com 
// Company: Design Direct UK
// Description ; This is used as web controller for all user login,signup,forgotpassword,reset password, etc functions are here.
// </summary>    


namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Redirect,Validator;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use Response;
use App\Model\User;
use App\Model\Outcode;

class LoginController extends Controller
{   

    public function index() {  

    	if (Session::has(config('propai.authSessionKey'))) { 
            return redirect()->route('userHome');
        }

        if(isset($_COOKIE["login_email"]) and isset($_COOKIE["login_pwd"])) {
            $data = User::where( 'email', $_COOKIE["login_email"])->first(); 
            if ($data) {
             if (Hash::check($_COOKIE["login_pwd"], $data->password)) {
                Session::put(config('propai.authSessionKey'), json_encode($data->toArray()));
            }
            return redirect()->route('userHome');
        }
    }
    return view('common.login');

}


    //login 
public function login(){ 
    return Redirect::route('userHome');
}   

    //login submission
public function loginPost(Request $request){ 
  //  dd($request->all());
 if($request->user_type=='demo')
 {
   $rules=array(
    'email'=>'required|email',
);
   $validator=validator::make($request->all(),$rules);
   if($validator->fails())
   {
     return Response::json(['errors' => $validator->errors()]);
 }
 else{            
   // Session::flush();
    $data = User::where('email', $request->email)->first(); 
    $data['user_selected_outcode'] = Outcode::findorfail($request->outcode);
    if($data){  
       if (isset($data['is_active']) && $data['is_active']==1 ) 
       {
           SESSION::put(config('propai.authSessionKey'), json_encode($data->toArray())); 
           if($request->remember_me)
           {
            setcookie ("login_email",$request->username,time()+ (10 * 365 * 24 * 60 * 60));
            setcookie ("login_pwd",$request->password,time()+ (10 * 365 * 24 * 60 * 60));
        }
        return Response::json(['success' => '1','user_type' => $request->user_type]);
    }
    else
{
   $errorMsg = 'Invalid Email!';
   return Response::json(['status' => false,'errorMsg' => $errorMsg]);
}
}
else
{
   $errorMsg = 'Invalid Email!';
   return Response::json(['status' => false,'errorMsg' => $errorMsg]);
}
}
}
else
{
    $rules=array(
        'email'=>'required|email',
        'password'=>'required|min:6',
    );

    $validator=validator::make($request->all(),$rules);

    if($validator->fails())
    {

       return redirect()->route('userIndex')->withErrors($validator)->withInput();
       // return $this->simpleReturn('msg_error', $validator->errors()->first());
   }else{
    Session::flush();
    $data = User::where('email', $request->email)->first(); 
    if ($data) {
        if (isset($data['is_active']) && $data['is_active']==1 ) {
            if (Hash::check($request->password, $data['password'])) { 

                SESSION::put(config('propai.authSessionKey'), json_encode($data->toArray()));  
                if($request->remember_me){
                    setcookie ("login_email",$request->username,time()+ (10 * 365 * 24 * 60 * 60));
                    setcookie ("login_pwd",$request->password,time()+ (10 * 365 * 24 * 60 * 60));
                }
                return redirect()->route('userHome');
                   // return $this->simpleReturn('success', $data['user_type']);

            }else{

                $errorMsg = "Invalid username or password";
                return redirect(route('userIndex'))->with('errorMsg', $errorMsg);

                    //return $this->simpleReturn('error','Invalid Password');
            }
        }else{
         $errorMsg = "The account not active, Please contact administrator.";
         return redirect(route('userIndex'))->with('errorMsg', $errorMsg);

     }
 }else{
    $errorMsg = "The user credentials not existed";
    return redirect(route('userIndex'))->with('errorMsg', $errorMsg);
           // return $this->simpleReturn('error','The user credentials not existed.');
}
}
}



}

    //Sign up submission
public function signupPost(Request $request){
    $rules=array(
        'first_name'=>'required|max:20',
        'last_name'=>'required|max:20',
        'email'=>'required|email|unique:users,email',
        'password'=>'required|min:6',
        'confirm_password' => 'required_with:password|same:password|min:6',
    );

    $validator=validator::make($request->all(),$rules);

    if($validator->fails())
    {
        return $this->simpleReturn('error', $validator->errors()->first());

    }else{
        $addUser = new User();
        $addUser->first_name = ucfirst($request->first_name);
        $addUser->last_name = ucfirst($request->last_name);
        $addUser->email = $request->email;
        $addUser->is_active = 0;
        $addUser->password = Hash::make($request->password);
        $addUser->user_type = 2;
        if($addUser->save()){
            $user_id = $addUser->id;
            $data = User::where('id',$user_id)->first();
            return $this->simpleReturn('success', 'After admin appoval login your account.');
        }else{
            return $this->simpleReturn('error','Something Went Wrong...!');
        }
    }
}

    //register 
public function register(){ 
    return view('frontend.register');
}   
   //register submission
public function saveRegister(Request $request){
    $rules=array(
        'first_name'=>'required|max:20',
        'last_name'=>'required|max:20',
        'phone'=>'required',
        'email'=>'required|email|unique:users,email',
        'password'=>'required|min:6',
        'confirm_password' => 'required_with:password|same:password|min:6',
    );

    $validator=validator::make($request->all(),$rules);

    if($validator->fails())
    {
        return redirect()->route('userRegister')->withErrors($validator)->withInput();
        //return $this->simpleReturn('error', $validator->errors()->first());

    }else{
        $addUser = new User();
        $addUser->first_name = ucfirst($request->first_name);
        $addUser->last_name = ucfirst($request->last_name);
        $addUser->email = $request->email;
        $addUser->contact_number = $request->phone;
        $addUser->is_active = 0;
        $addUser->password = Hash::make($request->password);
        $addUser->user_type = 2;
        if($addUser->save()){
            $user_id = $addUser->id;
            $data = User::where('id',$user_id)->first();
            $message = "After admin appoval login your account";
            return redirect(route('userRegister'))->with('message', $message);
            //return $this->simpleReturn('success', 'After admin appoval login your account.');
        }else{
            $errorMsg = "Something Went Wrong...!";
            return redirect(route('userRegister'))->with('errorMsg', $errorMsg);
           // return $this->simpleReturn('error','Something Went Wrong...!');
        }
    }
}

    // logout
public function logout(Request $request){
    Session::forget(config('propai.authSessionKey'));
    Session::forget('impersonatedby');
    Session::forget('impersonated');
    Session::flush();
    if(isset($_COOKIE["login_email"]) and isset($_COOKIE["login_pwd"])) {
        setcookie ("login_email","",time()- (10 * 365 * 24 * 60 * 60));
        setcookie ("login_pwd","",time()- (10 * 365 * 24 * 60 * 60));
    }
    return Redirect::route('home');
}

public function forgotPassword(Request $request)
{

       // $id = json_decode(Session::get(config('propai.authSessionKey')))->id;

    $rules = array(
        'email'     => 'required',

    );

    $validator = validator::make($request->all(), $rules);

    if ($validator->fails()) {
        return $this->simpleReturn('error',$validator->errors()->first());
    } else {

        $user = User::where('email',$request->email)->where('user_type',2)->first();
        if($user){
           return $this->simpleReturn('success', $user->email);
       }
       else{
        return $this->simpleReturn('error','Agent with this email is not found');
    }
}
}

public function saveNewPassword(Request $request){
  $rules = array(
    'email'     => 'required',
    'password'=>'required|min:6',

);

  $validator=validator::make($request->all(),$rules);

  if($validator->fails())
  {
    return $this->simpleReturn('error', $validator->errors()->first());

}else{
   $user = User::where('email',$request->email)->where('user_type',2)->first();
   if($user){
       $user->password = Hash::make($request->password);
       $user->save();
       return $this->simpleReturn('success', 'Password has been successfully changed');
   }
   else{
    return $this->simpleReturn('error','Agent with this email is not found');
}
}
}


}                                                               