<?php
// <summary>
// File : NotificationController
// File Type : Controller
// Creator : Susmi Sidharthan
// Email: susmi@designdirect@gmail.com 
// Company: Design Direct UK
// Description ; This is used as web controller for all estate agent Property controller.
// </summary>    


namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Redirect,Validator;

use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Storage;
// use Symfony\Component\HttpFoundation\StreamedResponse;

use App\Model\User;
use App\Model\HouseNumber;
use App\Model\PropertyFlag;
use App\Model\PropertyComment;
use App\Model\PropertyLetter;
use App\Model\PropertyHistory;
use App\Model\PropertySaleHistory;
use App\Model\PropertyPriceHistory;
use App\Model\PostCode;
use App\Model\UserOutcode;
use App\Model\UserNotification;

use DB;
use App\Helpers\Helper;

class NotificationController extends Controller
{ 
    public function notificationTypeData(Request $request){
       $page_title = '';
       $userOutcodes = $this->userOutcodes();

       $notify_status = ($request->notify_status);
    //    dd($notify_status);
       return view('notification-data',compact('page_title','userOutcodes','notify_status'));
    }

    public function notificationTypeDataArray(Request $request){

        $notify_status = Helper::decryptData($request->notify_status);
        // $notify_status = 0;

        if($notify_status==0){
            $title = "New property";
        }elseif($notify_status==1){
            $title = "For sale";
        }elseif($notify_status==2){
            $title = "Sold Under Offer";
        }elseif($notify_status==3){
          $title = "Withdrawn";
        }elseif($notify_status==4){
            $title = "Price change";
        }elseif($notify_status==6){
            $title = "STC";
        }elseif($notify_status==7){
            $title = "Offer";
        }else{
            $title = "Fallen through";
        }
        $page_title = "Notification of ".$title." Properties";
        $user_id =json_decode(Session::get(config('propai.authSessionKey')))->id;
        $user_outcode = $this->userOutcode();

        // $property = PropertyHistory::join("postcode", "postcode.id", "property_history.postcode_id")->join("outcode", "outcode.id", "postcode.outcode_id")
        //     ->join('user_notification','user_notification.property_history_id','property_history.id')
        //     ->leftjoin("agency", "agency.id", "property_history.agency_id")
        //     ->leftjoin("property_house_number", "property_house_number.property_history_id", "property_history.id")
            
        //     ->where(function ($query) {
        //         $query->where('property_history.archive', '=', '0')
        //             ->orWhereNull('property_history.archive');
        //     })
        //     ->where('user_notification.notify_status',$notify_status)
        //     ->where('user_notification.deleted_at',null)
        //     ->where('user_notification.user_id',$user_id)
        //     ->select("property_history.id", 'outcode.outcode', 'postcode.postcode', 'property_history.address', 'property_history.property_type', 'property_history.price','property_history.listed_date','user_notification.house_number_id','property_history.portal','property_history.portal_url','property_history.title','user_notification.property_history_id','property_history.title')
        //     ->orderBy('user_notification.created_at','desc')
        //     ->get();
            
        $query = UserNotification::join('property_history', 'property_history.id', 'user_notification.property_history_id')
        ->join('outcode', 'outcode.id', 'user_notification.outcode_id')
        ->join("postcode", "postcode.id", "property_history.postcode_id")
        ->leftjoin("property_house_number", "property_house_number.property_history_id", "property_history.id")
        ->leftjoin("house_number", "house_number.id", "property_house_number.house_number_id")
        ->where('user_notification.type', 1)
        ->where('user_notification.user_id', $user_id)
         ->whereIn('outcode.id',$user_outcode)
         ->whereNull('property_house_number.deleted_at')
         ->where('user_notification.notify_status',$notify_status)
        ->select("property_history.id", 'outcode.outcode', 'postcode.postcode', 'property_history.address', 'property_history.property_type', 'property_history.price','property_history.listed_date','user_notification.house_number_id','property_history.portal','property_history.portal_url','property_history.title','user_notification.property_history_id','property_history.title','house_number.house_number');
        //   ->orderBy('user_notification.created_at','desc');
        // ->get();

        if ($request->post_code) {
            // if ((0 != $request->post_code && 'undefined' != $request->post_code)) {
                $query->where('outcode.outcode', $request->input('post_code'));
            // }
        }

         // Table's primary key
         $primaryKey = 'id';

        $columns = [
            0 => 'outcode.outcode',
            1 => 'property_history.address',
            2 => 'house_number.latest_price',
            3 => 'property_history.listed_date',
            4 => 'property_type',
            5 => 'property_type',
            6 => 'property_type'
        ];

        $data =  $query->get();
        $totalData = count($data);
        $totalFiltered = $totalData;

        $limit = $request->length;
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');

        if (empty($request->input('search.value'))) {
            $list = $query->orderBy($order, $dir)->offset($start)->limit($limit)->get();
        } else {
            $search = $request->input('search.value');

            $totalFiltered = $query->where(function ($q) use ($search) {
                $q->Where('property_history.address', 'like', '%'.$search.'%')
                    ->orWhere('agency.name', 'like', '%'.$search.'%')
                    ->orWhere('property_history.property_type', 'like', '%'.$search.'%')
                    ->orWhere('outcode.outcode', 'like', '%'.$search.'%')
                    ->orWhere('postcode.postcode', 'like', '%'.$search.'%')
                ;
            })->orderBy($order, $dir)->get();
            $totalFiltered = count($totalFiltered);

            $list = $query->where(function ($q) use ($search) {
                $q->Where('property_history.address', 'like', '%'.$search.'%')
                    ->orWhere('agency.name', 'like', '%'.$search.'%')
                    ->orWhere('property_history.property_type', 'like', '%'.$search.'%')
                    ->orWhere('outcode.outcode', 'like', '%'.$search.'%')
                    ->orWhere('postcode.postcode', 'like', '%'.$search.'%')
                ;
            })->orderBy($order, $dir)
                ->offset($start)
                ->limit($limit)
                ->get()
            ;

            // $totalFiltered = $query->Where('property_history.address', 'like', '%' . $search . '%')
            //     ->orWhere('agency.name', 'like', '%' . $search . '%')
            //     ->orWhere('property_history.property_type', 'like', '%' . $search . '%')
            //     ->count();
        }

        $dataArr = [];

        if (!empty($list)) {
            $i = 0;
            foreach ($list as $item) {

                $portal_url = $this->houseNumberPortal($item->house_number_id);
                $platform = '';
                $r = 0;
                $z = 0;
                $r_count = '';
                $z_count = '';
                if (count($portal_url)) {
                    $platform = '<div class=" d-flex">';
                    foreach ($portal_url as $url) {
                        // $r_count="";$z_count="";
                        if (0 == $url->portal) {
                            ++$r;
                        } else {
                            ++$z;
                        }
                    }
                    if ($r > 0) {
                        $r_count = '<a class="btn btn-rightmove  btn-xs  text-center btn-static"  href="javascript:void(0)"><i class="icon-md">R</i></a><span class="counter counter-lg">'.$r.'</span>';
                    }
                    if ($z > 0) {
                        $z_count = '<a class="btn btn-zoopla  btn-xs  text-center btn-static"  href="javascript:void(0)"><i class="icon-md">Z</i></a><span class="counter counter-lg">'.$z.'</span>';
                    }
                    $platform .= $r_count.$z_count;
                    $platform .= '</div>';
                }
                $nestedData['platform'] = $platform;
                $encrpt_id = Helper::encryptData($item->house_number_id);
                // $url = route('DEOpropertyDetails', ['property_id' => $encrpt_id]);
                $url = route('propertyDetails', ['property_id' => $encrpt_id]);
                ++$i;
                // $nestedData['id'] = $item->house_number_id;
                // $nestedData['sl'] = $i;
                $nestedData['outcode'] = $item->outcode;
                if (!empty($item->house_number)) {
                    $address2 = $item->house_number.','.$item->address;
                } else {
                    $address2 = $item->house_number.','.$item->address.', <br> '.$item->postcode;
                }
                if (!empty($item->created_by)) {
                    $address2 = $item->house_number.','.$item->address.', <br> '.$item->postcode;
                }
                $nestedData['address'] = "<a href='$url'>$address2</a>";

                if (0 == $item->latest_price) {
                    $nestedData['price'] = 'POA';
                } else {
                    $nestedData['price'] = '&pound;'.number_format($item->latest_price);
                }

                if ($item->listed_date) {
                    $listed_date = date('Y-m-d', strtotime($item->listed_date));
                    $today = date('Y-m-d');
                    $days = (strtotime($today) - strtotime($listed_date)) / (60 * 60 * 24);
                    $nestedData['listed_date'] = date('d M Y', strtotime($item->listed_date)).'<div>Number of Days : '.$days.'</div>';
                } else {
                    $nestedData['listed_date'] = 'Hidden from public';
                }

                $nestedData['type'] = $item->title.' <br> '.ucfirst($item->property_type);

                $dataArr[] = $nestedData;
            }
        }

        // $delete  = UserNotification::where('user_notification.user_id',$user_id)
        // ->where('user_notification.notify_status',$notify_status)
        // ->where('user_notification.type',1)
        // // viewed
        // ->delete();

        $update = UserNotification::where('user_notification.user_id',$user_id)
        ->where('user_notification.notify_status',$notify_status)
        ->where('user_notification.type',1)
        ->update(['viewed' => 1]);

        $json_data = [
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($totalData),
            'recordsFiltered' => intval($totalFiltered),
            'data' => $dataArr,
        ];


        // return view('notification-data',compact('page_title','property'));
        return json_encode($json_data);
    }

   
}