<?php

namespace App\Http\Controllers;

use App\Helpers\Helper;
use App\Model\ErrorLog;
use App\Model\HouseNumber;
use App\Model\Outcode;
use App\Model\PostCode;
use App\Model\ProbateProperty;
use App\Model\ProbatePropertyCampaign;
use App\Model\ProbateCampaignLetterHistory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;

class PagesController extends Controller
{
    public function index(Request $request)
    {
   //dd($request->all());
     //echo $lastWeek = date("Y-m-d", strtotime("-7 days")); exit;56
        $page_title = 'Dashboard';
        $page_description = 'Some description for the page';
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;

        $date_from = date('Y-m-d', strtotime('-7 days'));
        $date_to = date('Y-m-d');

        if (SESSION::has(config('propai.authSessionKey')) && json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode) {
            $selOutcode = json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode;         
            $selectedOutcode = $selOutcode->outcode;
            //dd($selectedOutcode);
        }
        $selOutcodeId = $selectedOutcode && $selectedOutcode =='HA1' ? 4258 : 3682;      

       // $user_outcode = $this->userOutcode();
        $selOutcodeCollection = collect((object) [0 => $selOutcodeId]);
        $user_outcode = $selOutcodeCollection;
  
        $outcode = OutCode::whereIn('id', $user_outcode)->get(['id'])->toArray();

        $codes = [];
        foreach (OutCode::whereIn('id', $user_outcode)->select(['outcode'])->get()->toArray() as $key => $value) {
            // $codes[] = '<span class="outcodeSummary text-hover-primary" data-id="'.$value['outcode'].'">'.$value['outcode'].'</span>';
            $codes[] = $value['outcode'];
        }
        $user_outcodes = implode(', ', $codes);

        $new_date_from = date('Y-m-d', strtotime('-7 days'));
        $new_date_to = date('Y-m-d');

        $postcode = PostCode::whereIn('outcode_id', $outcode)->get(['id'])->toArray();
        
       // $user_outcode = $this->userOutcode(); 

        // $price_drop_count = HouseNumber::join('property_house_number', 'property_house_number.house_number_id', 'house_number.id')
        //     ->join('property_price_history', 'property_price_history.property_history_id', 'property_house_number.property_history_id')
        //     ->whereIn('postcode_id', $postcode)
        //     ->where('price_change_diff', '<', 0)
        //     ->whereBetween('property_price_history.event_date', [$new_date_from.'00:00:00', $new_date_to.'23:59:59'])
        //     ->whereNull('house_number.deleted_at')->get()->count();
        
       // $user_outcode = $this->userOutcode();
        $user_outcode = $selOutcodeCollection;

        $price_drop_count = HouseNumber::join('property_house_number', 'property_house_number.house_number_id', 'house_number.id')
        ->join('property_price_history', 'property_price_history.property_history_id', 'property_house_number.property_history_id')
        ->join('postcode','postcode.id','house_number.postcode_id')
        ->join('outcode','outcode.id','postcode.outcode_id')
        ->whereIn('outcode.id', $user_outcode)
        ->Where('property_price_history.type', 'like', '%Price reduced by%')
        ->whereBetween('property_price_history.event_date', [$new_date_from.' 00:00:00', $new_date_to.' 23:59:59'])
        ->whereNull('house_number.deleted_at')
        ->get()
        ->unique('house_number_id')
        ->count();

        
        //print_r($userOutcodes); exit;

        $recently_sold_count = HouseNumber::join('property_house_number', 'property_house_number.house_number_id', 'house_number.id')
        ->join('property_history', 'property_history.id', 'property_house_number.property_history_id')
        ->join('property_price_history', 'property_price_history.property_history_id', 'property_house_number.property_history_id')
        ->whereIn('house_number.postcode_id', $postcode)
        ->where('house_number.latest_status', '!=', 3)
        ->where(function ($q) {
            $q->Where('property_history.sold_stc', 1)
            ->orWhere('property_history.under_offer', 1)
            ;
        })->whereBetween('property_price_history.event_date', [$new_date_from, $new_date_to])
        ->get()->unique('house_number_id');

        $recently_sold_count = count($recently_sold_count);
        // $soldNumberProperty = PropertyHouseNumber::whereIn('house_number_id', $soldNumber)->get(['property_history_id'])->toArray();
        // $recently_sold_get = PropertyHistory::whereIn('id', $soldNumberProperty)
        //     ->select('address')->distinct()->get();
        // $recently_sold_count = $recently_sold_get->count();

        // $new_to_market_count = HouseNumber::whereIn('postcode_id', $postcode)
        //     ->where('new_to_market', 1)
        //     ->whereBetween('listed_date', [$new_date_from, $new_date_to])
        //     ->whereNull('deleted_at')->count();


       // $user_outcode = $this->userOutcode(); 
        $user_outcode = $selOutcodeCollection;


        $new_to_market_count = HouseNumber::join('postcode','postcode.id','house_number.postcode_id')
        ->join('outcode','outcode.id','postcode.outcode_id')
        ->whereIn('outcode.id', $user_outcode)
            // ->where('house_number.new_to_market', 1)
        ->whereBetween('house_number.listed_date', [$new_date_from, $new_date_to])
        ->whereNull('house_number.deleted_at')
        ->get();

        $new_to_market_count = count($new_to_market_count);
        //probate property last month,all count,campaign count
        $totalCountData = $this->probatePropertyCount(); 

        $probateProperties = ProbateProperty::join('executor','executor.id','probate_property.executor_id')
        ->join("postcode", "postcode.id", "probate_property.postcode_id")
        ->join("outcode", "outcode.id", "postcode.outcode_id")
        ->whereIn('outcode.id', $user_outcode)
        ->where('probate_property.status',1)->orderBy('probate_property.id', 'DESC')->take(10)->get(['probate_property.address_1','probate_property.latitude','probate_property.longitude','probate_property.id'])->toArray(); ;

           // $probateProperties = ProbateProperty::where('status',1)->orderBy('id', 'DESC')->take(10)->get(['address_1','latitude','longitude','id'])->toArray(); 
        return view('pages.dashboard', compact('page_title', 'page_description', 'recently_sold_count', 'price_drop_count', 'new_to_market_count', 'user_outcodes','totalCountData','probateProperties'));
    }

    public function testdashboard()
    { 
        $probateProperties = ProbateProperty::where('status',1)->take(10)->get(['address_1','latitude','longitude'])->toArray();   
       // dd($probateProperties);  
        return view('pages.test-dashboard')->with(['probateProperties' => $probateProperties]);
    }

    public function probatePropertyCount()
    {
       $count = 30;
       $sesstion_array =[];
       $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
       $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
       // $user_outcode = $this->userOutcode(); 
        if (SESSION::has(config('propai.authSessionKey')) && json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode) {
            $selOutcode = json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode;         
            $selectedOutcode = $selOutcode->outcode;
            //dd($selectedOutcode);
        } 
        $selOutcodeId = $selectedOutcode && $selectedOutcode =='HA1' ? 4258 : 3682;   
       // $user_outcode = $this->userOutcode();
        $selOutcodeCollection = collect((object) [0 => $selOutcodeId]);
        $user_outcode = $selOutcodeCollection;
        // Table's primary key
       $primaryKey = 'id';
       $columns = [
        0 => 'probate_property.postcode',
        1 => 'probate_property.address1',
        2 => 'probate_property.firstname',
        3 => 'executor.first_name',
        4 => 'probate_property.publication_date',
    ];
    $query = ProbateProperty::join('executor','executor.id','probate_property.executor_id')
    ->join("postcode", "postcode.id", "probate_property.postcode_id")
    ->join("outcode", "outcode.id", "postcode.outcode_id")
    ->leftjoin("probate_property_flag", "probate_property_flag.probate_id", "probate_property.id")      
    ->whereIn('outcode.id', $user_outcode)
    ->where('probate_property.status',1);

    $totQuery = $query->get()->toArray();
    $lastMonthQuery = $query->whereDate('publication_date', '>', Carbon::now()->subDays($count))->get()
    ->toArray();
    $campaignCount = ProbatePropertyCampaign::join('probate_property as h', 'probate_property_campaign.property_id', 'h.id')
    ->join('postcode as pc', 'pc.id', 'h.postcode_id')
    ->join('outcode as oc', 'oc.id', 'h.outcode_id')
    ->select('probate_property_campaign.*', 'h.id', DB::raw('CONCAT(oc.outcode,pc.postcode) as pincode'), 'h.publication_date', 'h.id as h_id', 'probate_property_campaign.id as pcid')
    ->where('probate_property_campaign.user_id', $user_id)
    ->whereIn('oc.id', $user_outcode)
    ->orderBy('probate_property_campaign.id', 'desc')
    ->get()
    ->toArray();

    $totalData = [
        'total_count' => count($totQuery),
        'month_count' => count($lastMonthQuery),
        'campaign_count' => count($campaignCount)
    ];

    return $totalData;
}

    /**
     * Demo methods below.
     */

    // Datatables
    public function datatables()
    {
        $page_title = 'Datatables';
        $page_description = 'This is datatables test page';

        return view('pages.datatables', compact('page_title', 'page_description'));
    }

    // KTDatatables
    public function ktDatatables()
    {
        $page_title = 'KTDatatables';
        $page_description = 'This is KTdatatables test page';

        return view('pages.ktdatatables', compact('page_title', 'page_description'));
    }

    // Select2
    public function select2()
    {
        $page_title = 'Select 2';
        $page_description = 'This is Select2 test page';

        return view('pages.select2', compact('page_title', 'page_description'));
    }

    // custom-icons
    public function customIcons()
    {
        $page_title = 'customIcons';
        $page_description = 'This is customIcons test page';

        return view('pages.icons.custom-icons', compact('page_title', 'page_description'));
    }

    // flaticon
    public function flaticon()
    {
        $page_title = 'flaticon';
        $page_description = 'This is flaticon test page';

        return view('pages.icons.flaticon', compact('page_title', 'page_description'));
    }

    // fontawesome
    public function fontawesome()
    {
        $page_title = 'fontawesome';
        $page_description = 'This is fontawesome test page';

        return view('pages.icons.fontawesome', compact('page_title', 'page_description'));
    }

    // lineawesome
    public function lineawesome()
    {
        $page_title = 'lineawesome';
        $page_description = 'This is lineawesome test page';

        return view('pages.icons.lineawesome', compact('page_title', 'page_description'));
    }

    // socicons
    public function socicons()
    {
        $page_title = 'socicons';
        $page_description = 'This is socicons test page';

        return view('pages.icons.socicons', compact('page_title', 'page_description'));
    }

    // svg
    public function svg()
    {
        $page_title = 'svg';
        $page_description = 'This is svg test page';

        return view('pages.icons.svg', compact('page_title', 'page_description'));
    }

    // Quicksearch Result
    public function quickSearch()
    {
        return view('layout.partials.extras._quick_search_result');
    }

    public function allPropertyArray(Request $request)
    {
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;

        $user_outcode = $this->userOutcode();

        $query = $this->commonPropQuery();
        //$query = $this->commonProbateQuery($user_outcode); 

        $query = $query->whereIn('outcode.id', $user_outcode);
        $new_date_from = date('Y-m-d', strtotime('-7 days'));
        $new_date_to = date('Y-m-d');

        $query = $query
        ->whereBetween('house_number.listed_date', [$new_date_from, $new_date_to])
        ;
        // Table's primary key
        $primaryKey = 'id';

        $columns = [
            0 => 'probate_property.postcode',
            1 => 'probate_property.address1',
            2 => 'probate_property.firstname',
            3 => 'executor.first_name',
            4 => 'probate_property.publication_date',
        ];

        $limit = $request->length;
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');

        
        $data = $query->get()->unique('house_number_id');
        $totalData = count($data);
        $totalFiltered = $totalData;

        // $list = $query->orderBy($order, $dir)->offset($start)->limit($limit)->get()->unique('house_number_id');
        
        $data = $query->orderBy($order, $dir)->get()->unique('house_number_id')->toArray();
        $list = array_slice($data, $start, $limit);

        // $totalData = count($list);
        // $totalFiltered = $totalData;

        $dataArr = [];
        if (!empty($list)) {
            $i = 0;
            foreach ($list as $item) {
                //portal url
                $portal_url = $this->houseNumberPortal($item['house_number_id'], $request->platform);
                $platform = '';
                $r = 0;
                $z = 0;
                $r_count = '';
                $z_count = '';
                if (count($portal_url)) {
                    $platform = '<div class=" d-flex">';
                    foreach ($portal_url as $url) {
                        // $r_count="";$z_count="";
                        if (0 == $url->portal) {
                            ++$r;
                        } else {
                            ++$z;
                        }
                    }
                    if ($r > 0) {
                        $r_count = '<a class="btn btn-rightmove  btn-xs  text-center btn-static"  href="javascript:void(0)"><i class="icon-md">R</i></a><span class="counter counter-lg">'.$r.'</span>';
                    }
                    if ($z > 0) {
                        $z_count = '<a class="btn btn-zoopla  btn-xs  text-center btn-static"  href="javascript:void(0)"><i class="icon-md">Z</i></a><span class="counter counter-lg">'.$z.'</span>';
                    }
                    $platform .= $r_count.$z_count;
                    $platform .= '</div>';
                }
                //   $urls = $r_count.$z_count;
                //   $urls = '<div class=" d-flex"> <a class="btn btn-primary  btn-xs  text-center"  href="javascript:void(0)"><i class="icon-md">R</i></a><span class="counter counter-lg">3</span>
                //    <a class="btn btn-success  btn-xs" href="javascript:void(0)"><i class="icon-md">Z</i></a><span class="counter counter-lg">3</span></div>
                //   ';
                $encrpt_id = Helper::encryptData($item['house_number_id']);
                $url = route('propertyDetails', ['property_id' => $encrpt_id]);
                ++$i;
                $nestedData['id'] = $item['house_number_id'];
                $nestedData['outcode'] = $item['outcode'];

                // if(!empty($item['house_number'])) {

                $address2 = $item['house_number'].' , '.$item['address'];
                // } else {
                //     $address2 = $item['address'] . ',<br>  ' . $item['postcode'];
                // }

                // if (!empty($item['created_by'])) {

                //     $address2 = $item['address'] . ',<br>  ' . $item['postcode'];
                // }
                if (null == $item['created_by']) {
                    $st = 'By System';
                } else {
                    $st = 'By Manual';
                }
                $st = '';
                $nestedData['address'] = "<a href='{$url}'>{$address2}</a>";

                if (0 == $item['latest_price']) {
                    $nestedData['price'] = 'POA';
                } else {
                    $nestedData['price'] = '&pound;'.number_format($item['latest_price']);
                }

                if ($item['listed_date']) {
                    $listed_date = date('Y-m-d', strtotime($item['listed_date']));
                    $today = date('Y-m-d');
                    $days = (strtotime($today) - strtotime($listed_date)) / (60 * 60 * 24);
                    $nestedData['listed_date'] = date('d M Y', strtotime($item['listed_date'])).'<div style="width: 82px;">Days - '.$days.'</div>';
                } else {
                    $nestedData['listed_date'] = 'Hidden from public';
                }

                $nestedData['agency'] = Helper::agencyName($item['house_number_id']);

                $nestedData['type'] = $item['title'].' <br> '.ucfirst($item['property_type']);
                // $nestedData['type'] = $request->outcodeFilter.'--'. $request->input('search.value');
                $nestedData['portal_url'] = $platform;
                $nestedData['flag'] = Helper::propertyFlag($item['house_number_id']);

                $dataArr[] = $nestedData;
            }
        }

        $json_data = [
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($totalFiltered),
            'recordsFiltered' => intval($totalFiltered),
            'data' => $dataArr,
        ];

        return json_encode($json_data);
    }

    public function allDashboardProbateArray(Request $request)
    {
        $sesstion_array =[];
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
        $user_outcode = $this->userOutcode();  
        // Table's primary key
        $primaryKey = 'id';
        $columns = [
            0 => 'probate_property.postcode',
            1 => 'probate_property.address1',
            2 => 'probate_property.firstname',
            3 => 'executor.first_name',
            4 => 'probate_property.publication_date',
        ];
        $query = ProbateProperty::join('executor','executor.id','probate_property.executor_id')
        ->join("postcode", "postcode.id", "probate_property.postcode_id")
        ->join("outcode", "outcode.id", "postcode.outcode_id")
        ->leftjoin("probate_property_flag", "probate_property_flag.probate_id", "probate_property.id")
        ->whereIn('outcode.id', $user_outcode)
        ->whereDate('publication_date', '>', Carbon::now()->subDays(30));
        $data = $query
        ->select('postcode.postcode','outcode.outcode','probate_property.address_1','probate_property.address_2','probate_property.firstname','probate_property.surname','executor.company_name','executor.first_name','executor.sur_name','probate_property.publication_date','probate_property.id')
        ->get()
        ->toArray();
        $totalData = count($data);
        $totalFiltered = $totalData;
        $limit = $request->length;
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');      
        $dataArr = [];         
        $list = $query->orderBy($order, $dir)->get()->toArray();
        if (!empty($list)) {
            $list = array_slice($list, $start, $limit);
            $arr = json_decode(json_encode($list));
            $i = 0;
            foreach ($arr as $item) {
                $nestedData['status'] = Helper::probatePropertyStatus($item->id);
                if(empty($item->first_name) &&!empty($item->company_name)){                   
                    $companyname= explode(',', $item->company_name);
                    $name = $companyname[0];
                }else{
                    $name =$item->first_name.' '.$item->sur_name;
                }            
                $encrpt_id = Helper::encryptData($item->id);
                $url = route('probatePropertyDetails', ['property_id' => $encrpt_id]);
                ++$i;
                $nestedData['id'] = $item->id;
                $nestedData['postcode'] = $item->postcode;
                // if (!empty($item->house_number)) {
                $address = $item->address_1.' '.$item->address_2;
                // $nestedData['address'] = $address;
                $nestedData['address'] = "<a  href='{$url}'>{$address}</a>";
                $nestedData['name'] = $item->firstname.' '.$item->surname;
                $nestedData['executor'] = $name;
                $nestedData['publication_date'] =  date('d-m-Y', strtotime($item->publication_date));               
                $nestedData['letter_count'] = ProbateCampaignLetterHistory::where('property_id', $item->id)->where('user_id', $user_id)->count();
                $dataArr[] = $nestedData;
            }
        }        
        $json_data = [
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($totalData),
            'recordsFiltered' => intval($totalFiltered),
            'data' => $dataArr,
        ];
        $session_data =  json_encode( $sesstion_array);
        Session::put('search_data', $session_data );

        return json_encode($json_data);
    }


    public function outcodeSummary(Request $request)
    {
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $outcode = $request->outcode;

        $zooplaData = ErrorLog::whereOutcode($outcode)->wherePortal('zoopla')->orderBy('id', 'desc')->first();
        $zoopla = null;
        if ($zooplaData) {
            // $total = $zooplaData->properties_received + mt_rand(2, 10); // just for testing
            $total = $zooplaData->properties_received;

            $zoopla = [
                'date' => $zooplaData->created_at->format('d M Y @h:ia'),
                'total_count' => $total,
                'hitrate_count' => $zooplaData->properties_received,
                'hitrate_percentage' => round(($zooplaData->properties_received * 100) / $total, 1),
            ];
        }

        $rightmoveData = ErrorLog::whereOutcode($outcode)->wherePortal('rightmove')->orderBy('id', 'desc')->first();
        $rightmove = null;
        if ($rightmoveData) {
            // $total = $rightmoveData->properties_received + mt_rand(2, 10); // just for testing
            $total = $rightmoveData->properties_received;

            $rightmove = [
                'date' => $rightmoveData->created_at->format('d M Y @h:ia'),
                'total_count' => $total,
                'hitrate_count' => $rightmoveData->properties_received,
                'hitrate_percentage' => round(($rightmoveData->properties_received * 100) / $total, 1),
            ];
        }

        $json_data = [
            'outcode' => $outcode,
            'user_id' => $user_id,
            'zoopla' => $zoopla,
            'rightmove' => $rightmove,
        ];

        return json_encode($json_data);
    }
}
