<?php

// <summary>
// File : PropertyController
// File Type : Controller
// Creator : Susmi Sidharthan
// Email: susmi@designdirect@gmail.com
// Company: Design Direct UK
// Description ; This is used as web controller for all estate agent Property controller.
// </summary>

namespace App\Http\Controllers;

use App\Helpers\Helper;
use App\Model\Agency;
use App\Model\CampaignLetterHistory;
use App\Model\HouseNumber;
use App\Model\Outcode;
// use Symfony\Component\HttpFoundation\StreamedResponse;

use App\Model\PostCode;
use App\Model\ProbatePropertyCampaign;
use App\Model\PropertyComment;
use App\Model\PropertyFlag;
use App\Model\PropertyHistory;
use App\Model\PropertyLetter;
use App\Model\PropertyPriceHistory;
use App\Model\UserNotification;
use App\Model\UserOutcode;
use App\Model\Executor;
use App\Model\ProbateProperty;
use App\Model\ProbateComment;
use App\Model\User;
use App\Model\ProbatePropertyFlag;
use Yajra\Datatables\Datatables;
use App\Model\ProbateCampaignLetterHistory;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Storage;
use Redirect;
use Validator;
use Crypt;

class ProbatePropertyController extends Controller
{
    public $trigger = [
        0 => 'Probate 1',
        1 => 'Probate 2',
        2 => 'Probate 3',
        // 3 => 'Sold',
        // 4 => 'Withdrawn',
        // 5 => 'Price drop',
        // 6 => 'Fallen Through',
        // 7 => '8 Week',
        // 8 => '16 Week',
        // 9 => '22 Week',
    ];

    //All property
    public function allProbateProperty()
    {
        //dd(json_decode(Session::get(config('propai.authSessionKey'))));
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $page_title = 'Probate Properties';
        $active = 2;
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
        $post_code = UserOutcode::join('outcode', 'outcode.id', 'user_outcode.outcode_id')->where('user_id', $user_id)->join('postcode', 'outcode.id', 'postcode.outcode_id')->where('user_outcode.status', 1)->where('outcode.archive', 0)->select('postcode.*')->orderBy('postcode.postcode', 'asc')->get();
        
        if (SESSION::has(config('propai.authSessionKey')) && json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode) {
            $selOutcode = json_decode(SESSION::get(config('propai.authSessionKey')))->user_selected_outcode;         
            $selectedOutcode = $selOutcode->outcode;
            // $selectedOutcode = '';

            //dd($selectedOutcode);
        }

        // $property = PropertyHistory::select('property_type', 'id')->get()->unique('property_type');

        // $agency = Agency::get();
        // $outcodes = ProbateProperty::where('outcode','<>',null)->select('outcode')->orderBy('outcode', 'asc')->get()->unique('outcode');
        $userOutcodes = $this->userOutcodes();
        $campaign = 1;
        $filter = true;
        $search_data = json_decode(Session::get('search_data' ));
        // dd($search_data);
        $enable_export = User::find($user_id)->enable_export;
        return view('all-probate-property', compact('page_title', 'post_code', 'userOutcodes', 'user_type', 'active', 'campaign', 'filter','search_data','enable_export','selectedOutcode'));
    }

    public function allProbatePropertyArray(Request $request)
    {     
        
        $sesstion_array =[];
        $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;

        

        $user_outcode = $this->userOutcode();  

        // Table's primary key
        $primaryKey = 'id';

        $columns = [
            0 => 'probate_property.postcode',
            1 => 'probate_property.address1',
            2 => 'probate_property.firstname',
            3 => 'executor.first_name',
            4 => 'probate_property.publication_date',
        ];

        $query = ProbateProperty::join('executor','executor.id','probate_property.executor_id')
        ->join("postcode", "postcode.id", "probate_property.postcode_id")
        ->join("outcode", "outcode.id", "postcode.outcode_id")
        ->leftjoin("probate_property_flag", "probate_property_flag.probate_id", "probate_property.id")
        ->whereIn('outcode.id', $user_outcode);


        if ($request->has('post_code')) {
            if ((0 != $request->post_code && 'undefined' != $request->post_code)) {
                $query->where('postcode.id', $request->input('post_code'));
                $sesstion_array['post_code'] = $request->input('post_code');

            }
        }

        // if(SESSION::has(config('propai.authSessionKey')) && json_decode(SESSION::get(config('propai.authSessionKey')))->outcode)
        // {         
        //     $query->where('outcode.outcode', json_decode(SESSION::get(config('propai.authSessionKey')))->outcode->outcode);
        //     $sesstion_array['outcode'] = json_decode(SESSION::get(config('propai.authSessionKey')))->outcode->outcode;
        //     // Session::forget(json_decode(SESSION::get(config('propai.authSessionKey')))->outcode);
        // }


        if ($request->has('outcode') && '' != $request->input('outcode')) {
         $sesstion_array['outcode'] = '';          
         $query->where('outcode.outcode', $request->input('outcode'));
         $sesstion_array['outcode'] = $request->input('outcode');
     }
     if ($request->has('date_from') && $request->has('date_to')) {
        if (('' != $request->date_from && '' != $request->date_to)) {
            $date_from = date('Y-m-d', strtotime($request->date_from));
            $date_to = date('Y-m-d', strtotime($request->date_to));
            $query->whereBetween('probate_property.publication_date', [$date_from, $date_to]);
        }
    }

    if ($request->has('flag')) {
        if ((0 != $request->flag && 'undefined' != $request->flag)) {
            $query->where('probate_property_flag.flag', $request->flag);
        }
    }

    $data = $query
    ->select('postcode.postcode','outcode.outcode','probate_property.address_1','probate_property.address_2','probate_property.firstname','probate_property.surname','executor.company_name','executor.first_name','executor.sur_name','probate_property.publication_date','probate_property.id')
    ->get()
    ->toArray();
        // $outcodes = $this->userOutcodes();
        // dd($data);
    $totalData = count($data);
    $totalFiltered = $totalData;

    $limit = $request->length;
    $start = $request->input('start');
    $order = $columns[$request->input('order.0.column')];
    $dir = $request->input('order.0.dir');

    if (empty($request->input('search.value'))) {
            // $list = $query->orderBy($order, $dir)->offset($start)->limit($limit)->get();
    } else {
        $search = $request->input('search.value');
        $sesstion_array['search'] = $search;
        $totalFiltered = $query->where(function ($q) use ($search) {
            $q
            ->where('probate_property.address_1', 'like', '%'.$search.'%')
            ->orWhere('probate_property.firstname', 'like', '%'.$search.'%')
            ->orWhere('probate_property.town', 'like', '%'.$search.'%')
            ->orWhere('outcode.outcode', 'like', '%'.$search.'%')
            ->orWhere('postcode.postcode', 'like', '%'.$search.'%')
            ->orWhere('executor.first_name', 'like', '%'.$search.'%')
            ->orWhere('executor.company_name', 'like', '%'.$search.'%');
            

            
        })->orderBy($order, $dir)->get();
        
        $totalFiltered = count($totalFiltered);

        $list = $query->where(function ($q) use ($search) {
            $q
            ->where('probate_property.address_1', 'like', '%'.$search.'%')
            ->orWhere('probate_property.firstname', 'like', '%'.$search.'%')
            ->orWhere('probate_property.town', 'like', '%'.$search.'%')
            ->orWhere('outcode.outcode', 'like', '%'.$search.'%')
            ->orWhere('postcode.postcode', 'like', '%'.$search.'%')
            ->orWhere('executor.first_name', 'like', '%'.$search.'%')
            ->orWhere('executor.company_name', 'like', '%'.$search.'%');
            
        })->get();
    }

    $dataArr = []; 
    
    $list = $query->orderBy($order, $dir)->get()->toArray();

    if (!empty($list)) {
        $list = array_slice($list, $start, $limit);
        $arr = json_decode(json_encode($list));

        $i = 0;
        foreach ($arr as $item) {

            $nestedData['status'] = Helper::probatePropertyStatus($item->id);
            if(empty($item->first_name) &&!empty($item->company_name)){
             
                $companyname= explode(',', $item->company_name);
                $name = $companyname[0];


            }else{

                $name =$item->first_name.' '.$item->sur_name;
            }
            
            $encrpt_id = Helper::encryptData($item->id);
            $url = route('probatePropertyDetails', ['property_id' => $encrpt_id]);
            ++$i;
            $nestedData['id'] = $item->id;
            $nestedData['postcode'] = $item->postcode;
                // if (!empty($item->house_number)) {
            $address = $item->address_1.' '.$item->address_2;
                // $nestedData['address'] = $address;
            $nestedData['address'] = "<a  href='{$url}'>{$address}</a>";
            $nestedData['name'] = $item->firstname.' '.$item->surname;
            $nestedData['executor'] = $name;
            $nestedData['publication_date'] =  date('d-m-Y', strtotime($item->publication_date));               
            $nestedData['letter_count'] = ProbateCampaignLetterHistory::where('property_id', $item->id)->where('user_id', $user_id)->count();
            $dataArr[] = $nestedData;
        }
    }
    
    $json_data = [
        'draw' => intval($request->input('draw')),
        'recordsTotal' => intval($totalData),
        'recordsFiltered' => intval($totalFiltered),
        'data' => $dataArr,
    ];

    $session_data =  json_encode( $sesstion_array);
    Session::put('search_data', $session_data );

    return json_encode($json_data);
}
 //property detail page
public function probatePropertyDetails(Request $request)
{
   $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;
   $prop_id = Helper::decryptData($request->property_id);

   $property_details = ProbateProperty::join('executor','executor.id','probate_property.executor_id')->where('probate_property.id',$prop_id)
   ->select('probate_property.*','executor.first_name as e_firstname','executor.sur_name as e_surname','executor.company_name as e_address','executor.address_1 as e_address1','executor.address_2 as e_address2'
    ,'executor.town as e_town','executor.postcode as e_postcode','executor.country as e_country')->first();
    // dd($property_details);
   $prop = true;
    //  $probate_property_id = Helper::decryptData($request->property_id);
   
   $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;

   $page_title = '';

   $comments = ProbateComment::where('user_id',$user_id)->where('property_id',$prop_id)->get();

   $listing_activity ='';

   $probate_campaign = 1;
   $current_flag = Helper::probatePropertyStatus($prop_id);

   $campaign_history = ProbatePropertyCampaign::where('property_id', $prop_id)
   ->whereHas('campaign')
   ->with('campaign')
   ->withTrashed()
   ->where('user_id', $user_id)
   ->orderBy('id', 'desc')
   ->get()
   ;
   $trigger = $this->trigger;

   return view('probate-property-details', compact('campaign_history','trigger','property_details','comments','probate_campaign','current_flag'));
}


 //add property comment
public function addProbatePropertyComment(Request $request)
{
   $rules = [
       'comment' => 'required',
       'property' => 'required',
   ];

   $validator = validator::make($request->all(), $rules);

   if ($validator->fails()) {
       return Redirect::back()->with('error', $validator->errors()->first());
   }
   
   $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;

   $add = new ProbateComment();
   $add->property_id = $request->property;
   $add->comment = $request->comment;
   $add->user_id = $user_id;
   if ($add->save()) {
       return Redirect::back()->with('success', 'Successfully comment deleted..!');
   }

   return Redirect::back()->with('error', 'Something went wrong...!');
}

public function deleteProbatePropertyComment(Request $request){
    $rules = [
        'comment' => 'required',
    ];

    $validator = validator::make($request->all(), $rules);

    if ($validator->fails()) {
        return $this->simpleReturn('error', $validator->errors()->first());
    }

    $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;

    $update = ProbateComment::where('id', $request->comment)->delete();
    if ($update) {
        return $this->simpleReturn('success', 'Successfully comment deleted..!');
    }

    return $this->simpleReturn('error', 'Something went wrong...!');
}

 //property status change
public function statusChange(Request $request)
{
  
   $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;

   foreach ($request->property as $probate_id) {
       $exist_data = ProbatePropertyFlag::where('user_id', $user_id)->where('probate_id', $probate_id)->first();
 

         if ('' != $exist_data) { //update
             // $update = ProbatePropertyFlag::where('id',$exist_data['id'])
             //     ->update(['flag' => $request->flag]);
           $update = ProbatePropertyFlag::find($exist_data['id']);
           $update->fill(['flag' => $request->flag])->save();

           if (!$update) {
               return $this->simpleReturn('error', 'Something went wrong...!');
           }
         } else { //insert
           $add = new ProbatePropertyFlag();
           $add->probate_id = $probate_id;
           $add->user_id = $user_id;
           $add->flag = $request->flag;
           if (!$add->save()) {
               return $this->simpleReturn('error', 'Something went wrong...!');
           }
       }
   }

   return $this->simpleReturn('success', 'Successfully updated the status...!');
}


  //property add to campaign
public function addToCampaignProbateProperty(Request $request)
{
  $rules = [
      'property' => 'required',
  ];

  $validator = validator::make($request->all(), $rules);

  if ($validator->fails()) {
      return $this->simpleReturn('error', $validator->errors()->first());
  }

  $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;
  
  foreach ($request->property as $property_id) {
      $exist_data = ProbatePropertyCampaign::where('user_id', $user_id)->where('property_id', $property_id)->where('campaign_id', null)->first();

      if (!$exist_data) {
          $add = new ProbatePropertyCampaign();
          $add->property_id = $property_id;
          $add->user_id = $user_id;
          if (!$add->save()) {
              return $this->simpleReturn('error', 'Something went wrong...!');
          }
      }
  }

  return $this->simpleReturn('success', 'Successfully added to campaign...!');
}

public function getProbatePropertyData(Request $request)
{
    //dd($request->all());
    $sesstion_array =[];
    $user_id = $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
    $user_type = $id = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
    $user_outcode = $this->userOutcode();
    // Table's primary key
    $primaryKey = 'id';
    $columns = [
      0 => 'probate_property.postcode',
      1 => 'probate_property.address1',
      2 => 'probate_property.firstname',
      3 => 'executor.first_name',
      4 => 'probate_property.publication_date',
    ];
    $query = ProbateProperty::join('executor','executor.id','probate_property.executor_id')
                ->join("postcode", "postcode.id", "probate_property.postcode_id")
                ->join("outcode", "outcode.id", "postcode.outcode_id")
                ->leftjoin("probate_property_flag", "probate_property_flag.probate_id", "probate_property.id");
    //->whereIn('outcode.id', $user_outcode);
    if ($request->has('post_code')) {
        if ((0 != $request->post_code && 'undefined' != $request->post_code)) {
            $query->where('postcode.id', $request->input('post_code'));
            $sesstion_array['post_code'] = $request->input('post_code');
        }
    }
    if ($request->has('outcode') && '' != $request->input('outcode')) {
       $sesstion_array['outcode'] = '';          
       $query->where('outcode.outcode', $request->input('outcode'));
       $sesstion_array['outcode'] = $request->input('outcode');
    }
    if ($request->has('date_from') && $request->has('date_to')) {
        if (('' != $request->date_from && '' != $request->date_to)) {
            $date_from = date('Y-m-d', strtotime($request->date_from));
            $date_to = date('Y-m-d', strtotime($request->date_to));
            $query->whereBetween('probate_property.publication_date', [$date_from, $date_to]);
        }
    }
    if ($request->has('flag')) {      
        if ((0 != $request->flag && 'undefined' != $request->flag)) {
            $query->where('probate_property_flag.flag', $request->flag);
        }
    }
  $data = $query
            ->select('postcode.postcode','outcode.outcode','probate_property.address_1','probate_property.address_2','probate_property.firstname','probate_property.surname','executor.company_name','executor.first_name','executor.sur_name','probate_property.publication_date','probate_property.id','probate_property.status','probate_property_flag.flag')
            ->get();
           
  return Datatables::of($data)
    ->editColumn('id', function ($model) {
      return '<label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary"><input class="propertyCheck" type="checkbox" value="'.$model->id.'" name="property[]"><span></span> </label>';
  })
    ->editColumn('outcode', function ($model) {
      return $model->postcode;
    })
    ->editColumn('address', function ($model) {
        $pid = Crypt::encrypt($model->id);
        return '<a href="' . url('property-detail?pid=' . $pid ) . '" title="View">'.$model->address_1.' '.$model->address_2.'</a>';
    })  
    ->editColumn('executer', function ($model) {
        if($model->company_name)
        {
           $companyname= explode(',', $model->company_name);
           $name = $companyname[0];
        }
        $executor = $model->company_name ? $name : $model->first_name." ".$model->sur_name;
        return $executor;
    })
    ->editColumn('publication_date', function ($model) {
      $publicationDate =  date('d-m-Y', strtotime($model->publication_date));      
      return $publicationDate;
    })
    ->editColumn('name', function ($model) {
      $name = $model->firstname.' '.$model->surname; 
      return $name;
    })
    ->editColumn('status', function ($model) {
      $flag = '';
      $user_id = json_decode(Session::get(config('propai.authSessionKey')))->id;
      if($model->flag==1)
      {
        $flag = '<span class="label font-weight-bold label-lg  label-light-success label-inline">Contacted</span>';
      }
      else if($model->flag==2)
      {
        $flag = '<span class="label font-weight-bold label-lg  label-light-danger label-inline">Do Not Contact</span>';
      }
      else if($model->flag==3)
      {
        $nestedData = ProbateCampaignLetterHistory::where('property_id', $model->id)->where('user_id', $user_id)->count();
        // $nestedData = 2;
        if($nestedData <= 1)
          {
            $flag = '<span class="label font-weight-bold label-lg  label-light-primary label-inline">1 Letter Sent</span>';       
          }                           
        else
         {
            $flag = '<span class="label font-weight-bold label-lg  label-light-primary label-inline">'.$nestedData.' Letters Sent</span>';       
          }
      }
      else if($model->flag==0)
      {
        $flag = '<span class="label font-weight-bold label-lg  label-light-info label-inline">No Status</span>';
      }
      else
      {
        $flag = 'N/A'; 
      }
      return $flag;
    })
    ->editColumn('action', function ($model) {
        $idG = Crypt::encrypt($model->id);
        // $user = \App\User::find($model->user_id);
        // Auth::loginUsingId($user->id, true);
        return '<a href="' . url('boat-for-sale/' . $model->slug ) . '" type="" target="_blank" class="act-sp" title="View"><i class="fas fa-file"></i></a>  <a href="' . url('edit-boat-info/' . $idG) . '" type="" target="_blank" class="act-sp" title="Login as user to edit"><i class="fas fa-edit"></i></a> ';
    })
    ->rawColumns(['id','name','address','status','expiry','action'])
    ->make(true);
    }
}
