<?php

namespace App\Http\Controllers;

use App\Model\ReturnAddress;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Redirect;
use Validator;

class ReturnAddressController extends Controller
{

    public function editAddress()
    {
        $page_title = 'Edit Address';
        $user = json_decode(Session::get(config('propai.authSessionKey')));
        $address = ReturnAddress::where('user_id', $user->id)->first();

        return view('common.edit-address', compact('address', 'page_title'));
    }

    public function updateAddress(Request $request)
    {
        $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $rules = array(
            'company_name' => 'required',
            'line_1' => 'required',
            'line_2' => 'required',
            'city' => 'required',
            'county' => 'required',
            'postal_code' => 'required',
        );
        $validator = validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return Redirect::back()->with('msg_error', $validator->errors()->first());
        } else {
            if (!ReturnAddress::where('user_id', $id)->exists()) {
                $address = new ReturnAddress();
                $address->user_id = $id;
                $address->company_name = $request->input('company_name');
                $address->line_1 = $request->input('line_1');
                $address->line_2 = $request->input('line_2');
                $address->line_3 = $request->input('line_3');
                $address->city = $request->input('city');
                $address->county = $request->input('county');
                $address->postal_code = $request->input('postal_code');
                if ($address->save()) {
                    return Redirect::back()->with('msg_success', 'Return address added successfully.');
                }
            } else {
                $address = ReturnAddress::where('user_id', $id)->update([
                    'company_name' => $request->input('company_name'),
                    'line_1' => $request->input('line_1'),
                    'line_2' => $request->input('line_2'),
                    'line_3' => $request->input('line_3'),
                    'city' => $request->input('city'),
                    'county' => $request->input('county'),
                    'postal_code' => $request->input('postal_code'),
                ]);
                if ($address) {
                    return Redirect::back()->with('msg_success', 'Return address updated successfully.');
                }
                // $address = ReturnAddress::where('user_id', $id)->first();
            }

            // return $this->simpleReturn('success', 'Successfully added to campaign...!');
            return Redirect::back()->with('msg_error', 'Something went wrong...!');

            // return view('common.edit-address',compact('address'));
        }
    }
}
