<?php

// <summary>
// File : StannpAPIController
// File Type : API Controller
// Creator : Rijo Kurian
// Email: rijodesigndirect@gmail.com
// Company: Design Direct UK
// Description ; This is a test route controller to test mainly APIs.
// </summary>

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Api\StannpAPIController;
use App\Model\Outcode;
use App\Model\Postcode;
use App\Model\Page;
use App\Model\ProbateProperty;
use Carbon\Carbon;
use App\Model\User;
use App\Model\UserOutcode;
use App\Model\OutcodeList;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Redirect;
use Validator;
use SoapClient;
use SoapHeader;
class TestController extends Controller
{
    public function index(Request $request)
    {
        $request_func   = isset($request['func']) ? $request['func'] : '';
        $request_params = '';
        switch ($request_func) {
            case 'stannpAccountInfo':
                break;
            case 'addRecipient':
                // params for new recipient creation
                $request_params = [
                                        'group_id'      => '',                  
                                        'on_duplicate'  => 'update',
                                        'title'         => 'Mr.',
                                        'firstname'     => 'Test First name',
                                        'lastname'      => 'Test Last name',
                                        'job_title'     => 'Test Job Title',
                                        'company'       => 'Test Company',
                                        'address1'      => 'test addresss road/building',
                                        'address2'      => 'test addresss 2',
                                        'address3'      => 'test addresss 3',
                                        'city'          => 'test city',
                                        'postcode'      => 'test city',
                                        'country'       => 'test country',
                                        'voucher'       => 'test voucher',
                                    ];
            break;
            case 'getRecipient':
                // params for retrieving recipient data
                $request_params = ['id' => '74651836'];
                break;
            case 'getRecipientlist':
                // params for retrieving recipient data
                $request_params = ['group_id' => ''];
                // $request_params = ['group_id' => '123'];
                break;
            case 'deleteRecipient':
                // params for retrieving recipient data
                $request_params = ['id' => '74651836'];
                break;
            case 'postPostcardToStannp':
                // params for print request
                $request_params = ['campaign_id' => '114', 'print_type' => '2', 'print_size' => '1'];
                break;
            case 'postLetterToStannp':
                // params for print request
                $request_params = ['campaign_id' => '114', 'print_type' => '2'];
                break;
            case 'getLetter':
                // params for print request
                $request_params = ['id' => '123'];
                break;
            case 'cancelLetter':
                // params for print request
                $request_params = ['id' => '123'];
                break;
            case 'validatePostCodeStannp':
                break;
            case 'validatePostcode':
                $request_params = ['postcode' => $request['postcode']];
                break;
            case 'getNearestPostcodes':
                $request_params = ['postcode' => $request['postcode']];
                break;
            case 'getNearestPostcodesWithCoordinates': // eg: lat=51.372018, lon=0.485157
                $request_params = ['lat' => $request['lat'], 'lon' => $request['lon']];
                break;
            case 'autoCompletePostcode':
                $request_params = ['postcode' => $request['postcode']];
                break;
            case 'stannpTransmission':
                break;
            case 'generateRandomString':
                $request_params = ['length' => $request['length']];
                break;
            default:
                // get params through request
                $request_params = isset($request['params']) ? $request['params'] : '';
                break;
        }
        if ($request_func != '' || $request_params != '') {
            $stannpAPIController = new StannpAPIController();
            if (method_exists($stannpAPIController, $request_func)
                && is_callable([$stannpAPIController, $request_func])) {
                $result = $stannpAPIController->$request_func($request_params);
                dd($result);
            } else {
                return ['success' => false, 'message' => 'function does not exit'];
            }
        } else {
            return ['success' => false, 'message' => 'function params empty'];
        }
    }

    //sandeep added 15/10/2021
    public function gazetteTest()
    {
        //$pages = \DB::connection('mysql2')->table("pages")->get();
        //$product = new Page;
       // $product->setConnection('mysql2');
        $arr_product = Page::get();
        dd($arr_product);

        $now = \Carbon\Carbon::now()->format("d/m/Y");
        $startdate = \Carbon\Carbon::parse('11-01-2022')->format("d/m/Y");
        dd($startdate);
        $date = Carbon::now()->toDateString();
        //Log::channel("cron")->info("Cron start: Notice Updates @" . $now->format("Y-m-d H:i:s a"));
        $chkLatestDate = ProbateProperty::orderBy("updated_at","DESC")->first();
        if ($chkLatestDate) {
            $latestDate = \Carbon\Carbon::parse($chkLatestDate->updated_at)->format("d/m/Y");
            $now = \Carbon\Carbon::now()->format("d/m/Y");
            if ($latestDate < $now) {
                $startdate = $latestDate;
            } else {
               // $this->info("Notice updation failed!");
                return false;
            }
        } else {
            $startdate = \Carbon\Carbon::now()->subYear(1)->format("d/m/Y");
            $now = \Carbon\Carbon::now()->format("d/m/Y");
        }
        $enddate = $now;
       // $outcodes = OutcodeList::pluck("outcode");        
         $outcodes = ['HA1'];
         $proxy = '103.21.163.76:6666';
        foreach ($outcodes as $outcode) {              
            $url ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$outcode."&location-distance-1=1&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=".$startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100";
            
            $ch = curl_init();
            // Return Page contents.
            //curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            //grab URL and pass it to the variable.
           // curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_URL,$url);
            curl_setopt($ch, CURLOPT_PROXY, $proxy);
            //curl_setopt($ch, CURLOPT_PROXYUSERPWD, $proxyauth);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_HEADER, 1);

            $result = curl_exec($ch);
            $array = json_decode($result, true);
            dd($array);
            if (isset($array["status"])) {
                $findOutcode = Outcode::where("outcode", $outcode)->first();
                if ($findOutcode) {
                    $findPostCode = PostCode::where("outcode_id",$findOutcode->id)->first();
                    if ($findPostCode) {
                        $postcode = $findPostCode->postcode;
                        $url ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$postcode."&location-distance-1=2&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=".$startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100";
                        $ch = curl_init();
                        // Return Page contents.
                        curl_setopt($ch, CURLOPT_URL,$url);
                        curl_setopt($ch, CURLOPT_PROXY, $proxy);
                        //curl_setopt($ch, CURLOPT_PROXYUSERPWD, $proxyauth);
                        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
                        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                        curl_setopt($ch, CURLOPT_HEADER, 1);
                        $result = curl_exec($ch);
                        $array = json_decode($result, true);
                        $total = ceil($array["f:total"] / 100);                      
                        for ($i = 1; $i <= $total; $i++) {
                            $url2 ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$postcode."&location-distance-1=2&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=".$startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100&results-page=".$i;
                            $ch2 = curl_init();
                            curl_setopt($ch2, CURLOPT_URL,$url2);
            curl_setopt($ch2, CURLOPT_PROXY, $proxy);
            //curl_setopt($ch, CURLOPT_PROXYUSERPWD, $proxyauth);
            curl_setopt($ch2, CURLOPT_FOLLOWLOCATION, 1);
            curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch2, CURLOPT_HEADER, 1);
                            $result2 = curl_exec($ch2);
                            $arr2 = json_decode($result2, true);   
                            $cutOutcode = explode(" ", $postcode);
                            $noticeArray = [];
                            if (!empty($arr2)) {
                                foreach ($arr2["entry"] as $k => $v) {                                   
                                    if (!ProbateProperty::where("notice_id", preg_replace("/[^0-9]/", "", $v["id"]))->exists()) {
                                        if (str_contains($v["content"],$cutOutcode[0])) {
                                            $noticeArray[] = ["notice_id" => preg_replace("/[^0-9]/", "", $v["id"]),"created_at" => \Carbon\Carbon::now(),"latitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:lat"] : null,"longitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:long"] : null, ];
                                        }
                                    }
                                }                                
                                ProbateProperty::insert($noticeArray);
                            }
                        }
                    }
                }
            } else {
                $total = ceil($array["f:total"] / 100);              
                for ($i = 1; $i <= $total; $i++) {
                    $url2 ="https://www.thegazette.co.uk/wills-and-probate/notice/data.json?text=&location-postcode-1=".$outcode."&location-distance-1=1&location-local-authority-1=&numberOfLocationSearches=1&start-date-of-death=&end-date-of-death=&start-publish-date=" .
                        $startdate."&end-publish-date=".$enddate."&start-claim-expiry-date=&end-claim-expiry-date=&edition=&london-issue=&edinburgh-issue=&belfast-issue=&sort-by=&results-page-size=100&results-page=".$i;
                    $ch2 = curl_init();
                    curl_setopt($ch2, CURLOPT_URL,$url2);
            curl_setopt($ch2, CURLOPT_PROXY, $proxy);
            //curl_setopt($ch, CURLOPT_PROXYUSERPWD, $proxyauth);
            curl_setopt($ch2, CURLOPT_FOLLOWLOCATION, 1);
            curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch2, CURLOPT_HEADER, 1);
                    $result2 = curl_exec($ch2);
                    $arr2 = json_decode($result2, true);
                    $noticeArray = [];
                    if (!empty($arr2)) {
                        foreach ($arr2["entry"] as $k => $v) {                           
                            if (!ProbateProperty::where("notice_id", preg_replace("/[^0-9]/", "", $v["id"]))->exists()
                            ) {
                                if (str_contains($v["content"], $outcode)) {
                                    $noticeArray[] = ["notice_id" => preg_replace("/[^0-9]/", "", $v["id"]),"created_at" => \Carbon\Carbon::now(),"latitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:lat"] : null,"longitude" => !empty($v["geo:Point"]) ? $v["geo:Point"]["geo:long"] : null,];
                                }
                            }
                        }                        
                        ProbateProperty::insert($noticeArray);
                    }
                }
                //sleep(10);
            }
            //$this->info("successfully notice updated");
        }
        return true;
        
    }


      public function landRegTest()
    {

        $client = new SoapClient('https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl',['trace'=>1,'cache_wsdl'=>WSDL_CACHE_NONE, 'login' => 'BGUser001', 'password' => 'landreg001']);

        dd($client);



        try {
    $opts = array(
        'http' => array(
            'user_agent' => 'PHPSoapClient'
        )
    );

    $context = stream_context_create($opts);

    $wsdlUrl = 'https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl';
    $soapClientOptions = array(
        'stream_context' => $context,
        'cache_wsdl' => WSDL_CACHE_NONE
    );

    $client = new SoapClient($wsdlUrl, $soapClientOptions);

    $checkVatParameters = array(
        'UserName' => 'BGUser001',
        'Password' => 'landreg001',
        'Userlocale' => 'en',
        'MessageID' => 'success-one-result'
    );

    $result = $client->checkVat($checkVatParameters);
    print_r($result);
}
catch(Exception $e) {
    echo $e->getMessage();
}

dd('stop');

        $aHTTP['http']['header'] =  "User-Agent: PHP-SOAP/5.5.11\r\n";

      $aHTTP['http']['header'].= "UserName: BGUser001"."Password: landreg001";

$context = stream_context_create($aHTTP);

$client=new SoapClient("https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl",array('trace' => 1,"stream_context" => $context));

$result = $client->jornadaActiva();
var_dump($result);
dd('stop');

$params = array('UserName'=>'BGUser001','Password'=>'landreg001','Userlocale' => 'en','MessageID' => 'success-one-result');

$soapclient = new SoapClient('https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl',$params);

var_dump($soapclient);
dd('stop');

//Use the functions of the client, the params of the function are in
//the associative array
$params = array('UserName'=>'BGUser001','Password'=>'landreg001','Userlocale' => 'en','MessageID' => 'success-one-result');
$response = $soapclient($params);
var_dump($response);
dd('stop');

       // $url         = 'https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl';
      $apiauth =array('UserName'=>'BGUser001','Password'=>'landreg001','Userlocale' => 'en','MessageID' => 'success-one-result');
$wsdl = 'https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl';
$soap = new SoapClient($wsdl,$apiauth); 
       dd($soap);
        dd('here');
    
     $xml = '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:drs="http://drsv1_0.ws.bg.lr.gov/"
xmlns:req="https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService/ApplicationEnquiryV1_0WebService?wsdl">
<!-- SOAP header starts -->
 <soapenv:Header>
 <wsse:Security xmlns:wsse="http://docs.oasisopen.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
 <wsse:UsernameToken>
 <wsse:Username>BGUser001</wsse:Username>
 <wsse:Password type="http://docs.oasis-open.org/wss/2004/01/oasis200401-wss-username-token-profile-1.0#PasswordText">landreg001</wsse:Password>
 </wsse:UsernameToken>
 </wsse:Security>
 <i18n:international xmlns:i18n="http://www.w3.org/2005/09/ws-i18n">
 <i18n:locale>en</i18n:locale>
 </i18n:international>
 </soapenv:Header>
 <!-- SOAP header ends -->
 <!-- SOAP body starts -->
 <soapenv:Body>
<!-- SOAP body contains web service request -->
 </soapenv:Body>
 <!-- SOAP body ends -->
</soapenv:Envelope>
';
 
$ch = curl_init();
if($xml != null) {
    curl_setopt($ch, CURLOPT_POSTFIELDS, "$xml");
    //array_push($headers, "Content-Length: " . strlen($xml));
}
$response = curl_exec($ch);
//$code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
dd($response);
curl_close($ch);

//dd($ch);

   // https://bgtest.landregistry.gov.uk/b2b/ECBG_StubService
    }

    public function planningTest()
    {
        $url = 'https://planningandbuildingcontrol.enfield.gov.uk/online-applications/applicationDetails.do?keyVal=QUU5U3JNGB700&activeTab=summary';

     $ch = curl_init();
     curl_setopt($ch, CURLOPT_URL, $url);
     curl_setopt($ch, CURLOPT_POST, 0);
     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

     $response = curl_exec ($ch);
     dd($response);
     $err = curl_error($ch);  //if you need
     curl_close ($ch);
     return $response;
    }

}
