<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Redirect, Validator;
use App\Model\User;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Hash;
use Carbon\Carbon;
use File;

class UserController extends Controller
{
    public function update(Request $request)
    {
        $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $rules = array(
            'first_name'=>'required',
            'last_name'=>'required',
            'contact_number'=>'required',
            'email'=>'required',
            'company_name'=>'required',
        );
        $validator = validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return Redirect::back()->with('msg_error', $validator->errors()->first());
        } else {
            $user = User::findOrFail($id);
            // if (!empty($request->file('profile_avatar'))) {
            //     $path = $request->file('profile_avatar')->store('public/admin/assets/media/users/');
            //     $filename = Carbon::now()->timestamp + '.' + $request->file('profile_avatar')->extension();
            //     $user->image = $path;
            // }
            if($request->hasfile('profile_avatar')) {  
                if($user->image != null) {
                    $filename = $user->image;
                    if (file_exists($filename)) {
                        unlink($filename);
                    }

                    // if($file_headers[0] == 'HTTP/1.0 404 Not Found'){                          
                    // } else if ($file_headers[0] == 'HTTP/1.0 302 Found' && $file_headers[7] == 'HTTP/1.0 404 Not Found') {                        
                    // } else {
                    //     unlink($user->image);
                    // }
                }
                $file=$request->file('profile_avatar');              
                $filename = Carbon::now()->timestamp . '.' . $request->file('profile_avatar')->extension();
                if (!file_exists(public_path('/storage/app/public/avatars/'))) {
                    mkdir(public_path('/storage/app/public/avatars/'), 0777, true);
                }
                $file->move(public_path('/storage/app/public/avatars/'), $filename);
                $user->image = $filename;
                // to update session image
                $userData = json_decode(Session::get(config('propai.authSessionKey')));
                $userData->image = $user->image;
                SESSION::put(config('propai.authSessionKey'), json_encode($userData));  
            }
            $user->first_name = $request->input('first_name');
            $user->last_name = $request->input('last_name');
            $user->company_name = $request->input('company_name');
            $user->branch_name = $request->input('branch_name');
            $user->rightmove_branch_name = $request->input('rightmove_branch_name');
            $user->zoopla_branch_name = $request->input('zoopla_branch_name');
            $user->contact_number = $request->input('contact_number');
            $user->email = $request->input('email');
            $user->save(); 
            
            return Redirect::back()->with('msg_success', 'Profile updated successfully.');
        }
    }
    public function changePassword()
    {
        $user = json_decode(Session::get(config('propai.authSessionKey')));
// print_r(User::where('id',$user->id)->first());die;
        return view('common.changePassword',compact('user'));
    }
    public function changePasswordPost(Request $request)
    {
        $user = json_decode(Session::get(config('propai.authSessionKey')));
        $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
        $rules = array(
            'current_password'     => 'required',
            'new_password'     => 'required|min:6',
            'confirm_password' => 'required|same:new_password',
        );
        $validator = validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return Redirect::back()->with('msg_error', $validator->errors()->first());
        } else {
            $user = User::find($id);
            $existing_password = $user->password;
            if (!Hash::check($request->current_password , $existing_password )) {
                return Redirect::back()->with('msg_error', 'The old password you have entered is incorrect.');
            }
            $user->password = Hash::make($request->new_password);
            if($user->save()){
                return Redirect::route('profile')->with('msg_success', "Your Password has been changed successfully!");
            }
            return $this->simpleReturn('error','Something Went Wrong...!');
        }
    }

    // public function changePasswordValidate(Request $request)
    // {
    //     $user = json_decode(Session::get(config('propai.authSessionKey')));
    //     $id = json_decode(Session::get(config('propai.authSessionKey')))->id;
    //     $rules = array(
    //         'current_password' => 'required',
    //         'new_password'     => 'required|min:6',
    //         'confirm_password' => 'required|same:new_password',
    //     );
    //     $validator = validator::make($request->all(), $rules);
    //     if ($validator->fails()) {
    //         return Redirect::back()->with('msg_error', $validator->errors()->first());
    //     } else {
    //         $user = User::find($id);
    //         $existing_password = $user->password;
    //         if (!Hash::check($request->current_password , $existing_password )) {
    //             // return Redirect::back()->with('error', 'The old password you have entered is incorrect.');
    //             echo "error";
    //         }
    //         // return $this->simpleReturn('success','Correct Old Password');
    //         echo "success";
    //     }
    // }
    public function profile()
    {

        $user = json_decode(Session::get(config('propai.authSessionKey')));
        return view('common.profile-edit', compact('user'));
    }
    public function forgotPassword(Request $request)
    {
        printr($request->all());
        die;
        $id = json_decode(Session::get(config('propai.authSessionKey')))->id;

        $rules = array(
            'email'     => 'required',

        );

        $validator = validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return Redirect::back()->with('msg_error', $validator->errors()->first());
        } else {

            User::find($id)->update(['password' => Hash::make($request->new_password)]);
            return view('common.login');
        }
    }
}
