<?php

namespace App\Http\Middleware;

use Closure, Redirect;
use Illuminate\Support\Facades\Session;

use App\Model\User;

class MutualAuth
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $skey = config('propai.authSessionKey');   
        if (Session::has($skey)){            
            $user_id = json_decode(session()->get($skey), true)['id'];
            $user = User::where('id', $user_id)->first();
           
            if ($user['is_active']==1 &&($user['user_type']==1 || $user['user_type']==2) || session()->get('admin_as')==1) {
                $response = $next($request);
                return $response->header('Cache-Control', 'nocache, no-store, max-age=0, must-revalidate')
                    ->header('Pragma', 'no-cache')
                    ->header('Expires', 'Sat, 01 Jan 1990 00:00:00 GMT');
            }
            
            else {
                Session::forget($skey);
                return Redirect::route('userLogin')->with('error', 'Unauthorize.');
            }                
        } else {
            Session::forget($skey);
            return Redirect::route('userIndex');
        }
    }
}
