<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

/**
 * Class ContactUs
 * @package App\Mail
 */
class ContactCampaign extends Mailable
{
    use Queueable, SerializesModels;
    private $value;

    /**
     * ContactUs constructor.
     * @param $data
     */
    public function __construct($data)
    {
        $this->value = $data;
    }

    /**
     * Build the message.     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('mails.contact-campaign')
            ->subject(env('APP_NAME') . ' - Contact for campaign')
            ->with(['data' => $this->value]);
    }
}
