<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PropertyCampaign extends Model
{
    use SoftDeletes;

    protected $fillable=['campaign_id','trigger'];

    public function user(){
        return $this->belongsTo('App\Model\User','user_id','id');
    }
    
    public function campaign(){
        return $this->belongsTo('App\Model\Campaign','campaign_id','id');
    }
    public function propertyHistory(){
        return $this->belongsTo('App\Model\PropertyHistory','house_number_id','id');
    }
    public function houseNumber(){
        return $this->belongsTo('App\Model\HouseNumber','house_number_id','id');
    }
    public function propertyLetters(){
        return $this->hasMany('App\Model\PropertyLetter','property_campaign_id','id');
    }
}
