<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PropertyHistory extends Model
{
    use SoftDeletes;
    protected $table = 'property_history';

    protected $fillable = [
        'pid',
        'title',
        // 'link',
        // 'last_sold_price',
        // 'last_sold',
        'description',
        'listed_date',
        'bed_rooms',
        'property_type',
        'price',
        'portal_url',
        'address',
        'latitude',
        'longitude',
        'portal',
        'postcode_id',
        'agency_id',
        'event_date',
        'poa',
        'for_sale',
        'listed_date',
        'sold_stc',
        'under_offer',
        'property_current_status',
        'price_drop_date',
        'price_drop',
        'sold_date',
        'withdrawn_date',
        'unconfirmed'
    ];

    public function propertyHouseNumber()
    {
        return $this->hasMany('App\Model\PropertyHouseNumber', 'property_history_id', 'id');
    }

    public function onePropertyHouseNumber()
    {
        return $this->hasOne('App\Model\PropertyHouseNumber', 'property_history_id', 'id');
    }

    public function agency()
    {
        return $this->belongsTo('App\Model\Agency', 'agency_id', 'id');
    }

    public function postcode()
    {
        return $this->belongsTo('App\Model\PostCode', 'postcode_id', 'id');
    }

    public function submittedProperties()
    {
        return $this->hasMany('App\Model\SubmittedProperty', 'property_history_id', 'id');
    }
}
