<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('email')->unique();
            $table->string('password');
            $table->integer('is_active')->comment("1:active, 2:not active")->nullable();
            $table->string('first_name',100);
            $table->string('last_name',100);
            $table->string('company_name',100)->nullable();
            $table->string('branch_name',100)->nullable();
            $table->string('rightmove_branch_name',100)->nullable();
            $table->string('zoopla_branch_name',100)->nullable();
            $table->string('contact_number',20)->nullable();
            $table->string('image',255)->nullable();
            $table->tinyInteger('user_type')->comment('1-admin,2-agent,3-data entry')->unsigned()->nullable();
            $table->timestamp('email_verified_at')->nullable();           
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
