<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePropertyHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_history', function (Blueprint $table) {
            $table->increments('id');
            $table->boolean('portal')->comment("0:righmove; 1:zoopla");
            $table->boolean('for_sale')->comment("0:for sale; 1:withdrawn")->nullable();
            $table->unsignedInteger('agency_id')->nullable();
            $table->string('address',200)->nullable();          
            $table->datetime('event_date')->nullable();
            $table->double('price',10,5)->nullable();
            $table->string('property_type',100)->nullable();
            $table->integer('bed_rooms')->nullable();
            $table->boolean('fallen_through')->comment("1:yes; 0:no");
            $table->string('latitude',100)->nullable();
            $table->string('longitude',100)->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('agency_id')
            ->references('id')
            ->on('agency')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_history');
    }
}
