<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePropertySaleHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_sale_history', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('property_history_id')->nullable();
            $table->double('price',10,5)->nullable();
            $table->datetime('sale_date')->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('property_history_id')
            ->references('id')
            ->on('property_history')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_sale_history');
    }
}
