<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePropertyHouseNumberTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_house_number', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('property_history_id')->nullable();
            $table->unsignedInteger('house_number_id');
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('property_history_id')
            ->references('id')
            ->on('property_history')
            ->onDelete('cascade');
            
            $table->foreign('house_number_id')
            ->references('id')
            ->on('house_number')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_house_number');
    }
}
