<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePropertyCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_comments', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('house_number_id');
            $table->unsignedInteger('user_id')->nullable();
            $table->text('comment')->nullable();
         
           
            $table->timestamps();
            $table->softDeletes();

           

            $table->foreign('user_id')
            ->references('id')
            ->on('users')
            ->onDelete('cascade');

            $table->foreign('house_number_id')
            ->references('id')
            ->on('property_history')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_comments');
    }
}
