<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserOutcodeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_outcode', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('outcode_id')->nullable();
            $table->unsignedInteger('user_id')->nullable();
            $table->double('core',10,5)->nullable();
            $table->double('post_box',10,5)->nullable();
            $table->double('cost',10,5)->nullable();
            $table->timestamps();
            $table->softDeletes();

            
            $table->foreign('user_id')
            ->references('id')
            ->on('users')
            ->onDelete('cascade');

            $table->foreign('outcode_id')
            ->references('id')
            ->on('outcode')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_post_codes');
    }
}
