<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePropertyFlagTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_flag', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('house_number_id')->nullable();
            $table->unsignedInteger('user_id')->nullable();
            $table->Integer('flag')->nullable()->comment("0:'';1:contacted,2:do not contacted; 3: mailed");
            $table->timestamps();

            $table->foreign('house_number_id')
            ->references('id')
            ->on('property_history')
            ->onDelete('cascade');

            $table->foreign('user_id')
            ->references('id')
            ->on('users')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_flag');
    }
}
