<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePropertyLettersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_letters', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('property_history_id')->nullable();
            $table->unsignedInteger('letter_id')->nullable();
            $table->date('last_sent_date')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('property_history_id')
            ->references('id')
            ->on('property_history')
            ->onDelete('cascade');
          
            $table->foreign('letter_id')
            ->references('id')
            ->on('letters')
            ->onDelete('cascade');
        });
     
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_letters');
    }
}
