<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeColumnsPropertyLettersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('property_letters', function (Blueprint $table) {
         
            $table->dropForeign('property_letters_property_history_id_foreign');
            $table->dropColumn('property_history_id');
        
            $table->unsignedInteger('house_number_id')->nullable()->after('id');

            $table->foreign('house_number_id')
            ->references('id')
            ->on('house_number')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
