<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubmittedPropertyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('submitted_property', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('house_number_id')->nullable();
            $table->unsignedInteger('user_id')->nullable();
            $table->Integer('type')->comment("0:manually add; 1:verified")->nullable();
            $table->date('submitted_date')->nullable();
            $table->foreign('user_id')
                ->references('id')
                ->on('users')
                ->onDelete('cascade');
                
            $table->foreign('house_number_id')
                ->references('id')
                ->on('house_number')
                ->onDelete('cascade');
                
            $table->timestamps();
            $table->softDeletes();
    
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('submitted_property');
    }
}
