<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserNotificationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_notification', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('property_history_id')->nullable();
            $table->unsignedInteger('house_number_id')->nullable();
            $table->unsignedInteger('user_id')->nullable();
            $table->unsignedInteger('outcode_id')->nullable();
            $table->Integer('type')->comment("1:property,2:campaign")->nullable();

            $table->Integer('notify_status')->comment(" 0:new_market, 1:for_sale, 2:sold, 3:withdrawn, 4:price_drop, 5:fallen_through");

            $table->foreign('property_history_id')
                ->references('id')
                ->on('property_history')
                ->onDelete('cascade');

           $table->foreign('house_number_id')
                ->references('id')
                ->on('house_number')
                ->onDelete('cascade');

            $table->foreign('user_id')
                ->references('id')
                ->on('users')
                ->onDelete('cascade');

            $table->foreign('outcode_id')
            ->references('id')
            ->on('outcode')
            ->onDelete('cascade');
                
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_notification');
    }
}
