<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeoPropertyCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('deo_property_comments', function (Blueprint $table) {
            $table->id();
            $table->string("comment");
            $table->unsignedInteger('user_id')->nullable();
            $table->unsignedInteger('property_history_id')->nullable();

            $table->foreign('property_history_id')
                ->references('id')
                ->on('property_history')
                ->onDelete('cascade');

            $table->foreign('user_id')
                ->references('id')
                ->on('users')
                ->onDelete('cascade');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('deo_property_comments');
    }
}
