<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProbatePropertyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('probate_property', function (Blueprint $table) {
            $table->id();
            $table->integer('notice_id')->nullable();
            $table->integer('executor_id')->nullable();
            $table->string('surname',200)->nullable();
            $table->string('reference_number',200)->nullable();
            $table->string('firstname',200)->nullable();
            $table->date('death_date')->nullable();
            $table->date('claim_date')->nullable();
            $table->date('publication_date')->nullable();
            $table->string('occupation',200)->nullable();
            $table->string('address_1',200)->nullable();
            $table->string('address_2',200)->nullable();
            $table->string('town',100)->nullable();
            $table->string('postcode',100)->nullable();
            $table->string('country',100)->nullable();
            $table->integer('status')->default(0);
           
            $table->timestamps();


         
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('probate_property');
    }
}
