var table = '';
var tokens =$('meta[name="csrf-token"]').attr('content');
function agentTable(data_url, token ,filename) {
    table = $("#agentDatatable").DataTable({
        bSearchable:true,
        buttons: [
            { 
                extend: 'csv',
                exportOptions: {
                    columns: [ 1, 2, 3,4,5]
                },
                filename: filename,
            }
        ],
        pagination: true,
        pageLength:25,
        lengthMenu :[[25, 10, 50, 100], [25, 10, 50, 100]],
        responsive: !0,
        searchDelay: 500,
        processing: !0,
        serverSide: !0,
        ajax: {
            url: data_url,
            type: "POST",
            data: {
                // "search" : $("#kt_datatable_search_query").val(),
                columnsDef:  ['id','first_name','last_name', 'email','contact_number','flag','enable_export','action'],
                _token:token,							
            },
            "error": function(data) {
                console.log(data);
            },
        },
        columns: [
        
        {data: 'id'},
        {data: 'first_name'},
        {data: 'last_name'},
        {data: 'email'},
        {data: 'contact_number'},
        {data: 'flag'},
        {data : 'enable_export'},
        {data: 'action'},
        {data: 'login_as'},
        ],
        language: { search: 'Search' },
        columnDefs: [{
            targets: 0,
            searchable:false,
            orderable:false,
            // className: 'dt-body-center',
            render: function (data, type, full, meta){ console.log(type);
                return '<label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary"><input class="propertyCheck" type="checkbox" value="'+data+'" name="property[]"><span></span> </label>';
            }
        },{
            width: "100px",
            targets: 5,
            render: function (t, a, e, n) {
                if(t==0){
                    return '';
                }
                var l = {
                    1: {
                        title: "Active",
                        class: " label-light-success"
                    },
                    2: {
                        title: "Inactive",
                        class: " label-light-danger"
                    },                               
                };
                return void 0 === l[t] ? t : '<span class="label label-lg font-weight-bold' + l[t].class + ' label-inline">' + l[t].title + "</span>"
            }
        },
        {
            searchable:false,
            orderable:false,
            
        },
        {
            width: "100px",
            targets: 7,
            orderable:false,
            render: function (t, a, e, n) {
                if(t==0){
                    return '';
                }
                
                return '<button type="submit" data-btn="Update Flag" data="'+ t +'" class="editAgent btn btn-primary font-weight-bold btn_click">'+
                                        '<i class="flaticon2-edit"></i> </button>'
            }
        },{
            targets: 8,
            searchable:false,
            orderable:false,

        }]
    })
}


//changeFlag
$(document).on('click', '#updateFlag', function(e){ 
    e.preventDefault();
    var ele = $(this);
    
    if($("#flag").val()>0){
        if($('input[name="property[]"]:checked').length > 0){
            //btnInverse(ele);
            var property = $('input[name="property[]"]:checked').map(function(){
                return $(this).val();
            }).get();
            console.log(property);
            var flag = $("#flag").val();
            var token =  $('meta[name="csrf-token"]').attr('content');
        
            $.ajax({ 
            
                type: 'POST',
                url: host_url+"/admin/agent-flag-change",
                data: {
                    "property":property,
                    "flag":flag,
                    '_token': token,
                },
                
                success: function(result) { 
                    console.log(result);
                    if(result.status=='success'){
                        //btnReverse(ele);
                        showMessage(result.data,result.status); 
                        if(table){
                            table.ajax.reload( null, false ); 
                        }
                    }else{
                        //btnReverse(ele);
                        showMessage("Something went wrong...!",'error');
                    }
                },error:function(xhr, status, error,result){
                    console.log(xhr);
                    showMessage("Something went wrong...!",'error');
                    btnReverse(ele);
                }
            });
        }else{
            showMessage('Select any agent!', 'warning');    
        }
    }else{
        showMessage('Select any status!', 'warning'); 
    }   
});


$(document).on('click', '#deleteAgent', function(e){ 
    e.preventDefault();
    var ele = $(this);
    if($('input[name="property[]"]:checked').length > 0){
        swal.fire({
            title: "Are you sure?",
            text: "Delete the agent.",
            buttonsStyling: !1,
            confirmButtonText: "Delete!",
            showCancelButton: true,
            customClass: {
                confirmButton: "btn font-weight-bold btn-light-primary",
                cancelButton: "btn font-weight-bold btn-light-danger",
            }
        }).then((function (t) { console.log(t.value);
            if(t.value){
                var property = $('input[name="property[]"]:checked').map(function(){
                    return $(this).val();
                }).get();
                console.log(property);
                var flag = $("#flag").val();
                var token =  $('meta[name="csrf-token"]').attr('content');
            
                $.ajax({ 
                
                    type: 'POST',
                    url: host_url+"/admin/agent-delete",
                    data: {
                        "property":property,
                        "flag":flag,
                        '_token': token,
                    },
                    
                    success: function(result) { 
                        console.log(result);
                        if(result.status=='success'){
                            //btnReverse(ele);
                            if(table){
                                table.ajax.reload( null, false ); 
                            }else{
                                showMessage(result.data,result.status); 
                            }
                        }else{
                            //btnReverse(ele);
                            showMessage("Something went wrong...!",'error');
                        }
                    },error:function(xhr, status, error,result){
                        console.log(xhr);
                        showMessage("Something went wrong...!",'error');
                        btnReverse(ele);
                    }
                });
            }  
        }))
    }else{
        showMessage('Select any agent!', 'warning');    
    }
});

//changeFlag
$(document).on("change", "#updateExport", function(e) {
    e.preventDefault();
    var ele = $(this).val();
    if(ele!=''){
        let textval = (ele=='1')?'Enable':'Disable';
        if($('input[name="property[]"]:checked').length > 0){
            swal.fire({
                title: "Are you sure?",
                text: textval+" export feature to the agent.",
                buttonsStyling: !1,
                confirmButtonText: textval,
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { console.log(t.value);
                if(t.value){
                    var property = $('input[name="property[]"]:checked').map(function(){
                        return $(this).val();
                    }).get();
                    console.log(property);
                    var status = ele;
                    var token =  $('meta[name="csrf-token"]').attr('content');
                
                    $.ajax({ 
                    
                        type: 'POST',
                        url: host_url+"/admin/agent-exportstatus",
                        data: {
                            "property":property,
                            "status":status,
                            '_token': token,
                        },
                        
                        success: function(result) { 
                            console.log(result);
                            if(result.status=='success'){
                                //btnReverse(ele);
                                if(table){
                                    table.ajax.reload( null, false ); 
                                    showMessage("Agent Updated Successfully", "success");
                                   
                                }else{
                                    showMessage(result.data,result.status); 
                                }
                            }else{
                                //btnReverse(ele);
                                showMessage("Something went wrong...!",'error');
                            }
                        },error:function(xhr, status, error,result){
                            console.log(xhr);
                            showMessage("Something went wrong...!",'error');
                            btnReverse(ele);
                        }
                    });
                }  
            }))
            $("#updateExport").val('').selectpicker("refresh");
        }else{
            showMessage('Select any agent!', 'warning');    
            $("#updateExport").val('').selectpicker("refresh");
        }
    }    
});    


//changeFlag
$(document).on("click", ".export-tog", function(e) {
    e.preventDefault();
    var agent =  $(this).attr('data-id');
    var ele   =    $(this).attr('data-val');
    if(ele!=''){
        let textval = (ele=='0')?'Enable':'Disable';
        if(agent > 0){
            swal.fire({
                title: "Are you sure?",
                text: textval+" export feature to the agent.",
                buttonsStyling: !1,
                confirmButtonText: textval,
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { console.log(t.value);
                if(t.value){
                    var property = [agent];
                    var status = (ele=='1')?'0':'1';;
                    var token =  $('meta[name="csrf-token"]').attr('content');
                
                    $.ajax({ 
                    
                        type: 'POST',
                        url: host_url+"/admin/agent-exportstatus",
                        data: {
                            "property":property,
                            "status":status,
                            '_token': token,
                        },
                        
                        success: function(result) { 
                            console.log(result);
                            if(result.status=='success'){
                                //btnReverse(ele);
                                if(table){
                                    table.ajax.reload( null, false ); 
                                    showMessage("Agent Updated Successfully", "success");
                                   
                                }else{
                                    showMessage(result.data,result.status); 
                                }
                            }else{
                                //btnReverse(ele);
                                showMessage("Something went wrong...!",'error');
                            }
                        },error:function(xhr, status, error,result){
                            console.log(xhr);
                            showMessage("Something went wrong...!",'error');
                            btnReverse(ele);
                        }
                    });
                }  
            }))
            $("#updateExport").val('').selectpicker("refresh");
        }else{
            showMessage('Select any agent!', 'warning');    
            $("#updateExport").val('').selectpicker("refresh");
        }
    }    
});

$(document).on('click', '.editAgent', function(e){ 
       var agent =  $(this).attr('data');
       window.location.href =host_url+"/admin/agent-edit/"+ agent;
});

$(document).on('click', '.loginAgent', function(e){ 
       var agent =  $(this).attr('data');
       window.location.href =host_url+"/impersonateIn/"+ agent;
});

// $(document).ready(function(){
//      $('#outcode_select').multiselect({
//       nonSelectedText: 'Select Outcode',
//       enableFiltering: true,
//       enableCaseInsensitiveFiltering: true,
//       buttonWidth:'400px'
//  });
// });
$('#select_all').on('click', function(){ 
// Check/uncheck all checkboxes in the table
    var rows = table.rows({ 'search': 'applied' }).nodes();
    $('input[type="checkbox"]', rows).prop('checked', this.checked);
    selectAllAlert($(this));
});