var table = '';
var tokens =$('meta[name="csrf-token"]').attr('content');
function dataOperatorTable(data_url, token ,filename,post_code,platform,date_from,date_to,property_type) {
    table = $("#dataOperatorDatatable").DataTable({ 
        bSearchable:true,
        buttons: [
            { 
                extend: 'csv',
                exportOptions: {
                    columns: [ 1, 2, 3,4,5]
                },
                filename: filename,
            }
        ],
        pagination: true,
        pageLength:25,
        lengthMenu :[[25, 10, 50, 100], [25, 10, 50, 100]],
        responsive: !0,
        searchDelay: 500,
        processing: !0,
        serverSide: !0,
        ajax: {
            url: data_url,
            type: "POST",
            data: {
                // "search" : $("#kt_datatable_search_query").val(),
                post_code : post_code,
                platform : platform,
                date_from : date_from,
                date_to : date_to,
                type : property_type,
                columnsDef:  ['id','first_name','last_name', 'email','contact_number','flag','action'],
                _token:token,							
            },
            "error": function(data) {
                console.log(data);
            },
        },
        columns: [
        
        {data: 'id'},
        {data: 'first_name'},
        {data: 'last_name'},
        {data: 'email'},
        {data: 'contact_number'},
        {data: 'flag'},
        {data: 'action'},
        {data: 'submitted'},
        ],
        language: { search: 'Search' },
        columnDefs: [{
            targets: 0,
            searchable:false,
            orderable:false,
            // className: 'dt-body-center',
            render: function (data, type, full, meta){ console.log(type);
                return '<label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary"><input class="propertyCheck" type="checkbox" value="'+data+'" name="property[]"><span></span> </label>';
            }
        },{
            width: "100px",
            targets: 5,
            render: function (t, a, e, n) {
                if(t==0){
                    return '';
                }
                var l = {
                    1: {
                        title: "Active",
                        class: " label-light-success"
                    },
                    2: {
                        title: "Inactive",
                        class: " label-light-danger"
                    },                               
                };
                return void 0 === l[t] ? t : '<span class="label label-lg font-weight-bold' + l[t].class + ' label-inline">' + l[t].title + "</span>"
            }
        },{
            width: "100px",
            targets: 6,
            orderable:false,
            render: function (t, a, e, n) {
                if(t==0){
                    return '';
                }
                
                return '<span title="Edit" data="'+ t +'" class="btn btn-primary font-weight-bold mr-2 btn-sm btn-icon mr-2 editDataOperator">'+
                '<i class="flaticon2-edit "></i></span><span title="Login as Data Operator" data="'+ t +'" data-id="'+ t +'" class="loginOperator login_as btn btn-primary font-weight-bold mr-2 btn-sm btn-icon mr-2 editAgent">'+
                '<i class="flaticon2-user "></i></span>'
            }
        },{
            targets: 7,
            searchable:false,
            orderable:false,

        }]
    })
}


//changeFlag
$(document).on('click', '#updateFlag', function(e){ 
    e.preventDefault();
    var ele = $(this);
    if($('input[name="property[]"]:checked').length > 0){
        //btnInverse(ele);
        var property = $('input[name="property[]"]:checked').map(function(){
            return $(this).val();
        }).get();
        console.log(property);
        var flag = $("#flag").val();
        var token =  $('meta[name="csrf-token"]').attr('content');
    
        $.ajax({ 
           
            type: 'POST',
            url: host_url+"/admin/data-operator-flag-change",
            data: {
                "property":property,
                "flag":flag,
                '_token': token,
            },
            
            success: function(result) { 
                console.log(result);
                if(result.status=='success'){
                    showMessage(result.data,result.status); 
                    if(table){
                        table.ajax.reload( null, false ); 
                    }
                }else{
                    //btnReverse(ele);
                    showMessage("Something went wrong...!",'error');
                }
            },error:function(xhr, status, error,result){
                console.log(xhr);
                showMessage("Something went wrong...!",'error');
                btnReverse(ele);
            }
        });
    }else{
        showMessage('Select any data operator!', 'warning');    
    }
});


$(document).on('click', '#deleteDataOperator', function(e){ 
    e.preventDefault();
    var ele = $(this);
    if($('input[name="property[]"]:checked').length > 0){

        swal.fire({
            title: "Are you sure?",
            text: "Delete the data entry operator",
            buttonsStyling: !1,
            confirmButtonText: "Delete!",
            showCancelButton: true,
            customClass: {
                confirmButton: "btn font-weight-bold btn-light-primary",
                cancelButton: "btn font-weight-bold btn-light-danger",
            }
        }).then((function (t) {
            if(t.value){ 
                //btnInverse(ele);
                var property = $('input[name="property[]"]:checked').map(function(){
                    return $(this).val();
                }).get();
                console.log(property);
                var flag = $("#flag").val();
                var token =  $('meta[name="csrf-token"]').attr('content');
            
                $.ajax({ 
                
                    type: 'POST',
                    url: host_url+"/admin/data-operator-delete",
                    data: {
                        "property":property,
                        "flag":flag,
                        '_token': token,
                    },
                    
                    success: function(result) { 
                        console.log(result);
                        if(result.status=='success'){
                            //btnReverse(ele);
                            if(table){
                                table.ajax.reload( null, false ); 
                            }else{
                                showMessage(result.data,result.status); 
                            }
                        }else{
                            //btnReverse(ele);
                            showMessage("Something went wrong...!",'error');
                        }
                    },error:function(xhr, status, error,result){
                        console.log(xhr);
                        showMessage("Something went wrong...!",'error');
                        btnReverse(ele);
                    }
                });
            }  
        }))
    }else{
        showMessage('Select any data operator!', 'warning');    
    }
});


$(document).on('click', '.editDataOperator', function(e){ 
       var id =  $(this).attr('data');
       window.location.href =host_url+"/admin/data-operator-edit/"+ id;
});

// $(document).on('click', '.loginOperator', function(e){ 
//        var operator =  $(this).attr('data');
//        window.location.href =host_url+"/impersonateIn/"+ operator;
// });

// $(document).ready(function(){
//      $('#outcode_select').multiselect({
//       nonSelectedText: 'Select Outcode',
//       enableFiltering: true,
//       enableCaseInsensitiveFiltering: true,
//       buttonWidth:'400px'
//  });
// });
$('#select_all').on('click', function(){ 
// Check/uncheck all checkboxes in the table
    var rows = table.rows({ 'search': 'applied' }).nodes();
    $('input[type="checkbox"]', rows).prop('checked', this.checked);
    selectAllAlert($(this));

});