var table = "";

$("#select_all").on("click", function() {
    // Check/uncheck all checkboxes in the table
    var rows = table.rows({ search: "applied" }).nodes();
    $('input[type="checkbox"]', rows).prop("checked", this.checked);
    selectAllAlert($(this));

});

function outcodeApprovalTable(data_url, token, filename) {
    table = $("#outcodeApprovalDatatable").DataTable({
        bSearchable: true,
        buttons: [
            {
                extend: "csv",
                exportOptions: {
                    columns: [1, 2, 3, 4]
                },
                filename: filename
            }
        ],
        pagination: true,
        pageLength: 25,
        lengthMenu: [
            [25, 10, 50, 100],
            [25, 10, 50, 100]
        ],
        responsive: !0,
        searchDelay: 500,
        processing: !0,
        serverSide: !0,
        ajax: {
            url: data_url,
            type: "POST",
            data: {
                // "search" : $("#kt_datatable_search_query").val(),
                columnsDef: [
                    "id",
                    "name",
                    "email",
                    "outcode",
                    "date",
                    "action"
                ],
                _token: token
            },
            error: function(data) {
                console.log(data);
            }
        },
        columns: [
            { data: "id" },
            { data: "name" },
            { data: "email" },
            { data: "outcode" },
            { data: "date" },
            { data: "action" }
        ],
        language: { search: "Search" },
        columnDefs: [
            {
                targets: 0,
                searchable: false,
                orderable: false,
                // className: 'dt-body-center',
                render: function(data, type, full, meta) {
                    return (
                        '<label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary"><input class="propertyCheck" type="checkbox" value="' +
                        data +
                        '" name="outcodesId[]"><span></span> </label>'
                    );
                }
            },
            {
                targets: 3,
                render: function(t, a, e, n) {
                    if (t == 0) {
                        return "";
                    }

                    return `<span class="font-weight-bold text-success">${t}</span>`;
                }
            },
            {
                targets: 5,
                searchable: false,
                orderable: false,
                render: function(t, a, e, n) {
                    if (t == 0) {
                        return "";
                    }

                    return `<button data-id="${t}" class="approveOutcode btn btn-primary px-4 font-weight-bold">Approve</button>
					<button data-id="${t}" class="deleteOutcode btn btn-danger px-4 font-weight-bold">Delete</button>`;
                }
            }
        ]
    });
}

$(document).on("click", ".deleteOutcode", function(e) {
    e.preventDefault();
    var ele = $(this);
    swal.fire({
        title: "Are you sure?",
        text: "Delete this Outcode request.",
        buttonsStyling: !1,
        confirmButtonText: "Delete!",
        showCancelButton: true,
        customClass: {
            confirmButton: "btn font-weight-bold btn-light-primary",
            cancelButton: "btn font-weight-bold btn-light-danger"
        }
    }).then(function(t) {
        console.log(t.value, deleteUrl);
        if (t.value) {
            $.ajax({
                type: "POST",
                url: deleteUrl,
                data: {
                    id: ele.data("id"),
                    _token: token
                },

                success: function(result) {
                    console.log(result);
                    if (result.status == "success") {
                        //btnReverse(ele);
                        if (table) {
                            table.ajax.reload(null, false);
                        } else {
                            showMessage(result.data, result.status);
                        }
                    } else {
                        //btnReverse(ele);
                        showMessage("Something went wrong...!", "error");
                    }
                },
                error: function(xhr, status, error, result) {
                    console.log(xhr);
                    showMessage("Something went wrong...!", "error");
                    btnReverse(ele);
                }
            });
        }
    });
});

$(document).on("click", "#deleteOutcodeAll", function(e) {
    e.preventDefault();
    var ele = $(this);
    if ($('input[name="outcodesId[]"]:checked').length > 0) {
        swal.fire({
            title: "Are you sure?",
            text: "Delete selected outcode requests.",
            buttonsStyling: !1,
            confirmButtonText: "Delete!",
            showCancelButton: true,
            customClass: {
                confirmButton: "btn font-weight-bold btn-light-primary",
                cancelButton: "btn font-weight-bold btn-light-danger"
            }
        }).then(function(t) {
            console.log(t.value);
            if (t.value) {
                var ids = $('input[name="outcodesId[]"]:checked')
                    .map(function() {
                        return $(this).val();
                    })
                    .get();

                $.ajax({
                    type: "POST",
                    url: deletesUrl,
                    data: {
                        ids: ids,
                        _token: token
                    },

                    success: function(result) {
                        console.log(result);
                        if (result.status == "success") {
                            //btnReverse(ele);
                            showMessage(result.data, result.status);
                            if (table) {
                                table.ajax.reload(null, false);
                            }
                        } else {
                            //btnReverse(ele);
                            showMessage("Something went wrong...!", "error");
                        }
                    },
                    error: function(xhr, status, error, result) {
                        console.log(xhr);
                        showMessage("Something went wrong...!", "error");
                        btnReverse(ele);
                    }
                });
            }
        });
    } else {
        showMessage("Select any item!", "warning");
    }
});

$(document).on("click", ".approveOutcode", function(e) {
    e.preventDefault();
    var ele = $(this);
    swal.fire({
        title: "Are you sure?",
        text: "Approve this request.",
        buttonsStyling: !1,
        confirmButtonText: "Approve!",
        showCancelButton: true,
        customClass: {
            confirmButton: "btn font-weight-bold btn-light-primary",
            cancelButton: "btn font-weight-bold btn-light-danger"
        }
    }).then(function(t) {
        console.log(t.value, deleteUrl);
        if (t.value) {
            $.ajax({
                type: "POST",
                url: approveUrl,
                data: {
                    id: ele.data("id"),
                    _token: token
                },

                success: function(result) {
                    console.log(result);
                    if (result.status == "success") {
                        showMessage(result.data, result.status);
                        if (table) {
                            table.ajax.reload(null, false);
                        }
                    } else {
                        //btnReverse(ele);
                        showMessage("Something went wrong...!", "error");
                    }
                },
                error: function(xhr, status, error, result) {
                    console.log(xhr);
                    showMessage("Something went wrong...!", "error");
                    btnReverse(ele);
                }
            });
        }
    });
});

$(document).on("click", "#approveOutcodeAll", function(e) {
    e.preventDefault();
    var ele = $(this);
    if ($('input[name="outcodesId[]"]:checked').length > 0) {
        swal.fire({
            title: "Are you sure?",
            text: "Approve all selected outcode requests.",
            buttonsStyling: !1,
            confirmButtonText: "Approve!",
            showCancelButton: true,
            customClass: {
                confirmButton: "btn font-weight-bold btn-light-primary",
                cancelButton: "btn font-weight-bold btn-light-danger"
            }
        }).then(function(t) {
            console.log(t.value);
            if (t.value) {
                var ids = $('input[name="outcodesId[]"]:checked')
                    .map(function() {
                        return $(this).val();
                    })
                    .get();

                $.ajax({
                    type: "POST",
                    url: approvesUrl,
                    data: {
                        ids: ids,
                        _token: token
                    },

                    success: function(result) {
                        console.log(result);
                        if (result.status == "success") {
                            //btnReverse(ele);
                            showMessage(result.data, result.status);
                            if (table) {
                                table.ajax.reload(null, false);
                            }
                        } else {
                            //btnReverse(ele);
                            showMessage("Something went wrong...!", "error");
                        }
                    },
                    error: function(xhr, status, error, result) {
                        console.log(xhr);
                        showMessage("Something went wrong...!", "error");
                        btnReverse(ele);
                    }
                });
            }
        });
    } else {
        showMessage("Select any item!", "warning");
    }
});
