var formValidate;
var form;
var timeOut = 1000;
var scrollTop = 2000;

$(document).ready(function () {
    $('.data-table-container').each(function () {
        var formValue;
        var columns;
        var length;
        var form;
        var url;
        var table;
        table = $(this).find('.data-tables');
        url = table.data('url');
        form = table.data('form');
        length = table.data('length');
        columns = [];
        formValue = [];
        table.find('thead th').each(function () {
            var column = {'data': $(this).data('column')};
            columns.push(column);
        });
        table.DataTable({
            processing: true,
            serverSide: true,
            stateSave: true,
            bLengthChange: false,
            pageLength: length,
            ajax: {
                "type": "GET",
                "url": url,
                "data": function (data) {
                    data.form = formValue;
                }
            },
            columns: columns,
            fnDrawCallback: function () {
                $('[data-toggle="tooltip"]').tooltip();
            }
        });
        $('#' + form + '-button').click(function () {
            formValue = $('#' + form + '-form').serializeArray();
            table.DataTable().draw();
        });
        $(document).on('keypress', function (e) {
            if (e.which == 13) {
                e.preventDefault();
                formValue = $('#' + form + '-form').serializeArray();
                table.DataTable().draw();
            }
        });
    });
});

$("body").on("submit", ".ajax-submit", function (e) {
    var field;
    e.preventDefault();
    field = this.id;
    form = $('#' + field);
    $('.error').hide();
    $.ajax({
        url: form.attr('action'),
        type: form.attr('method'),
        data: form.serialize(),
        success: ajaxSuccess,
        error: ajaxError
    });
});

function ajaxSuccess(html) {
    if (html.error === false) {
        showMessage(html.message, 'success');
        if (html.url && html.url != '') {
            window.location.href = html.url;
        }
    } else {
        showMessage(html.message, 'error');
    }
}

function ajaxError(html) {
    if (html.status === 422) {
        showMessage("Please enter required fields", 'error');
        var errors = html.responseJSON.errors;
        var i = 1;
        $.each(errors, function (key, value) {
            var id = "#" + key + "-error";
            $(id).html(value);
            $(id).show();
            if (i === 1) {
                var margin = $('.app-header').height();
                $('html, body').animate({
                    scrollTop: $(id).closest("div").offset().top - parseFloat(margin)
                }, scrollTop);
            }
            i++;
        });
        $(".form-control").keyup(function () {
            $(this).closest(".error").hide();
        });
    } else if (html.status === 403) {
        showMessage("User not authorised", "error");
    } else {
        showMessage("Some thing went wrong, Please try Again", "error");
    }
}

function imageDelete(type, id = null) {
    askConfirmation("Are you sure?", function () {
        var msg;
        if (id != null) {
            msg = 'Please wait, while request is being processing';
            showAlert(msg, "info");
            $.ajax({
                url: link + "/" + id + "/delete",
                type: "GET",
                dataType: "html",
            })
                .done(function (a) {
                    var data = JSON.parse(a);
                    if (data.error === true) {
                        showAlert(data.message, "error", 1000);
                    } else {
                        showAlert(data.message, "success", 1000);
                    }
                }).fail(function () {
                var failMsg = 'Some thing went wrong, Please try Again';
                showAlert(failMsg, "error", 2000);
            });
        }
        $('#' + type + '_section').html('');
        $('#' + type + '_text').val('');
        $("input[name=" + type + "]").val('');
    });
}

function ajaxDelete(id) {
    swal.fire({
        title: "Are you sure?",
        text: "Delete this item",
        buttonsStyling: !1,
        confirmButtonText: "Delete",
        showCancelButton: true,
        customClass: {
            confirmButton: "btn font-weight-bold btn-light-primary",
            cancelButton: "btn font-weight-bold btn-light-danger",
        }
    }).then((function (t) {
        console.log(t.value);
        if (t.value) {
            $.ajax({
                url: link + "/" + id + "/delete",
                type: "GET",
                dataType: "html",
                success: dataRefresh,
                error: showError
            });
        }
    }));
}

function ajaxActivate(id) {
    $.ajax({
        url: link + "/" + id + "/activate",
        type: "GET",
        dataType: "html",
        success: dataRefresh,
        error: showError
    });
}

function ajaxPriority(id, type) {
    askConfirmation("Are you sure?", function () {
        $.ajax({url: link + "/priority/" + id + "/" + type, type: "GET", dataType: "html"})
            .done(dataRefresh)
            .fail(function () {
                alert("Please try again...");
            });
    });
}

function dataRefresh(a) {
    var data = JSON.parse(a);
    if (data.error === true) {
        showMessage(data.message, "error");
    } else {
        $('.data-tables').DataTable().ajax.reload(null, false);
        showMessage(data.message, "success");
    }
}

function showError() {
    var failMsg = 'Some thing went wrong, Please try Again';
    showMessage(failMsg, "error");
}

function notify() {
    $.ajax({
        url: basePath + "/notification",
        type: "GET",
        dataType: "html",
        success: function (data) {// success callback function
            $('#notification-area').html(data);
        },
        error: showError
    });
}

function notifySeen(id) {
    $.ajax({
        url: basePath + "/notification/" + id,
        type: "GET",
        dataType: "html",
        success: function () {// success callback function
            notify();
        },
        error: showError
    });
}


$(document).on("click", "#ecmSubmit", function(e) {
    let ecmName = $("#ecmName").val();

    if (ecmName.trim() == $("#ecmName").data("value")) {
        $("#ecmName").addClass("is-invalid");
        $("#ecmNameError").html("Please change the name and try again.");
    } else if (ecmName.trim() == "") {
        $("#ecmName")
            .addClass("is-invalid")
            .focus();
        $("#ecmNameError").html("This field is required");
    } else {
        $.ajax({
            url: `${link}/${$("#ecmName").data("id")}`,
            type: "PUT",
            data: {
                _token: $("#ecmToken").val(),
                name: ecmName
            },
            success: function(data) {
                $("#editCampaignModal").modal("hide");
                $(".data-tables")
                    .DataTable()
                    .ajax.reload(null, false);
                showMessage(data.message, "success");
            },
            error: showError
        });
    }
});
