function btnReverse(ele) {
    var btn_txt = $(ele).attr("data-btn");
    $(ele).html(btn_txt);
    $(ele).removeAttr("disabled");
}

function btnInverse(ele) {
    $(ele).html("Posting...");
    $(ele).prop("disabled", true);
}

//search

$(document).on("click", ".outcodeSummary", function() {
    var code = $(this)
        .data("id")
        .toUpperCase();
    var url = $("#outcodeSummaryModal").data("url");

    $("#osmCode").text(code);
    $(
        "#outcodeSummaryModal .modal-body"
    ).html(`<div class="d-flex justify-content-center out-summ-box">
                        <span class="text-primary">Loading . . .</span>
                    </div>`);
    $("#outcodeSummaryModal").modal("show");
    console.log(url, "url");

    $.ajax({
        url: $("#outcodeSummaryModal").data("url"),
        type: "get",
        data: { outcode: code },
        success: function(result) {
            let res = JSON.parse(result);
            console.log("res", res);
            $("#outcodeSummaryModal .modal-body")
                .html(`<div class="d-flex justify-content-around mb-10">
                        <div class="d-flex align-items-center">
                            <button class="btn btn-zoopla btn-xs text-center btn-static"><i class="icon-md">Z</i></button>
                            <span class="font-size-h3 ml-2">Zoopla</span>
                        </div>
                        <span></span>
                        <div class="d-flex align-items-center">
                            <span class="font-size-h3 mr-2">Rightmove</span>
                            <button class="btn btn-rightmove btn-xs text-center btn-static"><i class="icon-md">R</i></button>
                        </div>
                    </div>
                    <div class="out-sum-dcard mb-6">
                        <div class="text-center font-size-h6 mb-2">Total no.of properties</div>
                        <div class="out-summ-box">
                            <div class="text-info font-size-h3">${
                                res.zoopla ? res.zoopla.total_count : "--"
                            }</div>
                            <span class="out-summ-sep"></span>
                            <div class="text-success font-size-h3">${
                                res.rightmove ? res.rightmove.total_count : "--"
                            }</div>
                        </div>
                    </div>
                    <div class="out-sum-dcard mb-6">
                        <div class="text-center font-size-h6 mb-2">Total no.of Hit Rates</div>
                        <div class="out-summ-box">
                            <div class="text-info font-size-h3">${
                                res.zoopla ? res.zoopla.hitrate_count : "--"
                            }</div>
                            <span class="out-summ-sep"></span>
                            <div class="text-success font-size-h3">${
                                res.rightmove
                                    ? res.rightmove.hitrate_count
                                    : "--"
                            }</div>
                        </div>
                    </div>
                    <div class="out-sum-dcard mb-6">
                        <div class="text-center font-size-h6 mb-2">Hit Rate Percentage</div>
                        <div class="out-summ-box">
                            <div class="text-info font-size-h3">${
                                res.zoopla
                                    ? res.zoopla.hitrate_percentage + "%"
                                    : "--"
                            }</div>
                            <span class="out-summ-sep"></span>
                            <div class="text-success font-size-h3">${
                                res.rightmove
                                    ? res.rightmove.hitrate_percentage + "%"
                                    : "--"
                            }</div>
                        </div>
                    </div>
                    <div class="out-sum-dcard">
                        <div class="text-center font-size-h6 mb-2">Last Updated</div>
                        <div class="out-summ-box">
                            <div class="text-info font-size-h6">${
                                res.zoopla ? res.zoopla.date : "--"
                            }</div>
                            <span class="out-summ-sep"></span>
                            <div class="text-success font-size-h6">${
                                res.rightmove ? res.rightmove.date : "--"
                            }</div>
                        </div>
                    </div>`);
        }
    });

    // $.ajax({
    //     url: '{{route("")}}',
    //     type: form.attr("method"),
    //     data: form.serialize(),
    //     success: ajaxSuccess,
    //     error: ajaxError
    // });
});


function selectAllAlert(ele){
    if(ele.prop("checked") == true){
        swal.fire({
            title: "INFO",
            text: "This only selects the current page, scroll to the next page for adding them seperately!",
            buttonsStyling: !1,
            confirmButtonText: "OK",
            showCancelButton: false,
            customClass: {
                confirmButton: "btn font-weight-bold btn-light-primary",
                cancelButton: "btn font-weight-bold btn-light-danger",
            }
        });
    }
} 