var table = "";
var tokens = $('meta[name="csrf-token"]').attr("content");

function propertyTable(
    data_url,
    token,
    filename,
    // property_type,
    postcode,
    // flag,
    // agency,
    // platform,
    date_from,
    date_to,
    outcode,
    // weeks,
    search_value, flag
) {
    table = $("#propertyDatatable").DataTable({
        bSearchable: true,
        search: {
            search: search_value
        },
        bFilter: true,
        buttons: [{
            extend: "csv",
            exportOptions: {
                columns: [1, 2, 3, 4, 5, 6, 7, 8]
            },
            filename: filename
        }],
        pagination: true,
        pageLength: 25,
        lengthMenu: [
            [25, 10, 50, 100],
            [25, 10, 50, 100]
        ],
        responsive: !0,
        searchDelay: 500,
        // processing: !0,
        serverSide: !0,
        ajax: {
            url: data_url,
            type: "POST",
            data: {
                post_code: postcode,
                // type: property_type,
                flag: flag,
                // // agency: agency,
                // // platform: platform,
                date_from: date_from,
                date_to: date_to,
                outcode: outcode,
                // weeks: weeks,
                // // "search" : $("#kt_datatable_search_query").val(),
                // columnsDef: [
                //     "id",
                //     "outcode",
                //     "address",
                //     "price",
                //     "listed_date",
                //     // "agency",
                //     "type",
                //     // "portal_url",
                //     // "flag"
                // ],
                _token: token
            },
            error: function (data) {
                console.log(data);
            }
        },
        columns: [{
                data: "id"
            },
            {
                data: "postcode"
            },
            {
                data: "address"
            },
            {
                data: "name"
            },
            {
                data: "executor"
            },
            // { data: "agency" },
            {
                data: "publication_date"
            },
            // { data: "portal_url" },
            {
                data: "status"
            }
        ],
        language: {
            search: "Search"
        },
        order: [
            [4, "desc"]
        ],
        columnDefs: [{
                targets: 0,
                searchable: false,
                orderable: false,
                // className: 'dt-body-center',
                render: function (data, type, full, meta) {
                    return (
                        '<label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary"><input class="propertyCheck" type="checkbox" value="' +
                        data +
                        '" name="property[]"><span></span> </label>'
                    );
                }
            },
            {
                targets: 1,
                //searchable:false,
                orderable: false
            },
            {
                width: "100px",
                targets: 6,
                orderable: false,
                render: function (t, a, e, n) {
                    // return t;
                    var l = {
                        0: {
                            title: "No Status",
                            class: " label-light-dark"
                        },
                        1: {
                            title: "Contacted",
                            class: " label-light-success"
                        },
                        2: {
                            title: "Do Not Contact",
                            class: " label-light-danger"
                        },
                        3: {
                            title: parseInt(e["letter_count"]) <= 1 ?
                                "1 Letter Sent" :
                                `${e["letter_count"]} Letters Sent`,
                            class: " label-light-primary"
                        },
                        4: {
                            title: "Letter Not Sent",
                            class: " label-light-primary"
                        }
                    };
                    return void 0 === l[t] ?
                        t :
                        '<span class="label label-lg font-weight-bold' +
                        l[t].class +
                        ' label-inline">' +
                        l[t].title +
                        "</span>";
                }
            }
        ],
        initComplete: function (settings, json) {
            console.log(json);
            $(".total_results").html(
                "Number of properties : " + json.recordsFiltered
            );
            // var info = table.page.info(); console.log(info);
            // var rowstot = info.recordsTotal;
            // var rowsshown = info.recordsDisplay;
            // $('.total_results').html('Number of properties : ' + rowsshown);
            this.api()
                .column(1)
                .every(function () {
                    var column = this;
                    // var select = $(
                    //     '<select id="outcodeFil" class=" form-control"><option value="">Postcode</option></select>'
                    // ).appendTo($(column.header()).empty());

                    // .on( 'change', function () {
                    // var val = $.fn.dataTable.util.escapeRegex(
                    //     $(this).val()
                    // );
                    // table
                    // .column( 1 )
                    // .search( val )
                    // .draw();
                    // table.search(val).draw();
                    // } );
                    // alert(outcode);

                    // $.each(json.outcode, function(key, value) {
                    //     if (outcode == value) {
                    //         var selected = "selected";
                    //     } else {
                    //         var selected = "";
                    //     }
                    //     select.append(
                    //         "<option " +
                    //             selected +
                    //             '  value="' +
                    //             value +
                    //             '">' +
                    //             value +
                    //             "</option>"
                    //     );
                    // });
                });
        },
        infoCallback: function (settings, start, end, max, total, pre) {
            stopSpinnerKitLoader();
            var spinner_data = [];
            spinner_data = {
                message: "Loading Complete, Please Wait as we Compile Your Data...",
                spinner_size: '75px',
                spinner_type: 'wander',
            };
            callSpinnerKitLoader(spinner_data);
            setTimeout(function () {
                stopSpinnerKitLoader();
            }, 1000);
            // console.log(settings, start, end, max, total, pre);
            $(".total_results").html("Number of properties : " + total);
            return pre;
        }
    });
}

$(".filterProperty").on("click", function (e) {
    var post_code = $("#filter_postcode_property").val();
    // var type = $("#filter_property_type_property").val();
    // var flag = $("#filter_flag").val();
    // var agency = $("#filter_agent").val();
    // var platform = $("#filter_platform").val();
    var date_from = $(".date_from").val();
    var date_to = $(".date_to").val();
    var outcode = $("#outcodeFil").val();
    // alert(post_code);
    var token = $('meta[name="csrf-token"]').attr("content");
    var url = host_url + "/all-probate-property";
    if (typeof post_code != "undefined") {
        $("#propertyDatatable")
            .DataTable()
            .clear();
        $("#propertyDatatable")
            .DataTable()
            .destroy();
        propertyTable(
            url,
            token,
            "AllProbateProperties",
            post_code,
            // type,
            // flag,
            // agency,
            // platform,
            date_from,
            date_to,
            outcode
        );
        $("#propertyFilterModal").modal("hide");
    }
});

$(document).on("change", "#updateFlag", function (e) {
    var flag = $(this).val();
    e.preventDefault();
    if ($('input[name="property[]"]:checked').length > 0) {
        if ($(this).val() > 0) {
            Swal.fire({
                title: "Are you sure?",
                text: "Change the status",
                icon: "warning",
                buttonsStyling: !1,
                confirmButtonText: "Update",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger"
                }
            }).then(function (result) {
                if (result.value) {
                    var property = $('input[name="property[]"]:checked')
                        .map(function () {
                            return $(this).val();
                        })
                        .get();
                    var token = $('meta[name="csrf-token"]').attr("content");
                    $.ajax({
                        type: "POST",
                        url: host_url + "/probate-status-change",
                        data: {
                            property: property,
                            flag: flag,
                            _token: token
                        },
                        success: function (result) {
                            console.log(result);
                            if (result.status == "success") {
                                $("#updateFlag")
                                    .val("")
                                    .selectpicker("refresh");
                                if (table) {
                                    table.clear();
                                    table.ajax.reload();
                                    // table.ajax.reload( null, false );
                                    showMessage(
                                        "Status Updated Successfully",
                                        "success"
                                    );
                                } else {
                                    showMessage(result.data, result.status);
                                }
                            } else {
                                $("#updateFlag")
                                    .val("")
                                    .selectpicker("refresh");
                                showMessage(
                                    "Something went wrong",
                                    "error"
                                );
                            }
                        },
                        error: function (xhr, status, error, result) {
                            console.log(xhr);
                            showMessage("Something went wrong", "error");
                            $("#updateFlag")
                                .val("")
                                .selectpicker("refresh");
                        }
                    });
                } else if (result.dismiss === "cancel") {
                    $("#updateFlag")
                        .val("")
                        .selectpicker("refresh");
                }
            });
        }
    } else {
        showMessage("Select any property!", "warning");
        $("#updateFlag")
            .val("")
            .selectpicker("refresh");
    }
});

$(document).on("click", "#proupdateFlag", function (e) {
    var flag = $("#flag").val();
    e.preventDefault();
    if ($('input[name="property"]').length > 0) {
        if (flag > 0) {
            Swal.fire({
                title: "Are you sure?",
                text: "Change the status",
                icon: "warning",
                buttonsStyling: !1,
                confirmButtonText: "Update",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger"
                }
            }).then(function (result) {
                if (result.value) {
                    var property = $('input[name="property"]')
                        .map(function () {
                            return $(this).val();
                        })
                        .get();
                    var token = $('meta[name="csrf-token"]').attr("content");
                    $.ajax({
                        type: "POST",
                        url: host_url + "/probate-status-change",
                        data: {
                            property: property,
                            flag: flag,
                            _token: token
                        },
                        success: function (result) {
                            console.log(result);
                            if (result.status == "success") {
                                // $("#flag").val(flag).selectpicker("refresh");
                                if (table) {
                                    // table.clear();
                                    // table.ajax.reload();
                                    // table.ajax.reload( null, false );
                                    showMessage(
                                        "Status Updated Successfully",
                                        "success"
                                    );
                                } else {
                                    showMessage(result.data, result.status);
                                }
                            } else {
                                $("#flag")
                                    .val("")
                                    .selectpicker("refresh");
                                showMessage(
                                    "Something went wrong",
                                    "error"
                                );
                            }
                        },
                        error: function (xhr, status, error, result) {
                            console.log(xhr);
                            showMessage("Something went wrong", "error");
                            $("#flag")
                                .val("")
                                .selectpicker("refresh");
                        }
                    });
                } else if (result.dismiss === "cancel") {
                    $("#flag")
                        .val("")
                        .selectpicker("refresh");
                }
            });
        }
    } else {
        showMessage("Select any property!", "warning");
        $("#flag")
            .val("")
            .selectpicker("refresh");
    }
});

$("#select_all").on("click", function () {
    // Check/uncheck all checkboxes in the table
    var rows = table.rows({
        search: "applied"
    }).nodes();
    $('input[type="checkbox"]', rows).prop("checked", this.checked);
    selectAllAlert($(this));
});

$(document).on("click", ".propertyCheck", function (e) {
    // alert($(this).val());
    // var item = parseInt($(this).val());
    // if($(this).is(':checked')==true){
    //     checkedArr.push(item);
    // }else{
    //     checkedArr = $.grep(checkedArr, function(value) {
    //         return value != item;
    //     });
    // }
    // console.log(checkedArr);
    var checkbox_length = $(".propertyCheck").length;
    if ($('input[name="property[]"]:checked').length == checkbox_length) {
        $("#select_all").prop("checked", true);
    } else {
        $("#select_all").prop("checked", false);
    }
});

$(document).on("click", "#addCampaign", function (e) {
    var title_text = '';
    var confirm_btn_text = '';
    var cancel_btn_text = '';
    var ele = $(this);
    e.preventDefault();
    var page = ele.attr('data-page');
    if ($('input[name="property[]"]:checked').length <= 0) {
        showMessage("Select any property!", "warning");
    } else {
        var property = $('input[name="property[]"]:checked')
            .map(function () {
                return $(this).val();
            })
            .get();
        var token = $('meta[name="csrf-token"]').attr("content");
        btnInverse(ele);
        $.ajax({
            type: "POST",
            url: host_url + "/check-probate-agent-filter",
            data: {
                property: property,
                _token: token
            },
            success: function (result) {
                if (result.status === "true") {
                    var arr = [];
                    $('input[name="property[]"]:checked').each(function () {
                        if ($(this).is(":checked")) {
                            var id = $(this).val();
                            var txt_value = $(this)
                                .closest("tr")
                                .find(".single_probate_property_popup")
                                .html();
                            arr.push([id, txt_value]);
                        }
                    });
                    var contacted_properties = result.property_id;
                    var print_contacted_properties = '';
                    var property_contact_count = 0;
                    $.each(arr, function (key, value) {
                        var index = $.inArray(value[0], contacted_properties);
                        if (index != -1) {
                            console.log(index);
                            property_contact_count++;
                            print_contacted_properties += '<div class="form-group row table-row" id="table-title-row" style="border-bottom: 1px solid #cccccc; padding-bottom: 5px; text-align: initial;">' +
                                '<div class="col-sm-2">' + property_contact_count + '</div><div class="col-sm-10">' + value[1] + '</div>' +
                                '</div>';
                        }
                    });
                    var contacted_property_list = '<div class="accordion accordion-toggle-arrow" id="accordionExample1" >' +
                        '<div class="card">' +
                        '<div class="card-header">' +
                        '<div class="card-title collapsed" data-toggle="collapse" data-target="#collapseOne1" aria-expanded="false">Click to see list of contacted properties</div>' +
                        '</div>' +
                        '<div id="collapseOne1" class="collapse" data-parent="#accordionExample1" style="background-color: lightcyan;">' +
                        '<div class="card-body modal-table-accordian">' +
                        '<div class="form-group row table-row" id="table-title-row" style="border-bottom: 1px solid #cccccc; padding-bottom: 5px;">' +
                        '<div class="col-sm-2">Sl.</div><div class="col-sm-10">Address</div>' +
                        '</div>' + print_contacted_properties +
                        '</div>' +
                        '</div>' +
                        '</div>' +
                        '</div>';
                    if (page === "list") {
                        title_text = "The selected list contain " + property_contact_count + " properties already contacted in last 4 weeks.";
                        confirm_btn_text = "Yes, Add All Properties To Campaign";
                        cancel_btn_text = "Uncheck and Add To Campaign";
                    } else {
                        title_text = "This property was already contacted in last 4 weeks.";
                        confirm_btn_text = "Yes, Add this Property To Campaign";
                        cancel_btn_text = "No";
                        contacted_property_list = "";
                    }
                    Swal.fire({
                        title: title_text,
                        text: "Do you still want to add it to Campaign?",
                        icon: "warning",
                        html: contacted_property_list,
                        width: 600,
                        buttonsStyling: !1,
                        confirmButtonText: confirm_btn_text,
                        cancelButtonText: cancel_btn_text,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        customClass: {
                            confirmButton: "btn font-weight-bold btn-light-primary",
                            cancelButton: "btn font-weight-bold btn-light-danger"
                        }
                    }).then(function (result) {
                        if (result.value) {
                            $.ajax({
                                type: "POST",
                                url: host_url + "/add-probate-campaign",
                                data: {
                                    property: property,
                                    _token: token
                                },
                                success: function (result) {
                                    btnReverse(ele);
                                    if (result.status == "error") {
                                        showMessage("Something went wrong", "error");
                                    } else {
                                        $('input[name="property[]"]').prop("checked", false);
                                        $("#select_all").prop("checked", false);
                                        showMessage(result.data, result.status);
                                    }
                                },
                                error: function (xhr, status, error, result) {
                                    btnReverse(ele);
                                    console.log(xhr);
                                    showMessage("Something went wrong", "error");
                                }
                            });
                        } else if (result.dismiss === "cancel") {
                            if (page === "list") {
                                property_newlist = [];
                                btnReverse(ele);
                                property_newlist = property.filter(function (el) {
                                    return contacted_properties.indexOf(el) < 0;
                                });
                                // console.log("selected : " + property);
                                // console.log("contacted : " + contacted_properties);
                                // console.log("filtered : " + property_newlist);
                                if (!$.isArray(property_newlist) || !property_newlist.length) {
                                    $('input[name="property[]"]').prop("checked", false);
                                    $("#select_all").prop("checked", false);
                                    showMessage("Successfully added to campaign", "success");
                                } else {
                                    $.ajax({
                                        type: "POST",
                                        url: host_url + "/add-probate-campaign",
                                        data: {
                                            property: property_newlist,
                                            _token: token
                                        },
                                        success: function (result) {
                                            btnReverse(ele);
                                            if (result.status == "error") {
                                                showMessage("Something went wrong", "error");
                                            } else {
                                                $('input[name="property[]"]').prop("checked", false);
                                                $("#select_all").prop("checked", false);
                                                showMessage(result.data, result.status);
                                            }
                                        },
                                        error: function (xhr, status, error, result) {
                                            btnReverse(ele);
                                            console.log(xhr);
                                            showMessage("Something went wrong", "error");
                                        }
                                    });
                                }
                            } else {
                                btnReverse(ele);
                                $("#updateFlag")
                                    .val("")
                                    .selectpicker("refresh");
                            }
                        }
                    });
                } else {
                    $.ajax({
                        type: "POST",
                        url: host_url + "/add-probate-campaign",
                        data: {
                            property: property,
                            _token: token
                        },
                        success: function (result) {
                            btnReverse(ele);
                            if (result.status == "error") {
                                showMessage("Something went wrong", "error");
                            } else {
                                $('input[name="property[]"]').prop("checked", false);
                                $("#select_all").prop("checked", false);
                                showMessage(result.data, result.status);
                            }
                        },
                        error: function (xhr, status, error, result) {
                            btnReverse(ele);
                            console.log(xhr);
                            showMessage("Something went wrong", "error");
                        }
                    });
                }
            }
        });
    }
});

$(document).on("click", "#addProCampaign", function (e) {
    var title_text = '';
    var confirm_btn_text = '';
    var cancel_btn_text = '';
    var ele = $(this);
    e.preventDefault();
    var page = ele.attr('data-page');
    var property = $('input[name="property"]')
        .map(function () {
            return $(this).val();
        })
        .get();
    var token = $('meta[name="csrf-token"]').attr("content");
    btnInverse(ele);
    $.ajax({
        type: "POST",
        url: host_url + "/check-probate-agent-filter",
        data: {
            property: property,
            _token: token
        },
        success: function (result) {
            if (result.status === "true") {
                var contacted_properties = result.property_id;
                if (page === "list") {
                    title_text = "The selected list contain properties already contacted in last 4 weeks.";
                    confirm_btn_text = "Yes, Add All Properties To Campaign";
                    cancel_btn_text = "Uncheck and Add To Campaign";
                } else {
                    title_text = "This property was already contacted in last 4 weeks.";
                    confirm_btn_text = "Yes, Add this Property To Campaign";
                    cancel_btn_text = "No";
                }
                Swal.fire({
                    title: title_text,
                    text: "Do you still want to add it to Campaign?",
                    icon: "warning",
                    buttonsStyling: !1,
                    confirmButtonText: confirm_btn_text,
                    cancelButtonText: cancel_btn_text,
                    showCancelButton: true,
                    allowOutsideClick: false,
                    customClass: {
                        confirmButton: "btn font-weight-bold btn-light-primary",
                        cancelButton: "btn font-weight-bold btn-light-danger"
                    }
                }).then(function (result) {
                    if (result.value) {
                        $.ajax({
                            type: "POST",
                            url: host_url + "/add-probate-campaign",
                            data: {
                                property: property,
                                _token: token
                            },
                            success: function (result) {
                                btnReverse(ele);
                                if (result.status == "error") {
                                    showMessage("Something went wrong", "error");
                                } else {
                                    $('input[name="property[]"]').prop("checked", false);
                                    $("#select_all").prop("checked", false);
                                    showMessage(result.data, result.status);
                                }
                            },
                            error: function (xhr, status, error, result) {
                                btnReverse(ele);
                                console.log(xhr);
                                showMessage("Something went wrong", "error");
                            }
                        });
                    } else if (result.dismiss === "cancel") {
                        if (page === "list") {
                            property_newlist = [];
                            btnReverse(ele);
                            property_newlist = property.filter(function (el) {
                                return contacted_properties.indexOf(el) < 0;
                            });
                            // console.log("selected : " + property);
                            // console.log("contacted : " + contacted_properties);
                            // console.log("filtered : " + property_newlist);
                            if (!$.isArray(property_newlist) || !property_newlist.length) {
                                $('input[name="property[]"]').prop("checked", false);
                                $("#select_all").prop("checked", false);
                                showMessage("Successfully added to campaign", "success");
                            } else {
                                $.ajax({
                                    type: "POST",
                                    url: host_url + "/add-probate-campaign",
                                    data: {
                                        property: property_newlist,
                                        _token: token
                                    },
                                    success: function (result) {
                                        btnReverse(ele);
                                        if (result.status == "error") {
                                            showMessage("Something went wrong", "error");
                                        } else {
                                            $('input[name="property[]"]').prop("checked", false);
                                            $("#select_all").prop("checked", false);
                                            showMessage(result.data, result.status);
                                        }
                                    },
                                    error: function (xhr, status, error, result) {
                                        btnReverse(ele);
                                        console.log(xhr);
                                        showMessage("Something went wrong", "error");
                                    }
                                });
                            }
                        } else {
                            btnReverse(ele);
                            $("#updateFlag")
                                .val("")
                                .selectpicker("refresh");
                        }
                    }
                });
            } else {
                $.ajax({
                    type: "POST",
                    url: host_url + "/add-probate-campaign",
                    data: {
                        property: property,
                        _token: token
                    },
                    success: function (result) {
                        btnReverse(ele);
                        if (result.status == "error") {
                            showMessage("Something went wrong", "error");
                        } else {
                            $('input[name="property[]"]').prop("checked", false);
                            $("#select_all").prop("checked", false);
                            showMessage(result.data, result.status);
                        }
                    },
                    error: function (xhr, status, error, result) {
                        btnReverse(ele);
                        console.log(xhr);
                        showMessage("Something went wrong", "error");
                    }
                });
            }
        }
    });
});

$(document).on("change", "#printLetter", function (e) {
    var print_type = $(this).val();
    if (print_type) {
        e.preventDefault();
        if ($('input[name="property[]"]:checked').length <= 0) {
            showMessage("Select any property!", "warning");
        } else {
            var data = [];
            $('input[name="property[]"]:checked').each(function () {
                if ($(this).is(":checked")) {
                    var id = $(this).val();
                    var value = $(this)
                        .closest("tr")
                        .find("select option:selected")
                        .val();
                    var arr = [];
                    arr.push(id);
                    arr.push(value);
                    if (value) {
                        data.push(arr);
                    }
                }
            });
            if (data.length) {
                $.ajax({
                    url: link + "/probate-campaign/print",
                    type: "POST",
                    data: {
                        data: data,
                        _token: token,
                        print_type: print_type
                    },
                    success: function (data) {
                        console.log("fdfg", data);
                        if (data == -1) {
                            showMessage("Upload letter head.", "warning");
                        } else {
                            showMessage(data.message, "success");
                            if (data.url && data.url != "") {
                                // window.location.href = data.url;
                                window.open(data.url, "_blank");
                                setTimeout(() => {
                                    window.location.reload();
                                }, 2000);
                            }
                        }
                    },
                    error: function (ajaxError) {
                        console.log(ajaxError);
                    }
                    //  error: ajaxError
                });
            } else {
                showMessage("Select trigger", "warning");
            }
        }
    } else {
        showMessage("Select any print option.", "warning");
    }
});

$(document).on("click", "#contact", function (e) {
    e.preventDefault();
    if ($('input[name="property[]"]:checked').length <= 0) {
        showMessage("Select any property!", "warning");
    } else {
        $("#contactModal").modal();
        var data = [];
        // $('input[name="property[]"]:checked').each(function () {
        //     if ($(this).is(":checked")) {
        //         var id = $(this).val();
        //         var value = $(this).closest("tr").find('select option:selected').val();
        //         var arr = [];
        //         arr.push(id);
        //         arr.push(value);
        //         data.push(arr);
        //     }
        // });
        // $.ajax({
        //     url: link + '/campaigns/contact',
        //     type: 'POST',
        //     data: {data: data, _token: token},
        //     success: ajaxSuccess,
        //     error: ajaxError
        // });
        var html = "";
        $('input[name="property[]"]:checked').each(function () {
            if ($(this).is(":checked")) {
                var id = $(this).val();
                var value = $(this)
                    .closest("tr")
                    .find("select option:selected")
                    .val();
                html =
                    html +
                    '<input type="hidden" value="' +
                    id +
                    '" name="property_id[]">';
                html =
                    html +
                    '<input type="hidden" value="' +
                    value +
                    '" name="trigger_' +
                    id +
                    '">';
            }
        });
        $("#contact-properties").html(html);
    }
});

$(document).on("change", "select[name^='trigering_id']", function (e) {
    var trigger = $(this).val();
    if ($('input[name="property[]"]:checked').length <= 0) {
        showMessage("Select any property!", "warning");
        $("#select_trigger")
            .val("")
            .trigger("change");
    } else if (trigger == "") {
        $('input[name="property[]"]:checked').each(function () {
            if ($(this).is(":checked")) {
                var id = $(this).val();
                $('select[name="trigger[' + id + ']"').val("");
                $(this)
                    .closest("tr ")
                    .find("span.error")
                    .html("Select trigger");
            }
        });
    } else {
        $(".error").html("");
        $('input[name="property[]"]:checked').each(function () {
            if ($(this).is(":checked")) {
                $(this)
                    .closest("tr ")
                    .find("select")
                    .val(trigger);
            }
        });
    }
});

$(document).on("click", ".propertyCheck", function (e) {
    var trigger = $("#select_trigger").val();
    if ($(this).is(":checked")) {
        var value = $(this)
            .closest("tr")
            .find("select option:selected")
            .val();
        $(this)
            .closest("tr ")
            .find("select")
            .val(trigger);
        if (trigger == "") {
            if (value === "" || value === undefined) {
                $(this)
                    .closest("tr ")
                    .find("span.error")
                    .html("Select trigger");
            }
        }
    } else {
        $(this)
            .closest("tr ")
            .find("span.error")
            .html("");
        $(this).prop("checked", false);
    }
    var checkbox_length = $(".propertyCheck").length;
    if ($('input[name="property[]"]:checked').length == checkbox_length) {
        $("#select_all").prop("checked", true);
    } else {
        $("#select_all").prop("checked", false);
    }
});

$(document).on("click", "#select_all", function (e) {
    var trigger = $("#select_trigger").val();
    $('input[type="checkbox"]').prop("checked", this.checked);
    $('input[name="property[]"]:checked').each(function () {
        if ($(this).is(":checked")) {
            var value = $(this)
                .closest("tr")
                .find("select option:selected")
                .val();
            $(this)
                .closest("tr ")
                .find("select")
                .val(trigger);
            if (trigger == "") {
                if (value === "" || value === undefined) {
                    $(this)
                        .closest("tr ")
                        .find("span.error")
                        .html("Select trigger");
                    // $(this).prop("checked", false);
                }
            }
        } else {
            $(this)
                .closest("tr ")
                .find("span.error")
                .html("");
        }
        $(this).prop("checked", true);
        var checkbox_length = $(".propertyCheck").length;
        if ($('input[name="property[]"]:checked').length == checkbox_length) {
            $("#select_all").prop("checked", true);
        } else {
            $("#select_all").prop("checked", false);
        }
    });
    selectAllAlert($(this));
});

$(document).on("click", "#print", function (e) {
    e.preventDefault();
    if ($('input[name="property[]"]:checked').length <= 0) {
        showMessage("Select any property!", "warning");
    } else {
        var data = [];
        $('input[name="property[]"]:checked').each(function () {
            if ($(this).is(":checked")) {
                var id = $(this).val();
                var value = $(this)
                    .closest("tr")
                    .find("select option:selected")
                    .val();
                var arr = [];
                arr.push(id);
                arr.push(value);
                if (value) {
                    data.push(arr);
                }
            }
        });
        if (data.length) {
            $("#editAreaWrap").html("");
            $("#eamLoader").show();
            $("#eamForm button").prop("disabled", true);
            $("#editAddressModal").modal("show");
            $.ajax({
                url: link + "/probate-campaigns/edit-address",
                type: "POST",
                data: {
                    data: data,
                    _token: token
                },
                success: function (data) {
                    if (data.length) {
                        let printData = `<div class="row">
                            <div class="col-md-6">Property Address</div>
                            <div class="col-md-6">Executor Address</div>
                        </div><hr>`;
                        data.map(
                            (item, key) =>
                            (printData = `${printData} <div class="row">
                                    <div class="col-md-6">
                                        <textarea class="form-control mb-1 p_address" rows="6" name="addr[]">${(item.address.split(", ").join("\n")).split(",").join("\n")}</textarea>
                                        <input value="${item.id}" name="pcid[]" type="hidden" />
                                        <input value="${item.hno}" name="hno[]" type="hidden" />
                                        <input value="${item.trigger}" name="trigger[]" type="hidden" />
                                        <span class="error_msg d-none text-warning"></span>
                                    </div>
                                    <div class="col-md-6">
                                        <textarea class="form-control mb-1 exec_address" rows="6" name="exe_addr[]">${item.exe_address.split(", ").join("\n")}</textarea>
                                        <span class="error_msg d-none text-warning"></span>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-check">
                                          <input class="form-check-input check_address" type="checkbox" value="0"
                                          name="checkAddress[]" check_id="${item.id}">
                                          <label class="form-check-label" for="flexCheckDefault">
                                            Remove
                                          </label>
                                        </div>
                                    </div>
                                    <div class="col-md-6">  
                                        <div class="form-check">
                                          <input class="form-check-input check_address" type="checkbox" value="1" 
                                          name="checkAddress[]" check_id="${item.id}">
                                          <label class="form-check-label" for="flexCheckChecked">
                                            Remove
                                          </label>
                                        </div>
                                    </div>
                                </div>
                                <hr>`)
                        );
                        setTimeout(() => {
                            $("#eamForm button").prop("disabled", false);
                            $("#eamLoader").hide();
                            $("#editAreaWrap").html(printData);
                        }, 500);
                    } else {
                        showMessage(
                            "Something went wrong, Please try Again.",
                            "error"
                        );
                        $("#editAddressModal").modal("hide");
                    }
                },
                error: function (err) {
                    console.log(err, "err");
                    setTimeout(() => {
                        showMessage(
                            "Something went wrong, Please try Again.",
                            "error"
                        );
                        $("#editAddressModal").modal("hide");
                    }, 500);
                }
            });
        } else {
            showMessage("Select trigger", "warning");
        }
    }
});

$(document).on("click", ".form-check input[type='checkbox']", function () {
    if ($(this).prop("checked") == true) {
        $(this).parent().parent().next(".col-md-6").find('input[type=checkbox]').prop("checked", false);
        $(this).parent().parent().prev(".col-md-6").find('input[type=checkbox]').prop("checked", false);
    }
});

$(document).on("keypress", ".p_address", function (e) {
    var rows = $(this).val().split("\n").length;
    if (rows >= 6 && e.which == 13) {
        e.stopPropagation();
        $(this).parent().find(".error_msg").addClass("d-block");
        $(this).parent().find(".error_msg").html("Address limit exceeded");
        return false;
    } else {
        $(this).parent().find(".error_msg").removeClass("d-block");
    }
});

$(document).on("keypress", ".exec_address", function (e) {
    var rows = $(this).val().split("\n").length;
    if (rows >= 6 && e.which == 13) {
        e.stopPropagation();
        $(this).parent().find(".error_msg").addClass("d-block");
        $(this).parent().find(".error_msg").html("Address limit exceeded");
        return false;
    } else {
        $(this).parent().find(".error_msg").removeClass("d-block");
    }
});

$(document).on("click", ".editPrint", function (e) {
    e.preventDefault();
    var checked = {};
    var check_data = {};
    $(".p_address").each(function (event) {
        var rows = $(this).val().split("\n").length;
        if (rows >= 6) {
            $(this).parent().find(".error_msg").addClass("d-block");
            $(this).parent().find(".error_msg").html("Address limit exceeded");
            // event.preventDefault();
            return false;
        } else {
            $(this).parent().find(".error_msg").removeClass("d-block");
        }
    });

    $(".exec_address").each(function (event) {
        var rows = $(this).val().split("\n").length;
        if (rows >= 6) {
            $(this).parent().find(".error_msg").addClass("d-block");
            $(this).parent().find(".error_msg").html("Address limit exceeded");
            event.preventDefault();
            return false;
        } else {
            $(this).parent().find(".error_msg").removeClass("d-block");
        }
    });

    // Reference the CheckBoxes and insert the checked CheckBox value in Array.
    var check_group = new Array();
    $(".form-check input[type=checkbox]").each(function (i) {
        if (i % 2 == 0) {
            check_group.splice(0, check_group.length);
            var isCheck = (this.checked ? 1 : 0);
            check_group.push(isCheck);
        } else {
            var isCheck = (this.checked ? 1 : 0);
            check_group.push(isCheck);
            check_data[$(this).attr('check_id')] = check_group;
            check_group = [];
        }
    });

    let el = $(this);
    let print_type = el.data("print");
    let pcid = $("[name='pcid[]']")
        .map(function () {
            return $(this)
                .val()
                .trim();
        })
        .get();
    let address_checked = $("[name='checkAddress']:checked")
        .map(function () {
            return $(this)
                .val();
        })
        .get();
    let addr = $("[name='addr[]']")
        .map(function () {
            return $(this).val();
        })
        .get();
    let exe_addr = $("[name='exe_addr[]']")
        .map(function () {
            return $(this).val();
        })
        .get();
    let trigger = $("[name='trigger[]']")
        .map(function () {
            return $(this).val();
        })
        .get();
    let valid = addr.every(function (e) {
        return e.trim();
    });
    if (valid) {
        $("#eamForm button").prop("disabled", true);
        $("#eamForm textarea").prop("disabled", true);
        $("#eamLoader").show();
        $.ajax({
            url: link + "/probate-campaigns/edit-address-save",
            type: "POST",
            data: {
                check_data,
                address_checked,
                pcid,
                addr,
                exe_addr,
                trigger,
                print_type,
                _token: token
            },
            success: function (data) {
                showMessage(data.msg, "success");
                $("#editAddressModal").modal("hide");
                if (data.url && data.url != "") {
                    window.open(data.url, "_blank");
                    setTimeout(() => {
                        window.location.reload();
                    }, 2000);
                }
            },
            error: function (err) {
                console.log(err);
                let msg = "Something went wrong, Please try Again.";
                if (err && err.responseJSON && err.responseJSON.msg) {
                    msg = err.responseJSON.msg;
                }
                showMessage(msg, "error");
                $("#eamForm button").prop("disabled", false);
                $("#eamForm textarea").prop("disabled", false);
                $("#eamLoader").hide();
            }
        });
    } else {
        showMessage("Please fill all fields", "warning");
    }
});

function callProcessingLoader() {
    stopSpinnerKitLoader();
    var spinner_data = [];
    spinner_data = {
        message: "Processing Your Request...",
        spinner_size: '75px',
        spinner_type: 'flow',
    };
    callSpinnerKitLoader(spinner_data);
}

$("select").on("change", function () {
    var selection_id = $(this).attr("id");
    if (selection_id == 'weeks' || selection_id == 'outcodeFil' || selection_id == 'status') {
        callProcessingLoader();
        var url_weeks = GetUrlParameter('weeks');
    }
});

$(document).on("change", ".dataTables_length select", function () {
    callProcessingLoader();
});

function GetUrlParameter(sParam) {
    var sPageURL = window.location.search.substring(1);
    var sURLVariables = sPageURL.split('&');
    for (var i = 0; i < sURLVariables.length; i++) {
        var sParameterName = sURLVariables[i].split('=');
        if (sParameterName[0] == sParam) {
            return sParameterName[1];
        }
    }
}

$(document).on("click", "#campaign_empty", function(e) {
    e.preventDefault();
    var prop_arr = [];
    $('input[name="property[]"]:checked').each(function() {
        if ($(this).is(":checked")) {
            var id          = $(this).val();
            var value       = $(this)
                                .closest("tr")
                                .find("select option:selected")
                                .val();
            var txt_value   = $(this)
                                .closest("tr")
                                .find("select option:selected")
                                .text();
            prop_arr.push(id);
        }
    });
    var swal_title, swal_msg, swal_button_txt = '';
    var prop_arr_count = prop_arr.length;
    if (prop_arr_count >= 0) {
        if (prop_arr_count > 0) {
            if (prop_arr_count === 1) {
                swal_title      = "Are you sure you want to remove " + prop_arr_count + " property?";
                swal_msg        = "Please confirm on removing the selected property from campaign";
                swal_button_txt = "Remove property";
            } else {
                swal_title      = "Are you sure you want to remove " + prop_arr_count + " properties?";
                swal_msg        = "Please confirm on removing the " + prop_arr_count + " selected properties from campaign";
                swal_button_txt = "Remove properties";
            }
        } else if (prop_arr_count === 0) {
            if ($('input[name="property[]"]').length) {
                swal_title      = "Are you sure you want to remove all properties?";
                swal_msg        = "Please confirm on removing all the properties from campaign";
                swal_button_txt = "Remove all properties";
                prop_arr        = "all";
            } else {
                var spinner_data = [];
                spinner_data     = {
                                        message         :"No properties to remove, please add properties into campaign", 
                                        spinner_size    :'75px', 
                                        spinner_type    :'bounce', 
                                        // backgroundcolor :'#FFB40F',
                                    };
                callSpinnerKitLoader(spinner_data);
                setTimeout(function() { stopSpinnerKitLoader(); }, 2500);

                return false;
            }
        }
        swal.fire({
            title: swal_title,
            text: swal_msg,
            buttonsStyling: !1,
            confirmButtonText: swal_button_txt,
            showCancelButton: true,
            customClass: {
                confirmButton: "btn font-weight-bold btn-light-primary",
                cancelButton: "btn font-weight-bold btn-light-danger"
            }
        }).then(function(t) {
            if(t.isConfirmed === true) {
                $.ajax({
                    url: host_url+"/remove-campaign-probate",
                    type: "POST",
                    data: {"_token": token, "del_prop": prop_arr},
                    success: function(response) {
                                console.log(response.deleted_props);
                                if (response.deleted_props != null) {
                                    var spinner_data = [];
                                    spinner_data     = {
                                                            message         :"Campaign Removal Successful", 
                                                            spinner_size    :'75px', 
                                                            spinner_type    :'bounce',
                                                        };
                                    callSpinnerKitLoader(spinner_data);
                                    setTimeout(function() { 
                                        window.location.reload();
                                        stopSpinnerKitLoader();
                                    }, 500);
                                } else {
                                    var spinner_data = [];
                                    spinner_data     = {
                                                            message         :"Campaign Removal Unsuccessful", 
                                                            spinner_size    :'75px', 
                                                            spinner_type    :'bounce',
                                                        };
                                    callSpinnerKitLoader(spinner_data);
                                    setTimeout(function() { 
                                        window.location.reload();
                                        stopSpinnerKitLoader(); 
                                    }, 500);
                                }
                            },
                    error: function(f_response) {
                                console.log(f_response);
                            },
                });
            }
        });
    }
});