function callSpinnerKitLoader(data) {
  var backgroundcolor, color, message, spinner_type = '';
  if (typeof(data['backgroundcolor']) != "undefined" && data['backgroundcolor'] !== null) {
    backgroundcolor = data['backgroundcolor'];
  } else {
    backgroundcolor = '#1e1e2d';
  }
  if (typeof(data['color']) != "undefined" && data['color'] !== null) {
    color           = data['color'];
  } else {
    color           = 'white';
  }
  if (typeof(data['message']) != "undefined" && data['message'] !== null) {
    message         = data['message'];
  } else {
    message         = '';
  }
  if (typeof(data['spinner_size']) != "undefined" && data['spinner_size'] !== null) {
    spinner_size    = data['spinner_size'];
  }
  if (typeof(data['spinner_type']) != "undefined" && data['spinner_type'] !== null) {
    spinner_type    = data['spinner_type'];
  }
  $(".fullscreen-spinner-wrapper").css("display", "block"); // show the transparent background
  // set values from function call
  $(".fullscreen-spinner-wrapper").css("background-color", backgroundcolor); // set the background color
  $("#spinner-loader-loading-message").css("color", color); // set the background color
  if (message != '') {
    $("#spinner-loader-loading-message").text(message); // set message for loader
  } else {
    $("#spinner-loader-loading-message").text('Loading...'); // default message for loader
  }
  switch(spinner_type) {
    case 'plane':
      $(".spinner-loader-plane").show();
      break;
    case 'chase':
      $(".spinner-loader-chase").show();
      break;
    case 'bounce':
      $(".spinner-loader-bounce").show();
      break;
    case 'wave':
      $(".spinner-loader-wave").show();
      break;
    case 'pulse':
      $(".spinner-loader-pulse").show();
      break;
    case 'flow':
      $(".spinner-loader-flow").show();
      break;
    case 'swing':
      $(".spinner-loader-swing").show();
      break;
    case 'circle':
      $(".spinner-loader-circle").show();
      break;
    case 'circle-fade':
      $(".spinner-loader-circle-fade").show();
      break;
    case 'grid':
      $(".spinner-loader-grid").show();
      break;
    case 'fold':
      $(".spinner-loader-fold").show();
      break;
    case 'wander':
      $(".spinner-loader-wander").show();
      break;
    default:
      $(".spinner-loader-chase").show();
      break;
  }
  // Get the root element
  var r   = document.querySelector(':root');
  var rs  = getComputedStyle(r);
  // alert("The value of --blue is: " + rs.getPropertyValue('--blue'));
  r.style.setProperty('--spinner-loader-size', spinner_size); // set loader size
  r.style.setProperty('--spinner-loader-color', color); // set loader color
}

function stopSpinnerKitLoader() {
  $(".fullscreen-spinner-wrapper").css("display", "none");
  $("#spinner-loader-loading-message").text('');
  $(".spinner-loader-object").hide();
}