$.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});
// Create an instance of Elements.
var elements = stripe.elements();
// Custom styling can be passed to options when creating an Element.
// (Note that this demo uses a wider set of styles than the guide below.)
var style = {
    base: {
        color: 'white',
        lineHeight: '34px',
        fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
        fontSmoothing: 'antialiased',
        fontSize: '14px',
        '::placeholder': {
            color: '#aab7c4'
        }
    },
    invalid: {
        color: '#fa755a',
        iconColor: '#fa755a'
    }
};

// Create an instance of the card Element.
var card = {};
var cardCvcElement={};

already_saved();

// Handle form submission.
var form = document.getElementById('payment-form');
var cardholderName = document.getElementById('cardholder-name');
//var cardholderEmail = document.getElementById('cardholder-email');
var cardButton = document.getElementById('pay_now_button');
var clientSecret = cardButton.dataset.secret;
var paymentForms = $('#payment-form');
form.addEventListener('submit', function (event) {
    event.preventDefault();
   // $('.css-loader-container').addClass('active');
    $('#pay_now_button').addClass('disabled');
    // Start Processing Payment Loader
    var spinner_data                = [];
    spinner_data                    = {
                                            message         : "Processing Topup Payment",
                                            spinner_size    : '80px',
                                            spinner_type    : 'grid',
                                        };
    callSpinnerKitLoader(spinner_data);
    //create paymnet intent first
    $.ajax({
        url: intentCreate,
        type: "POST",
        data: paymentForms.serialize(),
        dataType: "html"
    }).done(function (a) {
        var intentdata = JSON.parse(a);
        if (intentdata.success === true) {
            //pay from already saved card 
            // if ($('input[name=pay_save_card]').is(':checked')) {
            //     stripe.confirmCardPayment(intentdata.intent_key, {
            //         payment_method: intentdata.payment_method,
            //         payment_method_options: {
            //           card: {
            //             cvc: cardCvcElement
            //           }
            //         },
            //     }).then(function(result) {
            //         stripe_success_handler(result);
            //     });
            // }
            // else
            // {
                stripe.handleCardPayment(
                    intentdata.intent_key, card, {
                        payment_method_data: {
                            billing_details: {
                                name: cardholderName.value
                            }
                        }
                    }
                ).then(function (result) {
                    stripe_success_handler(result);
                });
           // }

            
        } else {
        //    $('.css-loader-container').removeClass('active');
            alert(intentdata.message);
        }
    });
});

function stripe_success_handler(result)
{
    if (result.error === true) {
      //  $('.css-loader-container').removeClass('active');
        $('#pay_now_button').removeClass('disabled');
        var errorElement = document.getElementById('card-errors');
        errorElement.textContent = result.error.message;
    } else {
        // call an ajax and check wallet is updated by webhook from stripe then show success message
        var transaction_id = result.paymentIntent.id;
        $('#paymentModal').modal('hide');
        $('#paymentModal #cardholder-name').val('');
        $('#paymentModal #payAmount').val('');
        if(!jQuery.isEmptyObject(card)) {
            card.clear();
        }
        $.ajax({
            type: "POST",
            url: link + '/confirm-payment/' + transaction_id,
            success: function(response) {
                stopSpinnerKitLoader(); // Stop Processing Payment Loader
                console.log(response);
                // showMessage("payment success", "success");
                var spinner_data                = [];
                spinner_data                    = {
                                                        message         : "Payment Successful!",
                                                        spinner_size    : '75px',
                                                        spinner_type    : 'bounce',
                                                        backgroundcolor : '#1abc9c',
                                                    };
                callSpinnerKitLoader(spinner_data);
                setTimeout(function() {
                    stopSpinnerKitLoader(); // Stop Payment Successful Loader
                    window.location.reload();
                }, 2000);
            }
        });
    }
}

//pay from already saved cards. not added
function already_saved() {
    if ($('input[name=pay_save_card]').is(':checked')) {
       $('.pay_card').hide();
       if($('#save-card-cvc').length > 0)
       {
           $('.pay_from_already_saved_card').show();
            if(!jQuery.isEmptyObject(card))
                card.destroy();
            // create an instance of cvc elemnet
            cardCvcElement = elements.create('cardCvc', {style: style});
            cardCvcElement.mount('#save-card-cvc');
       }
    
    } else {
        $('.pay_from_already_saved_card').hide();
        $('.pay_card').show();
        if(!jQuery.isEmptyObject(cardCvcElement))
                cardCvcElement.destroy();
        card = elements.create('card', {style: style});
        card.mount('#card-element');
        // Handle real-time validation errors from the card Element.
        card.addEventListener('change', function (event) {
            var displayError = document.getElementById('card-errors');
            if (event.error) {
                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';
            }
        });
    }
}