{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
<head>
    <meta charset="utf-8">
    <title>Form Validation using jQuery in Laravel</title>
    <link rel="stylesheet" href="{{asset('css/app.css')}}">

  </head>


<div class="d-flex flex-row">

    <!-- <div class="flex-row-auto offcanvas-mobile w-250px w-xxl-350px" id="kt_profile_aside">

        <div class="card card-custom card-stretch">

            <div class="card-body pt-4">


                <div class="d-flex align-items-center">

                    <div>
                        <a href="#" class="font-weight-bolder font-size-h5 text-dark-75 text-hover-primary">
                            How the Return Address is Used

                        </a>
                        <div class="text-muted">
                            The return address will be printed on the envelope.
                        </div>

                    </div>
                </div>



            </div>

        </div>

    </div> -->
    <div class="flex-row-fluid ml-lg-8">
    <form method="post" class="form" novalidate="novalidate" id="kt_edit_address_form" name="kt_edit_address_form" Action="{{route('saveAgent')}}">
        {{csrf_field()}}
        <div class="flex-row-fluid ml-lg-8">

            <div class="card card-custom card-stretch">

                <div class="card-header py-3">
                    <div class="card-title align-items-start flex-column">
                        <h3 class="card-label font-weight-bolder text-dark">Add Agent</h3>
                        <span class="text-muted font-weight-bold font-size-sm mt-1"></span>
                    </div>

                </div>

                <form class="form">

                    <div class="card-body">
                        <div class="row">
                            <label class="col-xl-3"></label>
                            <div class="col-lg-9 col-xl-6">
                                <h5 class="font-weight-bold mb-6">Agent Info</h5>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">First Name</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="text" placeholder='First Name' name='first_name' value='{{ old("first_name") }}'>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Second Name</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="text" placeholder='Second Name' name='last_name' value='{{ old("last_name") }}'>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Phone Number</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="text" placeholder='+44 7911 123456' name='contact_number' value='{{ old("contact_number") }}'>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Email</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="text" placeholder='Email' name='email' value='{{ old("email") }}'>
                            </div>
                        </div>
                         <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Company Name</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="text" placeholder='Company Name' name='company_name' value='{{ old("company_name") }}'>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Address</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="text" placeholder='Address' name='address' value='{{ old("address") }}'>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Password</label>
                            <div class="col-lg-9 col-xl-6">
                                <input class="form-control form-control-lg form-control-solid" type="password" placeholder='Password' name='password' value=''>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Select Out Code</label>
                            <div class="col-lg-9 col-xl-6">
                                <select class="form-control form-control-lg form-control-solid" id="outcode_select"  multiple="multiple"  placeholder='Out Code' name='out_code[]' value=''>
                                    <option value=''></option>
                                    @foreach($outcode as $code)
                                    <option value='{{$code->id}}'>{{$code->outcode}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Export Data</label>
                            <div class="col-lg-9 col-xl-6">
                                <input type="checkbox"  name="enable_export" data-toggle="toggle" data-on="Enable" data-off="Disable" data-onstyle="success" data-offstyle="danger" value="1">
                            </div>
                        </div>

                        <!--end::Body-->
                </form>
                <!--end::Form-->
            </div>
            <div class="card-toolbar float-right">
                <button type="submit" class="btn btn-success mr-2">Save</button>
                <button type="reset" class="btn btn-secondary">Cancel</button>
            </div>
        </div>
        <!--end::Content-->
   </form>
</div>
</div>


@endsection
<!--end::Main-->
@if (config('layout.page-loader.type') != '')
@include('layout.partials._page-loader')
@endif

{{-- Global Config (global config for global JS scripts) --}}
<!-- <script>
    var KTAppSettings = {
        !!json_encode(config('layout.js'), JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES) !!
    };
</script> -->

{{-- Global Theme JS Bundle (used by all pages)  --}}
@foreach(config('layout.resources.js') as $script)
<script src="{{ asset($script) }}" type="text/javascript"></script>
@endforeach

@section('styles')
<link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
@endsection




<script src="{{ asset('js/pages/widgets.js')}}"></script>
@section('scripts')
<script src="{{ asset('js/pages/crud/forms/widgets/select2.js')}}"></script>
<script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
<script type="text/javascript">
    
      $('#outcode_select').select2({
            placeholder: "Outcode",
            allowClear: true
        });
</script>
@endsection
