{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<div class="card card-custom">
    <div class="card-body">
        <a  href="{{route('addOutCode')}}" class="btn btn-success mr-2 float-right">Add OutCode</a>

        <!--begin::Search Form-->

        <!--end::Search Form-->

        <table class="table table-bordered table-hover display" id="outcodeDatatable" style="width:100%">
            <thead>
                <tr>
                    <th class="text-center">OutCode</th>
                    <th class="text-center">Price</th>
                    <th class="text-center">Edit</th>
                    <th class="text-center">Move to outcode</th>
                </tr>
            </thead>           
            <tbody>
            @foreach($query as $k=>$v)
            <tr>
                <td class="text-center">{{$v->outcode}}</td>
                <td class="text-right">{{isset($v->price)?$v->price:0}}</td>
                <td class="text-center"><a href="{{route('editOutCode',['outcode' => $v->id])}}" class="btn btn-primary delete-user" title="Edit Outcode"><i class="flaticon-edit"></i></td>  
                <td class="text-center"><button type="button" data-id="{{$v->id}}" class="btn btn-danger move-archive" title="Remove from archive"><i class="flaticon2-arrow-up"></i></td>                    
            </tr>
            @endforeach
            </tbody>
        </table>
    </div>
</div>


@endsection

{{-- Styles Section --}}
@section('styles')
<link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
{{-- vendors --}}
<script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

{{-- page scripts --}}
<!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
<script src="{{ asset('js/admin/agent.js') }}" type="text/javascript"></script>
<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
<script>
    // jQuery(document).ready((function () {

        $("#outcodeDatatable").DataTable({
            bFilter:false,
            pagination: true,
            pageLength:25,
            lengthMenu :[[25, 10, 50, 100], [25, 10, 50, 100]],
            responsive: !0,
            info : true,
        });
     
        
        $(document).on("click",".move-archive",function() { 
            var outcode = $(this).attr('data-id');
            var api = "{{route('admMoveArchive')}}";
            var _url = "{{route('admArchiveOutCode')}}";
            swal.fire({
                title: "Are you sure?",
                text: "This outcode remove from archive",
                buttonsStyling: !1,
                confirmButtonText: "Submit!",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { 
                if(t.value){ 
                    $.ajax({                        
                        type: 'POST',
                        url: api,
                        data: {
                            "outcode":outcode,
                            '_token': token,
                        },
                        success: function(result) { console.log(result);
                            showMessage(result.data,status);
                            if(result.status=='success'){
                                showMessage(result.data,'success');
                                setTimeout(function(){
                                    window.location.href=_url;
                                }, 1000);
                            }
                        },error:function(xhr, status, error,response){
                            console.log(xhr.responseText)
                            result = JSON.parse(xhr.responseText); 
                            showMessage("Something went wrong.",'error');

                        }
                    });
                }  
            }))
        })
    // }))
</script>
@endsection
