@extends('layout.default')

@section('content')
<div class="card card-custom">
    <div class="card-header flex-wrap border-0 pt-6 pb-0">
        <div class="card-title flex-column">
            <h3 class="card-label">Campaign History Details</h3>
        </div>
    </div>
    <div class="card-body pt-0">
        <div class="row">
            <div class="col-md-5 col-sm-6 col-xs-12">
                <p class="font-size-lg text-dark-25 pb-0 mb-0 mt-2">Name: <span class="text-success">{{$campaign->name}}<span></p>
                @if ($campaign->user()->exists())
                <p class="font-size-lg text-dark-25 pb-0 mb-0 mt-2">Created by: <span class="text-success">{{$campaign->user->first_name . ' ' .$campaign->user->last_name}}<span></p>
                @endif                
            </div>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <p class="font-size-lg text-dark-25 pb-0 mb-0 mt-2">Status: <span class="text-success">{{$campaign->campaign_status == 1 ? 'Send' : 'Sending'}}<span></p>
            </div>
            <div class="col-md-4 col-sm-6 col-xs-12">
                <p class="font-size-lg text-dark-25 pb-0 mb-0 mt-2">Send date: <span class="text-success">{{$sendDate}}<span></p>
            </div>
        </div>
    </div>
</div><br/>

<div class="card card-custom">
    <div class="card-header flex-wrap border-0 pt-6 pb-0">
        <div class="card-title">
            <h3 class="card-label">Campaign Properties</h3>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-bordered table-hover">
            <thead>
                <tr>
                    <th>Sl.</th>
                    <th width="20%">Address</th>
                    <th>Agency</th>
                    <th>Trigger</th>
                    <th>Listed Date</th>
                    <th>Last Letter Sent</th>
                </tr>
            </thead>
            <tbody>
            @if(count($lists)>0)
            @foreach($lists as $item)
                <tr>
                    <td>{{ $item->sl }}</td>
                    <td><a href="{{ $item->property_url }}">{!! nl2br($item->address) !!}</a></td>
                    <td>{{ $item->agency }}</td>
                    <td>{!! nl2br($item->trigger) !!}</td>
                    <td>{{ $item->listed_date }}</td>
                    <td>{{ $item->last_letter_sent }}</td>
                </tr>
            @endforeach
            @else
                <tr>
                    <td colspan="6">No Campaigns Added</td>
                </tr>
            @endif
            </tbody>
        </table>
    </div>
</div>
@endsection
