{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
    <div class="card card-custom mb-2">
        <div class="card-body">
            {!! Form::open(['url' => 'data-operator/filter', 'method' => 'post','id'=>'filter-form']) !!}
            <div class="row">
                <div class="col-sm-3">
                    {!! Form::label('userid', 'Data Operator', ['class' => 'control-label']) !!}
                    {!! Form::select('userid', $operators , null , ['class' => 'form-control form-control-lg form-control-solid','placeholder'=>'Select Operator','id'=>'filter-userId']) !!}
                </div>
                <div class="col-sm-3">
                    {!! Form::label('date_from', 'From Date', ['class' => 'control-label']) !!}
                    {!! Form::text('date_from', '', ['class' => 'form-control form-control-lg form-control-solid date_picker','placeholder'=>'From Date','id'=>'filter-fromDate']) !!}
                </div>
                <div class="col-sm-3">
                    {!! Form::label('date_to', 'To Date', ['class' => 'control-label']) !!}
                    {!! Form::text('date_to', '', ['class' => 'form-control form-control-lg form-control-solid date_picker','placeholder'=>'To Date','id'=>'filter-fromTo']) !!}
                </div>
                <div class="col-sm-3">
                    {!! Form::label('filter', '&emsp;', ['class' => 'control-label']) !!}<br/>
                    <button type="button" class="btn btn-success mr-2" data-id="filter-form" id="filter-submit">Filter
                    </button>
                    <button type="button" class="btn btn-danger mr-2" data-id="filter-form" id="filter-clear">Clear
                    </button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
        <div class="card-body pt-0" id="data-count">
        </div>
    </div>
    <div class="card card-custom">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">All Data Entry Operator
                    <div class="text-muted pt-2 font-size-sm">This is a record of all data entry operator in your
                        account
                    </div>
                </h3>
            </div>
            <div class="card-toolbar">
                <div class="d-flex align-items-center ">
                    <div class="mr-1">
                        <select name="flag" id="flag" class="form-control">
                            <option value="0">Choose Status</option>
                            <option value="1">Active</option>
                            <option value="2">Inactive</option>
                        </select>
                    </div>
                    <div class="ml-2">
                        <button type="submit" data-btn="Update Flag" id="updateFlag"
                                class="btn btn-primary px-6 font-weight-bold btn_click">
                            Update Status
                        </button>
                    </div>
                </div>
                <a class="btn btn-success ml-2" href="{{ url('admin/add-data-operator') }}"><i class="fa fa-plus"></i>
                    Add New</a>
                <a class="btn btn-danger px-6 font-weight-bold btn_click ml-2"
                   href="{{ url('admin/add-data-operator') }}" id="deleteDataOperator">Delete</a>
            </div>
        </div>
        <div class="card-body">


            <table class="table table-bordered table-hover display" id="dataOperatorDatatable" style="width:100%">
                <thead>
                <tr>
                    <th>Select All
                        <label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary">
                            <input type="checkbox" id="select_all" name="select_all">
                            <span></span>
                        </label>
                    </th>
                    <th>First Name</th>
                    <th>Second Name</th>
                    <th>Email</th>
                    <th>Phone Number</th>
                    <th Width="10%">Status</th>
                    <th>Action</th>
                    <th>Submitted</th>
                </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>


@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
    <script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
    <script src="{{ asset('js/admin/data-operator.js') }}" type="text/javascript"></script>
    <!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script>
        jQuery(document).ready((function () {
            $('#filter-submit').trigger('click');
            var url = '<?php echo route('allDataOperatorArray')?>';
            var token = '<?php echo csrf_token() ?>';
            $('.date_picker').datepicker({
                format: 'dd-mm-yyyy',
                todayHighlight: true,
            });
            dataOperatorTable(url, token, 'allDataOperator');
        }));
        
        $(document).on("click", ".login_as", function () {
            var user_id = $(this).attr('data-id');
            $.ajax({
                type: 'POST',
                url: "{{route('admLoginAs')}}",
                data: {
                    "user": user_id,
                    '_token': token,
                    'type': 'deo',
                },
                success: function (result) {
                    console.log(result);
                    if (result.status == 'success') {
                        // showMessage(result.data,'success');
                        setTimeout(function () {
                            window.location.href = "{{route('DEOproperty')}}";
                        }, 1000);
                    } else {
                        showMessage(result.data, status);
                    }
                }, error: function (xhr, status, error, response) {
                    console.log(xhr.responseText)
                    result = JSON.parse(xhr.responseText);
                    showMessage("Something went wrong.", 'error');

                }
            });
        });


        $(document).on("click", "#filter-clear", function () {
            $('#filter-userId').val('');
            $('#filter-fromDate').val('');
            $('#filter-fromTo').val('');
            $('#filter-submit').trigger('click');
        });

        $(document).on("click", "#filter-submit", function () {
            field = $(this).data("id");
            form = $('#' + field);
            $('.error').hide();
            $.ajax({
                url: form.attr('action'),
                type: form.attr('method'),
                data: form.serialize(),
                success: function (html) {
                    $('#data-count').html(html);
                },
                error: function (xhr, status, error, response) {
                    result = JSON.parse(xhr.responseText);
                    showMessage("From date not entered.", 'error');
                }
            });
        });
        
    </script>
@endsection
