@if($epcDetails['data'] == null)
    <div class="row ml-2 mr-3" style="margin-top:50px;">
        <div class="col-md-12">
            <div class="no-data-found">
            <img class="property-image" width="400px" src="{!! URL::to('/img/no-found.png') !!}" >
            </div>
            <!--<p class="text-center data-text">No Data Available.</p>-->
        </div>
    </div>
@else
    <div class="row ml-2 mr-3" style="margin-top:50px;">
        <div class="col-md-7">
            <div class="row">
                <div class="col-md-4">
                    <p class='epc_head'>Current Energy Rating</p>
                    <p class='epc_data'>@if($epcDetails['data']['current-energy-rating']) {!! $epcDetails['data']['current-energy-rating'] !!} @else Not available @endif</p>
                </div>
                <div class="col-md-4">
                    <p class='epc_head'>Potential Energy Rating</p>
                    <p class='epc_data'>@if($epcDetails['data']['potential-energy-rating']) {!! $epcDetails['data']['potential-energy-rating'] !!} @else Not available @endif</p>
                </div>
                <div class="col-md-4">
                    <p class='epc_head'>Total Floor Area</p>
                    <p class='epc_data'>@if($epcDetails['data']['total-floor-area']) {!! $epcDetails['data']['total-floor-area'] !!} @else Not available @endif</p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p class='epc_head'>Current Energy Efficiency</p>
                    <p class='epc_data'>@if($epcDetails['data']['current-energy-efficiency']) {!! $epcDetails['data']['current-energy-efficiency'] !!} @else Not available @endif</p>
                    <input type="hidden" id="crt-enry-eff" value="{!! $epcDetails['data']['current-energy-efficiency'] !!}" />
                </div>
                <div class="col-md-4">
                    <p class='epc_head'>Potential Energy Efficiency</p>
                    <p class='epc_data'>@if($epcDetails['data']['potential-energy-efficiency']) {!! $epcDetails['data']['potential-energy-efficiency'] !!} @else Not available @endif</p>
                    <input type="hidden" id="pot-enry-eff" value="{!! $epcDetails['data']['potential-energy-efficiency'] !!}" />
                </div>
                 <div class="col-md-4">
                    <p class='epc_head'>Number Habitable Rooms</p>
                    <p class='epc_data'>@if($epcDetails['data']['number-habitable-rooms']) {!! $epcDetails['data']['number-habitable-rooms'] !!} @else Not available @endif</p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p class='epc_head'>Local Authority</p>
                    <p class='epc_data'>@if($epcDetails['data']['local-authority']) {!! $epcDetails['data']['local-authority'] !!} @else Not available @endif</p>
                </div>
                <div class="col-md-4">
                    <p class='epc_head'>Windows Description</p>
                    <p class='epc_data'>@if($epcDetails['data']['windows-description']) {!! $epcDetails['data']['windows-description'] !!} @else Not available @endif</p>
                </div>
                 <div class="col-md-4">
                    <p class='epc_head'>Inspection Date</p>
                    <p class='epc_data'>@if($epcDetails['data']['inspection-date']) {!! $epcDetails['data']['inspection-date'] !!} @else Not available @endif</p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p class='epc_head'>Roof Description</p>
                    <p class='epc_data'>@if($epcDetails['data']['roof-description']) {!! $epcDetails['data']['roof-description'] !!} @else Not available @endif</p>
                </div>
                <div class="col-md-4">
                    <p class='epc_head'>Floor Height</p>
                    <p class='epc_data'>@if($epcDetails['data']['floor-height']) {!! $epcDetails['data']['floor-height'] !!} @else Not available @endif</p>
                </div>
                <div class="col-md-4">
                    <p class='epc_head'>Tenure</p>
                    <p class='epc_data'>@if($epcDetails['data']['tenure']) {!! $epcDetails['data']['tenure'] !!} @else Not available @endif</p>
                </div>
            </div>
        </div>
        <div class="col-md-5 bg-primary rounded epc-card pt-2 mt-4">
            <p class="btn expand epc_certificate float-right rounded">
                <img alt="Logo" width="30px" height="30px" src="{{URL::asset('/media/svg/icons/Map/expand.png')}}" />
            </p>
            <div class="row bg-primary" style="height:50%;"> 
                <div class="col-md-7 pt-6 pl-6">
                    <p class="text-light pt-4 pl-2">
                        {!! $epcDetails['data']['address'] !!},<br/> 
                        {!! $epcDetails['data']['posttown'] !!},<br/> 
                        {!! $epcDetails['data']['postcode'] !!}</p>
                </div>
                <div class="col-md-5" style="padding-right: 0%; padding-top:5%">
                    <div class="border border-light rounded w-100 pt-4 mt-3">
                        <p class="text-center text-white" style="font-size:14px;">Energy Rating</p>
                        <h2 class="text-center text-white font-weight-bold">{!! $epcDetails['data']['current-energy-efficiency'] !!} | {!! $epcDetails['data']['current-energy-rating'] !!}</h2>
                    </div>
                </div>
            </div>
            <hr/>
            <div class="row" style="height:50%;">
                <div class="col-md-6 mt-1">
                    <p class="text-center text-white mt-1 pt-1">Valid Until<br/>
                        <span class="text-center text-white font-weight-bold">{!! \Carbon\Carbon::parse($epcDetails['data']['inspection-date'])->addYears(10)->format('d M Y') !!}</span>
                    </p>
                </div>
                <div class="col-md-6 mt-1">
                    <p class="text-center text-white mt-1 pt-1">Potential Rating<br/>
                        <span class="text-center text-white font-weight-bold">{!! $epcDetails['data']['potential-energy-efficiency'] !!} | {!! $epcDetails['data']['potential-energy-rating'] !!}</span>
                    </p>
                </div>
            </div>
        </div>
    </div>
@endif