@extends('layout.default')

@section('content')
	<div class="card card-custom">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">Agent Outcode Approvals
                    {{-- <div class="text-muted pt-2 font-size-sm">This is a record of all agents in your account</div> --}}
                </h3>
			</div>
			<div class="card-toolbar">
				  <button class="btn btn-success ml-2" id="approveOutcodeAll"> Approve </button>
				  <button class="btn btn-danger ml-2" id="deleteOutcodeAll"> Delete </button>
            </div>
        </div>

        <div class="card-body">
            <table class="table table-bordered table-hover display" id="outcodeApprovalDatatable" style="width:100%">
                <thead>
					<tr>
						<th>Select All
							<label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary">
								<input type="checkbox" id="select_all" name="select_all">
								<span></span>                                    
							</label>
						</th>						
						<th>Agent</th>
						<th>Email</th>
						<th>Outcode</th>
						<th>Added at</th>
						<th>Action</th>
					</tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
@endsection

@section('styles')
	<link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
	<link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection

@section('scripts')
	<script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/admin/outcode-approval.js') }}" type="text/javascript"></script>

	<script>
		var token = '{{ csrf_token() }}';
		var url = '{{ route("outcodeApprovalList") }}';
		var deleteUrl = '{{ route("outcodeApprovalDelete") }}';
		var deletesUrl = '{{ route("outcodeApprovalsDelete") }}';
		var approveUrl = '{{ route("outcodeApprovalApprove") }}';
		var approvesUrl = '{{ route("outcodeApprovalsApprove") }}';

		jQuery(document).ready((function () {
           	outcodeApprovalTable(url, token, 'Pending Approval List');
        }))
	</script>
@endsection
