{{-- Extends layout --}}
@extends('layout.default')
@section('styles')
<link rel="stylesheet" href="https://labs.os.uk/public/os-api-branding/v0.2.0/os-api-branding.css" />
<link rel="stylesheet" href="https://api.tiles.mapbox.com/mapbox-gl-js/v1.13.1/mapbox-gl.css" />
<style type="text/css">

/*#google_map {
    height: 500px;
    margin-bottom: 0px;
    display: none;
}*/

#pano {
    width: 100%;
    height:276px;
    display:none;
}
.content {
    padding: 0px !important;
}
#os_map { 
    /*position:absolute; 
    top:0; 
    bottom:0; 
    width: 98%; 
    height: 516px; 
    margin-bottom: 22px;
    display: none;
    visibility: none;*/
}

#content-holder {
    height: 556px;
}

.info_panel {
    height: 605px;
    padding: 0px !important;
    margin: 0px !important;
    width: 100%;
    overflow: auto;
}
#prop_documents {
    cursor: pointer;
}
/*---------Scroll Bar------------*/
.info_panel::-webkit-scrollbar-track {
    background-color: white;
}
.info_panel::-webkit-scrollbar {
    width: 5px;
}
.info_panel::-webkit-scrollbar-thumb {
    border: 5px solid #E4E4E4;
    border-radius: 100px;
}

.details-map{
    padding:0px !important;
}

.add-on-wraap {
    display: none;
}

/*------------EPC Content Blade------------------*/
.epc_head { 
    font-size:12px; 
    color:#1b297d;
    font-weight: bold; 
}
.epc_data { 
    font-size:10px; 
    padding-bottom: 20px; 
    border-bottom: 1px solid #c9c6bf;
}
.epc_certificate {
    margin-right: -24px;
    margin-top: -7px;
}
.tab-balance{
    margin-bottom: 8px !important;
    margin-top: 8px !important;


}

/*----------------Overview Map--------------------*/
#overview-map {
    position: absolute;
    display: block;
    width: 129px;
    height: 73px;
    bottom: 30px;
    right: 60px;
    border: 4px solid #fff;
    -webkit-border-radius: 3px;
    box-shadow: 0 2px 6px rgb(0 0 0 / 30%);
    z-index: 90;
}

#pac-input {
  display:block;
  background-color: #fff;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 400;
  margin-left: 12px;
  padding: 0 11px 0 13px;
  text-overflow: ellipsis;
  width: 400px;
  top: 10px;
  right: 10px;
  left:inherit !important;
  z-index: 10000000;
  top: 12px !important;
  border: solid 1px #c5c0c0;
  height: 38px;
  border-radius: 6px;
  background-color: #fff;
  box-shadow: 0px 0px 11px -2px rgb(0 0 0 / 34%)
}

/*---------------------------Measurement switch-----------------------------*/
.measurement_switch {
    display: block;
}
.measure-tool-context-menu {
    display:none !important;
}

#measurement_tool_id{
    color: #ffffff!important;
    border-color: #F3F6F9;
    height: 34px!important;
    padding: 1px 10px 0px 9px !important;
    background-color: #526797;
    margin-left: 48px;
    width: 35px;
}

.switch input:empty ~ span:before {
    background-color: #ced5ea; 
    border: solid 2px #9c9c9c;
}
.switch input:checked ~ span:after {
    opacity: 1;
    color: #ffffff;
    background-color: #a30e40;
}

/*---------------------------------------Custom Tooltip----------------------------------*/
/* The popup bubble styling. */
.popup-bubble {
  /* Position the bubble centred-above its parent. */
  position: absolute;
  top: 0;
  left: 0;
  transform: translate(-50%, -100%);
  /* Style the bubble. */
  background-color: white;
  padding: 5px;
  border-radius: 5px;
  font-family: sans-serif;
  overflow-y: auto;
  /* max-height: 250px; */
  box-shadow: 0px 2px 10px 1px rgba(0, 0, 0, 0.5);
  overflow: hidden;
}

/* The parent of the bubble. A zero-height div at the top of the tip. */
.popup-bubble-anchor {
  /* Position the div a fixed distance above the tip. */
  position: absolute;
  width: 100%;
  bottom: 50px;
  left: 0;
  z-index: 9999999;
}

/* This element draws the tip. */
.popup-bubble-anchor::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  /* Center the tip horizontally. */
  transform: translate(-50%, 0);
  /* The tip is a https://css-tricks.com/snippets/css/css-triangle/ */
  width: 0;
  height: 0;
  /* The tip is 8px high, and 12px wide. */
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-top: 8px solid white;
}

/* JavaScript will position this div at the bottom of the popup tip. */
.popup-container {
  cursor: auto;
  height: 0;
  position: absolute;
  /* The max width of the info window. */
  width: 200px;
}

/*--------------------------------OS Map Load Spinner-------------------------------*/
.load_spinner {
    display:none;
    position:absolute;
    top:0px;
    left:0px;
    height:100%;
    width:100%;
    z-index: 1000000000;
    background: rgba(255,255,255,0.8) url(<?php echo URL::asset('assets/img/loader.gif'); ?>) center no-repeat;
}
.spinner {
    top: 12px !important;
    left: 48% !important;
}
.text-muted {
  color: #001225 !important;
}
.modal {
    overflow-y: auto;
    margin: 90px 0px 0px 80px !important;
    top: -9px !important;
}
.modal::-webkit-scrollbar-track {
    background-color: white;
}
.modal::-webkit-scrollbar {
    width: 5px;
}

.modal::-webkit-scrollbar-thumb {
    border: 5px solid #E4E4E4;
    border-radius: 100px;
}
.info-data {
    margin: 0px 0px 0px 0px !important;
    width: 100% !important;
    padding: 0px;
}
.modal {
    width: auto !important;
    left: 3px;
    top: 0px;
}
.wizard-number {
    width: 50%;
}

.modal-header button {
    margin-left: 0px !important;
}

#search_err{
    margin-left: 38% !important;
}
#search_err .modal-footer button { 
    background-color: #B52555;
}
#search_err .modal-footer button,
#search_err .modal-footer button:link, 
#search_err .modal-footer button:visited, 
#search_err .modal-footer button:hover, 
#search_err .modal-footer button:active {
  color: #FFFFFF;
}

.head-linede {
    font-size: 16px;
    color:#fff !important;
}

.table-borderless {
    margin-bottom: 15px !important;
}

.fa-info-circle {
    margin-top: 8px;
}
.view-more {
    cursor: pointer;
}
#panel {
  width: 200px;
  font-family: Arial, sans-serif;
  font-size: 13px;
  margin: 10px;
}

.color-button {
  width: 14px;
  height: 14px;
  font-size: 0;
  margin: 2px;
  float: left;
  cursor: pointer;
}

#delete-button {
  margin-top: 5px;
}

#check_owner {
    margin-left: 38% !important;
}
</style>
{{-- <style>
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 290px;
  top: 143px;
  width: 24%;
  height: 358px;
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  /* margin: 15% auto;*/ /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 100%; /* Could be more or less, depending on screen size */
  height: 388px;
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  margin-left: 325px;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

/*-------------------------------Custom Search------------------------------*/        
#description {
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
}

#infowindow-content .title {
  font-weight: bold;
}

#infowindow-content {
  display: none;
}

#map #infowindow-content {
  display: inline;
}

.pac-card {
  margin: 10px 10px 0 0;
  border-radius: 2px 0 0 2px;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  outline: none;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
  background-color: #fff;
  font-family: Roboto;
}

#pac-container {
  padding-bottom: 12px;
  margin-right: 12px;
}

.pac-controls {
  display: inline-block;
  padding: 5px 11px;
}

.pac-controls label {
  font-family: Roboto;
  font-size: 13px;
  font-weight: 300;
}

#pac-input {
  background-color: #fff;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
  margin-left: 12px;
  padding: 0 11px 0 13px;
  text-overflow: ellipsis;
  width: 400px;
  position: absolute !important;
  z-index: 10;
  right: 70px;
  top: 10px;
}

#pac-input:focus {
  border-color: #4d90fe;
}

#title {
  color: #fff;
  background-color: #4d90fe;
  font-size: 25px;
  font-weight: 500;
  padding: 6px 12px;
}

#target {
  width: 345px;
} 
#overview-map{
  z-index: 0 !important;
}
.detail-pan-add{
  padding: 0px !important;
  padding-bottom:20px !important; 
}
 
#overview-map {
    position: absolute;
    width: 129px !important;
    height: 76px !important;
    bottom: 30px;
    left: 20px;
    border: 2px solid #fff;
    -webkit-border-radius: 3px;
    box-shadow: 0 2px 6px rgb(0 0 0 / 30%);}

   .modal-dialog{
       width: 400px !important;
   }
    
</style> --}}
@endsection
{{-- Content --}}
@section('content')
<div class="load_spinner"></div>
<!--begin::Content-->
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <!--begin::Subheader-->

    <!--end::Subheader-->
    <!--begin::Entry-->
    <div class="d-flex flex-column-fluid">     
        <!--begin::Container-->
        <div class="container-fluid">
            <!--begin::Dashboard-->
            <!--begin::Row-->
                      {{--           <div class="row">
                                        <div class="col-xl-12">
                                            <!--begin::Engage Widget 8-->
                                            <div class="card card-custom gutter-b card-stretch card-shadowless">
                                                  <img src="{{URL::asset('admin/assets/media/svg/humans/map.png')}}" class="max-h-xl-275px mb-n20" alt="">    
                                            </div>
                                            <!--end::Engage Widget 8-->
                                        </div>
                                    </div> --}}
                                    <div class="modal model-data" id="exampleModalLong" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true">
                                     <div class="modal-dialog info-data " role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <div class="wizard-number"><img src="assets/media/svg/humans/icon-de.png" class="" alt=""><span class="head-linede">Details Of Properties</span></div>

                                                <button type="button" data-id="4258" id="addCampaign" class="btn btn-primary font-weight-bold add-cam-btn">Add to Campaign</button>

                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <i aria-hidden="true" class="ki ki-close"></i>
                                                </button>
                                            </div>
                                        
                                            <div class="modal-body">
                                   
                                             <div class="col-xl-12 model-one-box">
                                                    <div class="name-head">Deceased Full Name :</div>
                                                    <h4>Alan Oliver</h4>
                                                    <div class="row">
                                                        <div class="col-xl-4">
                                                            <ul class="date-sec">
                                                                <li>Date of Death</li>
                                                                <li>Publication Date</li>
                                                                <li>Claim Date</li>
                                                            </ul>
                                                        </div>
                                                        <div class="col-xl-3">
                                                            <ul class="date-sec">
                                                                <li>: 16-05-2020</li>
                                                                <li>: 16-05-2020</li>
                                                                <li>: 16-05-2020</li>
                                                            </ul>
                                                        </div>
                                                        
                                                    </div>  
                                                    <div class="col-xl-12 detail-pan-add"><span class="add-ress">Address :</span> </br>40a Montagu Road
                                                        Datchet SLOUGH </div>
                                                </div>
                                                <div class="example-preview">
                                                    <p class="btn-info-p">
                                                        <button type="button" class="btn btn-primary mr-2 btn-check-owner">Check Owner Details</button>
                                                        <button type="button" class="btn btn-secondary mr-2 btn-check-owner">Check Deceased Will </button>
                                                    </p>

                                                </div>
                                                <div class="card-title credit-tt">
                                                    <h6 class="card-label">Details of the Executor/Administrator</h6>
                                                </div>
                                                <div class="example-preview">
                                                    <table class="table table-borderless mb-6">
                                                        <thead class="sec-bg-head">
                                                            <tr>
                                                                <th scope="col">Name</th>
                                                                <th scope="col">Executor</th>
                                                                <th scope="col"></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody class="sub-linsec">
                                                            <tr>
                                                                <td>Anne Thomas ddd</td>
                                                                <td>Gordons Solicitors Limited</td>
                                                                <td>
                                                                    <span class="label label-inline label-light-primary font-weight-bold view-more">View More</span>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                    <div class="card-body acc-card">
                                                        <!--begin::Accordion-->
                                                        <div class="accordion accordion-toggle-arrow" id="accordionExample1">
                                                            <div class="card">
                                                                <div class="card-header">
                                                                    <div class="card-title" data-toggle="collapse" data-target="#collapseOne1">Site area</div>
                                                                </div>
                                                                <div id="collapseOne1" class="collapse show" data-parent="#accordionExample1">
                                                                    <div class="card-body">content coming soon</div>
                                                                </div>
                                                            </div>
                                                            <div class="card">
                                                                <div class="card-header">
                                                                    <div class="card-title collapsed" data-toggle="collapse" data-target="#collapseTwo1">Building footprints</div>
                                                                </div>
                                                                <div id="collapseTwo1" class="collapse" data-parent="#accordionExample2">
                                                                    <div class="card-body">content coming soon</div>
                                                                </div>
                                                            </div>
                                                            <div class="card">
                                                                <div class="card-header">
                                                                    <div class="card-title collapsed" data-toggle="collapse" data-target="#collapseThree1">Building heights</div>
                                                                </div>
                                                                <div id="collapseThree1" class="collapse" data-parent="#accordionExample3">
                                                                    <div class="card-body">content coming soon</div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!--end::Accordion-->
                                                        <!--begin::Code example-->

                                                        <!--end::Code example-->
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="row">
                                    <div class="col-md-3 info_panel"></div>
                                    <div class="col-md-9 p-0">
                                        <div class="row m-0 p-0">
                                          <div class="col-md-12 m-0 p-0 tab-balance">
                                            <div class="controls float-left" style="height:35px;">
                                            <span id="map_details" class="btn btn-light map-options active"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/map.svg') }}" ><span class="map-text">Map</span></span>
                                            <!-- <span id="photo_content" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/photo.svg') }}" ><span class="map-text">Photos</span></span>-->
                                            <span id="floor_plan" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/floor-plan.svg') }}" ><span class="map-text">Floor Plan</span></span>
                                            <span id="epc_details" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/epc.svg') }}" ><span class="map-text">EPC</span></span>
                                            <span id="planning" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/planning-.svg') }}" ><span class="map-text">Planning</span></span>
                                            <span id="soldinstreet" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/street.svg') }}" ><span class="map-text">Sold in Street</span></span>
                                           <span id="marketdata" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/market.svg') }}" ><span class="map-text">Market Data</span></span>
                                          <span id="schools_details" class="btn btn-light map-options"><img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/schools.svg') }}" ><span class="map-text">Schools</span></span>
                                        </div>  
                                       {{--  <div class="col-xl-12" id="school-cats" style="float: left;display: none;">
                                            <input class="sc_phase" name="sc_phase" type="checkbox" value="Primary" />Primary
<input class="sc_phase" name="sc_phase"  type="checkbox" value="Secondary" />Secondary
<input class="sc_phase" name="sc_phase"  type="checkbox" value="All-through" />All Through
                                        </div>   --}}
                                        <div class="measurement_tool measurement_switch float-left ml-1 meshurment-switch-btn" title="Measurement Tool!">
                                            <span class="switch switch-outline switch-icon">
                                                <span id="measurement_tool_id" class=" btn map-options-drw">
                                                    <img class="map-icon" width="20px" height="20px" src="{{ URL::to('/img/mes.svg') }}" >
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>   
                                        <div class="details-map">
                                            <input id="pac-input" type="text" placeholder="Search..."/>
                                            <div id="os_map"></div>
                                            <div id="pano"></div>
                                            <div id="content-holder"></div>
                                            <div id="google_map"></div>
                                            <div id="overview-map"></div>
                                            <div id="epc-details"></div>
                                            <div id="property_tooltip" style="padding: 0px; width: 100px; display:none;"></div>
                                            <div id="school_tooltip" class="rounded" style="padding: 10px; width: 250px; height: 150px; display:none;">aa</div>
                                            <div id="school_full_details" class="rounded" style="padding: 10px; width: 500px; display:none; height:auto;"></div>
                                           
                                                
                        <!--<div class="add-on-wraap" style="position:absolute; right:10px; bottom:200px;">
                              <ul>
                                  <li>
                                      <div class="btn-map-view"></div>
                                    </li>
                                  <li><div class="btn-map-view tooltiptext"><img class="map-icon" width="20px" height="20px" src="img/map-icon.svg" style="margin-bottom: 11px;border-radius: 3px;"></div></li>
                                  <li><div class="btn-map-view"></div></li>
                                  <li><div class="btn-map-view"></div></li>
                                  <li><div class="btn-map-view"></div></li>
                                  <li><div class="btn-map-view"></div></li>
                            </ul> 
                        </div>-->

                        
            </div>
                                    </div>          
            <!--end::Row-->
            <!--begin::Row-->
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
</div>
<!--end::Content-->

<input type="hidden" name="curLat" id="curLat" value="@if(isset($probateProperty)) {{ $probateProperty->latitude }} @else 51.509865 @endif" />

<input type="hidden" name="curLng" id="curLng" value="@if(isset($probateProperty)) {{ $probateProperty->longitude }} @else -0.118092 @endif" />

<input type="hidden" name="toId" id="toId" value="" />
<input type="hidden" name="postcode" id="postcode" value="@if(isset($probateProperty)) {{ $probateProperty->getPostcode->postcode }} @endif">

<div class="modal fade error-modal" id="search_err" role="dialog">
    <div class="modal-dialog modal-md">
      <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">Error</h4>
            <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->
            <button type="button" class="close btn btn-default error-btn" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <p>No properties have been found, please try widening your search area.</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default error-btn" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
</div>

<div class="modal fade error-modal" id="check_owner" role="dialog">
    <div class="modal-dialog modal-md">
      <div class="modal-content">
        <div class="modal-header modal-closs-btn">
            <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->
            <button type="button" class="close btn btn-default check-owner-btn" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <p>You have requested the title docuemntation from land regitry to check ownership at a cost of £3  </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default error-btn pay-btn" data-dismiss="">Pay Now      £3  </button>
        </div>
      </div>
    </div>
</div>
<div id="loading" style="top: 170px;
    position: absolute;
    left: 650px;
    width: 100%;
    height: 300px;"><img src="https://aquamarineexotic.com/adminpanel/assets/images/loading2.gif"></div>
@endsection

{{-- Scripts Section --}}
@section('scripts')
{{-- <script src="{!! asset('admin/assets/js/datatable/dashboard.js?v=7.2.8') !!}"></script> --}}
<script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
<script src="{!! asset('admin/js/jquery.dataTables.js') !!}"></script>
<script src="{!! asset('admin/js/dataTables.bootstrap4.js') !!}"></script>
<script src="{!! asset('admin/js/dataTables.responsive.min.js') !!}"></script>
<script src="{!! asset('admin/js/responsive.bootstrap4.min.js') !!}"></script>
<script src="{!! asset('admin/js/tables-datatable.js') !!}"></script>
<script type="text/javascript">
    var table = $('#example2').DataTable({
        "aaSorting": [],
        "pageLength": 10,
        "fnDrawCallback": function(oSettings) {

            if (oSettings.bSorted || oSettings.bFiltered || oSettings._iDisplayLength) {
                j = 0;

                for (var i = oSettings._iDisplayStart; i < oSettings.aiDisplay.length + oSettings._iDisplayStart; i++)
                {
                    $('td:eq(0)', oSettings.aoData[ oSettings.aiDisplay[j] ].nTr).find('span').text(i + 1);
                    j++;
                }
            }
        },
        //processing: true,

        mark: true,
        ajax: {
            url: '{!! URL::to("/get-probate-data") !!}',
            data: function (d) {
            }
        },
        columns: [
        // {data: 's#', name: 's#'},
        {data: 'outcode', name: 'outcode'},
        {data: 'address', name: 'address'},       
        {data: 'executer', name: 'executer'},
        {data: 'publication_date', name: 'publication_date'},
        // {data: 'created_date', name: 'created_date'},           
        {data: 'claim_date', name: 'claim_date'},
        // {data: 'status', name: 'status'},      
    ]});
</script>
<script src="https://maps.googleapis.com/maps/api/js?key={{ config('map.apiKey') }}&libraries=places,geometry,drawing"></script>
<script src="https://labs.os.uk/public/os-api-branding/v0.2.0/os-api-branding.js"></script>
<script src="https://api.tiles.mapbox.com/mapbox-gl-js/v1.13.1/mapbox-gl.js"></script>
<script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
<script src="https://unpkg.com/measuretool-googlemaps-v3"></script>
<script>
    var icon = "{!! asset('admin/assets/media/svg/icons/Map/marker.svg') !!}";

    var all_through_good = "{!! asset('admin/assets/map_icons/all_through_good.png') !!}";
    var all_through_outstanding = "{!! asset('admin/assets/map_icons/all_through_outstanding.png') !!}";
    var all_through_req = "{!! asset('admin/assets/map_icons/all_through_req.png') !!}";
    var all_through_serious = "{!! asset('admin/assets/map_icons/all_through_serious.png') !!}";

    var college_good = "{!! asset('admin/assets/map_icons/college_good.png') !!}";
    var college_outstanding = "{!! asset('admin/assets/map_icons/college_outstanding.png') !!}";
    var college_req = "{!! asset('admin/assets/map_icons/college_req.png') !!}";
    var college_serious = "{!! asset('admin/assets/map_icons/college_serious.png') !!}";

    var primary_good = "{!! asset('admin/assets/map_icons/primary_good.png') !!}";
    var primary_outstanding = "{!! asset('admin/assets/map_icons/primary_outstanding.png') !!}";
    var primary_req = "{!! asset('admin/assets/map_icons/primary_req.png') !!}";
    var primary_serious = "{!! asset('admin/assets/map_icons/primary_serious.png') !!}";

    var secondary_outstanding = "{!! asset('admin/assets/map_icons/secondary_outstanding.png') !!}";
    var secondary_good = "{!! asset('admin/assets/map_icons/secondary_good.png') !!}";
    var secondary_req = "{!! asset('admin/assets/map_icons/secondary_req.png') !!}";
    var secondary_serious = "{!! asset('admin/assets/map_icons/secondary_serious.png') !!}";

    
    var map, measureTool, panorama, panoramaService;
    var getCenter = [ -0.118092, 51.509865];
    var getZoom = 10;
    var coord = [-0.118092,51.509865];
    var toId = 'TOID';
    var coordinates = new Array();
    var marker;

    // Google Map Search Function
    function google_search(map) {
        // Create the search box and link it to the UI element.
        var input = document.getElementById('pac-input');

        const options = {
            componentRestrictions: { country: "uk" },
        };

        var autocomplete = new google.maps.places.Autocomplete(input,options);
        map.controls[google.maps.ControlPosition.TOP_CENTER].push(input);
        /*var marker = new google.maps.Marker({
        map: map
        });*/

        // Bias the SearchBox results towards current map's viewport.
        autocomplete.bindTo('bounds', map);
        // Set the data fields to return when the user selects a place.
        autocomplete.setFields(['address_components', 'geometry', 'name']);

        // Listen for the event fired when the user selects a prediction and retrieve
        // more details for that place.
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            if (!place.geometry) {
                $('#search_err').modal('show'); 
                $('.info-data').hide();
                return;
            }
            var bounds = new google.maps.LatLngBounds();
            //marker.setPosition(place.geometry.location);

            if (place.geometry.viewport) {
            // Only geocodes have viewport.
                bounds.union(place.geometry.viewport);
            } else {
                bounds.extend(place.geometry.location);
            }
            map.fitBounds(bounds);
        });
    }

    // Initialize the os map object.
    function os_load(getZoom,getCenter,coord) {
        var apiKey = 'LyhLetsnn75Gsz5OER6O1cvo4Hv5AA9r';
        var wfsServiceUrl = 'https://api.os.uk/features/v1/wfs';
        var tileServiceUrl = 'https://api.os.uk/maps/raster/v1/zxy';
        
        // Create a map style object using the OS Maps API ZXY service.
        var style = {
            "version": 8,
            "sources": {
                "raster-tiles": {
                    "type": "raster",
                    "tiles": [tileServiceUrl+"/Light_3857/{z}/{x}/{y}.png?key="+apiKey],
                    "tileSize": 256
                }
            },
            "layers": [{
                "id": "os-maps-zxy",
                "type": "raster",
                "source": "raster-tiles"
            }]
        };
        
        var os_map = new mapboxgl.Map({
            container: 'os_map',
            style: style,
            center: getCenter,
            //zoom: getZoom,
            zoom:19,
        });
        

        var geoJson = {
            "type": "FeatureCollection",
            "features": []
        };
        
        // Add event which waits for the map to be loaded.
        os_map.on('load', function() {
                
            // Add an empty GeoJSON layer for the Topographic Area features.
            os_map.addLayer({
                "id": "topographic-areas",
                "type": "fill",
                "source": {
                    "type": "geojson",
                    "data": geoJson
                },
                "layout": {},
                "paint": {
                    "fill-color": "#ff1919",
                    "fill-opacity": 1
                }
            });
            getFeatures(coord);
        });

        function getFeatures(coord) {
            // Create an OGC XML filter parameter value which will select the TopographicArea
            // features containing the coordinates of the clicked point.
            var xml = '<ogc:Filter>';
            xml += '<ogc:Contains>';
            //xml += '<ogc:PropertyName>SHAPE</ogc:PropertyName>';
            xml += '<gml:Point srsName="urn:ogc:def:crs:EPSG::4326">';
            xml += '<gml:coordinates>' + coord.reverse().join(',') + '</gml:coordinates>';
            xml += '</gml:Point>';
            xml += '</ogc:Contains>';
            xml += '</ogc:Filter>';

            // Define (WFS) parameters object.
            var wfsParams = {
                key: apiKey,
                service: 'WFS',
                request: 'GetFeature',
                version: '2.0.0',
                typeNames: 'Topography_TopographicArea',
                //propertyName: 'TOID,DescriptiveGroup, CalculatedAreaValue, SHAPE',
                //typeNames: 'Sites_FunctionalSite',
                outputFormat: 'GEOJSON',
                srsName: 'urn:ogc:def:crs:EPSG::4326',
                filter: xml,
                count: 1
            };
            // Use fetch() method to request GeoJSON data from the OS Features API.
            // If successful - set the GeoJSON data for the 'topographic-areas' layer and
            // re-render the map.

            var data = fetch(getUrl(wfsParams))
                .then(response => response.json())
                .then(data => {
                    if(! data.features.length )
                        return;

                    var properties = data.features[0].properties,
                        validKeys = ['TOID', 'DescriptiveGroup'];

                    Object.keys(properties).forEach((key) => validKeys.includes(key) || delete properties[key]);
                    toId = properties.TOID;
                    $('#toId').val(toId);
                    
                    coordinates = data.features[0].geometry.coordinates;

                    //os_map.getSource('topographic-areas').setData(data);
                });  
                //console.log(data);
            function getUrl(params) {
                var encodedParameters = Object.keys(params)
                    .map(paramName => paramName + '=' + encodeURI(params[paramName]))
                    .join('&');
                $(".load_spinner").css("display", "none");
                return wfsServiceUrl + '?' + encodedParameters;
            }  
        }
    }    
    /*------------------------------ Marking the property Area ------------------------*/
        var selectedShape = new Array();
        var selectedpropertyArea;
        function polygon_coords () {
            var shapes = new Array();
            $.each(coordinates[0],function(key,item) {
                shapes.push({"lat" : item[1],"lng"  : item[0]});
            });

            if (selectedShape.length > 0) {
                selectedpropertyArea.setMap(null);
            }
            // console.log(shapes);
            // Define the LatLng coordinates for the polygon's path.
            var propertyArea = new google.maps.Polygon({
                paths: shapes,
                strokeColor: "#B52555",/*Border Color*/
                strokeOpacity: 0.8,
                strokeWeight: 2,
                fillColor: "#bc3a66",/*Background Color*/
                fillOpacity: 0.35,
            });
            selectedpropertyArea = propertyArea;
            selectedShape = shapes;
            
            // Construct the polygon.
            propertyArea.setMap(map);
        }

    function initMap() {
        //let popup, Popup;
        
        var center = {
            lat: parseFloat($("#curLat").val()),
            lng: parseFloat($("#curLng").val())
        };
        
        $('#content').hide();

        //var bounds = new google.maps.LatLngBounds();
        var mapOptions = {
            mapTypeId: 'roadmap',
            mapTypeControl: false,
            fullscreenControl: false,
            center:center,
            zoom:17,
        };

        /*----------------------------------Custom Tooltip-------------------------------------*/
        class Popup extends google.maps.OverlayView {
            position;
            containerDiv;
            constructor(position, content) {
              super();
              this.position = position;
              content.classList.add("popup-bubble");
              // This zero-height div is positioned at the bottom of the bubble.
              const bubbleAnchor = document.createElement("div");
              bubbleAnchor.classList.add("popup-bubble-anchor");
              bubbleAnchor.appendChild(content);
              // This zero-height div is positioned at the bottom of the tip.
              this.containerDiv = document.createElement("div");
              this.containerDiv.classList.add("popup-container");
              this.containerDiv.appendChild(bubbleAnchor);
              // Optionally stop clicks, etc., from bubbling up to the map.
              Popup.preventMapHitsAndGesturesFrom(this.containerDiv);
            }
            /** Called when the popup is added to the map. */
            onAdd() {
              this.getPanes().floatPane.appendChild(this.containerDiv);
            }
            /** Called when the popup is removed from the map. */
            onRemove() {
                bubbleAnchor.classList.remove("popup-bubble-anchor");
                 
              if (this.containerDiv.parentElement) {
                this.containerDiv.parentElement.removeChild(this.containerDiv);
              }
            }
            /** Called each frame when the popup needs to draw itself. */
            draw() {
              const divPosition = this.getProjection().fromLatLngToDivPixel(
                this.position
              );
              // Hide the popup when it is far out of view.
              const display =
                Math.abs(divPosition.x) < 1000 && Math.abs(divPosition.y) < 1000
                  ? "block" : "none";

              if (display === "block") {
                this.containerDiv.style.left = divPosition.x + "px";
                this.containerDiv.style.top = divPosition.y + "px";
              }

              if (this.containerDiv.style.display !== display) {
                this.containerDiv.style.display = display;
              }
            }
        }
        
        // Display a map on the web page
        map = new google.maps.Map(document.getElementById("content-holder"), mapOptions);
        
        // Meassuring Tool
        measureTool = new MeasureTool(map, {
            showSegmentLength: true,
            contextMenu: true,
            invertColor : false,
            // unit: MeasureTool.UnitTypeId.IMPERIAL // Distance in Miles
            unit: MeasureTool.UnitTypeId.METRIC // Distance in Kilometers
            // unit: MeasureTool.UnitTypeId.NAUTICAL // Distance in Nautical Mile
        });

        // Splited StreetView
        panoramaService = new google.maps.StreetViewService();
        var panoramaOptions = {
            //disableDefaultUI: true
        };

        panorama = new google.maps.StreetViewPanorama(document.getElementById("pano"),  {
            visible: false,
            enableCloseButton: true,
            addressControlOptions: {
                position: google.maps.ControlPosition.TOP_LEFT
            }
        });

        map.setStreetView(panorama);

        $("#map").resize(function(){
           $("#map").height("10px");
        })

        panorama.addListener('position_changed', function() {
            $("#pano").css("display", "block");
            $("#content-holder").css("height", "278px");
        });
        panorama.addListener("closeclick", function() {
            $("#pano").css("display", "none");
            $("#content-holder").css("height", "555px");
        });    

        var markers = [
            @php
            if($probateProperties) {
                foreach($probateProperties as $row) {
                    if($row['latitude'] && $row['longitude'])
                    {
                      echo '["'.$row['address_1'].'", "'.$row['latitude'].'", "'.$row['longitude'].'", "'. Crypt::encrypt($row['id']).'"],';   
                    }           
                }
            }
            @endphp
        ];


        // Place each marker on the map  
        for(var i = 0; i < markers.length; i++ ) {

            var position = new google.maps.LatLng(markers[i][1], markers[i][2]);
            //bounds.extend(position);

            var marker = new google.maps.Marker({
                position: position,
                map: map,
                icon:icon,
                animation: google.maps.Animation.DROP,
                place:AnimationEffect,
                //title: markers[i][0],
            });
            //markers[i].setAnimation(null);

            google.maps.event.addListener(marker, 'mouseout', function () {
                $(".popup-bubble-anchor").hide();
            });

            // Tootltip fetching Data from Database
            google.maps.event.addListener(marker, 'mouseover', (function(marker, i) {
                return function() {
                    var latitude = markers[i][1];
                    var longitude = markers[i][2];
                    $("#property_tooltip").show();

                    $.ajax({
                        type: 'GET', 
                        url: '{!! URL::to("/get-probate-tooltipdata?pid=") !!}'+markers[i][3],
                        success : function (data) {
                            $("#property_tooltip").html(data.html);
                            popup = new Popup(
                                new google.maps.LatLng(latitude, longitude),
                                    document.getElementById("property_tooltip")
                                );
                            popup.setMap(map);
                        }
                    });
                }  
            })(marker, i));

            // Add info window to marker    
            google.maps.event.addListener(marker, 'click', (function(marker, i) {
                return function() {
                    detailPopup(markers[i][3]);
                } 
            })(marker, i));

            /*----Close the info panel When you select the Street view----*/
            var thePanorama = map.getStreetView();

            google.maps.event.addListener(thePanorama, 'visible_changed', function() {
                if (thePanorama.getVisible()) {
                    $("#exampleModalLong").hide();
                }
            });

            // Add info window to marker    
            google.maps.event.addListener(marker, 'click', (function(marker, i) {
                return function(e) {
                    getCenter = [e.latLng.lng(),e.latLng.lat()];
                    getZoom = 19;
                    coord = [e.latLng.lng(),e.latLng.lat()];

                    $("#curLat").val(e.latLng.lat());
                    $("#curLng").val(e.latLng.lng());
                     
                    $(".load_spinner").css("display", "block");
                    map.setZoom(20);

                    map.panTo({lat: e.latLng.lat(),lng: e.latLng.lng()});
                    os_load(getZoom,getCenter,coord);
                    polygon_coords();   

                    //marker.setAnimation(google.maps.Animation.BOUNCE);      
                }
                    
            })(marker, i));

            // Center the map to fit all markers on the screen
            //map.fitBounds(bounds);
        }

        google_search(map);
    }

    /*------------------------Overview Map---------------------*/

    var overviewMap = new google.maps.Map(document.getElementById('overview-map'), {
        zoom: 10,
        center: {
            lat: 51.509865,
            lng: -0.118092
        },
        mapTypeId: 'hybrid',
        zoomControl: false,
        gestureHandling: "none",
        disableDefaultUI: true
    });

    overviewMap.addListener( "click", (e) => {
        if(map.mapTypeId == "hybrid") {
            map.setMapTypeId('roadmap');
            overviewMap.setMapTypeId('hybrid');
        } else {
            map.setMapTypeId('hybrid');
            overviewMap.setMapTypeId('roadmap');
        }
    });

    // Load initialize function
    google.maps.event.addDomListener(window, 'load', initMap);

    var modal = document.getElementById("exampleModalLong");

    function popWindow(content) {    
        modal.style.display = "block";
        $("#exampleModalLong").html(content);
    }

    // When the user clicks on <span> (x), close the modal
    var span = document.getElementsByClassName("close")[0];
    span.onclick = function() {
      modal.style.display = "none";
    }

    // When the user clicks anywhere outside of the modal, close it
    window.onclick = function(event) {
        if (event.target == modal) {
            modal.style.display = "none";
        }
    }

$(document).on('click','.close', function() {
   modal.style.display = "none";
});

$(document).on("click", "#addCampaign", function(e) {
    $("#load_spinner").show();

    var property = [];
    e.preventDefault();
    property = [$('#addCampaign').data("id")];

        var token = $('meta[name="csrf-token"]').attr("content");

        $.ajax({
            type: "POST",
            url: "{!! URL::to('/add-probate-campaign') !!}",
            data: {
                property: property,
                _token: token
            },
            success: function(result) {
                $("#load_spinner").hide();
                $("#addCampaign").html('Remove from Campaign');
                $("#addCampaign").prop('id', 'removeCampaign');

            },
            error: function(xhr, status, error, result) {
                console.log(xhr);
            }
        });
});

$(document).on("click", "#removeCampaign", function(e) {
    var id = [$('#removeCampaign').data("id")];

    var token = $('meta[name="csrf-token"]').attr("content");
   
    $.ajax({
        type: "GET",
        url: "{!! URL::to('/remove-probate-campaign') !!}/"+id,
        success: function(result) {
            $("#load_spinner").hide();
            $("#removeCampaign").html('Add to Campaign');
            $("#removeCampaign").prop('id', 'addCampaign');
        },
        error: function(xhr, status, error, result) {
            console.log(xhr);
        }
    });
});

$( document ).ready(function() {
    $("#loading").hide();
    $('body').addClass('aside-minimize');
    $('#map_details').addClass('active');
    const queryString = window.location.search;
    const urlParams = new URLSearchParams(queryString);
    const pid = urlParams.get('pid');
    detailPopup(pid);

    var lat = parseFloat($("#curLat").val());
    var lng = parseFloat($("#curLng").val());
    getCenter = [lng,lat];
    getZoom = 21;
    coord = [lng,lat];
    
    os_load(getZoom,getCenter,coord);
    polygon_coords();

    var measurementEnabled = false;
    $('.measurement_tool').on('click',function() {
        if(measurementEnabled == false) {
            measureTool.start();
            $('#measurement_tool_id').removeClass('btn-light').addClass('btn-primary');
            $('#measurement_tool_id').css('background-color', 'rgb(17 171 46)');
            measurementEnabled = true;
        } else {
            measureTool.end();
            $('#measurement_tool_id').removeClass('btn-primary').addClass('btn-light');
            $('#measurement_tool_id').css('background-color', 'rgb(88 88 88 / 80%)');
            measurementEnabled = false;
        }
    });

    if ($('#map_details').hasClass("active")) {
       $("#overview-map").show();
       $(".add-on-wraap").show();
       $("#pac-input").show();
       $(".measurement_switch").show();
    }
});

function detailPopup(pid) {
    $.ajax({
        type: 'GET', 
        url: '{!! URL::to("/get-probate-popupdata?pid=") !!}'+pid,
        success : function (data) {
            //popWindow(data.html);
            $(".info_panel").html(data.html);
        }
    });
}
$('#school-cats').hide();
$(document).on("click","#schools_details",function() {
    $('#school-cats').show();
    });

$(document).on("click","#flood_title",function() {
    var latitude = parseFloat($("#curLat").val());
    var longitude = parseFloat($("#curLng").val());
    var url = 'https://environment.data.gov.uk/flood-monitoring/id/floodAreas?lat='+latitude+'&long='+longitude;
    $.ajax({
        type: 'GET',
        url: url, 
        dataType: 'json',
        beforeSend: function() {
            $(".spinner").show();
        },
        success: function(response){
            var flood_length = response.items.length;
            var flood_result = "<p>Flooding zone.</p>";
            if(flood_length == 0)
            {
                flood_result = "<p>Not in flooding zone.</p>";
            }
            $('#flood_body').html(flood_result);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#planning",function() {
    var postcode = $('#postcode').val();
    var latitude = $('#latitude').val();
    var longitude = $('#longitude').val();
    
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/planning") !!}',
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
            const myLatLng = {
                lat: 51.639997,
                lng: -0.0638607
            };

            var mapFeatures = {
                mapTypeId: 'roadmap',
                mapTypeControl: false,
                fullscreenControl: false,
                center:myLatLng,
                zoom:14,
            };

            const map = new google.maps.Map(document.getElementById("planning_map"), mapFeatures);
            
            $.each(data, function(i, item) {
                const myLatLng = {
                lat: item.lat,
                lng: item.lat
            };
                var marker = new google.maps.Marker({
                    position: myLatLng,
                    map,
                    icon:icon,
                    title: "Hello World!",
                });
            });    
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

function school_data()
{
   var postcode = $('#postcode').val();
    var latitude = $('#latitude').val();
    var longitude = $('#longitude').val();
    var arr = [];
    $('input.sc_phase:checkbox:checked').each(function () {
        arr.push($(this).val());
    });
    //alert(arr);
    $.ajax({
        type: 'GET', 
        dataType: 'json',
        url: '{!! URL::to("/get-school-list?postcode=") !!}'+postcode+'&latitude='+latitude+'&phase='+arr+'&longitude='+longitude,
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            const myLatLng = {
                lat: parseFloat(latitude),
                lng: parseFloat(longitude)
            };

            var mapFeatures = {
                mapTypeId: 'roadmap',
                mapTypeControl: false,
                fullscreenControl: false,
                center:myLatLng,
                zoom:14,
            };

            const map = new google.maps.Map(document.getElementById("content-holder"), mapFeatures);

            var marker = new google.maps.Marker({
                position: myLatLng,
                map,
                icon:icon,
               // title: "Hello World!",
            });

            $.each(data.html, function(i, item) {
                var school = data.html[i];
                const schCoord = {
                    lat: parseFloat(school['latitude']),
                    lng: parseFloat(school['longitude'])
                };

                var school_type, school_icon;
                if (school['phase_of_education'] == "Primary" && school['rating'] == "Outstanding") {
                    school_icon = primary_outstanding;
                } else if (school['phase_of_education'] == "Primary" && school['rating'] == "Good") {
                    school_icon = primary_good;
                } else if (school['phase_of_education'] == "Primary" && school['rating'] == "Requires") {
                    school_icon = primary_req;
                } else if (school['phase_of_education'] == "Primary" && school['rating'] == "Serious") {
                    school_icon = primary_serious;
                }


                else if (school['phase_of_education'] == "Secondary" && school['rating'] == "Outstanding") {
                    school_icon = secondary_outstanding;
                } else if (school['phase_of_education'] == "Secondary" && school['rating'] == "Good") {
                    school_icon = secondary_good;
                } else if (school['phase_of_education'] == "Secondary" && school['rating'] == "Requires") {
                    school_icon = secondary_req;
                } else if (school['phase_of_education'] == "Secondary" && school['rating'] == "Serious") {
                    school_icon = secondary_serious;
                }

                else if (school['phase_of_education'] == "All-through" && school['rating'] == "Outstanding") {
                    school_icon = all_through_outstanding;
                } else if (school['phase_of_education'] == "All-through" && school['rating'] == "Good") {
                    school_icon = all_through_good;
                } else if (school['phase_of_education'] == "All-through" && school['rating'] == "Requires") {
                    school_icon = all_through_req;
                } else if (school['phase_of_education'] == "All-through" && school['rating'] == "Serious") {
                    school_icon = all_through_serious;
                }

                 else if (school['phase_of_education'] == "16 plus" && school['rating'] == "Outstanding") {
                    school_icon = college_outstanding;
                } else if (school['phase_of_education'] == "16 plus" && school['rating'] == "Good") {
                    school_icon = college_good;
                } else if (school['phase_of_education'] == "16 plus" && school['rating'] == "Requires") {
                    school_icon = college_req;
                } else if (school['phase_of_education'] == "16 plus" && school['rating'] == "Serious") {
                    school_icon = college_serious;
                }

                school_marker = new google.maps.Marker({
                    position: schCoord,
                    map,
                    icon:school_icon,
                });

                /*----------------------------------Custom Tool tip-------------------------------------*/
                class Popup extends google.maps.OverlayView {
                    position;
                    containerDiv;
                    constructor(position, content) {
                      super();
                      this.position = position;
                      content.classList.add("popup-bubble");
                      // This zero-height div is positioned at the bottom of the bubble.
                      const bubbleAnchor = document.createElement("div");
                      bubbleAnchor.classList.add("popup-bubble-anchor");
                      bubbleAnchor.appendChild(content);
                      // This zero-height div is positioned at the bottom of the tip.
                      this.containerDiv = document.createElement("div");
                      this.containerDiv.classList.add("popup-container");
                      this.containerDiv.appendChild(bubbleAnchor);
                      // Optionally stop clicks, etc., from bubbling up to the map.
                      Popup.preventMapHitsAndGesturesFrom(this.containerDiv);
                    }
                    /** Called when the popup is added to the map. */
                    onAdd() {
                      this.getPanes().floatPane.appendChild(this.containerDiv);
                    }
                    /** Called when the popup is removed from the map. */
                    onRemove() {
                        bubbleAnchor.classList.remove("popup-bubble-anchor");
                         
                      if (this.containerDiv.parentElement) {
                        this.containerDiv.parentElement.removeChild(this.containerDiv);
                      }
                    }
                    /** Called each frame when the popup needs to draw itself. */
                    draw() {
                      const divPosition = this.getProjection().fromLatLngToDivPixel(
                        this.position
                      );
                      // Hide the popup when it is far out of view.
                      const display =
                        Math.abs(divPosition.x) < 1000 && Math.abs(divPosition.y) < 1000
                          ? "block" : "none";

                      if (display === "block") {
                        this.containerDiv.style.left = divPosition.x + "px";
                        this.containerDiv.style.top = divPosition.y + "px";
                      }

                      if (this.containerDiv.style.display !== display) {
                        this.containerDiv.style.display = display;
                      }
                    }
                }

                google.maps.event.addListener(school_marker, 'mouseout', function () {
                    $(".popup-bubble-anchor").hide();
                });

                google.maps.event.addListener(school_marker, 'mouseover', (function(marker, i) {
                    return function() {
                        var sch_latitude = parseFloat(school['latitude']);
                        var sch_longitude = parseFloat(school['longitude']);
                        var prop_latitude = $('#latitude').val();
                        var prop_longitude = $('#longitude').val();
                        $("#school_tooltip").show();
                        $.ajax({
                            type: 'GET',
                            url: '{!! URL::to("/get-school-tooltipdata?latitude=") !!}'+sch_latitude+'&longitude='+sch_longitude+'&prop_latitude='+prop_latitude+'&prop_longitude='+prop_longitude,
                            success : function (data) {
                                $("#school_tooltip").html(data.html);
                                popup = new Popup(
                                    new google.maps.LatLng(sch_latitude, sch_longitude),
                                        document.getElementById("school_tooltip")
                                    );
                                popup.setMap(map);
                            }
                        });
                    } 
                })(marker, i));

                google.maps.event.addListener(school_marker, 'click', (function(marker, i) {
                    return function() {
                        var sch_latitude = parseFloat(school['latitude']);
                        var sch_longitude = parseFloat(school['longitude']);

                        $("#school_full_details").show();

                        $.ajax({
                            type: 'GET',
                            url: '{!! URL::to("/get-school-fulldetails?sch_latitude=") !!}'+sch_latitude+'&sch_longitude='+sch_longitude,
                            success : function (data) {
                                $("#school_full_details").html(data.html);
                                popup = new Popup(
                                    new google.maps.LatLng(sch_latitude, sch_longitude),
                                        document.getElementById("school_full_details")
                                    );
                                popup.setMap(map);
                            }
                        });
                    }  
                })(marker, i));
            });
        },
        complete: function() {
            $(".spinner").hide();
        }
    });  
}

$(document).on("click","#schools_details",function() {
   school_data();
});
$(document).ready(function() {
    $('input[type=checkbox][name=sc_phase]').change(function() {
        school_data();
    });
});

$(document).on("click",".school_close img",function() {
    $("#school_tooltip").hide();
    $("#school_full_details").hide();
});

$(document).on("click","#school_coord_update",function() {
    var latitude = $('#latitude').val();
    var longitude = $('#longitude').val();
    $.ajax({
        type: 'GET', 
        dataType: 'json',
        url: '{!! URL::to("/school-coord-update") !!}',
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            console.log(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#epc_details",function() {
    var epc_postcode = $('#postcode').val();
    var epc_address = $('#address').val();
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/get-epc-details?address=") !!}'+epc_address+"| "+epc_postcode,
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(".controls span").click( function() {
    $(".controls span").removeClass("active");
    $(this).addClass("active");
    if ($('#schools_details').hasClass("active")) {
        $("#overview-map").hide();
        $(".add-on-wraap").show();
        $("#pac-input").show();
        $(".measurement_switch").hide();
    } else {
        $("#overview-map").hide();
        $(".add-on-wraap").hide();
        $("#pac-input").hide();
        $(".measurement_switch").hide();
    }
});

$(document).on("click",".epc_certificate",function() {
    var crt_enry_eff = $("#crt-enry-eff").val();
    var pot_enry_eff = $("#pot-enry-eff").val();
    window.open("https://epc.rightmove.co.uk/generateEpc?graphtype=EPCEnergyOnly&currentenergy="+crt_enry_eff+"&potentialenergy="+pot_enry_eff+"&graphquality=print", "_blank","toolbar=yes,scrollbars=yes,resizable=yes,top=500,left=280,width=1000,height=800"); 
});

$(document).on("click","#broadband_mobile",function() {
    var postcode = $('#postcode').val();
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/ofcom?postcode=") !!}'+postcode,
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#broadband_mobile_body").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#photo_content",function() {
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/get-photos") !!}',
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#floor_plan",function() {
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/floor-plan") !!}',
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#marketdata",function() {
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/marketdata") !!}',
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
})

$(document).on("click","#soldinstreet",function() {
    $("#loading").show();
    var postcode = $('#postcode').val();
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/soldinstreet?postcode=") !!}'+postcode,
        beforeSend: function() {
            $("#loading").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
            $("#loading").hide();
        },
        complete: function() {
           $("#loading").hide();
        }
    });
});
//https://aquamarineexotic.com/adminpanel/assets/images/loading2.gif
$(document).on("click","#prop_documents",function() {
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '{!! URL::to("/documents") !!}',
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#content-holder").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#nearest_school",function() {
    var postcode = $('#postcode').val();
    var latitude = $('#latitude').val();
    var longitude = $('#longitude').val();

    $.ajax({
        type: 'GET', 
        dataType: 'json',
        url: '{!! URL::to("/nearest-school-list?postcode=") !!}'+postcode+'&latitude='+latitude+'&longitude='+longitude,
        beforeSend: function() {
            $(".spinner").show();
        },
        success : function (data) {
            $("#nearest_school_body").html(data.html);
        },
        complete: function() {
            $(".spinner").hide();
        }
    });
});

$(document).on("click","#map_details",function() {
    window.location.reload();
});

$(document).on("click",".check-deceased-will a",function() {
    window.open('https://probatesearch.service.gov.uk/#wills', 'gcalevent', 'fullscreen=yes');
});

$(document).on("click",".view-more",function() {
    var searchQuery = $(this).attr("value");
    window.open('https://www.google.com/search?q='+searchQuery, 'gcalevent', 'top=100,left=40,width=1400,height=650');
});
$(document).on("click",".dwnld-certificate",function() {
    var postCode = $("#epc_postcode").val();
    window.open('https://find-energy-certificate.digital.communities.gov.uk/find-a-certificate/search-by-postcode?postcode='+postCode.replace(" ", "+"), 'gcalevent', 'fullscreen=yes');
});
</script>
@endsection