{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

    <div class="card card-custom">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">
                    <div class="text-muted pt-2 font-size-sm"></div>
                </h3>
            </div>
          
        </div>

        <div class="card-body">

         <!--begin::Search Form-->
            <div class="mt-2 mb-5 mt-lg-5 mb-lg-10">
                <div class="row align-items-center">
                    <div class="col-lg-12 col-xl-12">
                        <div class="row align-items-center">
                           
                            <div class="col-md-4 my-2 my-md-0">
                                <div class="d-flex align-items-center ">
                                    
                                    <div class="ml-2">
                                        <select name="postcode" id="filter_postcode_property_admin" class="form-control"  >
                                            <option value="0">Full Post Code</option>
                                            @foreach($post_code as $code)
                                            <option value="{{$code->id}}">{{$code->postcode}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="ml-2">
                                        <select name="platform" id="filter_platform_admin" class="form-control"  >
                                            <option value="">Platform</option>
                                            <option value="0">Right move</option>
                                            <option value="1">Zoopla</option>
                                        </select>
                                    </div>
                                    
                                   
                                
                                   
                                </div>
                            </div>
                            <div class="col-md-4 my-2 my-md-0">
                                <div class="d-flex align-items-center ">
                                    
                                    <div class="ml-2">
                                        <input class="form-control date_from" type="text" placeholder='Date From' name='date_from' value=''>
                                    </div>
                                    <div class="ml-2">
                                    
                                        <input class="form-control date_to" type="text" placeholder='Date To' name='date_to' value=''>
                                    </div>
                                   
                                    <div class="ml-2">
                                        <button type="submit" data-btn="Update Status" id="" class="btn btn-primary px-6 font-weight-bold btn_click filterall">
                                        Filter</button>
                                    </div> 
                                     
                                
                                   
                                </div>
                            </div>

                       

                        </div>
                    </div>                   
                </div>
            </div>
            <!--end::Search Form-->

            <table class="table table-bordered table-hover display" id="propertyDatatable"  style="width:100%">
                <thead>
                <tr>
                  
                    <th class="mw-110">Post Code</th>
                    <th width="20%">Address</th>
                    <th class="mw-90">Price</th>
                    <th>List Date</th>
                    <th>Estate Agents</th>
                    <th>Type</th>
                    <th>Portal Url</th>
                    <th>Street View</th>
                   
                   
                </tr>
                </thead>
                <tbody>
                
                </tbody>
            </table>
        </div>
    </div>

    
@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
        <link rel="stylesheet" href="{{asset('css/pages/bootstrap-datepicker.css')}}">
        <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">

@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
	<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->

    <script src="{{ asset('js/pages/crud/forms/widgets/bootstrap-datepicker.js')}}"></script>
    <script type="text/javascript">
       
    $( document ).ready(function() {
         $('.date_from').datepicker({
            format: 'dd-mm-yyyy',
            todayHighlight:true,
         });
          $('.date_to').datepicker({
            format: 'dd-mm-yyyy',
            todayHighlight:true,
         });

     });
  
    </script>
    <script>
        jQuery(document).ready((function () {
            var url = '<?php echo route('admAllTypePropertyArray')?>';
            var token = '<?php echo csrf_token() ?>';
            var postcode = 0;
            var platform = '';
            var date_from = '';
            var date_to = '';
           
            adminAllPropertyTable(url, token, 'AllTypeProperties',postcode,platform,date_from,date_to);
            var active = '<?php echo $active?>';
            if(active == 1){
                $('.p1').css('color', '#F64E60');
            }
        }))

  

    </script>
@endsection
