{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<div class="row">
    <div class="col-lg-7">
        <!--begin::Card-->
        <div class="card card-custom gutter-b">
            <div class="card-header">
                <div class="card-title">
                    <h2 class="card-label">
                       Property Info
                    </h2>
                </div>
                <div class="d-flex align-items-center flex-wrap mr-2">
                @if(count($portal_url)) 
                @foreach($portal_url as $url)
                    @if($url['portal']==0)
                       <a title="Click here to see the listing" target="portal" class="btn btn-rightmove btn-circle btn-sm" title="Rightmove" href="{{$url['portal_url']}}"><i class="icon-lg">R</i></a>
                    @else
                        <a title="Click here to see the listing" target="portal" title="Zoopla" class="btn btn-zoopla btn-circle btn-sm ml-2" href="{{$url['portal_url']}}"><i class="icon-lg">Z</i></a>
                    @endif
                @endforeach
            @endif     
             
            </div>
              
            </div>
            <div class="card-body">
            <h3>{{$details->house_number}}, {{$details->title}}, +{{$details->address}}</h3>
            <h6 class="text-muted">
                @php 
                    $status_ = Helper::propertyStatus($house_number_id); 
                @endphp
                {{$status_}}
                &nbsp;<i class="fas fa-pound-sign"></i> {{number_format($details->latest_price)}} </h6> 
                <div class="py-9">
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Property Number:</span>
                        <span class="text-muted">{{($details->house_number)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Outcode:</span>
                        <span class="text-muted">{{($details->outcode)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Postcode :</span>
                        <span class="text-muted">{{($details->postcode)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Type of Property :</span>
                        <span class="text-muted">{{ucfirst($details->property_type)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Bedrooms :</span>
                        <span class="text-muted">{{$details->bed_rooms}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Fallen Through :</span>
                        <span class="text-muted">@if($details->fallen_through==1)Yes @else No @endif</span>
                    </div>

                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Agency :</span>
                        <span class="text-muted">{{$details->agency_name}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Listed Date :</span>
                        <span class="text-muted">{{date('d M Y',strtotime($details->listed_date))}}</span>
                    </div>

                    
                    
                </div>                
            </div>
        </div>
        <!--end::Card-->

        

    </div>

	<div class="col-lg-5">
        <!--begin::Card-->
        <div class="card card-custom gutter-b">
            <!-- <div class="card-header d-flex flex-nowrap">
                <div class="card-title">
                    <h3 class="card-label">
                       Street View
                    </h3>
                </div>
                <div class="card-toolbar">
                  
				</div>
            </div> -->
            <div class="card-body">      
    
            <div id="map" style="width: 100%; height: 390px;"></div>
            </div>
        </div>
        <!--end::Card-->

   
	
    </div>
</div>


@endsection

@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection

{{-- Scripts Section --}}
@section('scripts')
    <script>
        var latitude = "<?php echo $details->latitude; ?>";
        var longitude = "<?php echo $details->longitude; ?>";
        var token = '<?php echo csrf_token() ?>';

    </script>
    <!-- <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places"></script> -->
    <script  src="https://maps.googleapis.com/maps/api/js?key=AIzaSyASY1gJU-H4psp1rrwAEDPCXkxbyyjkAbI&callback=initialize&libraries=&v=weekly"
      defer
    ></script>

    <script type="text/javascript"> 
        function initialize() {
            if(latitude!='' && longitude!=''){
                var latlng = new google.maps.LatLng(latitude,longitude);
                    var map = new google.maps.Map(document.getElementById('map'), {
                    center: latlng,
                    zoom: 13
                    });
                    var marker = new google.maps.Marker({
                    map: map,
                    position: latlng,
                    draggable: false,
                    anchorPoint: new google.maps.Point(0, -29)
                });
                var infowindow = new google.maps.InfoWindow();   
                google.maps.event.addListener(marker, 'click', function() {
                var iwContent = '<div id="iw_container">' +
                '<div class="iw_title"><b>Location</b> : Noida</div></div>';
                // including content to the infowindow
                infowindow.setContent(iwContent);
                // opening the infowindow in the current map and at the current marker location
                infowindow.open(map, marker);
                });
            }
        }
        // google.maps.event.addDomListener(window, 'load', initialize);   

        //Validation 
        FormValidation.formValidation(
            document.getElementById('editHouseNumber'),
            {
            fields: {
                property_number: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter propert number'
                        },
                        
                    }
                },
            },

            plugins: {
                trigger: new FormValidation.plugins.Trigger(),
                // Bootstrap Framework Integration
                bootstrap: new FormValidation.plugins.Bootstrap(),
                // Validate fields when clicking the Submit button
                submitButton: new FormValidation.plugins.SubmitButton(),
                // Submit the form when all fields are valid
                defaultSubmit: new FormValidation.plugins.DefaultSubmit(),
            }
        })

        $(document).on("click","#confirm",function() {
            var property = $(this).attr('data-id');
            var api = "{{route('DEOConfirmProperty')}}";
            var _url = "{{route('DEOVerifyProperty')}}";
            swal.fire({
                title: "Are you sure?",
                text: "Verify this property",
                buttonsStyling: !1,
                confirmButtonText: "Verify!",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { console.log(t.value);
                if(t.value){ 
                    $.ajax({                        
                        type: 'POST',
                        url: api,
                        data: {
                            "property":property,
                            '_token': token,
                        },
                        success: function(result) { console.log(result);
                            showMessage(result.data,status);
                            if(result.status=='success'){
                                showMessage(result.data,'success');
                                setTimeout(function(){
                                    window.location.href=_url;
                                }, 1000);
                            }
                        },error:function(xhr, status, error,response){
                            console.log(xhr.responseText)
                            result = JSON.parse(xhr.responseText); 
                            showMessage("Something went wrong.",'error');

                        }
                    });
                }  
            }))
        })
        
    </script>


@endsection
