<style>
    .school_close img {
        width: 30px; 
        height: 30px;
        cursor: pointer;
        position: absolute;
        top: -10px;
        right: 3px;
    }
    .border_bottom_color {
        border-bottom: 2px solid #b52555;
    }
    .text_color {
        color:#b52555;
    }
    .font_12 {
        font-size:12px;
    }
    .font_15 {
        font-size:15px;
    }
</style>
<div class="row">
    <div class="col-md-12">
        <div class="row border_bottom_color">
            <div class="col-md-10">
                <p class="mt-2 font-weight-bold" style="font-size:18px;">
                    {!! $schoolDetails->school_name !!}
                </p>
            </div>
            <div class="col-md-1">
                <p>
                    @if($schoolDetails->rating == "Good")
                        <span class="btn btn-sm font-weight-bold ml-3 mb-2 float-right" style="background-color: #f2c61f; color:white;">{{ $schoolDetails->rating }}</span>
                    @elseif($schoolDetails->rating == "Outstanding")
                        <span class="btn btn-sm font-weight-bold ml-3 mb-2 float-right" style="background-color: #1a7338; color:white;">{{ $schoolDetails->rating }}</span>
                    @elseif($schoolDetails->rating == "Inadequate")
                        <span class="btn btn-sm font-weight-bold ml-3 mb-2 float-right" style="background-color: #d95c5c; color:white;">{{ $schoolDetails->rating }}</span> 
                    @elseif($schoolDetails->rating == "Requires improvement")
                        <span class="btn btn-sm font-weight-bold ml-3 mb-2 float-right" style="background-color: #e07b53; color:white;">{{ $schoolDetails->rating }}</span>
                    @endif 
                </p>
            </div>              
            <div class="col-md-1">
                <span class="school_close bg-primary">
                        <img src='{!! URL::to("media/svg/icons/Navigation/close_round.svg") !!}' />
                    </span>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <p class="font-weight-bold pt-4 pb-0 font_15">Key Details</p>
                <hr/>
                <div class="row">
                      <div class="col-md-12 mt-1" style="line-height: 5px;">
                         <p><span class="font-weight-bold font_12">Address</span></p>
                    
                 </div>
                   <div class="col-md-12 mt-1" style="line-height: 5px;">
                    <p><span class="text_color"> {!! $schoolDetails->address !!} </span></p>                       
                        </div>           
        </div>
                <div class="row">
                    <div class="col-md-8 mt-1" style="line-height: 5px;">
                         <p><span class="font-weight-bold font_12">Phase of education</span></p>
                         <p><span class="text_color"> {!! $schoolDetails->phase_of_education !!} </span></p>
                    </div>
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Phone No</span></p> 
                        <p><span class="text_color">
                            @if($schoolDetails->telephone)
                                {{ $schoolDetails->telephone }}
                            @else
                                Not Available
                            @endif
                        </span></p>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-md-8" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Website</span></p>
                        <p><span class="text_color">
                             @if($schoolDetails->website)
                                {{ $schoolDetails->website }}
                            @else
                                Not Available
                            @endif
                        </span></p>
                    </div>
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Local Authority</span></p>
                        <p><span class="text_color">{!! $schoolDetails->local_authority !!}</span></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <p class="font-weight-bold pt-4 pb-0 font_15">Statistics</p>
                <hr/>
                <div class="row mt-2">
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Total Pupils</span></p>
                        <p><span class="text_color">{!! $schoolDetails->number_of_pupils !!}</span></p>
                    </div>
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Percentage of Children</span></p>
                        <p><span class="text_color">{!! $schoolDetails->percentage_of_children !!}</span></p>
                    </div>
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Age Range</span></p>
                        <p><span class="text_color">{!! $schoolDetails->age_range !!}</span></p>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12" style="line-height: 9px;">Gender of entry</span></p>
                        <p><span class="text_color">{!! $schoolDetails->gender_of_entry !!}</span></p>
                    </div>
                    <div class="col-md-4" style="line-height: 5px;">
                        <p><span class="font-weight-bold font_12">Last Inspection</span></p>
                        <p><span class="text_color">{!! $schoolDetails->last_inspection !!}</span></p>
                    </div>
                    <div class="col-md-1"></div>
                    <div class="col-md-3 p-0">
                        <img class="" style="width:60px;" src="{{ URL::to('/media/logos/ofsted_logo.png') }}"/>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>