{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
    <?php //print_r($campaign);die;
    ?>
    <div class="card card-custom">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">Your Campaign History
                    <div class="text-muted pt-2 font-size-sm">This is a record of all campaigns you have sent.</div>
                </h3>
            </div>

            <div class="card-title">

                <div class="card-toolbar">
                    <!--begin::Dropdown-->
                    <div class="dropdown dropdown-inline mr-2">
                        <a href="{{route('editLetter')}}" class="btn btn-light-primary font-weight-bolder"
                           aria-haspopup="true" aria-expanded="false">
                            </span>Letter Management
                        </a></div>
                    <div></div>
                    <h2>
                        <div class="text-muted pt-2 font-size-sm">Search a property address or post code to see a
                            history of all the letters you have sent.
                        </div>

                    </h2>
                </div>
                <!--begin::Dropdown Menu-->

                <!--end::Dropdown Menu-->
            </div>
            <!--end::Dropdown-->


            <div class="card-body">

                <!--begin::Search Form-->

                <!--end::Search Form-->

                <form method="post" class="form" novalidate="novalidate" id="kt_search_form" name="kt_search_form"
                      Action="{{route('searchHistory')}}">
                    {{csrf_field()}}

                    <div class="form-group row">
                        <div class="col-lg-9 col-xl-6">
                            <input type="text" class="form-control form-control-lg form-control-solid" name="search"
                                   placeholder="Search"/>
                        </div>


                        <button type="submit" class="btn btn-success mr-2">Search</button>
                        <button type="reset" class="btn btn-secondary">Cancel</button>
                    </div>
                </form>
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>

                        <th>Name</th>
                        <th>Sent Date</th>
                        <th>No Letter Sent</th>
                        <th>State</th>

                    </tr>
                    </thead>
                    <tbody>
                    <?php

                    if (!$campaign->isEmpty()) {

                    foreach ($campaign as $k => $v) {
                    $info = App\Model\Campaign::where('id', $v->id)
                        ->withCount('propertyCampaign')->first();
                    ?>
                    <tr>

                        <td>{{--<a href="{{ route('campaignDetail', ['id' => $v->id]) }}">--}}{{$v->name}}{{--</a>--}}</td>
                        <td>{{$v->sent_date}}</td>
                        <td>{{$info['property_campaign_count']}}</td>
                        <td>{{$v->campaign_status==0?'Sending':'Send'}}</td>


                    </tr>
                    <?php }
                    } else{?>
                    <tr>
                        <td colspan='4' style='text-align:center;vertical-align:middle'>No properties found</td>

                    </tr>
                    <?php }?>
                    </tbody>
                </table>

            </div>
        </div>
    </div>

@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script>
    <script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
@endsection
