{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<div class="d-flex flex-row">
    <div class="flex-row-auto offcanvas-mobile w-250px w-xxl-350px" id="kt_profile_aside">

    </div>

    <div class="flex-row-fluid ml-lg-8">

        <div class="card card-custom">

            <div class="card-header py-3">
                <div class="card-title align-items-start flex-column">
                    <h3 class="card-label font-weight-bolder text-dark">Create Letter</h3>

                </div>

            </div>

            <form method="post" class="form" Action="{{route('createLetter')}}" enctype="multipart/form-data">
                {{csrf_field()}}

                <div class="card-body">

                    <?php
                    foreach ($letter as $k => $v) { ?>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label text-alert">Name</label>
                            <div class="col-lg-9 col-xl-6">
                                <input type="text" class="form-control form-control-lg form-control-solid mb-2" value="{{$v->name}}" name="name" placeholder="name">

                            </div>
                        </div>
                        <div class="form-group row">

                            <label class="col-xl-3 col-lg-3 col-form-label text-alert">Trigger</label>
                            <div class="col-lg-9 col-xl-6">
                                <select class="form-control form-control-lg form-control-solid" name="trigger" placeholder="trigger" />

                                <option name="trigger" value="General Letters">General Letters</option>
                                <option name="trigger" value="Sold">Sold</option>
                                <option name="trigger" value="Price Drop">Price Drop</option>
                                <option name="trigger" value="Fallen Through">Fallen Through</option>
                                <option name="trigger" value="Withdrawn">Withdrawn</option>
                                <option name="trigger" value="8 Weeks">8 Weeks</option>
                                <option name="trigger" value="16 Weeks">16 Weeks</option>
                                <option name="trigger" value="22 Weeks">22 Weeks</option>
                                <option name="trigger" value="New to Market">New to Market</option>
                                <option name="trigger" value="For Sale">For Sale</option>

                                </select>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div class="card-toolbar">
                    <button type="submit" class="btn btn-success mr-2">Save Changes</button>
                    <button type="reset" class="btn btn-secondary">Cancel</button>
                </div>
            </form>

        </div>
    </div>

</div>



@endsection
<!--end::Main-->
@if (config('layout.page-loader.type') != '')
@include('layout.partials._page-loader')
@endif

{{-- Global Config (global config for global JS scripts) --}}
<script>
    var KTAppSettings = {
        !!json_encode(config('layout.js'), JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES) !!
    };
</script>

{{-- Global Theme JS Bundle (used by all pages)  --}}
@foreach(config('layout.resources.js') as $script)
<script src="{{ asset($script) }}" type="text/javascript"></script>
@endforeach

<script src="{{ asset('js/pages/widgets.js')}}"></script>
<script src="{{ asset('js/pages/custom/profile/profile.js')}}"></script>
