

{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<?php $user = App\Model\User::where('id', $user->id)->first(); ?>

<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <div class="d-flex flex-column-fluid">
        <div class="container">
            <div class="row">
                <div class="container">
                    <div class="alert alert-custom alert-white alert-shadow gutter-b head-line top-box" role="alert">
                        <div class="alert-text head-text">
                            Account Settings<br>
                        </div>
                        <div class="alert-icon">                           
                        </div>
                    </div>
                    <div class="card card-custom top-box">
                        <div class="card-header flex-wrap border-0 pt-6 pb-0">
                            <div class="card-body">
                                <div class="mb-7">
                                    <div class="row ">
                                        <div class="col-lg-3 col-xl-3 user-img-edit">
                                            <form method="post" class="form" id="kt_update_profile_form" name="kt_update_profile_form" Action="{{route('updateProfile')}}" enctype="multipart/form-data">{{csrf_field()}}
                                            <div class="image-input image-input-outline" id="kt_profile_avatar" style="background-image: url(assets/media/users/blank.png)">
                                                <div class="image-input-wrapper" style="background-image: {!! URL::to($user->image) !!}">
                                                </div>
                                                <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow edit-cam" data-action="change" data-toggle="tooltip" title="" data-original-title="Change avatar">
                                                    <i class="fa fa-pen icon-sm text-muted"></i>
                                                    <input type="file" class="profile_avatar" name="profile_avatar" accept=".png, .jpg, .jpeg">
                                                    <input type="hidden" name="profile_avatar_remove">
                                                </label>
                                                <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow " data-action="cancel" data-toggle="tooltip" title="" data-original-title="Cancel avatar">
                                                    <i class="ki ki-bold-close icon-xs text-muted"></i>
                                                </span>                                         
                                            </div>
                                            <span class="form-text text-muted name-user">{{$user->first_name}}</span>
                                            <span class="form-text text-muted sub-top">
                                                        @if($user->user_type==1)
                                                            Admin
                                                        @elseif($user->user_type==2)
                                                            Estate Agent
                                                        @else 
                                                            Data Entry Operator
                                                        @endif
                                            </span>
                                            <span class="form-text text-muted sub-top">{{ $user->email }}
                                            </span>
                                        </div>
                                        <div class="example mb-10 tab-user-deta">
                                            <div class="example-preview user-manage-filed">
                                                <ul class="nav nav-light-success nav-pills" id="myTab3" role="tablist">
                                                    <li class="nav-item bg-box-nav">
                                                        <a class="nav-link active" id="home-tab-3" data-toggle="tab" href="#home-3">
                                                            <span class="nav-text">Personal Information</span>
                                                        </a>
                                                    </li>
                                                    <li class="nav-item bg-box-nav">
                                                        <a class="nav-link" id="profile-tab-3" data-toggle="tab" href="#profile-3" aria-controls="profile">
                                                            <span class="nav-text">Change Password</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                                <div class="tab-content mt-5" id="myTabContent3">
                                                    <div class="tab-pane fade show active" id="home-3" role="tabpanel" aria-labelledby="home-tab-3">
                                                        <h2 class="txt-u-ser">Personal Information</h2>
                                                        <h6 class="txt-u-ser-sub">Update your personal information</h6>
                                                            <div class="col-lg-6 col-xl-6" style="float: right;">
                                                                <div class="form-group">
                                                                    <label>Last Name
                                                                    <span class="text-danger">*</span></label>
                                                                    <input type="text" class="form-control" required placeholder="Last Name" name='last_name' value={{$user->last_name}} />
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Email Address
                                                                    <span class="text-danger">*</span></label>
                                                                    <input type="email" class="form-control" placeholder="Email Address" required name='email' value={{$user->email}} placeholder="Email" />            
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Company Name
                                                                    <span class="text-danger">*</span></label>
                                                                    <input type="text" class="form-control" placeholder="Company Name" name='company_name' value={{$user->company_name}} required/>            
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Rightmove Branch Name</label>
                                                                    <input type="text" class="form-control" placeholder="Righmove Branch Name" name='rightmove_branch_name' value="{{$user->rightmove_branch_name}}" />
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-6 col-xl-6" style="padding:0px;">
                                                                <div class="form-group">
                                                                    <label>First Name
                                                                        <span class="text-danger">*</span>
                                                                    </label>
                                                                    <input type="text" class="form-control" placeholder="First Name" name="first_name" value={{$user->first_name}} required>            
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Contact Phone
                                                                        <span class="text-danger">*</span>
                                                                    </label>
                                                                    <input type="text" class="form-control" placeholder="Contact Phone" required name='contact_number' value={{$user->contact_number}}  />
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Branch Name</label>
                                                                    <input type="text" class="form-control" placeholder="Branch Name" name='branch_name' value={{$user->branch_name}}>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Zoopla Branch Name</label>
                                                                    <input type="text" class="form-control" placeholder="Zoopla Branch Name" name='zoopla_branch_name' value={{$user->zoopla_branch_name}}>
                                                                </div>
                                                            </div>
                                                            <div class="alert-icon">
                                                                <div class="card-toolbar">
                                                                    <button type="reset" class="btn btn-info font-weight-bolder font-size-sm mr-3 add-to-camp-btn btn-info-user" id="btn_cancel">Cancel</button>
                                                                    <button type="submit" class="btn btn-danger font-weight-bolder font-size-sm add-to-camp-btn">Save Changes</button>
                                                                </div>
                                                            </div>
                                                            </form>                       
                                                        </div>                
                                                        <div class="tab-pane fade" id="profile-3" role="tabpanel" aria-labelledby="profile-tab-3">
                                                            <h2 class="txt-u-ser" >Change Password</h2>
                                                            <h6 class="txt-u-ser-sub">Change your account password</h6>
                                                            <form method="post" class="form" id="kt_change_password_form" name="kt_change_password_form" Action="{{route('changePasswordPost')}}" >
                                                            {{csrf_field()}}
                                                            <div class="col-lg-6 col-xl-6 "style="padding:0px;">
                                                                <div class="form-group">
                                                                    <label>Current Password
                                                                    <span class="text-danger">*</span></label>
                                                                    <input type="password" name="current_password" id="current_password" class="form-control" placeholder="Current Password" required>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>New Password
                                                                        <span class="text-danger">*</span>
                                                                    </label>
                                                                    <input type="password" name="new_password" class="form-control" placeholder="New Password" required>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Verify Password
                                                                        <span class="text-danger">*</span>
                                                                    </label>
                                                                    <input type="password" name="confirm_password" class="form-control" placeholder="Verify Password" required>
                                                                </div>
                                                            </div>
                                                            <div class="alert-icon">
                                                                <div class="card-toolbar">
                                                                    <button type="reset" class="btn btn-info font-weight-bolder font-size-sm mr-3 add-to-camp-btn btn-info-user" id="btn_cancel">Cancel</button>
                                                                    <button type="submit" class="btn btn-danger font-weight-bolder font-size-sm add-to-camp-btn" id="btn-save-password">Save Changes</button>
                                                                </div>
                                                            </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                    
                                                </div>
                                                 
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@if (config('layout.page-loader.type') != '')
@include('layout.partials._page-loader')
@endif

{{-- Global Config (global config for global JS scripts) --}}
<!-- <script>
    var KTAppSettings = {
        !! json_encode(config('layout.js'), JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES) !!
    };
</script>
 -->
{{-- Global Theme JS Bundle (used by all pages)  --}}
@foreach(config('layout.resources.js') as $script)
<script src="{{ asset($script) }}" type="text/javascript"></script>
@endforeach

<script src="{{ asset('js/pages/widgets.js')}}"></script>
<script src="{{ asset('js/pages/custom/profile/profile.js')}}"></script>
<script>
    $(document).on('click','#btn_cancel' , function(e){        
        window.location.href = "{{  url('dashboard') }}";    
    });
    // $(document).on("submit", "#kt_change_password_form", function (e) {
    //     // $('#kt_change_password_form').submit(function(){
    //         if(!$(this).attr('validated'))
    //         {
    //         // e.preventDefault();
    //         var currentpassword = $("#current_password").val();
    //         console.log("ssss");
    //         $.ajax({
    //             type: "POST",
    //             url: '{!! URL::to("/valid-old-password-check") !!}',
    //             data: {
    //                "_token": "{{ csrf_token() }}",
    //                "currentpassword" : currentpassword,
    //             },
    //             success: function(result) {
    //                 //btnReverse(ele);
    //                 console.log(result);
    //                 // if (result.status == "success") {
    //                 //    $('#kt_change_password_form').attr('validated',true);
    //                 //    $('#kt_change_password_form').submit();
    //                 // } 
    //                 // if (result.status == "error") {
    //                 //      showMessage(result.message, result.status);
    //                 // }
    //                 // if (result.status == "yes") {
    //                 //     alert("old pwd is correct");
    //                 //     //showMessage("Something went wrong...!", "error");
    //                 // } else {
    //                 //     //alert("success");
    //                 //     showMessage(result.message, result.status);
    //                 // }
    //             },
    //             error: function(xhr, status, error, result) {
    //                 showMessage("Something went wrong...!", "error");
    //             }
    //         });
    //     }
    // });
</script>