{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

    <div class="card card-custom">
        <!-- <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">Address Not Found Properties
                    <div class="text-muted pt-2 font-size-sm">This is a record of all properties  not finding the house number</div>
                </h3>
            </div>
         
        </div> -->

        <div class="card-body">

            <!--begin::Search Form-->
            <!-- <div class="mt-2 mb-5 mt-lg-5 mb-lg-10">
                <div class="row align-items-center">
                    <div class="col-lg-12 col-xl-12">
                        <div class="row align-items-center">
                            <div class="col-md-4 my-2 my-md-0">
                                <div class="d-flex align-items-center ">
                                    <div class="mr-1">
                                        <select name="flag" id="flag" class="form-control" >
                                            <option value="0"></option>
                                            <option value="1">Contacted</option>
                                            <option value="2">Do Not Contact</option>
                                            <option value="3">Letter Sent</option>
                                        </select>
                                    </div>
                                
                                    <div class="ml-2">
                                        <button type="submit" data-btn="Update Status" id="updateFlag" class="btn btn-primary px-6 font-weight-bold btn_click">
                                        Update Status </button>
                                    </div> 
                                </div>
                            </div>
                            <div class="col-md-6 my-2 my-md-0"></div>

                            <div class="col-md-2 my-2 my-md-0 propertCheck">
                                <div class="btn-group">
                                    <button class="btn btn-danger font-weight-bold btn-sm btn_click" type="button" data-btn="Add to Campaign" id="addCampaign" >
                                        Add to Campaign
                                    </button>                                  
                                </div>
                            </div>
                        </div>
                    </div>
                   
                </div>
            </div> -->
            <!--end::Search Form-->

            <table class="table table-bordered table-hover display" id="propertyDatatable"  style="width:100%">
                <thead>
                <tr>                    
                    <!-- <th>Sl</th> -->
                    <th>Property Number</th>
                    <th width="20%">Address</th>
                    <th width="15%">Price</th>
                    <th width="20%">Type</th>
                    <th width="15%">Action</th>
                    <th width="5%">Comment</th>
                </tr>
                </thead>
                <tbody>
                
                </tbody>
            </table>
        </div>
    </div>

        <!-- Add  comment modal  -->
<div class="modal fade" id="commentModal" tabindex="-1" role="dialog" aria-labelledby="commentModal" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <form method="post" novalidate="novalidate" class="form" id="addComment" name="addComment">
            {{csrf_field()}}
            <input type="hidden" value="" name="property" id="property">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Add Comment</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">                    
                    <div class="form-group row">                           
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <textarea class="form-control" name="comment" id="comment" placeholder="Comment" ></textarea>
                            
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" id="submitComment" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- comment modal  -->
    <!-- Filter modal start  --> 
    <div class="modal fade" id="propertyFilterModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalSizeLg" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Filters</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="ki ki-close"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="card-body">
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <label>Outcode :</label>
                                 
                                    <select name="postcode" id="filter_postcode_property" class="form-control"  >
                                            <option value="0">Full Outcode</option>
                                            @foreach($outcode as $code)
                                            <option value="{{$code->id}}">{{$code->outcode}}</option>
                                            @endforeach
                                    </select>
                                </div>
                                <div class="col-lg-6">
                                    <label>Platform:</label>
                                 
                                    <select name="flag" id="filter_platform" class="form-control" >
                                            <option value="-1">Select Platform</option>
                                            <option value="0">Rightmove</option>
                                            <option value="1">Zoopla</option>
                                        </select>
                                </div>
                            </div> 
                            
                          
                        </div>
                    </form>
                       
                </div>      
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary font-weight-bold filterPropertyWithoutAddress">Apply Filter</button>
                        <button type="button" class="btn btn-primary font-weight-bold" id="clear_filter">Clear</button>
                    </div>
                </div>
        </div>
    </div>
 <!-- Filter modal end  -->    
@endsection

{{-- Styles Section --}}
@section('styles')
<style>
    .swal-wide{
        width : 70% !important;
    }
    </style>
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
	<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script>
        jQuery(document).ready((function () {
            var post_code = 0;
            var platform = -1;
            var url = '<?php echo route('DEOArchiveArray')?>';
            var token = '<?php echo csrf_token() ?>';
           
            numNotFindTable(url, token, 'Properties',post_code,platform);
        }))

        var deo_name = '{{ $deo_name ?? '' }}';


        //add to house number
    $(document).on('click', '.addPropNumber', function(e){ 
        e.preventDefault();
        var ele = $(this);       
        // btnInverse(ele);
        var i = $(this).attr('data-id');
        var property = $(this).attr('prop_id');
        var property_num = $("#inp_"+i).val();
        var token =  $('meta[name="csrf-token"]').attr('content');
        // if(property_num){
        //     $.ajax({         
        //         type: 'POST',
        //         url: "{{route('DEOpostHouseNumber')}}",
        //         data: {
        //             "property":property,
        //             "property_number":property_num,
        //             '_token': token,
        //         },
                
        //         success: function(result) { 
        //             console.log(result);
        //             showMessage(result.data,result.status); 
        //             table.ajax.reload( null, false );   
        //         },error:function(xhr, status, error,result){
        //             console.log(xhr);
        //             showMessage("Something went wrong...!",'error');
        //             // btnReverse(ele);
        //         }
        //     });
        // }else{
        //     showMessage("Please enter the property number.",'error');
        // }

        if(property_num){
                var today = new Date();
                var dd = today.getDate(); 
                var mm = today.getMonth() + 1;
                var yyyy = today.getFullYear(); 
                
                var c_date =  dd + '/' + mm + '/' + yyyy; 

                var hours = today.getHours();
                var minutes = today.getMinutes();
                var ampm = hours >= 12 ? 'pm' : 'am';
                hours = hours % 12;
                hours = hours ? hours : 12; // the hour '0' should be '12'
                minutes = minutes < 10 ? '0'+minutes : minutes;
                var strTime = hours + ':' + minutes + ' ' + ampm;

                var buttons = '<div class="text-justify"><b>NAME: </b>'+deo_name+' <br><b>DATE: </b> '+c_date+' <br><b>TIME OF ENTRY: </b>'+strTime+' <br><b>PROPERTY NO: </b>'+property_num+'<br><br><input checked type="radio" id="mode_1" name="confirm_mode" value="1"><label for="mode_1"> I CONFIRM THE PROPERTY NUMBER IS CORRECT BECAUSE I SAW IT CLEARLY</label><br><input id="mode_2" type="radio" name="confirm_mode" value="2"> <label for="mode_2">I CONFIRM THE PROPERTY NUMBER IS CORRECT BECAUSE I GUESSED BY FINDING THE ADJACENT PROPERTY NUMBERS</label><br><input type="radio" name="confirm_mode" id="mode_3" value="3"> <label for="mode_3">I CONFIRM ITS DIFFICULT TO FIND THE PROPERTY SO MOVED TO UNKNOWN</label><br><span id="err_msg" style="color:red;display:none">Select any option.</div>';

                swal.fire({
                    title: "Alert!",
                    text: "",
                    buttonsStyling: !1,
                    html :buttons,
                    confirmButtonText: "CONFORM & SUBMIT",
                    showCancelButton: true,
                    showCloseButton: false,



                    customClass: {
                        popup:"swal-wide",
                        confirmButton: "btn font-weight-bold btn-light-primary",
                        cancelButton: "btn font-weight-bold btn-light-danger",
                    }
                }).then((function (t) { console.log(t.value);
                    if(t.value){      

                        var confirm_mode = $("input[name='confirm_mode']:checked").val();
                        // if(confirm_mode){
                            // $("#err_msg").hide();

                            // alert(radioValue);
        
                            var token =  $('meta[name="csrf-token"]').attr('content');
                            $.ajax({         
                                type: 'POST',
                                url: "{{route('DEOpostHouseNumber')}}",
                                data: {
                                    "property":property,
                                    "property_number":property_num,
                                    '_token': token,
                                    'confirm_mode':confirm_mode,
                                },
                                
                                success: function(result) {  
                                    console.log(result);
                                    // if(result.status=='success'){  
                                        // btnReverse(ele);                   
                                        showMessage(result.data,result.status); 
                                        table.ajax.reload( null, false );                       
                                    // }else{
                                        // btnReverse(ele);
                                        // showMessage(result.data,result.status);
                                    // }
                                },error:function(xhr, status, error,result){
                                    console.log(result);
                                    console.log(xhr);
                                    showMessage("Something went wrong...!",'error');
                                    // btnReverse(ele);
                                }
                            });
                        // }
                    }  
                }))
            }else{
                showMessage("Please enter the property number.",'error');
            }
       
    });

    //validation 
    FormValidation.formValidation(
        document.getElementById('addComment'),
        {
            fields: {
                comment: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter comment'
                        },
                        // stringLength: {
                        //     min:10,
                        //     max:200,
                        //     message: 'Please enter a comment within length range 10 and 200'
                        // }
                    }
                },
            },

            plugins: {
                trigger: new FormValidation.plugins.Trigger(),
                // Bootstrap Framework Integration
                bootstrap: new FormValidation.plugins.Bootstrap(),
                // Validate fields when clicking the Submit button
                submitButton: new FormValidation.plugins.SubmitButton(),
                // Submit the form when all fields are valid
                // defaultSubmit: new FormValidation.plugins.DefaultSubmit(),
            }
    })

    //comment posting 
    $(document).on('click', '#submitComment', function(e){  
        e.preventDefault();

        var property = $("#property").val();
        var comment =   $("#comment").val();
        $.ajax({                                   
            type: 'POST',                    
            url: host_url+"/data-operator/property-history-comment",
            data:  {
                "property":property,
                "comment":comment,
                '_token': token,
            },                  
            success: function(result) {
                $("#commentModal").modal('hide');
                    showMessage(result.data,result.status);
                    
            },error:function(xhr, status, error,result){
                console.log(xhr);                    
                showMessage('Something went wrong...!','error');
            }                    
        }); 
    });

    //comment modal
    $(document).on('click', '.addComment', function(e){
        var property = $(this).attr('history-id');
        
        $.ajax({         
            type: 'GET',
            url: "{{route('DEOgetComment')}}",
            data: {
                "property":property,
                '_token': token,
            },
            
            success: function(result) { 
                console.log(result);
                if(result.status=='success'){
                    $("#property").val(property);
                    $("#comment").val(result.data);
                    $("#commentModal").modal('show');              
                }else{
                    // btnReverse(ele);
                    showMessage("Something went wrong...!",'error');
                }
            },error:function(xhr, status, error,result){
                console.log(xhr);
                showMessage("Something went wrong...!",'error');
                // btnReverse(ele);
            }
        });

    });

    $('.filterPropertyWithoutAddress').on('click', function(e) {
        var post_code = $('#filter_postcode_property').val(); 
        var platform = $('#filter_platform').val();
        var token =  '<?php echo csrf_token() ?>';
        var url = '<?php echo route('DEOArchiveArray')?>'; 
        
        if(( typeof post_code != 'undefined' && post_code != 0) || platform != ''){
            // alert(post_code);
            // alert(platform);
            // alert(date_from);
            // alert(date_to);
            // alert(type);
            $('#propertyDatatable').DataTable().clear().draw();

             $('#propertyDatatable').DataTable().destroy(); 
             numNotFindTable(url, token, 'Properties',post_code,platform);
             $("#propertyFilterModal").modal('hide');
        }
     
        }) 

        $('#clear_filter').on('click', function(e) {
            $('#propertyDatatable').DataTable().clear().draw();
            
            $('#propertyDatatable').DataTable().destroy();
            var postcode = 0;
            var platform = -1;
            var url = '<?php echo route('DEOArchiveArray')?>'; 
            $('#filter_postcode_property').val(0);
            $('#filter_platform').val('-1');

            numNotFindTable(url, token,'Properties',postcode,platform);
            $("#propertyFilterModal").modal('hide');
        });

       

    
    
    
    
    
    
    
    
    </script>
@endsection
