{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
    <div class="card card-custom mb-2">
        <div class="card-body">
            {!! Form::open(['url' => 'data-operator/filter', 'method' => 'post','id'=>'filter-form']) !!}
            <div class="row">
                    {!! Form::hidden('userid', $user_id) !!}
                <div class="col-sm-4">
                    {!! Form::label('date_from', 'From Date', ['class' => 'control-label']) !!}
                    {!! Form::text('date_from', '', ['class' => 'form-control form-control-lg form-control-solid date_picker','placeholder'=>'From Date','id'=>'filter-fromDate']) !!}
                </div>
                <div class="col-sm-4">
                    {!! Form::label('date_to', 'To Date', ['class' => 'control-label']) !!}
                    {!! Form::text('date_to', '', ['class' => 'form-control form-control-lg form-control-solid date_picker','placeholder'=>'To Date','id'=>'filter-fromTo']) !!}
                </div>
                <div class="col-sm-4">
                    {!! Form::label('filter', '&emsp;', ['class' => 'control-label']) !!}<br/>
                    <button type="button" class="btn btn-success mr-2" data-id="filter-form" id="filter-submit">Filter
                    </button>
                    <button type="button" class="btn btn-danger mr-2" data-id="filter-form" id="filter-clear">Clear
                    </button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
        <div class="card-body pt-0" id="data-count">
        </div>
    </div>
    <div class="card card-custom">
        <!-- <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">All Properties
                    <div class="text-muted pt-2 font-size-sm">This is a record of all properties in your account, including sold.</div>
                </h3>
            </div>

        </div> -->

        <div class="card-body">

            <!--begin::Search Form-->

            <!--end::Search Form-->

            <table class="table table-bordered table-hover display" id="propertyDatatable" style="width:100%">
                <thead>
                <tr>
                    <!-- <th>Sl</th> -->
                    <th width="20%">Address</th>
                    <th width="10%">Price</th>
                    <th>List Date</th>
                    <th>Class</th>
                    <th>Type</th>
                    <th>Submitted Date</th>
                    <th>Submitted Type</th>

                </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>
    <!-- Filter modal start  -->
    <div class="modal fade" id="propertyFilterModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalSizeLg"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Filters</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="ki ki-close"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="card-body">
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <label>Post code:</label>

                                    <select name="postcode" id="filter_postcode_property" class="form-control">
                                        <option value="0">PostCode</option>
                                        @foreach($post_code as $code)
                                            <option value="{{$code->id}}">{{$code->postcode}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-lg-6">
                                    <label>Type:</label>
                                    <select name="property_type" id="filter_property_type_property"
                                            class="form-control">
                                        <option value="0">Type</option>
                                        @foreach($property as $code)

                                            <option
                                                value="{{$code->property_type}}">{{ucfirst($code->property_type)}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <label>Platform:</label>

                                    <select name="flag" id="filter_platform" class="form-control">
                                        <option value="-1">Select Platform</option>
                                        <option value="0">Rightmove</option>
                                        <option value="1">Zoopla</option>
                                    </select>
                                </div>

                                <div class="col-lg-6">
                                    <label>Estate Agent:</label>

                                    <select name="flag" id="filter_agent" class="form-control">
                                        <option value="0">Select Agent</option>
                                        @foreach($agency as $agent)
                                            <option value="{{$agent->id}}">{{$agent->name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                            </div>

                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <label>Date from:</label>

                                    <input class="form-control date_from" type="text" placeholder='Date From'
                                           name='date_from' value=''>
                                </div>
                                <div class="col-lg-6">
                                    <label>Date from:</label>

                                    <input class="form-control date_to" type="text" placeholder='Date From'
                                           name='date_to' value=''>
                                </div>

                            </div>
                        </div>
                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close
                    </button>
                    <button type="button" class="btn btn-primary font-weight-bold filterSubmittedProperty">Apply
                        Filter
                    </button>
                    <button type="button" class="btn btn-primary font-weight-bold" id="clear_filter">Clear</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Filter modal end  -->

@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/bootstrap-datepicker.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>
    <script src="{{ asset('js/pages/crud/forms/widgets/bootstrap-datepicker.js')}}"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
    <script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
    <script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
    <!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script>
        jQuery(document).ready((function () {
            var url = '<?php echo route('DEOSubmittedPropertyArray')?>';
            var token = '<?php echo csrf_token() ?>';
            var userid = '<?php echo $user_id ?>';
            var postcode = 0;
            var platform = -1;
            var date_from = '';
            var date_to = '';
            var agency = 0;
            var property_type = 0;

            submittedPropertyTable(url, token, 'DEOSubmittedProperty', userid, postcode, platform, date_from, date_to, agency, property_type);
        }))

        $(document).ready(function () {
            $('#filter-submit').trigger('click');
            $('.date_from').datepicker({
                format: 'dd-mm-yyyy',
                todayHighlight: true,
            });
            $('.date_to').datepicker({
                format: 'dd-mm-yyyy',
                todayHighlight: true,
            });
            $('.date_picker').datepicker({
                format: 'dd-mm-yyyy',
                todayHighlight: true,
            });
        });


        $(document).on("click", "#filter-submit", function () {
            field = $(this).data("id");
            form = $('#' + field);
            $('.error').hide();
            $.ajax({
                url: form.attr('action'),
                type: form.attr('method'),
                data: form.serialize(),
                success: function (html) {
                    $('#data-count').html(html);
                },
                error: function (xhr, status, error, response) {
                    result = JSON.parse(xhr.responseText);
                    showMessage("From date not entered.", 'error');
                }
            });
        });


        $(document).on("click", "#filter-clear", function () {
            $('#filter-fromDate').val('');
            $('#filter-fromTo').val('');
            $('#filter-submit').trigger('click');
        });

        $('#clear_filter').on('click', function (e) {
            
            $('#propertyDatatable').DataTable().destroy();
            var url = '<?php echo route('DEOSubmittedPropertyArray')?>';
            var token = '<?php echo csrf_token() ?>';
            var userid = '<?php echo $user_id ?>';
            var postcode = 0;
            var platform = -1;
            var date_from = '';
            var date_to = '';
            var agency = 0;
            var type = 0;

            $('#filter_postcode_property').val(0);
            $('#filter_property_type_property').val(0);
            $('#filter_flag').val(0);
            $('#filter_agent').val(0);
            $('#filter_platform').val('-1');
            $('.date_from').val('');
            $('.date_to').val('');

            submittedPropertyTable(url, token, 'DEOSubmittedProperty', userid, postcode, platform, date_from, date_to, agency, type);

            $("#propertyFilterModal").modal('hide');
        });

        $('.filterSubmittedProperty').on('click', function (e) {
            var post_code = $('#filter_postcode_property').val();
            var type = $('#filter_property_type_property').val();
            var agency = $('#filter_agent').val();
            var platform = $('#filter_platform').val();
            var date_from = $('.date_from').val();
            var date_to = $('.date_to').val();
            var userid = '<?php echo $user_id ?>';

            var token = $('meta[name="csrf-token"]').attr('content');
            var url = '<?php echo route('DEOSubmittedPropertyArray')?>';
            if (typeof post_code != 'undefined' || typeof type != 'undefined' || typeof agency != 'undefined' || typeof platform != 'undefined') {
                $('#propertyDatatable').DataTable().destroy();
                $.ajax({
                    url: '{{ url('data-operator/filter') }}',
                    type: "POST",
                    data: {
                        userid: userid,
                        post_code: post_code,
                        platform: platform,
                        date_from: date_from,
                        date_to: date_to,
                        agency: agency,
                        type: type,
                        _token: token,
                    },
                    dataType: "html",
                })
                    .done(function (html) {
                        $('#data-count').html(html);
                    })
                    .fail(function () {
                        var failMsg = 'Some thing went wrong, Please try Again';
                        showAlert(failMsg, "error", 2000);
                    });
                submittedPropertyTable(url, token, 'DEOSubmittedProperty', userid, post_code, platform, date_from, date_to, agency, type);
                $("#propertyFilterModal").modal('hide');
            }

        })

    </script>
@endsection
