{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<div class="row">
    <div class="col-lg-7">
        <!--begin::Card-->
        <div class="card card-custom gutter-b">
            <div class="card-header">
                <div class="card-title">
                    <h2 class="card-label">
                       Property Info
                    </h2>
                </div>

                <div class="card-toolbar">
                           
                        @if($details->latitude!='' && $details->longitude!='')
                            @php
                                $map_url = "https://www.google.com/maps?q=$details->latitude,$details->longitude";
                            @endphp
                        @else
                            @php
                                $map_url = "https://www.google.com/maps?q=$details->postcode";
                            @endphp
                        @endif
                        
                        @if($details->portal==0)
                            @php $class ='rightmove'; @endphp
                        @else 
                            @php $class ='zoopla'; @endphp
                        @endif
                        <a title='Click here to see the listing' target='portal' class='btn btn-{{$class}} btn-sm  mr-3 ' href='{{$details->portal_url}}'><i class='icon-lg'>@if($details->portal==0) R @else Z @endif</i></a>
                        
                        <a target='street_view' title='Access Street View' class='btn btn-success btn-sm  mr-3 ' href='{{$map_url}}'><i class='flaticon2-map icon-lg'></i></a>
                      

                        <button type="button" id="edit" data-toggle="modal" data-target="#editHouseNumberModal" class="btn btn-primary  mr-3 font-weight-bolder">
                        <i class="flaticon2-pen icon-sm"></i>Edit</button>
                    
                        <button type="button" data-id="{{$details->id}}" id="confirm" class="btn btn-info font-weight-bolder mr-3">
                        <i class="ki ki-check icon-sm"></i>Verify</button>                       
                        <button type="button" data-id="{{$details->id}}" id="not_found" class="btn btn-danger font-weight-bolder">
                        <i class="ki ki-bold-close icon-sm"></i>Not Found</button>                       
                </div>
            </div>
            <div class="card-body">
            <h3>{{$details->address}}</h3>
                <h6 class="text-muted">
                @php 
                    $status_ = Helper::propertyStatus($details->house_number_id); 
                @endphp
                {{$status_}}
                &nbsp; &pound;{{number_format($details->price)}} </h6> 
                <div class="py-9">
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Property Number:</span>
                        <span class="text-muted">{{($details->house_number)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Outcode:</span>
                        <span class="text-muted">{{($details->outcode)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Postcode :</span>
                        <span class="text-muted">{{($details->postcode)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Type of Property :</span>
                        <span class="text-muted">{{ucfirst($details->property_type)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Bedrooms :</span>
                        <span class="text-muted">{{$details->bed_rooms}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Fallen Through :</span>
                        <span class="text-muted">@if($details->fallen_through==1)Yes @else No @endif</span>
                    </div>

                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Agency :</span>
                        <span class="text-muted">{{$details->agency_name}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-between mb-2">
                        <span class="font-weight-bold mr-2">Listed Date :</span>
                        <span class="text-muted">@if($details->listed_date){{date('d M Y',strtotime($details->listed_date))}}@else POA @endif</span>
                    </div>

                    
                    
                </div>                
            </div>
        </div>
        <!--end::Card-->

        

    </div>

	<div class="col-lg-5">
        <!--begin::Card-->
        <div class="card card-custom gutter-b">
            
            <div class="card-body">      
    
            <div id="map" style="width: 100%; height: 360px;"></div>
            </div>
        </div>
        <!--end::Card-->

   
	
    </div>
</div>

<!-- Add  comment modal  -->
<div class="modal fade" id="editHouseNumberModal" tabindex="-1" role="dialog" aria-labelledby="commentModal" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <form method="post" novalidate="novalidate"  class="form" id="editHouseNumber" name="editHouseNumber">
            {{csrf_field()}}
            <input type="hidden" value="{{$details->id}}" name="property" id="property">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Edit Property Number</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">                    
                    <div class="form-group row">                           
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <input type="text" value="{{$details->house_number}}" name="property_number" id="property_number" class="form-control" >
                            
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" data-id="{{$details->id}}" id="save_verify" class="btn btn-primary">Save & Verify</button>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- comment modal  -->
@endsection

@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    <script>
        var latitude = "<?php echo $details->latitude; ?>";
        var longitude = "<?php echo $details->longitude; ?>";
        var token = '<?php echo csrf_token() ?>';

    </script>
    <!-- <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places"></script> -->
    <script  src="https://maps.googleapis.com/maps/api/js?key=AIzaSyASY1gJU-H4psp1rrwAEDPCXkxbyyjkAbI&callback=initialize&libraries=&v=weekly"
      defer
    ></script>

    <script type="text/javascript"> 

            function initialize() {
            if(latitude!='' && longitude!=''){
                var latlng = new google.maps.LatLng(latitude,longitude);
                    var map = new google.maps.Map(document.getElementById('map'), {
                    center: latlng,
                    zoom: 13
                    });
                    var marker = new google.maps.Marker({
                    map: map,
                    position: latlng,
                    draggable: false,
                    anchorPoint: new google.maps.Point(0, -29)
                });
                var infowindow = new google.maps.InfoWindow();   
                google.maps.event.addListener(marker, 'click', function() {
                var iwContent = '<div id="iw_container">' +
                '<div class="iw_title"><b>Location</b> : Noida</div></div>';
                // including content to the infowindow
                infowindow.setContent(iwContent);
                // opening the infowindow in the current map and at the current marker location
                infowindow.open(map, marker);
                });
            }
        }
        // google.maps.event.addDomListener(window, 'load', initialize);   

        //Validation 
        FormValidation.formValidation(
            document.getElementById('editHouseNumber'),
            {
            fields: {
                property_number: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter propert number'
                        },
                        
                    }
                },
            },

            plugins: {
                trigger: new FormValidation.plugins.Trigger(),
                // Bootstrap Framework Integration
                bootstrap: new FormValidation.plugins.Bootstrap(),
                // Validate fields when clicking the Submit button
                submitButton: new FormValidation.plugins.SubmitButton(),
                // Submit the form when all fields are valid
                defaultSubmit: new FormValidation.plugins.DefaultSubmit(),
            }
        })

        $(document).on("click","#confirm",function() {
            var property = $(this).attr('data-id');
            var api = "{{route('DEOConfirmProperty')}}";
            var _url = "{{route('DEOVerifyProperty')}}";
            swal.fire({
                title: "Are you sure?",
                text: "Verify this property",
                buttonsStyling: !1,
                confirmButtonText: "Verify!",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { console.log(t.value);
                if(t.value){ 
                    $.ajax({                        
                        type: 'POST',
                        url: api,
                        data: {
                            "property":property,
                            '_token': token,
                        },
                        success: function(result) { console.log(result);
                            showMessage(result.data,status);
                            if(result.status=='success'){
                                showMessage(result.data,'success');
                                setTimeout(function(){
                                    window.location.href=_url;
                                }, 1000);
                            }
                        },error:function(xhr, status, error,response){
                            console.log(xhr.responseText)
                            result = JSON.parse(xhr.responseText); 
                            showMessage("Something went wrong.",'error');

                        }
                    });
                }  
            }))
        });

        //changed to Not found 

        $(document).on("click","#not_found",function() {
            var property = $(this).attr('data-id');
            var api = "{{route('DEONotFoundProperty')}}";
            var _url = "{{route('DEOVerifyProperty')}}";
            swal.fire({
                title: "Are you sure?",
                text: "This property number not found.",
                buttonsStyling: !1,
                confirmButtonText: "Not Found!",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { console.log(t.value);
                if(t.value){ 
                    $.ajax({                        
                        type: 'POST',
                        url: api,
                        data: {
                            "property":property,
                            '_token': token,
                        },
                        success: function(result) { console.log(result);
                            showMessage(result.data,status);
                            if(result.status=='success'){
                                showMessage(result.data,'success');
                                setTimeout(function(){
                                    window.location.href=_url;
                                }, 1000);
                            }
                        },error:function(xhr, status, error,response){
                            console.log(xhr.responseText)
                            result = JSON.parse(xhr.responseText); 
                            showMessage("Something went wrong.",'error');

                        }
                    });
                }  
            }))
        });


        // save_verify
        $(document).on("click","#save_verify",function() {
            var property = $(this).attr('data-id');
            var api = "{{route('DEOEditProperty')}}";
            var _url = "{{route('DEOVerifyProperty')}}";
            var property_number = $("#property_number").val();
            swal.fire({
                title: "Alert!",
                text: "I conform that I clearly see the Property Number.",
                buttonsStyling: !1,
                confirmButtonText: "Proceed!",
                showCancelButton: true,
                customClass: {
                    confirmButton: "btn font-weight-bold btn-light-primary",
                    cancelButton: "btn font-weight-bold btn-light-danger",
                }
            }).then((function (t) { console.log(t.value);
                if(t.value){ 
                    $.ajax({                        
                        type: 'POST',
                        url: api,
                        data: {
                            "property":property,
                            "property_number":property_number,
                            '_token': token,
                        },
                        success: function(result) { console.log(result);
                            showMessage(result.data,status);
                            if(result.status=='success'){
                                showMessage(result.data,'success');
                                setTimeout(function(){
                                    window.location.href=_url;
                                }, 1000);
                            }else{
                                showMessage(result.data,'error');
                            }
                        },error:function(xhr, status, error,response){
                            console.log(xhr.responseText)
                            result = JSON.parse(xhr.responseText); 
                            showMessage("Something went wrong.",'error');

                        }
                    });
                }  
            }))
        });
        
    </script>


@endsection
