{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

    <div class="card card-custom">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">Hotlist
                    <div class="text-muted pt-2 font-size-sm"></div>
                </h3>
            </div>
            <div class="card-toolbar">
                <!--begin::Dropdown-->
                <div class="dropdown dropdown-inline mr-2">
                    <button type="button" class="btn btn-light-primary font-weight-bolder "  data-mode="hot_list" id="Export as CSVToCsv">
                    <span class="svg-icon svg-icon-md">
                        <!--begin::Svg Icon | path:assets/media/svg/icons/Design/PenAndRuller.svg-->
                        <svg xmlns="http://www.w3.org/2000/svg" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                            <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                <rect x="0" y="0" width="24" height="24"/>
                                <path d="M3,16 L5,16 C5.55228475,16 6,15.5522847 6,15 C6,14.4477153 5.55228475,14 5,14 L3,14 L3,12 L5,12 C5.55228475,12 6,11.5522847 6,11 C6,10.4477153 5.55228475,10 5,10 L3,10 L3,8 L5,8 C5.55228475,8 6,7.55228475 6,7 C6,6.44771525 5.55228475,6 5,6 L3,6 L3,4 C3,3.44771525 3.44771525,3 4,3 L10,3 C10.5522847,3 11,3.44771525 11,4 L11,19 C11,19.5522847 10.5522847,20 10,20 L4,20 C3.44771525,20 3,19.5522847 3,19 L3,16 Z" fill="#000000" opacity="0.3"/>
                                <path d="M16,3 L19,3 C20.1045695,3 21,3.8954305 21,5 L21,15.2485298 C21,15.7329761 20.8241635,16.200956 20.5051534,16.565539 L17.8762883,19.5699562 C17.6944473,19.7777745 17.378566,19.7988332 17.1707477,19.6169922 C17.1540423,19.602375 17.1383289,19.5866616 17.1237117,19.5699562 L14.4948466,16.565539 C14.1758365,16.200956 14,15.7329761 14,15.2485298 L14,5 C14,3.8954305 14.8954305,3 16,3 Z" fill="#000000"/>
                            </g>
                        </svg>
                        <!--end::Svg Icon-->
                    </span>Export as CSV
                    </button>
                    <!--begin::Dropdown Menu-->
                    
                    <!--end::Dropdown Menu-->
                </div>
                <!--end::Dropdown-->
                <!--begin::Button-->
                <a href="#" class="btn btn-primary font-weight-bolder">
                <span class="svg-icon svg-icon-md">
                    <!--begin::Svg Icon | path:assets/media/svg/icons/Design/Flatten.svg-->
                    <i class="flaticon2-map icon-xm"></i>

                    <!--end::Svg Icon-->
                </span>Map</a>
                <!--end::Button-->
            </div>
        </div>

        <div class="card-body">
           

            <!--begin::Search Form-->
            <div class="mt-2 mb-5 mt-lg-5 mb-lg-10">
                <div class="row align-items-center">
                    <div class="col-lg-12 col-xl-12">
                        <div class="row align-items-center">
                            <div class="col-md-6 my-2 my-md-0">
                                <div class="d-flex align-items-center ">
                                    <div class="mr-1">
                                        <select name="flag" id="flag" class="form-control" >
                                        <option value="0">Select Status</option>
                                            <option value="1">Contacted</option>
                                            <option value="2">Do Not Contact</option>
                                            <option value="3">Letter Sent</option>
                                        </select>
                                    </div>
                                
                                    <div class="ml-2">
                                        <button type="submit" data-btn="Update Status" id="updateFlag" class="btn btn-primary px-6 font-weight-bold btn_click">
                                        Update Status </button>
                                    </div> 
                                    <div class="ml-2">
                                        <button type="button" data-btn="Add Filter" id="addFilter" class="btn btn-success px-6 font-weight-bold btn_click" data-toggle="modal"  data-target="#filterModal">
                                        Add Filter </button>
                                    </div> 
                                </div>
                            </div>
                            <div class="col-md-4 my-2 my-md-0"></div>

                            <div class="col-md-2 my-2 my-md-0 propertCheck">
                                <div class="btn-group">
                                    <button class="btn btn-danger add_to_campaign  font-weight-bold btn-sm btn_click" type="button" data-btn="Add to Campaign" id="addCampaign" >
                                        Add to Campaign
                                    </button>                                  
                                </div>
                            </div>
                        </div>
                    </div>
                   
                </div>
            </div>
            <!--end::Search Form-->
            <div class="mt-2 mb-5 mt-lg-5 mb-lg-10">
                <div class="row align-items-center">
                    <div class="form-group align-items-center ml-10">
                        <h4 class="mt-5 pb-2">Your Filters</h4>
                        <div class="checkbox-inline">
                            
                            <label class="checkbox">
                                <input type="checkbox" checked="checked" name="fallen_through" id="fallen_through">
                                <span></span>
                                Fallen Through
                            </label>
                            <label class="checkbox">
                                <input type="checkbox" name="withdrawn" id="withdrawn">
                                <span></span>
                                Withdrawn
                            </label>
                            <label class="checkbox">
                                <input type="checkbox" checked="checked" name="price_drop">
                                <span></span>
                                Price Drop
                            </label>
                        </div>
                    </div>                  
                </div> 
            </div>

            <table class="table table-bordered table-hover display" id="propertyDatatable"  style="width:100%">
                <thead>
                <tr>
                    <th>Select All
                        <label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary">
                        <input type="checkbox" id="select_all" name="select_all">
                        <span></span>                                    
                        </label>
                    </th>
                    <th>Sl</th>
                    <th width="20%">Address</th>
                    <th width="10%">Price</th>
                    <th>List Date</th>
                    <th>Agency</th>
                    <th>Type</th>
                    <th>Platform</th>
                    <th>Flag</th>
                   
                </tr>
                </thead>
                <tbody>
                
                </tbody>
            </table>
        </div>
    </div>


<!-- Add  Filter modal  -->
<div class="modal fade" id="filterModal" tabindex="-1" role="dialog" aria-labelledby="filterModal" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <form method="post" novalidate="novalidate" action="" class="form" id="addComment" name="addComment">
            {{csrf_field()}}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Add Filter</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">                    
                    <div class="form-group ">                           
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <input required type="number" value="0" required min="0" class="form-control" name="week" id="week" >
                        </div>
                    </div>
                    <div class="form-group ">
                        <div class="col-lg-12 col-md-12 col-sm-12"> 
                            <label class="checkbox">
                                <input type="checkbox" name="withdrawn" id="withdrawn">
                                <span></span>
                                Withdrawn
                            </label>
                        </div>
                    </div>
                    <div class="form-group ">
                        <div class="col-lg-12 col-md-12 col-sm-12"> 
                            <label class="checkbox">
                                <input type="checkbox" name="fallen_through" id="fallen_through">
                                <span></span>
                                Fallen Through
                            </label>
                        </div>
                    </div>
                    <div class="form-group ">
                        <div class="col-lg-12 col-md-12 col-sm-12"> 
                            <label class="checkbox">
                                <input type="checkbox" name="price_drop" id="price_drop">
                                <span></span>
                                Price Drop
                            </label>
                        </div>
                    </div>
                    <div class="form-group ">
                        <div class="col-lg-12 col-md-12 col-sm-12"> 
                            <label class="checkbox">
                                <input type="checkbox" name="sold" id="sold">
                                <span></span>
                                Sold
                            </label>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" id="addCampaignSubmit" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- Filter modal  -->
    
@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
     <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
	<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script>
        jQuery(document).ready((function () {
            var url = '<?php echo route('allPropertyArray')?>';
            var token = '<?php echo csrf_token() ?>';
           
            propertyTable(url, token, 'AllProperties');
        }))

  

    </script>
@endsection
