<!DOCTYPE html>
<html>
	<head>
		<title>Invoice : {{ $invoice['title'] }}</title>
	</head>
	<body>
		<style type="text/css">
			body {
				font-family: "Lucida Console", "Courier New", monospace;
			}
			.control-label {
				font-weight: 600;
				max-width: 20%;
			}
			.info-table, .info-table th, .info-table td {
				/*vertical-align: middle;*/
				width: 100%;
				padding: 5px;
				border: 1px solid #D7D7D7;
				background-color: #f4f4f4;
				border-collapse: collapse;
				font-size: 15px;
			}
			.table-bordered td{
				padding: 5px;
				border: 1px solid #D7D7D7;
				font-size: 15px;
			}
			#header {
				margin-bottom: 6%;
			}
			#invoice-side{
				max-width: 20%;
			}
			#payment-side {
				width: 100%;
			}
			#payment-info {
				margin-bottom: 10px;
			}
			#footer{
				margin-top: 4%;
			}
		</style>
		<div id="header" align="center">
			<img src="{{ URL::to('/media/logos/'.$template['logo']) }}" id="logo-image" alt="layout" width="250">
		</div>
		<table class="table-responsive" width="100%">
			<tr>
				<td id="invoice-side" valign="top">
					<h2 style="margin-top:0px"> INVOICE </h2>
					<table class="info-table">
						<tr>
							<td colspan="2" align="left"><h4> User Information </h4></td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#1BD6BA"> Company Name </label></td>
							<td>{{ $invoice['user_name'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#1BD6BA"> User Address </label></td>
							<td>{{ $invoice['user_address'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#1BD6BA"> User Contact Number </label></td>
							<td>{{ $invoice['user_contact_no'] }}</td>
						</tr>
					</table>
					<table class="info-table">
						<tr>
							<td colspan="2" align="left"><h4> Invoice data </h4></td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Invoice Number </label></td>
							<td>{{ $invoice['invoice_number'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Invoice Date </label></td>
							<td>{{ $invoice['invoice_date'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Company Name </label></td>
							<td>{{ $template['company_name'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Company Number </label></td>
							<td>{{ $info['company_reg_no'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> VAT Registration Number </label></td>
							<td>{{ $info['vat_reg_no'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Address </label></td>
							<td>{!! nl2br($template['address']) !!}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Phone </label></td>
							<td>{{ $template['phone'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Email </label></td>
							<td>{{ $template['email'] }}</td>
						</tr>
						<tr>
							<td><label for="inputEmail3" class="control-label" style="color:#33C0FD"> Website </label></td>
							<td>{{ $template['website_address'] }}</td>
						</tr>
					</table>
				</td>
				<td id="payment-side">
					<table id="payment-info" class="table table-bordered" width="100%" valign="top">
						<tr>
							<td><b> Payment Title </b></td>
							<td>{{ $invoice['title'] }}</td>
						</tr>
						<tr>
							<td><b> Payment Date </b></td>
							<td>{{ $invoice['created_at'] }}</td>
						</tr>
					</table>
					{!! $template['head_desc'] !!}
					<table class="table" id="invoice_table" width="100%" valign="top">
						<thead bgcolor="#abb2b9">
							<tr style="color:#fff">
								<th bgcolor="#abb2b9" style="padding:5px 5px; font-size:12px " width="70%"> Description </th>
								<!-- <th bgcolor="#abb2b9" style="padding:5px 5px; font-size:12px" width ="10%">Quantity</th> -->
								<!-- <th bgcolor="#abb2b9" style="padding:5px 10px; font-size:12px" width ="15%">Unit Price</th> -->
								<th bgcolor="#abb2b9" style="padding:5px 5px; font-size:12px" width="30%"> Cost </th>
								<!-- <button class="btn btn-default pull-right" type="button" id="add_field">Add field</button> -->
							</tr>
						</thead>
						<tbody>
							<tr>
								<td align="left" style="padding:5px; border-bottom:1px solid #ccc;">{{ $invoice['description'] }}</td>
								<td align="left" style="padding:5px; border-bottom:1px solid #ccc;">&pound; {{ number_format($invoice['cost'],2) }}</td>
							</tr>
							<!-- @if($invoice['discount'] != 0)
							<tr>
								<td style="padding:5px; border-bottom:1px solid #ccc;"></td>
								<td align="center" style="padding:5px; border-bottom:1px solid #ccc;"><b>Discount </b></td>
								<td align="center" style="padding:5px; border-bottom:1px solid #ccc;"><b> {{ $invoice['discount'] }} %</b></td>
								<td style="padding:5px; border-bottom:1px solid #ccc;"><div style="float:left; border-bottom:1px solid #ccc;">&pound;</div>  <div style="float:right"> <b>  {{ $discount_amt }} </b> </div> </td>
							</tr>
							@endif -->
							@if($invoice['is_vat'] == 1)
							<tr>
								<td align="right" style="padding:5px; border-bottom:1px solid #ccc;"><b> VAT ({{ (($info['vat_percentage'] != 0)?$info['vat_percentage']:20) }}%) </b></td>
								<td align="left" style="padding:5px; border-bottom:1px solid #ccc;"><b> &pound; {{ number_format($invoice['vat_cost'],2) }}</b></td>
							</tr>
							@endif
							<!-- @if($invoice['is_ship'] == 1)
							<tr>
								<td style="padding:5px; border-bottom:1px solid #ccc;"></td>
								<td align="center" style="padding:5px; border-bottom:1px solid #ccc;"><b> </b></td>
								<td align="center" style="padding:5px; border-bottom:1px solid #ccc;"><b>  Shipping / Handling Charge</b></td>
								<td style="padding:5px; border-bottom:1px solid #ccc;"><div style="float:left">&pound;</div>  <div style="float:right"> <b>  {{ $invoice['ship_amount'] }} </b> </div> </td>
							</tr>
							@endif -->
							<tr>
								<td align="right" style="padding:5px; border-bottom:1px solid #ccc;"><b>Total</b></td>
								<td align="left" style="padding:5px; border-bottom:1px solid #ccc;"><b> &pound; {{ number_format($invoice['total_cost'],2) }}</b></td>
							</tr>
						</tbody>
					</table>
					{!! $template['foot_desc'] !!}
				</td>
			</tr>
		</table>
		<div id="footer" align="center">
			<h4> Thankyou for your business! </h4>
			<p> © {{date("Y")}} LETS BID PROPERTY All rights reserved. </p>
		</div>	
	</body>
</html>