{{-- Header --}}
@if (config('layout.extras.notifications.dropdown.style') == 'light')
    <div class="d-flex flex-column pt-12 bg-dark-o-5 rounded-top">
        {{-- Title --}}
        <h4 class="d-flex flex-center">
            <span class="text-dark">User Notifications</span>
            <span class="btn btn-text btn-success btn-sm font-weight-bold btn-font-md ml-2">23 new</span>
        </h4>

        {{-- Tabs --}}
        <ul class="nav nav-bold nav-tabs nav-tabs-line nav-tabs-line-3x nav-tabs-primary mt-3 px-8" role="tablist">
            <li class="nav-item">
                <a class="nav-link active show" data-toggle="tab" href="#topbar_notifications_property"  >Alerts</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#topbar_notifications_events"  >Events</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#topbar_notifications_logs"  >Logs</a>
            </li>
        </ul>
    </div>
@else

    @php
        $type = json_decode(Session::get(config('propai.authSessionKey')))->user_type;
        // $notification = Helper::notifications();
        $notification['count'] = 0;
    @endphp
    <div class="d-flex flex-column pt-12 bgi-size-cover bgi-no-repeat rounded-top" style="background-image: url('{{ asset('media/misc/bg-1.jpg') }}')">
        {{-- Title --}}
        <h4 class="d-flex flex-center rounded-top">
            <span class="text-white">User Notifications</span>
            <span class="btn btn-text btn-success btn-sm font-weight-bold btn-font-md ml-2">{{$notification['count']}} new</span>
        </h4>

        {{-- Tabs --}}
        <!-- <ul class="nav nav-bold nav-tabs nav-tabs-line nav-tabs-line-3x nav-tabs-line-transparent-white nav-tabs-line-active-border-success mt-3 px-8" role="tablist">
            <li class="nav-item">
                <a class="nav-link active show" data-toggle="tab" href="#topbar_notifications_property"  >Property</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#topbar_notifications_events"  >Campaign</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#recent_valuation">Recent Valuation</a>
            </li>
        </ul> -->
    </div>
@endif

{{-- Content --}}
<div class="tab-content">
    {{-- Tabpane 1 --}}
    <div class="tab-pane active show p-8" id="topbar_notifications_property" role="tabpanel">
        {{-- Scroll --}}
        @if(($notification['count']))
            <!-- property  -->
            <div class="scroll pr-7 mr-n7" data-scroll="true" data-height="300" data-mobile-height="200">
            @if(count($notification['property']))
                {{-- Item --}}
                @foreach($notification['property'] as $item)
                    @php
                    $notify_status =  Helper::encryptData($item->notify_status);
                    $url  = route('notificationTypeData',['notify_status' => $notify_status]);

                    $text = "$item->prop_count property in ";



                    @endphp
                    @if($item->notify_status==0)
                        @php
                            $text = "In outcode $item->outcode_name,  $item->prop_count new property arrived.";
                            $title = "New property";
                            $class = "danger";
                        @endphp
                    @elseif($item->notify_status==1)
                        @php
                            $text.="For sale at $item->outcode_name.";
                            $title = "For sale";
                            $class = "success";
                        @endphp
                    @elseif($item->notify_status==2)
                        @php
                            $text.= "sold under offer in $item->outcode_name.";
                            $title = "Sold Under Offer";
                            $class = "warning";
                        @endphp
                    @elseif($item->notify_status==3)
                        @php
                            $text.= " Withdrawn at $item->outcode_name.";
                            $title = "Withdrawn";
                            $class = "primary";
                        @endphp
                    @elseif($item->notify_status==4)
                        @php
                            $text.= " Price Change at $item->outcode_name.";

                            $title = "Price Change";
                            $class = "success";
                        @endphp
                    @elseif($item->notify_status==6)
                        @php
                            $text.= " STC at $item->outcode_name.";

                            $title = "STC";
                            $class = "warning";
                        @endphp
                    @elseif($item->notify_status==7)
                        @php
                            $text.= " Offer at $item->outcode_name.";
                            $title = "Offer";
                            $class = "primary";
                        @endphp
                    @else
                        @php
                            $text.= " Fallen through at $item->outcode_name.";
                            $title = "Fallen through";
                            $class = "danger";
                        @endphp
                    @endif
                    <div class="d-flex align-items-center mb-6">
                        {{-- Symbol --}}
                        <div class="symbol symbol-40 symbol-light-{{$class}} mr-5">
                            <span class="symbol-label">
                                <!-- // new market -->
                                @if($item->notify_status==0)
                                    {{Metronic::getSVG("media/svg/icons/Shopping/Box2.svg", "svg-icon-lg svg-icon-danger")}}
                                <!-- //For sale -->
                                @elseif($item->notify_status==1)
                                    {{Metronic::getSVG("media/svg/icons/Shopping/Sale2.svg", "svg-icon-lg svg-icon-success")}}
                                <!-- //sold  -->
                                @elseif($item->notify_status==2)
                                    {{Metronic::getSVG("media/svg/icons/Shopping/Sale1.svg", "svg-icon-lg svg-icon-warning")}}
                                <!-- //withdrawn  -->
                                @elseif($item->notify_status==3)
                                    {{Metronic::getSVG("media/svg/icons/Code/Stop.svg", "svg-icon-lg svg-icon-primary")}}
                                <!-- //price change -->
                                @elseif($item->notify_status==4)
                                    {{Metronic::getSVG("media/svg/icons/Shopping/Pound.svg", "svg-icon-lg svg-icon-success")}}
                                <!-- //fallen through -->
                                @else
                                    {{Metronic::getSVG("media/svg/icons/Navigation/Arrow-down.svg", "svg-icon-lg svg-icon-danger")}}
                                @endif
                            </span>
                        </div>

                        {{-- Text --}}
                        <div class="d-flex flex-column font-weight-bold">
                            <a href="{{$url}}" class="text-dark text-hover-{{$class}} mb-1 font-size-lg">{{$title}}</a>
                            <span class="text-muted">{{$text}}</span>
                        </div>
                    </div>
                @endforeach
            @endif
            <!-- //recent valuation  -->
            @if(count($notification['recent_valuation']))

                @php $i=0 @endphp
                @foreach($notification['recent_valuation'] as $item)
                    @php $i++; @endphp

                    @if($i%2==0)
                        @php $class = "success"; @endphp
                    @else
                        @php $class = "danger"; @endphp
                    @endif

                    @if($item->house_number_id)
                        @php
                            $encrpt_id = Helper::encryptData($item->house_number_id);
                            $url = route('propertyDetails',['property_id'=>$encrpt_id,'notification'=>$item->id]);
                        @endphp
                    @else
                        @php
                            $encrpt_id = Helper::encryptData($item->property_history_id);
                            $url = route('propertyHistoryDetails',['property_id'=>$encrpt_id,'notification'=>$item->id]);
                        @endphp
                    @endif

                    <div class="d-flex align-items-center mb-6">
                        {{-- Symbol --}}
                        <div class="symbol symbol-40 symbol-light-{{$class}} mr-5">
                            <span class="symbol-label">
                            {{Metronic::getSVG("media/svg/icons/Design/Sketch.svg", "svg-icon-lg svg-icon-$class")}}
                            </span>
                        </div>

                        {{-- Text --}}
                        <div class="d-flex flex-column font-weight-bold">
                            <a href="{{$url}}" class="text-dark text-hover-{{$class}} mb-1 font-size-lg">Recent Valuation</a>
                            <span class="text-muted">{{$item->address}}</span>
                        </div>
                    </div>
                @endforeach
            @endif
            <!-- //Agent status  -->
            @if(count($notification['agent_status']))
                @php $i=0 @endphp
                @foreach($notification['agent_status'] as $item)
                    @php $i++; @endphp

                    @if($i%2==0)
                        @php $class = "primary"; @endphp
                    @else
                        @php $class = "danger"; @endphp
                    @endif

                    @php
                        $encrpt_id = Helper::encryptData($item->house_number_id);
                        $url = route('propertyDetails',['property_id'=>$encrpt_id,'notification'=>$item->id]);
                    @endphp

                    @if($item->notify_status==0)
                        @php
                            $text = "New to market";

                        @endphp
                    @elseif($item->notify_status==1)
                        @php
                            $text="For sale";
                        @endphp
                    @elseif($item->notify_status==2)
                        @php
                            $text = "Sold Under Offer";
                        @endphp
                    @elseif($item->notify_status==3)
                        @php
                            $text = "Withdrawn";
                        @endphp
                    @elseif($item->notify_status==4)
                        @php
                            $text = "Price Change";
                        @endphp
                    @elseif($item->notify_status==6)
                        @php
                            $text = "STC";
                        @endphp
                    @else
                        @php
                            $text = "Offer";
                        @endphp
                    @endif

                    <div class="d-flex align-items-center mb-6">
                        {{-- Symbol --}}
                        <div class="symbol symbol-40 symbol-light-{{$class}} mr-5">
                            <span class="symbol-label">
                            {{Metronic::getSVG("media/svg/icons/General/User.svg", "svg-icon-lg svg-icon-$class")}}
                            </span>
                        </div>

                        {{-- Text --}}
                        <div class="d-flex flex-column font-weight-bold">
                            <a href="{{$url}}" class="text-dark text-hover-{{$class}} mb-1 font-size-lg">Estate Agent - {{$item->name}}</a>
                            <span class="text-muted">{{$item->name}} change the status {{$text}} of {{$item->address}}</span>
                        </div>
                    </div>
                @endforeach
            @endif
            </div>
        @else
        <div class="d-flex flex-center text-center text-muted min-h-200px">
            All caught up!
            <br/>
            No new notifications.
        </div>
        @endif
    </div>


</div>
