@php
	$direction = config('layout.extras.user.offcanvas.direction', 'right');
@endphp
 {{-- User Panel --}}
<div id="kt_quick_user" class="offcanvas offcanvas-{{ $direction }} p-10">
	{{-- Header --}}
	<div class="offcanvas-header d-flex align-items-center justify-content-between pb-5">
		<h3 class="font-weight-bold m-0">
			User Profile
			<!-- <small class="text-muted font-size-sm ml-2">12 messages</small> -->
		</h3>
		<a href="#" class="btn btn-xs btn-icon btn-light btn-hover-primary" id="kt_quick_user_close">
			<i class="ki ki-close icon-xs text-muted"></i>
		</a>
	</div>

	{{-- Content --}}
    <div class="offcanvas-content pr-5 mr-n5">
		{{-- Header --}}
        <div class="d-flex align-items-center mt-5">
            <!-- <div class="symbol symbol-100 mr-5">
                <div class="symbol-label" style="background-image:url('{{ asset('media/users/300_21.jpg') }}')"></div>
				<i class="symbol-badge bg-success"></i>
			</div> -->
			<?php
			$user=json_decode(Session::get(config('propai.authSessionKey')))->id;
                $image = App\Model\User::where('id', $user)->first();
                $UserImage = App\Model\UserImage::where('id', $user)->first();
                ?>
			<div class="symbol symbol-100 mr-5">
			@if($UserImage->image==NULL)
			<div class="symbol-label" style="background-image:url('{{ asset('media/users/blank.png') }}')"></div>
			@else
			<img src={{$image->image}} style="height: 70px; width: 60px;">
			<!-- <i class="symbol-badge bg-success"> -->
			</img>
			@endif
			</div>
            <div class="d-flex flex-column">
                <a href="#" class="font-weight-bold font-size-h5 text-dark-75 text-hover-primary">
					{{json_decode(Session::get(config('propai.authSessionKey')))->first_name.' '.json_decode(Session::get(config('propai.authSessionKey')))->last_name}}
				</a>
                <div class="text-muted mt-1">
					@if(json_decode(Session::get(config('propai.authSessionKey')))->user_type==1)
						Admin
					@elseif(json_decode(Session::get(config('propai.authSessionKey')))->user_type==2)
						Estate Agent
					@else 
						Data Entry Operator
					@endif
                </div>
                <div class="navi mt-2">
                    <a href="#" class="navi-item">
                        <span class="navi-link p-0 pb-2">
                            <span class="navi-icon mr-1">
								{{ Metronic::getSVG("media/svg/icons/Communication/Mail-notification.svg", "svg-icon-lg svg-icon-primary") }}
							</span>
                            <span class="navi-text text-muted text-hover-primary">{{json_decode(Session::get(config('propai.authSessionKey')))->email}}</span>
                        </span>
                    </a>
                </div>
            </div>
        </div>

		{{-- Separator --}}
		<div class="separator separator-dashed mt-8 mb-5"></div>

		{{-- Nav --}}
		<div class="navi navi-spacer-x-0 p-0">
			{{-- Item --}}
			@if(json_decode(Session::get(config('propai.authSessionKey')))->user_type==2 )
		    <a href="{{route('profile')}}" class="navi-item">
		        <div class="navi-link">
		            <div class="symbol symbol-40 bg-light mr-3">
		                <div class="symbol-label">
							{{ Metronic::getSVG("media/svg/icons/General/Notification2.svg", "svg-icon-md svg-icon-success") }}
						</div>
		            </div>
					 <div class="navi-text">
					  <div class="font-weight-bold">
		                   My profile
		                </div>
		                <div class="text-muted">
		                    Account settings
		                </div>
		            </div>
		        </div>
		    </a>

			<!-- my subscription  -->
			<a href="{{route('editSubscription')}}" class="navi-item">
		        <div class="navi-link">
		            <div class="symbol symbol-40 bg-light mr-3">
		                <div class="symbol-label">
							{{ Metronic::getSVG("media/svg/icons/Shopping/Pound.svg", "svg-icon-md svg-icon-danger") }}
						</div>
		            </div>
					 <div class="navi-text">
					  <div class="font-weight-bold">
		                   PostCode
		                </div>
		                <div class="text-muted">
		                   Add PostCode
		                </div>
		            </div>
		        </div>
		    </a>

		    {{-- Item --}}
		    <a href="{{route('allCampaign')}}"  class="navi-item">
		        <div class="navi-link">
					<div class="symbol symbol-40 bg-light mr-3">
						<div class="symbol-label">
 						   {{ Metronic::getSVG("media/svg/icons/Shopping/Chart-bar1.svg", "svg-icon-md svg-icon-warning") }}
 					   </div>
				   	</div>
		            <div class="navi-text">
		                <div class="font-weight-bold">
		                    My Campaign
		                </div>
		                <div class="text-muted">
		                    Campaign list
		                </div>
		            </div>
		        </div>
		    </a>

		    {{-- Item --}}
		    
			{{-- Item --}}
		    <a href="{{route('editAddress')}}"   class="navi-item">
		        <div class="navi-link">
					<div class="symbol symbol-40 bg-light mr-3">
						<div class="symbol-label">
							{{ Metronic::getSVG("media/svg/icons/Communication/Address-card.svg", "svg-icon-md svg-icon-primary") }}
						</div>
				   	</div>
		            <div class="navi-text">
		                <div class="font-weight-bold">
		                   Return Address
		                </div>
		                <div class="text-muted">
		                    Manage Return Address
		                </div>
		            </div>
		        </div>
		    </a>
			{{-- Item --}}
			@endif
		    <a href="{{route('userLogout')}}" class="navi-item">
		        <div class="navi-link">
					<div class="symbol symbol-40 bg-light mr-3">
						<div class="symbol-label">
							{{ Metronic::getSVG("media/svg/icons/Electric/Shutdown.svg", "svg-icon-md svg-icon-danger") }}
						</div>
				   	</div>
		            <div class="navi-text">
		                <div class="font-weight-bold">
		                    Logout
		                </div>
		                <div class="text-muted">
		                    Away  from system
		                </div>
		            </div>
		        </div>
		    </a>
		</div>

		{{-- Separator --}}
		<div class="separator separator-dashed my-7"></div>

		{{-- Notifications --}}
		
    </div>
</div>
