<!DOCTYPE html> 
<!--[if lt IE 7]>
  <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
  <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
  <html class="no-js lt-ie9"> <![endif]-->
  <!--[if gt IE 8]><!-->
  <html lang="en">
  <!--<![endif]-->
  <head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <title>Probate Property</title>
    <meta content="" name="description">
    <meta content="" name="keywords">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <link rel="icon" href="{!! asset('assets/img/favicon.png') !!}">
    <link href="{!! asset('assets/img/apple-touch-icon.png') !!}" rel="apple-touch-icon">
    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;0,900;1,300;1,900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/vendor/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/vendor/bootstrap-icons/bootstrap-icons.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/css/linearicons.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/vendor/aos/aos.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/vendor/remixicon/remixicon.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/vendor/swiper/swiper-bundle.min.css">    
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/vendor/glightbox/css/glightbox.min.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/css/style.css">
    <link rel="stylesheet" href="{{ URL::to('/') }}/assets/css/main-min.css">
    @yield('meta_tags')
    @yield('additional_styles')
  </head>
  <body>
    <!-- ======= Header ======= -->
    <header id="header" class="header fixed-top">
      <div class="container-fluid container-xl d-flex align-items-center justify-content-between">
        <a href="{{ URL::to('/') }}" class="logo d-flex align-items-center">
          <img src="{!! asset('assets/img/logo.png') !!}" alt="">    
        </a>
        <nav id="navbar" class="navbar">
          <ul>
            <li><a class="nav-link scrollto {{ request()->is('/') ? 'active' : '' }}" href="{{ URL::to('/') }}">Home</a></li>
            <li><a class="{{ request()->is('about-us') ? 'active' : '' }}" href="{{ URL::to('/about-us') }}">About Us</a></li>
            <li><a class="{{ request()->is('how-it-works') ? 'active' : '' }}" href="{{ URL::to('/how-it-works') }}">How it works</a></li>
            <li><a class="{{ request()->is('pricing') ? 'active' : '' }}"  href="{{ URL::to('/pricing') }}">Pricing</a></li>
            <li><a class="{{ request()->is('contact') ? 'active' : '' }}"  href="{{ URL::to('/contact') }}">Contact Us</a></li>
            <li><a class="getstarted scrollto header_action" href="{{ URL::to('/user-login') }}">Sign in</a></li>
            <li><a class="getstarted scrollto header_action register-now" href="{{ URL::to('/user-register') }}">Register</a></li>        
          </ul>
          <i class="bi bi-list mobile-nav-toggle"></i>
        </nav><!-- .navbar -->
      </div>
    </header>
    <!-- End Header -->
    @yield('content')
    @include('layouts.footer')  
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script>
      $(function () {
        $('#LoginForm').submit(function (e) {
          $my_url = 'demo';
          $outcode = $('#outcode').val();
            e.preventDefault();
          let formData = $(this).serializeArray();
          $(".invalid-feedback").children("strong").text("");
          $("#LoginForm input").removeClass("is-invalid");
          $( '#email-error' ).show();
          $('#auth-error').show();
          $.ajax({
            method: "POST",
            headers: {
              Accept: "application/json"
            },
            url : '{{url("login")}}' + '?user_type=' + $my_url + '&&outcode=' +$outcode,
            data: formData,
            success:function(data) {
              console.log(data);
              if(data.status==false){
                $('#auth-error').html(data.errorMsg);
                $( '#email-error' ).hide();
              }
              if(data.errors) {
                if(data.errors.email){
                  $('#auth-error').hide();
                  $( '#email-error' ).html( data.errors.email[0] );
                }
                $('#auth-error').hide();

              }
              if(data.success) {
                $('#auth-error').hide();
                $( '#email-error').hide();
                $('#suc-msg').html("Success...!");
                if(data.user_type=='demo')
                {
                window.location.assign("{{ route('userHome') }}"); 
                }
                else
                {
                  window.location.assign("{{ route('userHome') }}"); 
                }
             
              }
            },
          })
        });
      })
    </script>
    <script>
      $(function () {
        $('#RegForm').submit(function (e) {
          e.preventDefault();
          let formData = $(this).serializeArray();
          $(".invalid-feedback").children("strong").text("");
          $("#RegForm input").removeClass("is-invalid");
          $( '#email-error' ).show();
          $('#auth-error').show();
          $.ajax({
            method: "POST",
            headers: {
              Accept: "application/json"
            },
            url: "{{ route('user.register') }}",
            data: formData,
            success:function(data) {
              console.log(data);
              if(data.errors) {
                if(data.errors.email)
                {
                  $( '#emailerror' ).html( data.errors.email[0] );
                }
                else
                {
                  $( '#emailerror' ).hide();
                } 

                if(data.errors.firstname)
                {
                  $( '#firstnameerror' ).html( data.errors.firstname[0] );
                }
                else
                {
                  $( '#firstnameerror' ).hide();
                }   
                if(data.errors.phone)
                {
                  $( '#phoneerror' ).html( data.errors.phone[0] );
                }
                else
                {
                  $( '#phoneerror' ).hide();
                }         
              }
              if(data.success) {
               $( '#firstnameerror' ).hide();
               $( '#emailerror' ).hide();
               $( '#phoneerror' ).hide();
               window.location.assign("{{ route('userHome') }}");
             }
           },
         })
        });
      })
    </script>
{{-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.bundle.min.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/bootstrap/js/bootstrap.bundle.js"></script> --}}
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.bundle.min.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/aos/aos.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/php-email-form/validate.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/swiper/swiper-bundle.min.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/purecounter/purecounter.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script src="{{ URL::to('/') }}/assets/vendor/glightbox/js/glightbox.min.js"></script>
<script src="{{ URL::to('/') }}/assets/js/main.js"></script>
<script>   
 $("#loginpopupbutton").click(function(){
  $('#registerpopup').modal('hide');
  $('#loginpopup').modal('show');
});
 $(".registerpopupbutton").click(function(){
  $('#loginpopup').modal('hide');
  $('#registerpopup').modal('show');
}); 

$(".demopopupbutton").click(function(){
  $('#loginpopup').modal('hide');
  $('#registerpopup').modal('hide');
  //alert($("#outcode option:selected").text());
  //var url = "https://xd.adobe.com/view/06782bc2-520a-4c9d-8ba8-11a3e7acb529-532b/screen/c0025692-c93f-408e-bc53-c98f9a5f8063/?fullscreen";

  //$('#Demopopup').modal('show').find('.modal-body').load("http://probate.ca/about-us");
     window.open('https://xd.adobe.com/view/06782bc2-520a-4c9d-8ba8-11a3e7acb529-532b/screen/c0025692-c93f-408e-bc53-c98f9a5f8063/?fullscreen', 'Probate', 'fullscreen=0');

}); 


$(".close").click(function(){
    $('#loginpopup').modal('hide');
    $('#registerpopup').modal('hide');
    $('#Demopopup').modal('hide');
}); 
</script>
@yield('additional_scripts')
</body>

</html>

