{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
    <div class="card card-custom">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title">
                <h3 class="card-label">{{ Str::singular($page->title) }} Management</h3>
            </div>
            <div class="card-toolbar">
                <!--begin::Dropdown-->
                <a href="{{ url('my-campaign') }}" class="btn btn-success mr-2">Campaign Management</a>
                <a href="{{ url('edit-address') }}" class="btn btn-success mr-2">Edit Return Address</a>
                <a href="{{ url($page->link.'/create') }}"
                   class="btn btn-primary mr-2">Create {{ Str::singular($page->title) }}</a>
            </div>
        </div>

        <div class="card-body data-table-container">
            <table class="table table-hover table-bordered data-tables"
                   data-url="{{ $page->link.'/lists' }}" data-form="page"
                   data-length="20">
                <thead>
                <tr>
                    <th data-orderable="false">Name</th>
                    <th data-orderable="false">Trigger</th>
                    <th data-orderable="false">Options</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
@endsection

{{-- Styles --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection

{{-- Scripts --}}
@section('scripts')
    <script>
        var link = '{{ $page->link }}';
    </script>
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>
    <script type="text/javascript" src="{{ asset('js/developer/ajax-crud.js') }}"></script>

    <script>
$( document ).ready(function() {
    FormValidation.formValidation(
        document.getElementById('formAddress'),
        {
            fields: {
                company_name: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter company name'
                        },
                        // stringLength: {
                        //     min:10,
                        //     max:200,
                        //     message: 'Please enter a comment within length range 10 and 200'
                        // }
                    }
                },
                line_1: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter address line 1'
                        },
                       
                    }
                },
                line_2: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter address line 2'
                        },
                       
                    }
                },
                line_3: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter address line 3'
                        },
                       
                    }
                },
                city: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter city'
                        },
                       
                    }
                },
                county: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter county'
                        },
                       
                    }
                },
                postal_code: {
                    validators: {
                        notEmpty: {
                            message: 'Please enter post code'
                        },
                    }
                },
            },

            plugins: {
                trigger: new FormValidation.plugins.Trigger(),
                // Bootstrap Framework Integration
                bootstrap: new FormValidation.plugins.Bootstrap(),
                // Validate fields when clicking the Submit button
                submitButton: new FormValidation.plugins.SubmitButton(),
                // Submit the form when all fields are valid
                defaultSubmit: new FormValidation.plugins.DefaultSubmit(),
            }
    });
});
</script>
@endsection
