{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

    <div class="card card-custom"> 
        <div class="card-body">
            <div class="mt-2 mb-5">
                <div class="row align-items-center">
                    <div class="col-lg-12 col-xl-12">
                        <div class="row align-items-center">
                            <div class="col-md-9 my-2 my-md-0">
                                <div class="d-flex align-items-center ">
                                    <div class="mr-1">
                                        <select id="outcodeFil" class="form-control" >
                                            <option value="">Select Postcode</option>
                                            @foreach ($userOutcodes as $oc)
                                            <option value="{{$oc}}">{{$oc}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--begin::Search Form-->
             <!--begin::Search Form-->
            
            <!--end::Search Form-->
            <!--end::Search Form-->

            <table class="table table-bordered table-hover" id="notifyDatatable">
                <thead>
                <tr>
                    <th>Postcode</th>
                    <th width="35%">Address</th>
                    <th width="10%">Price</th>
                    <th>List Date</th>
                    <!-- <th>Estate Agents</th> -->
                    <th>Platform</th>
                    <th width="15%">Type</th>
                </tr>
                </thead>
                <tbody>
                 
                </tbody>
            </table>
        </div>
    </div>

    
@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
	<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script>

        var data_url = '<?php echo route('notificationTypeDataArray')?>';
        var token = '<?php echo csrf_token() ?>';
        var notify_status = '<?php echo $notify_status ?>';
        var postcode = 0;
        jQuery(document).ready((function () {
           
           
            notifyPropertyTable(data_url, token,postcode);
        }))

      
        function notifyPropertyTable(data_url,token,postcode){
        table = $("#notifyDatatable").DataTable({
                bSearchable:true,
            
                pagination: true,
                pageLength:25,
                responsive: !0,
                searchDelay: 500,
                processing: !0,
                serverSide: !0,
            
                columns: [
                
                // {data: 'id'},
                {data: 'outcode'},
                {data: 'address'},
                {data: 'price'},
                {data: 'listed_date'},
                {data: 'type'},
                {data: 'platform'},
                ],

                ajax: {
                    url: data_url,
                    type: "POST",
                    data: {
                        notify_status: notify_status,
                        post_code: postcode,
                        // platform: platform,
                        // date_from: date_from,
                        // date_to: date_to,
                        // agency: agency,
                        // type: property_type,
                        // // "search" : $("#kt_datatable_search_query").val(),
                        // columnsDef: [
                        //     "id",
                        //     "sl",
                        //     "address",
                        //     "price",
                        //     "listed_date",
                        //     "agency",
                        //     "type",
                        //     "submit_date",
                        //     "submit_type"
                        // ],
                        _token: token
                    },
                    error: function(data) {
                        console.log(data);
                    }
                },
                columnDefs: [
                    {
                        targets: 5,
                        //  searchable:false,
                        orderable: false
                    },
                    {
                        targets: 4,
                        searchable: false,
                        orderable: false
                    }
                ],
                language: { search: 'Search' },
                "order": [[ 3, "desc" ]], 
                initComplete: function (settings, json) { console.log(json);
                    this.api()
                        .column(1)
                        .every(function() {
                            var column = this;
                        });
                }
            }).on('search.dt', function(data) {
            var info = table.page.info();
            var rowstot = info.recordsTotal;
            var rowsshown = info.recordsDisplay;
            //    $('.total_results').html('Total number of properties : ' + rowsshown);

        })
    }

    $(document).on('change','#outcodeFil',function(){
            var post_code = $('#outcodeFil').val();
          
            $('#notifyDatatable').DataTable().clear();

            $('#notifyDatatable').DataTable().destroy();
            notifyPropertyTable(data_url, token,post_code);

        });
    </script>
@endsection
