{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<div class="card card-custom">
    <div class="card-header flex-wrap border-0 pt-6 pb-0">
        <div class="card-title">
            <h3 class="card-label">Letter Management

            </h3>
        </div>
        <div class="card-toolbar">
            <!--begin::Dropdown-->
            <div>
                <form method="get" class="form" novalidate="novalidate" id="kt_remove_campaign_form" name="kt_remove_campaign_form" Action="{{route('allCampaign')}}">

                    {{csrf_field()}}
                    <button type="submit" class="btn btn-success mr-2">
                        </span>Campaign Management
                    </button>
                </form>
            </div>

            <div>
                <form method="get" class="form" novalidate="novalidate" id="kt_remove_campaign_form" name="kt_remove_campaign_form" Action="{{route('editAddress')}}">

                    {{csrf_field()}}
                    <button type="submit" class="btn btn-success mr-2">
                        </span>Edit Return Address
                    </button>
                </form>
            </div>
            <div>
                <form method="post" class="form" novalidate="novalidate" id="kt_remove_campaign_form" name="kt_remove_campaign_form" Action="{{route('viewLetter')}}" enctype="multipart/form-data">

                    {{csrf_field()}}
                    <button type="submit" class="btn btn-success mr-2">
                        </span>Create Letter
                    </button>
                </form>
            </div>
        </div>


    </div>

    <div class="card-body">

        <table class="table table-bordered table-hover">
            <thead>
                <tr>

                    <th>Name</th>
                    <th>Trigger</th>
                    <th>Edit</th>
                    <th>Delete</th>

                </tr>
            </thead>
            <tbody>
                @if(count($letter))

                    @foreach($letter as $k => $v) 
                        <tr>

                            <td>{{$v->name}}</td>
                            <td> 
                                @if($v->triggers==0)    General Letters @endif
                                @if($v->triggers==1)   New to Market @endif
                                @if($v->triggers==2)   For Sale @endif
                                @if($v->triggers==3)   Sold @endif
                                @if($v->triggers==4)   Withdrawn @endif
                                @if($v->triggers==5)   Price Drop @endif
                                @if($v->triggers==6)   Fallen Through @endif
                                @if($v->triggers==7) 8 Weeks @endif
                                @if($v->triggers==8)   16 Weeks @endif
                                @if($v->triggers==9)   22 Weeks @endif
                            </td>

                            

                            <form method="GET" action="/manage-letter/{{$v->id}}" enctype="multipart/form-data">
                                {{ csrf_field() }}


                                <div class="form-group">
                                    <td><input type="submit" class="btn btn-danger delete-user" value="Edit Letter"></td>
                                </div>

                            </form>
                            <form method="POST" action="/delete-letter/{{$v->id}}">
                                {{ csrf_field() }}
                                {{ method_field('DELETE') }}

                                <div class="form-group">
                                    <td><input type="submit" class="btn btn-danger delete-user" value="Delete"></td>
                                </div>

                            </form>
                        </tr>
                
                    @endforeach
                @else
                
                   <tr>
                        <td colspan ='4' style='text-align:center;vertical-align:middle'>No letters found</td>
                    </tr>
                @endif  
        </tbody>
        </table>

    </div>
</div>
</div>

@endsection

{{-- Styles Section --}}
@section('styles')
<link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
{{-- vendors --}}
<script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

{{-- page scripts --}}
<script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script>
<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
@endsection
