{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
@endsection
@section('content')
<style>
    .table-condensed{
        background:#fff;
    }
    .card-custom{
        margin-top: 25px;
    }
    #newbtn
    {
        background: #B52555;
    }
    #newbtn button
    {
        color: #fff;
    }
    #addCampaign
    {
         background: #B52555;
         color: #fff;
    }
    .card-body-letter {
        height: auto !important;
    }
    #campaignDatatable_filter {
        width: 205px !important;
        height: 38px !important;
    }
    #campaignDatatable_filter {
        width: 50% !important;
        float: right !important;
        margin-top: -54px !important;
        margin-right: -4px !important;
    }
    .example_filter input {
        width: 205px !important;
        height: 38px !important;
    }
    .dataTables_length{
        float: left !important;
    }
    .dataTables_info{
        margin-top: 28px !important;
        padding-left: 81px !important;
        padding-top: 7px !important;
    }
    .paging_simple_numbers{
        margin-top: 15px !important;
    }
</style>
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <div class="d-flex flex-column-fluid">     
        <div class="container">       
            <div class="container py-8 ph-1">
                <div class="row">
                    <div class="container">
                        <div class="alert alert-custom alert-white alert-shadow gutter-b head-line top-box" role="alert">
                            <div class="alert-text head-text">
                                Your Campaign Draft
                            </div>                            
                        </div>
                        <div class="card card-custom new-property">
                            <div class="card-body card-body-letter">
                                <div class="col-xs-12">
                                <div class="d-flex align-items-center ">
                                    <div class="ml-2 filter-btn">
                                         <a href="{{url('probate-letters')}}" class="btn btn-success mr-2 mb-2 campain-bt-top btn_click">Letter Management</a>
                                    </div>
                                    <div class="ml-2 filter-btn">
                                        <form method="post" class="form" novalidate="novalidate" id="kt_remove_campaign_form" name="kt_remove_campaign_form" Action="{{route('probateRemoveCampaign')}}">
                                            {{ method_field('DELETE') }}
                                            {{csrf_field()}}
                                            <button type="submit" class="btn btn-success mr-2 mb-2 campain-bt-top" id="campaign_empty">
                                                </span>Empty Campaign
                                            </button>
                                        </form>
                                    </div>
                                    <div class="ml-2 filter-btn">
                                         <a id="print" class="btn btn-light-danger font-weight-bolder mr-2 mb-2 campain-bt-top">Print Locally</a>
                                    </div>
                                    <div class="ml-2 filter-btn">
                                        <a id="contact" class="btn btn-light-success font-weight-bolder mr-2 mb-2 campain-bt-top">Send Bulk Mail</a>
                                    </div>
                                </div>
                                <div class="">                                        
                                    <table class="table table-hover" id="campaignDatatable" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>
                                                    <label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary camp-checkbox">
                                                    <input type="checkbox" id="select_all" name="select_all">
                                                    <span></span>
                                                    </label>
                                                </th>
                                                <th>Sl.</th>
                                                <th width="20%">Address</th>
                                                <th>Executor</th>
                                                <th class="mw-60">
                                                    {!! Form::select('trigering_id', $triggers , '', ['class' => 'form-control select-trigger ', 'id' => 'trigering_id', 'style' => 'width:85%','placeholder'=>'Select Trigger']) !!}
                                                </th>
                                                <th class="mw-100">Listed Date</th>
                                                {{-- <th>Last Letter Sent</th>
                                                <th>Last Date Sent</th>
                                                <th>Remove</th> --}}
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @if(count($lists)>0)
                                            @foreach($lists as $item)
                                                @php
                                                $encrypt_id = Crypt::encrypt($item->id);
                                                $encrpt_id = Helper::encryptData($item->id);
                                                $url = route('probatePropertyDetails', ['property_id' => $encrpt_id]);
                                                @endphp
                                                <tr>
                                                    <td>
                                                        <label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary">
                                                            <input class="propertyCheck" type="checkbox" value="{{ $item->pcid }}"
                                                                name="property[]">
                                                            <span></span>
                                                        </label>
                                                    </td>
                                                    <td>{{ $item->sl }}</td>
                                                    <td><a href="{{ url('property-detail?pid=' . $encrypt_id ) }} ">{!! nl2br($item->address) !!}</a></td>
                                                    <td>{{ $item->agency }}</td>
                                                    <!-- <td>{!! nl2br($item->trigger) !!}</td> -->
                                                    <td>
                                                        {!! Form::select("trigger[$item->id]", $triggers , '', ['class' => 'form-control select-trigger ', 'id' => '', 'style' => 'width:100%','placeholder'=>'Select Trigger']) !!}
                                                    </td>
                                                    <td>{{ $item->listed_date }}</td>
                                                    {{-- <td>{{ $item->last_letter_sent }}</td>
                                                    <td>{{ $item->last_date_sent }}</td>
                                                    <td></td> --}}
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="8">No Campaigns Added</td>
                                            </tr>
                                        @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>            

    <div class="modal fade" id="contactModal" tabindex="-1" role="dialog" aria-labelledby="contactModal"
         aria-hidden="true">
        <div class="modal-dialog modal-md" role="document">
            <form method="post" novalidate="novalidate" action="{{ url('probate-campaigns/contact') }}" class="form"
                  id="generateCampaigns" name="generateCampaigns">
                {{csrf_field()}}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalCenterTitle">Contact for Camapign</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group row">
                            <div class="col-sm-12">Contact {{config('propai.appName')}} if you would like a quote for Batch letters</div>
                        </div>
                        <div class="modal-footer">
                            <div id="contact-properties"></div>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                            <button type="submit" id="confirmCampaign" class="btn btn-primary">Send</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal fade" id="filterModal" tabindex="-1" role="dialog" aria-labelledby="filterModal"
         aria-hidden="true">
        <div class="modal-dialog modal-md" role="document">
            <form method="post" novalidate="novalidate" action="{{ url('generate-campaign') }}" class="form"
                  id="generateCampaigns" name="generateCampaigns">
                {{csrf_field()}}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalCenterTitle">Calculated Price</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group row" style="border-bottom: 1px solid #cccccc; padding-bottom: 5px;">
                            <div class="col-sm-4">
                                Title
                            </div>
                            <div class="col-sm-2">
                                Quantity
                            </div>
                            <div class="col-sm-3">
                                Unit Price
                            </div>
                            <div class="col-sm-3">
                                Total Price
                            </div>
                        </div>
                        <div class="form-group row" style="border-bottom: 1px solid #cccccc; padding-bottom: 5px;">
                            <div class="col-sm-4">
                                Campaigns
                            </div>
                            <div class="col-sm-2" id="qty">
                            </div>
                            <div class="col-sm-3" id="Price">
                            </div>
                            <div class="col-sm-3" id="amount">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4">
                            </div>
                            <div class="col-sm-5 text-right">
                                VAT (20%) :
                            </div>
                            <div class="col-sm-3" id="vat">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4">
                            </div>
                            <div class="col-sm-5 text-right">
                                Total :
                            </div>
                            <div class="col-sm-3" id="total">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <div id="properties"></div>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        <button type="submit" id="confirmCampaign" class="btn btn-primary">Confirm</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal fade filter-modal" id="editAddressModal" tabindex="-1" role="dialog" aria-labelledby="filterModal"
         aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable" role="document">
            <form method="post" novalidate="novalidate" action="" class="form" id="eamForm" name="eamForm" style="width: 100%;">
                {{csrf_field()}}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="eamTitle">Edit Address</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div id="eamLoader">
                            <div class="spinner_x">
                                <div class="bounce1"></div>
                                <div class="bounce2"></div>
                                <div class="bounce3"></div>
                            </div>
                        </div>
                        <div class="edit_area_wrap" id="editAreaWrap"></div>
                        <!--<div>
                            <div class="form-check">
                              <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                              <label class="form-check-label" for="flexCheckDefault">
                                Default checkbox
                              </label>
                            </div>
                            <div class="form-check">
                              <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" checked>
                              <label class="form-check-label" for="flexCheckChecked">
                                Checked checkbox
                              </label>
                            </div>
                        </div>-->
                    </div>
                    <div class="modal-footer">
                        <div id="properties"></div>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-danger editPrint" data-print="2">Print Content Only</button>
                        <button type="submit" class="btn btn-info editPrint" data-print="3">Print Letterhead & Content</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
@section('styles')
<!-- <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{asset('css/pages/style.css')}}"> -->
<style>
.edit_area_wrap hr {
    border-top: 1px solid rgb(54 64 87);
}
.spinner_x {
  margin: 20px auto;
  width: 70px;
  text-align: center;
}
.spinner_x > div {
  width: 12px;
  height: 12px;
  background-color: #bababa;
  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}
.spinner_x .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.spinner_x .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  } 40% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}
</style>
@endsection

{{-- Scripts Section --}}
@section('scripts')
    <script>
        var link = '{{ url('/') }}';
        var token = '{{ csrf_token() }}';
    </script>
    <script src="{!! asset('admin/js/jquery.dataTables.js') !!}"></script>
    <script src="{!! asset('admin/js/dataTables.bootstrap4.js') !!}"></script>
    <script src="{!! asset('admin/js/dataTables.responsive.min.js') !!}"></script>
    <script src="{!! asset('admin/js/responsive.bootstrap4.min.js') !!}"></script>
    <script src="{!! asset('admin/js/tables-datatable.js') !!}"></script>
    <script type="text/javascript" src="{{ asset('js/developer/ajax-crud.js') }}"></script>
    
    <script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
    <script src="{{ asset('js/developer/probateproperty.js') }}" type="text/javascript"></script>
    <!-- <script type="text/javascript" src="{{ asset('js/developer/ajax-crud.js') }}"></script> -->
    <!-- <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script> -->

    <script>
        $(document).on("click", ".filter-option-inner-inner", function(e) {
            $(".dropdown-menu li:first").css('display','none');
        });
        $(document).ready(function() {
            // listing_activity
            // $("table").DataTable({
            //     bFilter:false,
            //     searching:false,
            //     pagination: true,
            //     pageLength:50,
            //     responsive: !0,
            //     info : false,
            //     bLengthChange:false,
            //     order:false,
            //     //  "order": [[ 1, "desc" ]]
            // });

            var table = $('#campaignDatatable').DataTable({
                "aaSorting": [],
                "pageLength": 10,
                "sDom": '<"top"f>rt<"bottom"pli><"clear">',
                language: { search: '', searchPlaceholder: "Search...", "sLengthMenu": "_MENU_","sInfo" : "Showing _START_ - _END_ of _TOTAL_ ",// text you want show for info section
                    "sLengthMenu": "_MENU_" },                    
                //processing: true,
                columnDefs: [
                {
                    targets: 0,
                    searchable: false,
                    orderable: false,    
                },    
                {
                    targets: 4,
                    searchable: false,
                    orderable: false, 
                    width:"20%",   
                }              
                ],
                mark: true,
               });
        });
    </script>
@endsection
