<!DOCTYPE html>
<html>
<head>
    <meta charset=utf-8>
    <meta http-equiv=Content-Type content="text/html; charset=utf-8"/>
    <link
        href="https://fonts.googleapis.com/css?family=Montserrat:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i"
        rel=stylesheet>
</head>
<style>
    @page {
        margin: 40px;
    }

    body {
        margin: 0px;
        margin-left: 32px;
        margin-right: 32px;
    }

    .outer-div {
        margin-top: 160px;
        padding: 20px;
    }

    .address-div {
        height: 147px;
        width: 200px;
    }


    .page_break {
        page-break-before: always;
    }

    .letter-div {
        white-space: pre-wrap;
    }

    .letter-div.more-space {
        padding-top: 20px;
    }
</style>
<body>

@if(count($properties)>0)
    @foreach($properties as $property)
        @php
            $addr = $property->address->address_1;
            $addr = str_replace($property->address->postcode, "", $addr);
            $addr = str_replace($property->address->outcode, "", $addr);
            $addr = rtrim($addr);
            $addr = rtrim($addr, ",");
            $addr = str_replace(",", "\n", $addr);
        @endphp

        @if(empty( $property->address->ex_fname) &&!empty($property->address->ex_company_name))
                  @php
                   $companyname= explode(',',  $property->address->ex_company_name);
                   $name = $companyname[0];
                @endphp

        @else
        @php
            $name = $property->address->ex_fname.' '. $property->address->ex_sname;
            @endphp

        @endif
        <div style="float: left">
            <div class="outer-div">
                <div class="address-div">
                    {{-- To,<br/><br/> --}}
                    {{ $name }}<br/>
                    {!! nl2br($addr) !!}<br/>
                    {{ $property->address->postcode }}
                </div>
                <div class="letter-div @if(substr_count($addr, "\n") > 2) more-space @endif">
                    {!! $property->letter && $property->letter->content!=''?$property->letter->content:'' !!}
                </div>
            </div>
        </div>
            <div class="page_break"></div>

        @if($property->address->ex_address1)
            @php
                $addr =  $property->address->ex_address1;

            @endphp
        @else
            @php
                $addr =  $property->address->ex_company_name;
                $name = '';
            @endphp
        @endif

        @php
            // $addr = str_replace(", ", "\n", $addr);
        @endphp
        @php
            $addr = Helper::parseProbateAddress($addr)
        @endphp
        <div style="float: left">
            <div class="outer-div">
                <div class="address-div">
                    {{-- To,<br/><br/> --}}
                    {{ $name }}
                    <br>
                    {!! nl2br($addr) !!}<br/>
                </div>
                <div class="letter-div @if(substr_count($addr, "\n") > 2) more-space @endif">
                    {!! $property->letter && $property->letter->content!=''?$property->letter->content:'' !!}
                </div>
            </div>
        </div>

        @if(!$loop->last)
            <div class="page_break"></div>
        @endif
    @endforeach
@endif
</body>
</html>
