{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

<div class="d-flex flex-row">

    
        <div class="flex-row-fluid ml-lg-8">

            <div class="card card-custom">

                <div class="card-header py-3">
                    <div class="card-title align-items-start flex-column">
                        <h3 class="card-label font-weight-bolder text-dark">Create Letter</h3>

                    </div>

                </div>

                <form method="post" class="form" Action="{{route('createLetter')}}" enctype="multipart/form-data">
                    {{csrf_field()}}

                    <div class="card-body">

                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label text-alert">Letter Type</label>
                            <div class="col-lg-9 col-xl-6">
                                <input type="text" class="form-control form-control-lg form-control-solid mb-2" name="name" placeholder="Letter Type">

                            </div>
                        </div>
                        <div class="form-group row">

                            <label class="col-xl-3 col-lg-3 col-form-label text-alert">Trigger</label>
                            <div class="col-lg-9 col-xl-6">
                                <select class="form-control form-control-lg form-control-solid" name="trigger" placeholder="trigger" />
                                <option name="trigger" value="" disabled selected="true">Select Trigger</option>
                                <option name="trigger" value="0">General Letters</option>
                                <option name="trigger" value="1">New to Market</option>
                                <option name="trigger" value="2">For Sale</option>
                                <option name="trigger" value="3">Sold</option>
                                <option name="trigger" value="4">Withdrawn</option>
                                <option name="trigger" value="5">Price Drop</option>
                                <option name="trigger" value="6">Fallen Through</option>
                                <option name="trigger" value="7">8 Weeks</option>
                                <option name="trigger" value="8">16 Weeks</option>
                                <option name="trigger" value="9">22 Weeks</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-lg-3 col-form-label">Content</label>
                            <div class="col-lg-9 col-xl-9">
                                <textarea name="content" class="form-control form-control-lg form-control-solid mb-2" id="" cols="30" rows="10" placeholder="Content"></textarea>
                            </div>
                        </div>
                        <div class="card-toolbar">
                            <button type="submit" class="btn btn-success mr-2">Save Changes</button>
                            <button type="reset" class="btn btn-secondary">Cancel</button>
                        </div>
                </form>

            </div>
        </div>

    </div>


    @endsection
    @if (config('layout.page-loader.type') != '')
    @include('layout.partials._page-loader')
    @endif

    {{-- Global Config (global config for global JS scripts) --}}
    <script>
        var KTAppSettings = {
            !!json_encode(config('layout.js'), JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES) !!
        };
    </script>

    {{-- Global Theme JS Bundle (used by all pages)  --}}
    @foreach(config('layout.resources.js') as $script)
    <script src="{{ asset($script) }}" type="text/javascript"></script>
    @endforeach

    <script src="{{ asset('js/pages/widgets.js')}}"></script>
    <script src="{{ asset('js/pages/custom/profile/profile.js')}}"></script>
