@extends('layout.default')

@section('content')
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <div class="d-flex flex-column-fluid">     
        <div class="container">       
            <div class="container py-8 ph-1">
                <div class="row">
                    <div class="container">
                        <div class="alert alert-custom alert-white alert-shadow gutter-b head-line top-box" role="alert">
                            <div class="alert-text head-text">
                                 Campaign History Details                   
                            </div>                                                        
                        </div>
                        <div class="card card-custom">
                            <div class="card-body">
                                <div class="col-xs-12">
                                    <div class="row">
                                        <div class="col-md-5 col-sm-6 col-xs-12">
                                            <p class="font-size-lg text-dark-25 pb-0 mb-0">Name: <span class="text-success">{{$campaign->name}}<span></p>
                                        </div>
                                        <div class="col-md-3 col-sm-6 col-xs-12">
                                            <p class="font-size-lg text-dark-25 pb-0 mb-0">Status: <span class="text-success">{{$campaign->campaign_status == 1 ? 'Sent' : 'Sending'}}<span></p>
                                        </div>
                                        <div class="col-md-4 col-sm-6 col-xs-12">
                                            <p class="font-size-lg text-dark-25 pb-0 mb-0">Send date: <span class="text-success">{{$sendDate}}<span></p>
                                        </div>
                                    </div>
                                </div> 
                            </div> 
                        </div> 
                        <div class="card card-custom new-property">
                            <div class="card-body card-body-letter">
                                <div class="col-xs-12">
                                    <div class="">                                        
                                        <table class="table table-bordered table-hover">
                                            <thead>
                                                <tr>
                                                    <th>Sl.</th>
                                                    <th width="20%">Address</th>
                                                    <th>Executor</th>      
                                                    <th>Publication Date</th>
                                                    <th>Last Letter Sent</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @if(count($lists)>0)
                                                    @foreach($lists as $item)
                                                        <tr>
                                                            <td>{{ $item->sl }}</td>
                                                            <td><a href="{{ url('property-detail?pid=' . $item->property_url ) }} ">{!! nl2br($item->address) !!}</a></td>
                                                            <td>{{ $item->agency }}</td>
                                                            <td>{{ $item->listed_date }}</td>
                                                            <td>{{ $item->last_letter_sent }}</td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="6">No Campaigns Added</td>
                                                    </tr>
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
