{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
<!--begin::Profile Overview-->
<div class="d-flex flex-row">
    <!--begin::Aside-->
    <div class="flex-row-auto offcanvas-mobile w-300px w-xl-350px" id="kt_profile_aside" >
        <!-- //property -->
        <input class="propertyCheck" checked  style="display:none" type="checkbox" value="{{$house_number_id}}" name="property[]">
        <!--begin::Profile Card-->
        <div class="card card-custom card-stretchh">
            <h3 class="card-title align-items-start text-center flex-column pt-5">Property Info</h3>
            <div id="map" style="width: 100%; height: 300px;"></div>  
            <!--begin::Header-->
            <div class="card-header border-0">
                <h2 class="card-title align-items-start flex-column pt-5">
                    <span class="card-label font-weight-bolder text-dark">
                    {{$property_details->house_number}}, {{$property_details->address}}</span>                    
                </h2>    
                <h6 class="text-muted">
                <!-- @if($property_details->latest_status==1)
                    For Sale 
                @elseif($property_details->latest_status==2)
                    Sold
                @else
                    Withdrawn
                @endif -->
                @php 
                    $status_ = Helper::propertyStatus($house_number_id); 
                @endphp
                
                {{($status_)}}
                
                @if($property_details->latest_price>0)
                    £{{number_format($property_details->latest_price)}}
                @else 
                    POA
                @endif 
                
                </h6>          
            </div>
            <!--end::Header-->
            <!--begin::Body-->
            <div class="card-body pff-4">
                <div class="pyy-9">                   
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Title of Property :</span>
                        <span class="text-muted">{{ucfirst($property_details->title)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Type of Property :</span>
                        <span class="text-muted">{{ucfirst($property_details->property_type)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Bedrooms :</span>
                        <span class="text-muted">{{$property_details->bed_rooms}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Fallen Through :</span>
                        <span class="text-muted">@if($property_details->fallen_through==1)Yes @else No @endif</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Listed Date :</span>
                        <span class="text-muted">
                        @if($property_details->listed_date)
                            {{date("d M Y",strtotime($property_details->listed_date))}}
                        @else 
                            Hidden from public
                        @endif
                        </span>
                    </div>
                    @if($property_details->last_sold_date)
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Last Sold Date :</span>
                        <span class="text-muted">
                    
                            @if(strlen($property_details->last_sold_date)<=4)
                                {{$property_details->last_sold_date}}
                            @else 
                                {{date("d M Y",strtotime($property_details->last_sold_date))}}
                            @endif
                        </span>
                    </div>
                    @endif
                    
                    @if($property_details->last_sold_price)
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Last Sold price :</span>
                        <span class="text-muted">
                        £{{number_format($property_details->last_sold_price)}}
                        </span>
                    </div>
                    @endif
                </div>               
            </div>
            <!--end::Body-->
        </div>
        <!--end::Profile Card-->
    </div>
    <!--end::Aside-->


    <!--begin::Content-->
    <div class="flex-row-fluid ml-lg-8">
        <!--begin::listing_activity7-->
        @if(count($listing_activity)>0)
        <div class="card card-custom">
            <!--begin::Header-->
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label font-weight-bolder text-dark">Listing Activity 
                        @if(isset($ambiguity_checker_response) && $ambiguity_checker_response === true)
                            <style type="text/css">
                            /*@keyframes fa-blink {
                                 0% { opacity: 1; }
                                 50% { opacity: 0.5; }
                                 100% { opacity: 0; }
                             }
                            .fa-blink {
                               -webkit-animation: fa-blink .75s linear infinite;
                               -moz-animation: fa-blink .75s linear infinite;
                               -ms-animation: fa-blink .75s linear infinite;
                               -o-animation: fa-blink .75s linear infinite;
                               animation: fa-blink .75s linear infinite;
                            }*/
                            .fa-blink {
                              animation: blink 3s steps(5, start) infinite;
                              -webkit-animation: blink 1s steps(5, start) infinite;
                            }
                            @keyframes blink {
                              to {
                                visibility: hidden;
                              }
                            }
                            @-webkit-keyframes blink {
                              to {
                                visibility: hidden;
                              }
                            }
                            </style>
                            <i class="fa fa-exclamation-circle fa-blink" style="color:red; font-size:14px" data-toggle="tooltip" data-placement="right" title="" data-original-title="**Our pattern recognition tool has found that ambiguous listing data has been provided to the system, 
                Be cautious and check current portal listings before creating campaigns"> Alert!**</i>
                            <!-- <p style="color: red"></p> -->
                        @endif
                    </span>                    
                </h3>               
            </div>
            <!--end::Header-->

            <!--begin::Body-->
            <div class="card-body py-2">
                <!--begin::Table-->
                <div class="table-responsive">
                    <table class="table table-bordered table-hover display"  id="listing_activity">
                        <thead>
                            <tr>
                                <th  class="text-center">Activity</th>
                                <th  class="text-center">Event Date</th>
                                <th  class="text-center">Portal</th>
                                <th  class="text-center">Agency</th>
                                <th  class="text-center">Price</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($listing_activity as $list)
                                @if(strtolower($list->type)!="last sold")
                            <tr> 
                                <td class="text-center">
                                @if(strtolower($list->type)=="first listed")
                                    For sale                                     
                                @else
                                    {{$list->type}}
                                @endif
                            
                                </td>
                                <td class="text-center">
                                @if($list->event_date)
                                    {{date("d M Y",strtotime($list->event_date))}}
                                @else 
                                    @if(strlen($list->sold_year)<=4)
                                        {{$list->sold_year}}
                                    @else 
                                        {{date("d M Y",strtotime($list->sold_year))}}
                                    @endif

                                @endif
                                </td>
                                <td class="text-center">
                                @if($list->portal==1)
                                    Zoopla
                                @else
                                    Rightmove
                                @endif
                                </td>
                                <td class="text-center">
                                @php 
                                    $agent_url = Helper::agentUrl($list->agency_id);
                                    
                                @endphp
                                @if($agent_url)
                                    @if($list->portal==1)
                                        @if($agent_url->zoopla_url)
                                            <a href="{{$agent_url->zoopla_url}}" target="agent">{{ucfirst($list->name)}}</a>
                                        @else 
                                            {{ucfirst($list->name)}}
                                        @endif
                                    @else 
                                        @if($agent_url->rightmove_url)
                                            <a href="{{$agent_url->rightmove_url}}" target="agent">{{ucfirst($list->name)}}</a>
                                        @else 
                                            {{ucfirst($list->name)}}
                                        @endif
                                    @endif
                                @else 
                                    {{ucfirst($list->name)}}
                                @endif
                                </td>                               
                                <td class="text-center">
                                £{{number_format($list->price)}}
                                </td>                               
                            </tr>
                                @endif
                            @endforeach                            
                        </tbody>
                    </table>
                </div>
                <!--end::Table-->
            </div>
            <!--end::Body-->
        </div>
        <br />
        @endif
        <!--end::listing_activity-->

        @if ($campaign_history->count())
        <div class="card card-custom">
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label font-weight-bolder text-dark">Campaign History</span>                    
                </h3>               
            </div>
            
            <div class="card-body py-2">
                <div class="table-responsive">
                    <table class="table table-bordered table-hover display" id="campaign_history">
                        <thead>
                            <tr>
                                <th>Campaign</th>
                                <th>Trigger</th>
                                <th>Last Letter Sent</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach ($campaign_history as $item)
                            <tr>
                                <td>
                                    <a href="{{route('campaign-history.show', $item->campaign_id)}}">{{$item->campaign->name}}</a>
                                </td>
                                <td>{{$trigger[$item->trigger]}}</td>
                                <td>{{isset($item->campaign->sent_date) && $item->campaign->sent_date ? $item->campaign->sent_date->format('d M Y') : '' }}</td>
                                <td>{{$item->campaign->campaign_status == 1 ? 'Sent' : 'Sending'}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <br />
        @endif
        <!--begin::Row-->
        <div class="row">
            <div class="col-lg-12">
                <!--begin::List Widget 14-->
                <div class="card card-custom card-stretch gutter-b">
                    <!--begin::Header-->
                    <div class="card-header border-0">
                        <h3 class="card-title font-weight-bolder text-dark">Your Property Comments</h3>

                    
                        <div class="card-toolbar">

                            <a href="#" id="addcommentBtn" class="btn btn-light-primary font-weight-bolder btn-sm mr-3" data-toggle="modal"  data-target="#commentModal" >
                                <i class="ki ki-plus icon-sm"></i>
                                Add Comment</a>
                            <div class="dropdown dropdown-inline">
                                <!-- <a href="#"
                                    class="btn btn-clean btn-light-primary btn-sm btn-icon"
                                    data-toggle="dropdown"
                                    aria-haspopup="true"
                                    aria-expanded="false"
                                >
                                    <i class="ki ki-bold-more-ver"></i>
                                </a> -->
                                <div class="dropdown-menu dropdown-menu-md dropdown-menu-right">
                                    <!--begin::Navigation-->
                                    <ul class="navi navi-hover">
                                        <li class="navi-footer pyy-4">
                                        <a href="#" id="addcommentBtn" class="btn btn-light-primary font-weight-bolder btn-sm" data-toggle="modal"  data-target="#commentModal" aria-haspopup="true" aria-expanded="false">
                                            <i class="ki ki-plus icon-sm"></i>
                                                Add Comment</a>
                                        </li>
                                    </ul>
                                    <!--end::Navigation-->
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--end::Header-->

                    <!--begin::Body-->
                    <div class="card-body pt-2">
                        <!--begin::Item-->
                        <div class="timeline timeline-justified timeline-4">
                        @if(count($comments)>0)
                            <div class="timeline-items">
                            @foreach($comments as $item)
                                <div class="timeline-bar"></div>
                                <div class="timeline-item" id="comment_{{$item->id}}">
                                    <div class="timeline-badge">
                                        <div class="bg-danger"></div>
                                    </div>

                                    <div class="timeline-label">
                                        <span class="text-primary font-weight-bold">{{date("d-m-Y",strtotime($item->created_at))}}</span>
                                        <a href="javascript:void(0)" data-id="{{$item->id}}" class="float-right commentDlt" style="margin: -10px;"><i class="flaticon-delete text-danger"></i></a>
                                        <!-- <button >Delete Comment</button> -->
                                    </div>

                                    <div class="timeline-content">
                                    {{$item->comment}}
                                    </div>
                                </div> 
                            @endforeach 
                            </div>
                        @endif
                        </div>
                        <!--end::Item-->
                    </div>
                    <!--end::Body-->
                </div>
                <!--end::List Widget 14-->
            </div>           
        </div>
        <!--end::Row-->
        @if(count($letter_list)>0)
        <!--begin::letter_list-->
        <div class="card card-custom gutter-b">
            <!--begin::Header-->
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label font-weight-bolder text-dark">Your Property Letters</span>
                    <!-- <span class="text-muted mt-3 font-weight-bold font-size-sm">More than 400+ new members</span> -->
                </h3>
                
            </div>
            <!--end::Header-->

            <!--begin::Body-->
            <div class="card-body py-2">
                <!--begin::Table-->
                <div class="table-responsive">
                    <table class="table table-vertical-center">
                        <thead>
                            <tr>
                                <th class="text-center">State</th>
                                <th class="text-center">Send Date</th>
                                <th class="text-center">Letter Template</th>
                                <th class="text-center">Campaign State</th>
                            
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($letter_list as $item)
                            <tr>
                                <td class="text-center">
                                {{ucfirst($item->letter_state)}}
                                </td>
                                <td class="text-center">
                                {{date("d M Y",strtotime($item->last_sent_date))}}
                                </td>
                                <td class="text-center">
                                {{ucfirst($item->letter_name)}}
                                </td>
                                <td class="text-center">
                                {{ucfirst($item->campaign_state)}}
                                </td>                       
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <!--end::Table-->
            </div>
            <!--end::Body-->
        </div>
        <!--end::letter_list-->
        @endif 
    </div>
    <!--end::Content-->
</div>
<!--end::Profile Overview-->

<!-- Add  comment modal  -->
<div class="modal fade" id="commentModal" tabindex="-1" role="dialog" aria-labelledby="commentModal" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <form method="post" novalidate="novalidate" action="{{route('addPropertyComment')}}" class="form" id="addComment" name="addComment">
            {{csrf_field()}}
            <input type="hidden" value="{{$house_number_id}}" name="property" id="property">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Add Comment</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">                    
                    <div class="form-group row">                           
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <textarea class="form-control" name="comment" placeholder="Comment" ></textarea>                            
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" id="addCampaignSubmit" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- comment modal  -->
@endsection

{{-- Styles Section --}}
@section('styles')
<link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
{{-- vendors --}}

{{-- page scripts --}}
<!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
<script src="{{ asset('js/pages/custom/profile/profile.js') }}" type="text/javascript"></script>
<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
<script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places"></script>
<script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAjGSBBTBtn7DTPE4Lu42BwNFewK4AD5DI&callback=initialize&libraries=&v=weekly" defer ></script> 

<script type="text/javascript"> 
    
    var latitude = "<?php echo  $property_details->latitude; ?>";
    var longitude = "<?php echo $property_details->longitude; ?>";

    // var latitude  = '';
    // var longitude  = '';
    var address = "<?php echo $property_details->postcode; ?>";   
  
    function initialize() {
        if (latitude != '' && longitude != '') {
            initLatLng(latitude, longitude);
        } else {
            initPostcode(address + ',UK');
        }                  
    }   

    function initLatLng(latitude,longitude) { 
        console.log(latitude + '---' + longitude);
        var latlng = new google.maps.LatLng(latitude, longitude);

        var map = new google.maps.Map(document.getElementById('map'), {
            center: latlng,
            zoom: 13
        });

        var marker = new google.maps.Marker({
            map: map,
            position: latlng,
            draggable: false,
            anchorPoint: new google.maps.Point(0, -29)
        });

        var infowindow = new google.maps.InfoWindow();
        google.maps.event.addListener(marker, 'click', function() {
            var iwContent = '<div id="iw_container">' +
            '<div class="iw_title"><b>Location</b> : Noida</div></div>';
            // including content to the infowindow
            infowindow.setContent(iwContent);
            // opening the infowindow in the current map and at the current marker location
            infowindow.open(map, marker);
        });
    }

    function initPostcode(address) {    
        console.log(address);     
        var geocoder = new google.maps.Geocoder();

        geocoder.geocode( { 'address': address }, function(results, status) {

        if (status == google.maps.GeocoderStatus.OK) {
            var latitude = results[0].geometry.location.lat();
            var longitude = results[0].geometry.location.lng();
        } else {
            console.log(status);
        }

        var latlng = new google.maps.LatLng(latitude,longitude);
        var map = new google.maps.Map(document.getElementById('map'), {
            center: latlng,
            zoom: 13
        });
        var marker = new google.maps.Marker({
            map: map,
            position: latlng,
            draggable: false,
            anchorPoint: new google.maps.Point(0, -29)
        });
        var infowindow = new google.maps.InfoWindow();
        google.maps.event.addListener(marker, 'click', function() {
            var iwContent = '<div id="iw_container">' +
            '<div class="iw_title"><b>Location</b> : Noida</div></div>';
            // including content to the infowindow
            infowindow.setContent(iwContent);
            // opening the infowindow in the current map and at the current marker location
            infowindow.open(map, marker);
        });
        });
    }
    
    google.maps.event.addDomListener(window, 'load', initialize);   
</script>
    
<script>
    jQuery(document).ready((function() {
        //listing_activity
        $("#listing_activity").DataTable({
            bFilter:false,
            searching:false,
            pagination: true,
            pageLength:5,
            responsive: !0,
            info : false,
            bLengthChange:false,
            order:false,
            //  "order": [[ 1, "desc" ]]
        });

        $("#campaign_history").DataTable({
            bFilter:false,
            searching:false,
            pagination: true,
            pageLength:5,
            responsive: !0,
            info : false,
            bLengthChange:false,
            order:false,
            //  "order": [[ 1, "desc" ]]
        });

        var token = '<?php echo csrf_token() ?>';

        $(document).on('click', '#addcommentBtn', function(e){
            e.preventDefault();
            $('#commentModal').show();
        });
        
        $(document).on('click', '.commentDlt', function(e){ 
            var comment = $(this).attr('data-id');
            $.ajax({                                   
                type: 'POST',                    
                url: host_url + "/delete-comment",
                data:  {
                    "comment": comment,
                    '_token': token,
                },                  
                success: function(result) { 
                    if (result.status=='error') {
                        showMessage('Something went wrong...!', 'error');                   
                    } else {
                        showMessage(result.data, result.status);
                        $("#comment_" + comment).remove();
                    }
                },
                error: function(xhr, status, error, result){
                    console.log(xhr);                    
                    showMessage('Something went wrong...!', 'error');
                }                    
            }); 
        });
    }));
</script>
@endsection
