{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
<!--begin::Profile Overview-->
<div class="d-flex flex-row">
    <!--begin::Aside-->
    <div
        class="flex-row-auto offcanvas-mobile w-300px w-xl-350px"
        id="kt_profile_aside"
    >
   

    <!-- //property -->
    <input class="propertyCheck" checked  style="display:none" type="checkbox" value="" name="property[]">
        <!--begin::Profile Card-->
        <div class="card card-custom card-stretchh">
        <h3 class="card-title align-items-start text-center flex-column pt-5">Property Info</h3>
        <div id="map" style="width: 100%; height: 300px;"></div>  
            <!--begin::Header-->
            <div class="card-header border-0">
                <h2 class="card-title align-items-start flex-column pt-5">
                    <span class="card-label font-weight-bolder text-dark">
                     {{$property_details->address}}, {{$property_details->p_code}}</span>                    
                </h2>    
                <h6 class="text-muted">
                @php
                    $status_ = Helper::propertyHistoryStatus($property_details->id); 
                @endphp
                {{$status_}}
                
                @if($property_details->price>0)
                £{{number_format($property_details->price)}}
                @else 
                    POA
                @endif
                
                </h6>          
            </div>
            <!--end::Header-->
            <!--begin::Body-->
            <div class="card-body pff-4">
                <div class="pyy-9">
                    @if($property_details->title)
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Title of Property :</span>
                        <span class="text-muted">{{ucfirst($property_details->title)}}</span>
                    </div>
                    @endif
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Type of Property :</span>
                        <span class="text-muted">{{ucfirst($property_details->property_type)}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Bedrooms :</span>
                        <span class="text-muted">{{$property_details->bed_rooms}}</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Fallen Through :</span>
                        <span class="text-muted">@if($property_details->fallen_through==1)Yes @else No @endif</span>
                    </div>
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Listed Date :</span>
                        <span class="text-muted">
                        @if($property_details->listed_date)
                            {{date("d M Y",strtotime($property_details->listed_date))}}
                        @else 
                            Hidden from public
                        @endif
                        
                        
                        </span>
                    </div>
                    @if($property_details->last_sold_date)
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Last Sold Date :</span>
                        <span class="text-muted">
                       
                            @if(strlen($property_details->last_sold_date)<=4)
                                {{$property_details->last_sold_date}}
                            @else 
                                {{date("d M Y",strtotime($property_details->last_sold_date))}}
                            @endif
                        </span>
                    </div>
                    @endif
                    
                    @if($property_details->last_sold_price)
                    <div class="d-flex align-items-center justify-content-betweenn mb-2">
                        <span class="font-weight-bold mr-2">Last Sold price :</span>
                        <span class="text-muted">
                        £{{number_format($property_details->last_sold_price)}}
                        </span>
                    </div>
                    @endif
                </div>
               
            </div>
            <!--end::Body-->
        </div>
        <!--end::Profile Card-->
    </div>
    <!--end::Aside-->


    <!--begin::Content-->
    <div class="flex-row-fluid ml-lg-8">
         <!--begin::listing_activity7-->
         <!-- -->
         <div class="card card-custom gutter-b">
            <!--begin::Header-->
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label font-weight-bolder text-dark">Listing Activity</span>                    
                </h3>               
            </div>
            <!--end::Header-->

            <!--begin::Body-->
            <div class="card-body py-2">
                <!--begin::Table-->
                <div class="table-responsive">
                    <table class="table table-vertical-center table-vertical-center"  id="listing_activity_tbl">
                        <thead>
                            <tr>
                                <th  class="text-center">Activity</th>
                                <th  class="text-center">Event Date</th>
                                <th  class="text-center">Portal</th>
                                <th  class="text-center">Agency</th>
                                <th  class="text-center">Price</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($listing_activity)>0) 
                            @foreach($listing_activity as $list)
                                @if(strtolower($list->type)!="last sold")
                            <tr>
                                <td class="text-center">
                                    @if(strtolower($list->type)=="first listed")
                                        For sale                                     
                                    @else
                                        {{$list->type}}
                                    @endif
                               
                                </td>
                                <td class="text-center">
                                    @if($list->event_date)
                                        {{date("d M Y",strtotime($list->event_date))}}
                                    @else 
                                        @if(strlen($list->sold_year)<=4)
                                            {{$list->sold_year}}
                                        @else 
                                            {{date("d M Y",strtotime($list->sold_year))}}
                                        @endif
    
                                    @endif
                                </td>
                                <td class="text-center">
                                    @if($list->portal==1)
                                        Zoopla
                                    @else
                                        Rightmove
                                    @endif
                                </td>
                                <td class="text-center">
                                @php 
                                    $agent_url = Helper::agentUrl($list->agency_id);
                                @endphp
                                    @if($agent_url)
                                        @if($list->portal==1)
                                            @if($agent_url->zoopla_url)
                                                <a href="{{$agent_url->zoopla_url}}" target="agent">{{ucfirst($list->name)}}</a>
                                            @else 
                                                {{ucfirst($list->name)}}
                                            @endif
                                        @else 
                                            @if($agent_url->rightmove_url)
                                                <a href="{{$agent_url->rightmove_url}}" target="agent">{{ucfirst($list->name)}}</a>
                                            @else 
                                                {{ucfirst($list->name)}}
                                            @endif
                                        @endif
                                    @else 
                                        {{ucfirst($list->name)}}
                                    @endif
                                </td>                               
                                <td class="text-center">
                                £{{number_format($list->price)}}
                                </td>                               
                            </tr>
                                @endif
                            @endforeach  
                        @endif
                        </tbody>
                        
                    </table>
                </div>
                <!--end::Table-->
            </div>
            <!--end::Body-->
        </div>
        
        @if(count($letter_list)>0)
        <!--begin::letter_list-->
        <div class="card card-custom gutter-b">
            <!--begin::Header-->
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label font-weight-bolder text-dark">Your Property Letters</span>
                    <!-- <span class="text-muted mt-3 font-weight-bold font-size-sm">More than 400+ new members</span> -->
                </h3>
                
            </div>
            <!--end::Header-->

            <!--begin::Body-->
            <div class="card-body py-2">
                <!--begin::Table-->
                <div class="table-responsive">
                    <table class="table table-vertical-center">
                        <thead>
                            <tr>
                                <th class="text-center">State</th>
                                <th class="text-center">Send Date</th>
                                <th class="text-center">Letter Template</th>
                                <th class="text-center">Campaign State</th>
                               
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($letter_list as $item)
                            <tr>
                                <td class="text-center">
                                {{ucfirst($item->letter_state)}}
                                </td>
                                <td class="text-center">
                                {{date("d M Y",strtotime($item->last_sent_date))}}
                                </td>
                                <td class="text-center">
                                {{ucfirst($item->letter_name)}}
                                </td>
                                <td class="text-center">
                                {{ucfirst($item->campaign_state)}}
                                </td>                       
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <!--end::Table-->
            </div>
            <!--end::Body-->
        </div>
        <!--end::letter_list-->
        @endif 
    </div>
    <!--end::Content-->
</div>
<!--end::Profile Overview-->

<!-- <input type="text" id="address" value="SL1 3GG"> -->
@endsection

{{-- Styles Section --}}
@section('styles')
<link
    href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"
/>
<link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
{{-- vendors --}}

{{-- page scripts --}}
<!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
<script
    src="{{ asset('js/app.js') }}"
    type="text/javascript"
></script>
<script  src="{{ asset('js/pages/custom/profile/profile.js') }}" type="text/javascript"></script>
<script  src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
<script  src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script>
<script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>


    <script  src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAjGSBBTBtn7DTPE4Lu42BwNFewK4AD5DI&callback=initialize&libraries=&v=weekly"
      defer
    ></script>  
  


    <script type="text/javascript"> 
    
   
    var latitude = "<?php echo  $property_details->latitude; ?>";
    var longitude = "<?php echo $property_details->longitude; ?>";
    var address = "<?php echo $property_details->p_code; ?>";   
    
    // var latitude  = '';
    // var longitude  = '';

    function initialize() {
        if(latitude!='' && longitude!=''){
            initLatLng(latitude,longitude);
        }else{
            initPostcode(address+',UK');
        }                  
    }   

    function initLatLng(latitude,longitude) { 
        console.log(latitude+'---'+longitude);
        var latlng = new google.maps.LatLng(latitude,longitude);
        var map = new google.maps.Map(document.getElementById('map'), {
            center: latlng,
            zoom: 13
        });
        var marker = new google.maps.Marker({
            map: map,
            position: latlng,
            draggable: false,
            anchorPoint: new google.maps.Point(0, -29)
        });
        var infowindow = new google.maps.InfoWindow();
        google.maps.event.addListener(marker, 'click', function() {
            var iwContent = '<div id="iw_container">' +
            '<div class="iw_title"><b>Location</b> : Noida</div></div>';
            // including content to the infowindow
            infowindow.setContent(iwContent);
            // opening the infowindow in the current map and at the current marker location
            infowindow.open(map, marker);
        });


    }

    function initPostcode(address) {    
        console.log(address);     
        var geocoder = new google.maps.Geocoder();

        geocoder.geocode( { 'address': address}, function(results, status) {

        if (status == google.maps.GeocoderStatus.OK) {
            var latitude = results[0].geometry.location.lat();
            var longitude = results[0].geometry.location.lng();
        }else{
            console.log(status);
        }

        var latlng = new google.maps.LatLng(latitude,longitude);
        var map = new google.maps.Map(document.getElementById('map'), {
            center: latlng,
            zoom: 13
        });
        var marker = new google.maps.Marker({
            map: map,
            position: latlng,
            draggable: false,
            anchorPoint: new google.maps.Point(0, -29)
        });
        var infowindow = new google.maps.InfoWindow();
        google.maps.event.addListener(marker, 'click', function() {
            var iwContent = '<div id="iw_container">' +
            '<div class="iw_title"><b>Location</b> : Noida</div></div>';
            // including content to the infowindow
            infowindow.setContent(iwContent);
            // opening the infowindow in the current map and at the current marker location
            infowindow.open(map, marker);
        });
        });
    }
    
    google.maps.event.addDomListener(window, 'load', initialize);     
            
        
        
    </script>
    
    <script>
   
    $(document).ready(function() { 

        // listing_activity
        $("#listing_activity_tbl").DataTable({
            bFilter:false,
            searching:false,
            pagination: true,
            pageLength:5,
            responsive: !0,
            info : false,
            bLengthChange:false,
            order:false,
            //  "order": [[ 1, "desc" ]]
        });
        
    })

    var token = '<?php echo csrf_token() ?>';
    $(document).on('click', '#addcommentBtn', function(e){
        e.preventDefault();
        $('#commentModal').show();
    });

    $(document).on('click', '.commentDlt', function(e){ 
        var comment = $(this).attr('data-id');
        $.ajax({                                   
            type: 'POST',                    
            url: host_url+"/delete-comment",
            data:  {
                "comment":comment,
                '_token': token,
            },                  
            success: function(result) { 
                if(result.status=='error'){
                    showMessage('Something went wrong...!','error');                   
                }else{
                    showMessage(result.data,result.status);
                    $("#comment_"+comment).remove();
                }
            },error:function(xhr, status, error,result){
                console.log(xhr);                    
                showMessage('Something went wrong...!','error');
            }                    
        }); 
    });
   

</script>
@endsection
