{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')
 

    <div class="card card-custom">
    <div class="card-body">



<table class="table table-bordered table-hover display" id="propertyDatatable"  style="width:100%">
    <thead>
    <tr>     
        
        <th class="mw-110"></th>
        <th width="">Address</th>
        <th class="mw-90">Price</th>
        <th>List Date</th>
        <th>Estate Agents</th>
        <th>Type</th>
        <th class="mw-110">Platform</th>
       
    </tr>
    </thead>
    <tbody>
    
    </tbody>
</table>
</div>
    </div>
  <!-- Filter modal start  --> 
    <div class="modal fade" id="propertyFilterModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalSizeLg" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Filters</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="ki ki-close"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="card-body">
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <label>Post code:</label>
                                 
                                    <select name="postcode" id="filter_postcode_property" class="form-control"  >
                                            <option value="0">Full Post Code</option>
                                            @foreach($post_code as $code)
                                            <option value="{{$code->id}}">{{$code->postcode}}</option>
                                            @endforeach
                                    </select>
                                </div>
                                <div class="col-lg-6">
                                    <label>Type:</label>
                                    <select name="property_type" id="filter_property_type_property" class="form-control"  >
                                        <option value="0">Type</option>
                                        @foreach($property as $code)
                                       
                                        <option value="{{$code->property_type}}">{{ucfirst($code->property_type)}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div> 
                            <div class="form-group row">
                                
                                <div class="col-lg-6">
                                    <label>Platform:</label>
                                 
                                    <select name="flag" id="filter_platform" class="form-control" >
                                            <option value="-1">Select Platform</option>
                                            <option value="0">Rightmove</option>
                                            <option value="1">Zoopla</option>
                                        </select>
                                </div>
                               
                            </div>
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <label>Date from:</label>
                                 
                                    <input class="form-control date_from" type="text" placeholder='Date From' name='date_from' value=''>
                                </div>
                                <div class="col-lg-6">
                                    <label>Date to:</label>
                                 
                                    <input class="form-control date_to" type="text" placeholder='Date To' name='date_to' value=''>
                                </div>
                               
                            </div>
                          
                        </div>
                    </form>
                       
                </div>      
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary font-weight-bold filterPropertyWithoutAddress">Apply Filter</button>
                        <button type="button" class="btn btn-primary font-weight-bold" id="clear_filter">Clear</button>
                    </div>
                </div>
        </div>
    </div>
 <!-- Filter modal end  -->   
    
@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/bootstrap-datepicker.css')}}">
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
	<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script src="{{ asset('js/pages/crud/forms/widgets/bootstrap-datepicker.js')}}"></script>
    <script type="text/javascript">
       
    $( document ).ready(function() {
        $('.w1').addClass('active');

         $('.date_from').datepicker({
            format: 'dd-mm-yyyy',
            todayHighlight:true,
         });
          $('.date_to').datepicker({
            format: 'dd-mm-yyyy',
            todayHighlight:true,
         });

         

     });
  
    </script>
    <script>
        // jQuery(document).ready((function () {
            var data_url = '<?php echo route('propertyWithoutPostcodeArray')?>';
            var token = '<?php echo csrf_token() ?>';
        // }))

       

    

    // function propertyWithoutPostcodeArray (data_url, token ,filename,postcode,property_type,flag,agency,platform,date_from,date_to,outcode) { 
    function propertyWithoutPostcodeArray (data_url, token,outcode) {  
  
        table = $("#propertyDatatable").DataTable({
            bSearchable:true,
            bFilter:true,
            // buttons: [
            //     { 
            //         extend: 'csv',
            //         exportOptions: {
            //             columns: [ 1, 2, 3 , 4, 5,6,7,8 ]
            //         },
            //         filename: filename,
            //     }
            // ],
            pagination: true,
            pageLength:25,
            lengthMenu :[[25, 10, 50, 100], [25, 10, 50, 100]],
            responsive: !0,
            searchDelay: 500,
            processing: !0,
            serverSide: !0,
            ajax: {
                url: data_url,
                type: "POST",
                data: { 
                    // post_code : postcode,
                    // type : property_type,
                    // flag : flag,
                    // agency : agency,
                    // platform : platform,
                    // date_from : date_from,
                    // date_to : date_to,
                    outcode:outcode,
                    // "search" : $("#kt_datatable_search_query").val(),
                    columnsDef:  ['outcode', 'address','price', 'listed_date','agency','type','url'],
                    _token:token,							
                },
                "error": function(data) {
                    console.log(data);
                },
            },
            
            
            columns: [
            
            //   {data: 'id'},
            {data: 'outcode'},
            {data: 'address'},
            {data: 'price'},
            {data: 'listed_date'},
            {data: 'agency'},
            {data: 'type'},
            {data: 'url'},					
            ],
            language: { search: 'Search' },
            "order": [[ 3, "desc" ]], 
            //   columnDefs: [,{
            //       targets: 0,
            //       //searchable:false,
            //       orderable:false,
                
            //   },
                
            // ],
            
            initComplete: function (settings, json) { 
                console.log(json); 
                $('.total_results').html('Number of properties : ' + json.recordsFiltered);
                

                this.api().column(0).every( function () {
                    var column = this;
                    var select = $('<select id="outcodeFil" class=" form-control"><option value="">Postcode</option></select>')
                        .appendTo( $(column.header()).empty() )
                        
                    $.each( json.outcode, function( key, value ) {
                        if(outcode==value){
                            var selected = "selected";
                        }else{
                            var selected = "";
                        }
                            select.append( '<option '+selected+'  value="'+value+'">'+value+'</option>' )
                    });                
                });
                
            },
            "infoCallback": function( settings, start, end, max, total, pre ) {
                // console.log(settings, start, end, max, total, pre);
                $('.total_results').html('Number of properties : ' + total);
                return pre;
                }
        })
    }

        var url = '<?php echo route('propertyWithoutPostcodeArray')?>';
        var token = '<?php echo csrf_token() ?>';
        var postcode = 0;
        var outcode = '';
        var date_from = '';
        var date_to = '';
        var platform = -1;
        var property_type = 0;

    jQuery(document).ready(function () {
        
        
        // propertyWithoutPostcodeArray(url, token,postcode,platform,date_from,date_to,property_type,outcode);
        propertyWithoutPostcodeArray(url, token,outcode);

    });

    // $('.filterPropertyWithoutAddress').on('click', function(e) {
    //     var outcode = $("#outcodeFil").val();

    //     var post_code = $('#filter_postcode_property').val(); 
    //     var platform = $('#filter_platform').val();
    //     var date_from = $('.date_from').val();
    //     var date_to = $('.date_to').val();
    //     var type = $('#filter_property_type_property').val();
    //     var token =  '<?php echo csrf_token() ?>';
    //     var url = '<?php echo route('propertyWithoutPostcodeArray')?>'; 
        
    //     if(( post_code != 'undefined' && post_code != 0) || platform != '' || date_from !='' || date_to != '' || typeof type != 'undefined'){
    //         $('#propertyDatatable').DataTable().clear();

    //          $('#propertyDatatable').DataTable().destroy(); 
    //          propertyWithoutPostcodeArray(url, token, post_code,platform,date_from,date_to,type);
    //          $("#propertyFilterModal").modal('hide');
    //     }
     
    // }) 


        //clear filter 
        // $('#clear_filter').on('click', function(e) {
        //     $('#propertyDatatable').DataTable().clear();
        //     $('#propertyDatatable').DataTable().destroy();
        //     var postcode = 0;
        //     var date_from = '';
        //     var date_to = '';
        //     var platform = -1;
        //     var property_type = 0;
        //     var outcode = $("#outcodeFil").val();

        //     $('#filter_postcode_property').val(0);
        //     $('#filter_property_type_property').val(0);
        //     $('#filter_platform').val('-1');
        //     $('.date_from').val('');
        //     $('.date_to').val('');

        //     propertyWithoutPostcodeArray(url, token,postcode,platform,date_from,date_to,property_type,outcode);
        //     $("#propertyFilterModal").modal('hide');
        // });

        $(document).on('change','#outcodeFil',function(){
            var post_code = $('#filter_postcode_property').val();
            var type = $('#filter_property_type_property').val();
            var flag = $('#filter_flag').val();
            var agency = $('#filter_agent').val();
            var platform = $('#filter_platform').val();
            var date_from = $('.date_from').val();
            var date_to = $('.date_to').val(); 
            var outcode = $(this).val();
            $('#propertyDatatable').DataTable().clear().draw();

            $('#propertyDatatable').DataTable().destroy();
            // propertyWithoutPostcodeArray(url, token,postcode,platform,date_from,date_to,property_type,outcode);
            propertyWithoutPostcodeArray(url, token,outcode);

        });
    </script>


@endsection
