{{-- Extends layout --}}
@extends('layout.default')

{{-- Content --}}
@section('content')

    <div class="card card-custom">
   

        <div class="card-body">

            <!--begin::Search Form-->
            <div class="mt-2 mb-5 mt-lg-5 mb-lg-10">
                <div class="row align-items-center">
                    <div class="col-lg-12 col-xl-12">
                        <div class="row align-items-center">
                            <div class="col-md-4 my-2 my-md-0">
                                <div class="d-flex align-items-center ">
                                    <div class="mr-1">
                                        <select name="flag" id="flag" class="form-control" >
                                        <option value="0">Select Status</option>
                                            <option value="1">Contacted</option>
                                            <option value="2">Do Not Contact</option>
                                            <option value="3">Letter Sent</option>
                                        </select>
                                    </div>
                                
                                    <div class="ml-2">
                                        <button type="submit" data-btn="Update Status" id="updateFlag" class="btn btn-primary px-6 font-weight-bold btn_click">
                                        Update Status </button>
                                    </div> 
                                </div>
                            </div>
                            <div class="col-md-3 my-2 my-md-0"></div>

                            <div class="col-md-5 my-2 my-md-0 propertCheck">
                                <div class="d-flex align-items-center ">
                                    <div class="btn-group mr-1">
                                        <button class="btn btn-danger add_to_campaign font-weight-bold btn-md btn_click" type="button" data-btn="Add to Campaign" id="addCampaign" >
                                            Add to Campaign
                                        </button>                                  
                                    </div>

                                    <div class="dropdown dropdown-inline mr-2 ml-10">
                                        <button type="button" class="btn btn-light-primary font-weight-bolder " data-mode="withdrawn" id="Export as CSVToCsv">
                                        <span class="svg-icon svg-icon-md">
                                            <!--begin::Svg Icon | path:assets/media/svg/icons/Design/PenAndRuller.svg-->
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                    <rect x="0" y="0" width="24" height="24"/>
                                                    <path d="M3,16 L5,16 C5.55228475,16 6,15.5522847 6,15 C6,14.4477153 5.55228475,14 5,14 L3,14 L3,12 L5,12 C5.55228475,12 6,11.5522847 6,11 C6,10.4477153 5.55228475,10 5,10 L3,10 L3,8 L5,8 C5.55228475,8 6,7.55228475 6,7 C6,6.44771525 5.55228475,6 5,6 L3,6 L3,4 C3,3.44771525 3.44771525,3 4,3 L10,3 C10.5522847,3 11,3.44771525 11,4 L11,19 C11,19.5522847 10.5522847,20 10,20 L4,20 C3.44771525,20 3,19.5522847 3,19 L3,16 Z" fill="#000000" opacity="0.3"/>
                                                    <path d="M16,3 L19,3 C20.1045695,3 21,3.8954305 21,5 L21,15.2485298 C21,15.7329761 20.8241635,16.200956 20.5051534,16.565539 L17.8762883,19.5699562 C17.6944473,19.7777745 17.378566,19.7988332 17.1707477,19.6169922 C17.1540423,19.602375 17.1383289,19.5866616 17.1237117,19.5699562 L14.4948466,16.565539 C14.1758365,16.200956 14,15.7329761 14,15.2485298 L14,5 C14,3.8954305 14.8954305,3 16,3 Z" fill="#000000"/>
                                                </g>
                                            </svg>
                                            <!--end::Svg Icon-->
                                        </span>Export as CSV
                                        </button>
                                        <!--begin::Dropdown Menu-->
                                        
                                        <!--end::Dropdown Menu-->
                                    </div>
                                </div>
                               
                            </div>

                        </div>
                    </div>                   
                </div>
            </div>
            <!--end::Search Form-->

            <table class="table table-bordered table-hover" id="propertyDatatable">
                <thead>
                    <tr>
                        <th>Select All
                            <label class="checkbox checkbox-outline checkbox-outline-2x checkbox-primary">
                            <input type="checkbox" id="select_all" name="select_all">
                            <span></span>                                    
                            </label>
                        </th>
                        <th class="mw-110"></th>
                        <th width="20%">Address</th>
                        <th class="mw-90">Price</th>
                        <th>List Date</th>
                        <th>Estate Agents</th>
                        <th>Type</th>
                        <th class="mw-110">Platform</th>
                        <th class="mw-120">Status</th>                    
                    </tr>
                </thead>
                <tbody>
                
                </tbody>
            </table>
        </div>
    </div>

    
@endsection

{{-- Styles Section --}}
@section('styles')
    <link href="{{ asset('plugins/custom/datatables/datatables.bundle.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{asset('css/pages/style.css')}}">
@endsection


{{-- Scripts Section --}}
@section('scripts')
    {{-- vendors --}}
    <script src="{{ asset('plugins/custom/datatables/datatables.bundle.js') }}" type="text/javascript"></script>

    {{-- page scripts --}}
    <!-- <script src="{{ asset('js/pages/crud/datatables/basic/basic.js') }}" type="text/javascript"></script> -->
	<script src="{{ asset('js/app.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/developer/property.js') }}" type="text/javascript"></script>
	<!-- <script src="{{ asset('js/developer/formValidation.js') }}" type="text/javascript"></script> -->
    <script>
        jQuery(document).ready((function () {
            var url = '<?php echo route('searchPropertyArray')?>';
            var token = '<?php echo csrf_token() ?>';
           
            propertyTable(url, token, 'AllProperties');
        }))

  

    </script>
@endsection
