<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::group(['prefix' => 'user'], function () {
    Route::post('/import/property', 'ApiPropertyController@importProperty');
    Route::post('/update/withdrawn/property', 'ApiPropertyUpdateController@updateProperty');
    Route::post('/probate/property', 'ApiProbateController@probateProperty');
    Route::post('upload/probate/property', 'ApiProbateController@uploadProbateProperty');
    Route::post('/update/withdrawn', 'ApiWithdrawnController@updateWithdrawn');
    Route::post('/import/outcode', 'ApiPropertyController@importOutcode');
    Route::post('/agent/postcode', 'ApiPropertyController@postcode');
    Route::post('/update/agent/property', 'ApiPropertyController@updateAgentProperty');
    Route::post('/update/houseno/agency', 'ApiPropertyController@updateHouseNo');
    Route::post('/link', 'PropertyUpdateController@link');
    Route::post('/outcode', 'Api\OutCodeController@outcode');
  
});

Route::namespace('Api')->prefix('agent')->group(function () {
    Route::post('create', 'AgentController@saveAgent');
    Route::get('login', 'AgentController@login');
    Route::get('outcode', 'AgentController@getOutcode');
    Route::get('getdata/{token}', 'AgentController@getData');
    Route::post('update/{token}', 'AgentController@update');
});

Route::namespace('Api')->prefix('property')->group(function () {
    Route::post('type-add', 'typeAddController@addType');

    Route::get('remove-duplicates', 'RemovePropertyDuplicationController@removeDuplicates');


    Route::post('change-agent-url', 'typeAddController@changeAgentUrl');
    Route::get('house-number', 'HouseNumberController@getHouseNumbers');
    Route::get('house-number-by-outcode', 'HouseNumberController@getHouseNumbersByOutcode');
    Route::post('house-number', 'HouseNumberController@addHouseNumbers');
    Route::post('/csv', 'CsvController@csv');
   
});
