<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS, PUT, DELETE');
header('Access-Control-Allow-Headers: Content-Type, X-Auth-Token, Origin, Authorization');

Route::get("/checking", function() {
  return view("frontend.test");
});

// Demo routes
Route::get('/datatables', 'PagesController@datatables');
Route::get('/ktdatatables', 'PagesController@ktDatatables');
Route::get('/select2', 'PagesController@select2');
Route::get('/icons/custom-icons', 'PagesController@customIcons');
Route::get('/icons/flaticon', 'PagesController@flaticon');
Route::get('/icons/fontawesome', 'PagesController@fontawesome');
Route::get('/icons/lineawesome', 'PagesController@lineawesome');
Route::get('/icons/socicons', 'PagesController@socicons');
Route::get('/icons/svg', 'PagesController@svg');

// Test Routes
Route::get('/test', 'TestController@index');

// Quick search dummy route to display html elements in search dropdown (header search)
Route::get('/quick-search', 'PagesController@quickSearch')->name('quick-search');

//sandeep added - 19 may 2021
Route::get('/', 'Frontend\HomeController@home')->name('home');
Route::post('register-user', 'Frontend\HomeController@create')->name('user.register');
Route::get('/user-login', 'LoginController@index')->name('userIndex');
Route::get('/user-register', 'LoginController@register')->name('userRegister');
Route::post('/user-register', 'LoginController@saveRegister')->name('saveRegister');
Route::get('/about-us', 'Frontend\HomeController@aboutus');
Route::get('/how-it-works', 'Frontend\HomeController@howitworks');
Route::get('/pricing', 'Frontend\HomeController@pricing');
Route::get('/contact', 'Frontend\HomeController@contact');
Route::post('/contact', 'Frontend\HomeController@contactPost');
Route::get('email-test', function(){
  
    $details['email'] = 'sandeepdesigndirect@gmail.com';
  
    dispatch(new App\Jobs\SendEmailJob($details));
  
    dd('done');
});

// Susmi

//Route::get('/', 'LoginController@index')->name('userIndex');
Route::get('/login', 'LoginController@login')->name('userLogin');
Route::post('/login', 'LoginController@loginPost')->name('userLoginPost');
Route::get('/sign-up', 'LoginController@login')->name('userSignUp');
Route::post('/sign-up', 'LoginController@signupPost')->name('userSignUpPost');
Route::post('/forgot-password', 'LoginController@forgotPassword')->name('forgotPassword');
Route::post('/save-new-password', 'LoginController@saveNewPassword')->name('saveNewPassword');

Route::group(['middleware' => ['UserAuth']], function () {
    // Route::get('/dashboard', 'PagesController@index')->name('userHome');
    Route::get('/log-out', 'LoginController@logout')->name('userLogout');
});
Route::group(['middleware' => ['AgentAuth']], function () {
    //property
    Route::get('/dashboard', 'PagesController@index')->name('userHome');
    Route::get('/get-probate-data', 'PropertyController@getProbateData')->name('probateData');   
    Route::get('/get-probate-popupdata', 'PropertyController@getProbatePopupData')->name('getProbatePopupData');
    Route::get('/get-epc-details', 'PropertyController@getEpcDetails')->name('getEpcDetails');
    Route::get('/get-school-list', 'PropertyController@getSchoolList')->name('getSchoolList');
    Route::get('/school-coord-update', 'PropertyController@schoolCoordUpdate')->name('schoolCoordUpdate');
    // Route::get('/get-photos', 'PropertyController@getPhotos')->name('getPhotos');
    Route::get('/floor-plan', 'PropertyController@getFloorPlan')->name('getFloorPlan');
    Route::get('/planning', 'PropertyController@getPlanning')->name('getPlanning');
    Route::get('/soldinstreet', 'PropertyController@getSoldInStreet')->name('getSoldInStreet');
    Route::get('/marketdata', 'PropertyController@getMarketData')->name('getMarketData');
    Route::get('/ofcom', 'PropertyController@getOfcom')->name('getOfcom');
    Route::get('/import-ofstead', 'PropertyController@importOfstead')->name('importOfstead');

    Route::get('/test-gazette', 'TestController@gazetteTest')->name('gazetteTest');
    Route::get('/test-land', 'TestController@landRegTest')->name('landregtest');
    Route::get('/test-planning', 'TestController@planningTest')->name('plantest');


    Route::get('/get-probate-tooltipdata', 'PropertyController@getProbateTooltipData')->name('getProbateTooltipData');
    Route::get('/get-school-tooltipdata', 'PropertyController@getSchoolTooltipData')->name('getSchoolTooltipData');
    Route::get('/get-school-fulldetails', 'PropertyController@getSchoolFullDetails')->name('getSchoolFullDetails');
    Route::get('/get-nearest-school', 'PropertyController@getNearestSchool')->name('getNearestSchool');
    Route::get('/documents', 'PropertyController@documents')->name('documents');
    Route::get('/nearest-school-list', 'PropertyController@nearestSchoolList')->name('nearestSchoolList');
    
    Route::get('/test-dashboard', 'PagesController@testdashboard')->name('testDashboard');
    Route::get('/all-property', 'PropertyController@allProperty')->name('allProperty');
    Route::post('/all-property', 'PropertyController@allPropertyArray')->name('allPropertyArray');
    Route::get('/dashboard', 'PagesController@index')->name('userHome');
    Route::get('/property-detail', 'PropertyController@propertyDetail')->name('propertyDetail');


    Route::get('/all-probate-property', 'ProbatePropertyController@allProbateProperty')->name('allProbateProperty');
    Route::get('/get-probate-property-data', 'ProbatePropertyController@getProbatePropertyData')->name('getProbatePropertyData');
    Route::post('/all-probate-property', 'ProbatePropertyController@allProbatePropertyArray')->name('allProbatePropertyArray');
    Route::get('/probate-property-details/{property_id}', 'ProbatePropertyController@probatePropertyDetails')->name('probatePropertyDetails');

    Route::post('/all-property-dashboard', 'PagesController@allPropertyArray')->name('allPropertyArrayDashboard');

    Route::post('/all-probate-dashboard', 'PagesController@allDashboardProbateArray')->name('allProbateArrayDashboard');

    Route::get('/property/list/{tab}', 'PropertyController@propertyTrigger')->name('propertyTrigger');

    Route::get('/all-type-property', 'PropertyController@allTypeProperty')->name('allTypeProperty');

    Route::post('/all-type-property', 'PropertyController@allTypePropertyArray')->name('allTypePropertyArray');

    Route::post('/property-flag-change', 'PropertyController@flagChange')->name('flagChange');
    Route::post('/probate-status-change', 'ProbatePropertyController@statusChange')->name('statusChange');

    Route::get('/property-details/{property_id}', 'PropertyController@propertyDetails')->name('propertyDetails');
    Route::post('/delete-comment', 'PropertyController@deletePropertyComment')->name('deletePropertyComment');

    Route::post('/add-comment', 'PropertyController@addPropertyComment')->name('addPropertyComment');
    Route::post('/add-comment', 'PropertyController@addPropertyComment')->name('addPropertyComment');
    Route::post('/add-probate-comment', 'ProbatePropertyController@addProbatePropertyComment')->name('addProbatePropertyComment');
    Route::post('/probate-delete-comment', 'ProbatePropertyController@deleteProbatePropertyComment')->name('deleteProbatePropertyComment');
    //search
    Route::get('/search', 'PropertyController@searchProperty')->name('searchProperty');
    Route::post('/search', 'PropertyController@searchPropertyArray')->name('searchPropertyArray');
    // new to market
    Route::get('/new-to-market', 'PropertyController@newToMarket')->name('newToMarket');
    Route::post('/new-to-market', 'PropertyController@newToMarketArray')->name('newToMarketArray');
    // new to market
    Route::get('/withdrawn', 'PropertyController@withdrawn')->name('withdrawn');
    Route::post('/withdrawn', 'PropertyController@withdrawnArray')->name('withdrawnArray');

    // recently sold
    Route::get('/recently-sold', 'PropertyController@recentlySold')->name('recentlySold');
    Route::post('/recently-sold', 'PropertyController@recentlySoldArray')->name('recentlySoldArray');

    // Price drop
    Route::get('/price-drop', 'PropertyController@priceDrop')->name('priceDrop');
    Route::post('/price-drop', 'PropertyController@priceDropArray')->name('priceDropArray');

    // Hotlist
    Route::get('/hotlist', 'PropertyController@hotList')->name('hotList');
    Route::post('/hotlist', 'PropertyController@hotListArray')->name('hotListArray');

    //campaign
    Route::post('/add-property-campaign', 'CampaignController@addToCampaignProperty')->name('addToCampaignProperty');

    //campaign
    Route::post('/add-probate-campaign', 'ProbatePropertyController@addToCampaignProbateProperty')->name('addToCampaignProbateProperty');
    Route::get('/remove-probate-campaign/{id}', 'ProbateCampaignController@removeCampaignId')->name('probateremoveCampaignId');
    Route::post('/remove-campaign-probate', 'ProbateCampaignController@removeCampaign')->name('removeprobateCampaign');
    //export property data
    Route::post('/property-data-export', 'PropertyController@exportPropertyData')->name('exportPropertyData');

    // Subscription
    Route::get('/my-subscription', 'AgentController@editSubscription')->name('editSubscription');
    Route::post('/my-subscription', 'AgentController@updateSubscription')->name('updateSubscription');
    Route::get('/outcode-details', 'AgentController@outcodeDetails')->name('outcodeDetails');

    Route::get('/outcode-summary', 'PagesController@outcodeSummary')->name('outcodeSummary');
    Route::get('/my-wallet', 'AgentController@paymentPage')->name('paymentPage');
    Route::get('my-wallet/data', 'PaymentController@fetchPaymentData')->name('fetchpaymentdata');
    Route::get('/my-wallet/data/fetch-invoice/{transaction_id}', 'PaymentController@fetchPaymentInvoice');
});
//data entry operator
Route::group(['middleware' => ['DataEntryAuth']], function () {
    Route::namespace('DataOperator')->prefix('data-operator')->group(function () {
        Route::get('/property', 'PropertyController@getProperty')->name('DEOproperty');
        Route::post('/property', 'PropertyController@propertyArray')->name('DEOpropertyArray');

        Route::get('/find-house-number', 'PropertyController@propertyDetails')->name('DEOpropertyDetails');

        Route::post('/move-archive', 'PropertyController@moveArchive')->name('DEOmoveArchive');
        Route::get('/archive-property', 'PropertyController@getArchiveProperty')->name('DEOproperty');
        Route::post('/archive-property', 'PropertyController@archiveArray')->name('DEOArchiveArray');

        Route::get('/verify-property', 'PropertyController@verifyProperty')->name('DEOVerifyProperty');
        Route::post('/verify-property', 'PropertyController@verifyPropertyArray')->name('DEOVerifyPropertyArray');

        Route::get('/unconfirm-property', 'PropertyController@unconfirmProperty')->name('DEOUnConfirmProperty');
        Route::post('/unconfirm-property', 'PropertyController@unconfirmPropertyArray')->name('DEOUnConfirmPropertyArray');
        Route::post('/unconfirm-confirm-property', 'PropertyController@unConfirm_confirmProperty')->name('DEOUnConfirmtoConfirmProperty');
        Route::get('/unconfirm-property-details/{property_id}', 'PropertyController@unconfirmPropertyDetails')->name('DEOunconfirmPropertyDetails');

        Route::post('/wrong-property', 'PropertyController@wrongProperty')->name('DEOwrongProperty');

        Route::post('/not-found-property', 'PropertyController@notFoundProperty')->name('DEONotFoundProperty');

        Route::get('/submitted-property', 'PropertyController@submittedProperty')->name('DEOSubmittedProperty');
        Route::post('/submitted-property', 'PropertyController@submittedPropertyArray')->name('DEOSubmittedPropertyArray');

        Route::get('/verify-property-details/{property_id}', 'PropertyController@verifyPropertyDetails')->name('DEOpropertyDetails');

        Route::post('/confirm-property', 'PropertyController@confirmProperty')->name('DEOConfirmProperty');

        Route::post('/edit-property', 'PropertyController@editProperty')->name('DEOEditProperty');

        Route::get('/add-property', 'PropertyController@addProperty')->name('DEOAddProperty');
        Route::post('/add-property', 'PropertyController@addPropertyArray')->name('DEOAddPropertyArray');

        Route::get('/without-postcode', 'PropertyController@deoPropertyWithoutPostcode')->name('deoPropertyWithoutPostcode');
        Route::post('/without-postcode', 'PropertyController@deoPropertyWithoutPostcodeArray')->name('deoPropertyWithoutPostcodeArray');

        Route::get('/without-agent', 'PropertyController@deoPropertyWithoutAgent')->name('deoPropertyWithoutAgent');
        Route::post('/without-agent', 'PropertyController@deoPropertyWithoutAgentArray')->name('deoPropertyWithoutAgentArray');

        Route::post('/deo-postcode', 'PropertyController@deoAddPostcode')->name('DEOAddpostcode');
        Route::post('/get-agent', 'PropertyController@getAgent')->name('DEOGetAgent');
        Route::post('/add-property-agent', 'PropertyController@addPropertyAgent')->name('addPropertyAgent');
        Route::post('/exist-property-agent', 'PropertyController@propertyAgentExist')->name('propertyAgentExist');

        Route::get('/property-manual-entry', 'ManualEntryController@propertyManualEntry')->name('propertyManualEntry');
    });
});

// Susmi

//Common
Route::group(['middleware' => ['UserAuth']], function () {
    Route::get('/profile-edit', 'UserController@profile')->name('profile');
    Route::post('/update', 'UserController@update')->name('updateProfile');
    Route::get('/change-password', 'UserController@changePassword')->name('changePassword');
    Route::post('/change-password', 'UserController@changePasswordPost')->name('changePasswordPost');
    // Route::post('/valid-old-password-check', 'UserController@changePasswordValidate')->name('checkoldPassword');
    // Route::post('/forgot-password', 'UserController@forgotPassword')->name('forgotPassword');
    Route::get('/new-password', 'UserController@newPassword')->name('newPassword');
});

//Agent
Route::group(['middleware' => ['AgentAuth']], function () {
    Route::get('/edit-address', 'ReturnAddressController@editAddress')->name('editAddress');
    Route::post('/update-address', 'ReturnAddressController@updateAddress')->name('updateAddress');

    Route::get('/my-campaign', 'CampaignController@allCampaign')->name('allCampaign');
    Route::post('/my-campaign', 'CampaignController@allCampaignArray');
    Route::post('campaigns/generate', 'CampaignController@createCampaign');
    Route::post('campaigns/print', 'CampaignController@printCampaign');
    Route::post('campaigns/edit-address', 'CampaignController@campaignEditAddress');
    Route::post('campaigns/edit-address-save', 'CampaignController@campaignEditAddressSave');
    Route::post('campaigns/contact', 'CampaignController@contactCampaign');
    Route::post('probate-campaigns/contact', 'ProbateCampaignController@contactCampaign');
    Route::get('campaigns/print/{id}/{type}', 'CampaignController@printLetter');

    Route::get('/get-probate-campaign-data', 'ProbateCampaignController@getProbateCampaignData')->name('getProbatePropertyData');
    Route::get('/probate-campaign', 'ProbateCampaignController@allCampaign')->name('allCampaign');
    Route::post('/probate-campaign', 'ProbateCampaignController@allCampaignArray');
    Route::post('probate-campaign/print', 'ProbateCampaignController@printCampaign');
    Route::post('probate-campaigns/edit-address', 'ProbateCampaignController@campaignEditAddress');
    Route::post('probate-campaigns/edit-address-save', 'ProbateCampaignController@campaignEditAddressSave');
    Route::get('probate-campaign/print/{id}/{type}', 'ProbateCampaignController@printLetter');
    Route::post('/remove-probate-campaign/', 'ProbateCampaignController@removeCampaignId')->name('probateremoveCampaignId');
    //Route::delete('/remove-probate-campaign/{id}', 'ProbateCampaignController@removeCampaignId')->name('probateremoveCampaignId');
    Route::delete('/remove-probate-campaign', 'ProbateCampaignController@removeCampaign')->name('probateRemoveCampaign');
    Route::get('campaign-history/lists', 'CampaignController@lists');
    Route::get('probate-campaign-history/lists', 'ProbateCampaignController@lists');
    Route::get('campaign-history/{id}/delete', 'CampaignController@destroy');
    Route::get('probate-campaign-history/{id}/delete', 'ProbateCampaignController@destroy');

    Route::get('probate-campaign-history/{id}', 'ProbateCampaignController@show')->name('probateCampaignHistoryView');
    Route::resource('campaign-history', 'CampaignController');
    Route::resource('probate-campaign-history', 'ProbateCampaignController');
//    Route::get('/campaign-history', 'CampaignController@campaignHistory')->name('campaignHistory');
    //    Route::get('/campaign-detail/{id}', 'CampaignController@campaignDetail')->name('campaignDetail');
    Route::post('/search-history', 'CampaignController@searchHistory')->name('searchHistory');
    Route::delete('/remove-campaign/{id}', 'CampaignController@removeCampaignId')->name('removeCampaignId');
    Route::delete('/remove-campaign', 'CampaignController@removeCampaign')->name('removeCampaign');

    Route::get('letters/lists', 'LetterController@lists')->name('letterList');
    Route::get('letters/{id}/delete', 'LetterController@destroy');
    Route::resource('letters', 'LetterController');

    Route::get('testing', 'LetterController@test');

    Route::get('probate-letters/lists', 'ProbateLetterController@lists')->name('letterList');
    Route::post('probate-letters/{id}/delete', 'ProbateLetterController@destroy');
    Route::resource('probate-letters', 'ProbateLetterController');

    // letter head
    Route::get('/manage-letter-head', 'CampaignController@letterHead')->name('letterHead');
    Route::get('/edit-letter-head', 'CampaignController@letterHeadEdit')->name('letterHeadEdit');
    Route::get('/delete-letter-head', 'CampaignController@letterHeadDelete')->name('letterHeadDelete');
    Route::post('/create-letter-head', 'CampaignController@createLetterHead')->name('createLetterHead');
    Route::get('/preview-letter-head', 'CampaignController@letterHeadPreview')->name('letterHeadPreview');
    // letter head

    Route::get('/edit-letter', 'CampaignController@editLetter')->name('editLetter');

    Route::get('/edit-letter', 'CampaignController@editLetter')->name('editLetter');

    Route::post('/view-letter', 'CampaignController@viewLetter')->name('viewLetter');
    Route::post('/create-letter', 'CampaignController@createLetter')->name('createLetter');
    Route::post('/update-letter/{id}', 'CampaignController@updateLetter')->name('updateLetter');
    Route::delete('/delete-letter/{id}', 'CampaignController@deleteLetterId')->name('deleteLetterId');
    Route::get('/manage-letter/{id}', 'CampaignController@manageLetter')->name('manageLetter');

    Route::get('/recent-valuation', 'ValuationController@recentValuation')->name('recentValuation');
    Route::get('/import-valuation', 'ValuationController@import')->name('import');
    Route::post('/import-valuation', 'ValuationController@importCreate')->name('importCreate');
    Route::post('/all-valuation', 'ValuationController@allValuationArray')->name('allValuationArray');
    Route::get('/valuation-edit/{id}', 'ValuationController@editValuation')->name('editValuation');
    Route::post('/valuation-edit/{id}', 'ValuationController@updateValuation')->name('updateValuation');
    Route::post('/valuation-delete', 'ValuationController@deleteValuation')->name('deleteValuation');
});

//Admin
Route::group(['middleware' => ['AdminAuth']], function () {
    Route::namespace('Admin')->prefix('admin')->group(function () {
        Route::post('/login-as', 'AdminController@loginAs')->name('admLoginAs');
        Route::post('/login-as-admin', 'AdminController@loginAsAdmin')->name('admLoginAsAdmin');
        Route::get('/all-agents', 'AgentController@AllAgent')->name('allAgent');
        Route::post('/all-agents', 'AgentController@allAgentArray')->name('allAgentArray');
        Route::get('/agent-details/{agent_id}', 'AgentController@agentDetails')->name('agentDetails');
        Route::get('/add-agent', 'AgentController@addAgent')->name('addAgent');
        Route::post('/add-agent', 'AgentController@saveAgent')->name('saveAgent');
        Route::post('/agent-flag-change', 'AgentController@flagChange')->name('flagChange');
        Route::post('/agent-delete', 'AgentController@deleteAgent')->name('deleteAgent');
        Route::get('/agent-edit/{agent_id}', 'AgentController@editAgent')->name('editAgent');
        Route::post('/agent-edit/{agent_id}', 'AgentController@updateAgent')->name('updateAgent');
        Route::post('/agent-exportstatus', 'AgentController@exportstatus')->name('exportstatus');

        Route::get('/all-data-entry-operator', 'DataEntryOperatorController@allDataOperator')->name('allDataOperator');
        Route::post('/all-data-entry-operator', 'DataEntryOperatorController@allDataOperatorArray')->name('allDataOperatorArray');
        Route::get('/data-operator-details/{id}', 'DataEntryOperatorController@dataOperatorDetails')->name('dataOperatorDetails');
        Route::get('/add-data-operator', 'DataEntryOperatorController@addDataOperator')->name('addDataOperator');
        Route::post('/add-data-operator', 'DataEntryOperatorController@saveDataOperator')->name('saveDataOperator');
        Route::post('/data-operator-flag-change', 'DataEntryOperatorController@flagChange')->name('flagChange');
        Route::get('/data-operator-edit/{id}', 'DataEntryOperatorController@editDataOperator')->name('editDataOperator');
        Route::post('/data-operator-edit/{id}', 'DataEntryOperatorController@updateDataOperator')->name('updateDataOperator');
        Route::post('/data-operator-delete', 'DataEntryOperatorController@deleteDataOperator')->name('deleteDataOperator');

        //susmi

        Route::get('/properties', 'PropertyController@allProperty')->name('admAllProperty');
        Route::get('/property/{property_id}', 'PropertyController@propertyDetails')->name('admPropertyDetails');
        Route::get('/probate-property-details/{property_id}', 'ProbatePropertyController@probatePropertyDetails')->name('admProbatePropertyDetails');

        Route::post('/properties', 'PropertyController@allPropertyArray')->name('admAllPropertyArray');
        // Route::post('/login-as', 'AdminController@loginAs')->name('admLoginAs');
        // Route::post('/login-as-admin', 'AdminController@loginAsAdmin')->name('admLoginAsAdmin');

        Route::get('/campaign-history', 'CampaignController@campaignHistory')->name('campaignHistory');
        Route::get('/campaign-history/lists', 'CampaignController@lists');
        Route::get('/campaign-history/{id}/print', 'CampaignController@campaignPrint');
        Route::get('campaign-history/{id}/delete', 'CampaignController@destroy');
        Route::put('campaign-history/{id}', 'CampaignController@update');
        Route::get('campaign-history/{id}', 'CampaignController@show')->name('adminCampaignHistoryView');

        Route::get('/probate-campaign-history', 'ProbateCampaignController@probateCampaignHistory')->name('adminprobateCampaignHistory');
        Route::get('/probate-campaign-history/lists', 'ProbateCampaignController@lists');
        Route::get('/probate-campaign-history/{id}/print', 'ProbateCampaignController@campaignPrint');
        Route::get('probate-campaign-history/{id}/delete', 'ProbateCampaignController@destroy');
        Route::put('probate-campaign-history/{id}', 'ProbateCampaignController@update');
        Route::get('probate-campaign-history/{id}', 'ProbateCampaignController@show')->name('adminProbateCampaignHistoryView');

        Route::get('/all-outcode', 'OutCodeController@AllOutCode')->name('allOutCode');
        Route::post('/all-outcode', 'OutCodeController@outcodeArray')->name('admOutcodeArray');
        Route::get('/archive-outcode', 'OutCodeController@archiveOutCode')->name('admArchiveOutCode');
        Route::post('/all-outcodes', 'OutCodeController@allOutCodeArray')->name('allOutCodeArray');
        //  Route::get('/agent-details/{agent_id}', 'AgentController@agentDetails')->name('agentDetails');
        Route::get('/add-outcode', 'OutCodeController@addOutCode')->name('addOutCode');
        Route::post('/add-outcode', 'OutCodeController@saveOutCode')->name('saveOutCode');
        Route::post('/move-archive', 'OutCodeController@moveArchive')->name('admMoveArchive');

        Route::get('/outcode-edit/{outcode}', 'OutCodeController@editOutCode')->name('editOutCode');
        Route::post('/outcode-update', 'OutCodeController@updateOutCode')->name('updateOutCode');
        //susmi
        Route::get('/property/list/{tab}', 'PropertyController@propertyTrigger')->name('AdmPropertyTrigger');
        Route::get('/properties/all', 'PropertyController@allTypeProperty')->name('admAllTypeProperty');
        Route::post('/properties/all', 'PropertyController@admAllTypePropertyArray')->name('admAllTypePropertyArray');

        Route::get('/outcode/approval', 'AgentController@outcodeApproval')->name('outcodeApproval');
        Route::post('/outcode/approval-list', 'AgentController@outcodeApprovalList')->name('outcodeApprovalList');
        Route::post('/outcode/approval/delete', 'AgentController@outcodeApprovalDelete')->name('outcodeApprovalDelete');
        Route::post('/outcode/approvals/delete', 'AgentController@outcodeApprovalsDelete')->name('outcodeApprovalsDelete');
        Route::post('/outcode/approval/approve', 'AgentController@outcodeApprovalApprove')->name('outcodeApprovalApprove');
        Route::post('/outcode/approvals/approve', 'AgentController@outcodeApprovalsApprove')->name('outcodeApprovalsApprove');
    });

Route::get('impersonateIn/{user}', 'ImpersonateController@impersonateIn')->name('impersonate');
});

//admin and agent
Route::group(['middleware' => ['MutualAuth']], function () {
    Route::get('admin/property-without-address', 'CommonController@getAddNotProperty')->name('admAddNotProperty');

    Route::get('/property-without-address', 'CommonController@getAddNotProperty')->name('agentAddNotProperty');

    Route::post('/property-without-address', 'CommonController@getAddNotPropertyArray')->name('getAddNotPropertyArray');

    Route::get('/without-postcode-property', 'PropertyController@propertyWithoutPostcode')->name('propertyWithoutPostcode');
    Route::post('/without-postcode-property', 'PropertyController@propertyWithoutPostcodeArray')->name('propertyWithoutPostcodeArray');

    Route::get('/without-agent-property', 'PropertyController@propertyWithoutAgent')->name('propertyWithoutAgent');
    Route::post('/without-agent-property', 'PropertyController@propertyWithoutAgentArray')->name('propertyWithoutAgentArray');
});

//admin, agent and deo
Route::group(['middleware' => ['UserAuth']], function () {
    Route::namespace('Admin')->prefix('admin')->group(function () {
        Route::post('/login-as', 'AdminController@loginAs')->name('admLoginAs');
        Route::post('/login-as-admin', 'AdminController@loginAsAdmin')->name('admLoginAsAdmin');
    });

    Route::get('/property-history/{property_id}', 'PropertyController@propertyHistoryDetails')->name('propertyHistoryDetails');

    Route::namespace('DataOperator')->prefix('data-operator')->group(function () {
        Route::post('/property-history-comment', 'PropertyController@postComment')->name('DEOpostComment');
        Route::get('/property-history-comment', 'PropertyController@getComment')->name('DEOgetComment');

        Route::post('/house-number', 'PropertyController@postHouseNumber')->name('DEOpostHouseNumber');
        Route::get('/submitted-property', 'PropertyController@submittedProperty')->name('DEOSubmittedProperty');
        Route::post('/submitted-property', 'PropertyController@submittedPropertyArray')->name('DEOSubmittedPropertyArray');
        Route::post('/filter', 'PropertyController@filterOperator');

        Route::get('/submitted-property-details/{property_id}', 'PropertyController@submittedDetails')->name('submittedDetails');
    });
});

Route::get('impersonateOut', 'ImpersonateController@impersonateOut')->name('impersonateOut');
Route::get('notification-data', 'NotificationController@notificationTypeData')->name('notificationTypeData');
Route::post('notification-data', 'NotificationController@notificationTypeDataArray')->name('notificationTypeDataArray');

Route::get('export-ofsted','ExportController@exportOfsted')->name('exportOfsted');
Route::get('get-coordinates','TestController@getLatLng')->name('getLatLng');